# Changelog

## v0.2.0.870 (2017-10-09)

### **New features**
- Added new codec HEVC with ID=5 for HDBits (#2146) [Wyall]
- Option to omit year from indexer searches when searching by title. Also added option to force a movie search by title instead of imdb id. Fixes #1912. [Leonardo Galli]
- Last round of optimisation. Large libraries should load around 2x faster again compared to the last version. [Leonardo Galli]
- Improved load times of very large libraries again (around x5) [Leonardo Galli]
- Movie files are now eager loaded. This should speed up the loading process a lot as well as RSS Sync and other tasks. It should also prevent some other bugs. [Leonardo Galli]

### **Fixes**
- Alignment and buttons position of Trakt Auth (#2153) [James White]
- SUBBED in release name not recognized as hardcoded subs. Fixes #1520. [Leonardo Galli]
- 1080i not correctly recognized as 1080p. Fixes #1622. [Leonardo Galli]
- Releases with UHD not getting correct resolution label. Fixes #2134. [Leonardo Galli]
- WebDL gets marked as Remux. Fixes #1954. [Leonardo Galli]
- Parsing of TSRip and HDTSRip. Fixes #1998. [Leonardo Galli]
- Unclosed <span> tag on BulkImportView (#2110) [James White]
- Change to correct provider of search results (#2113) [James White]
- Icon not being hidden on Discover New Movies button in X-Small breakpoint (#2114) [James White]
- Font folder case fix (#2066) [James White]
- Add space in confirmation message (#2101) [Adam Dangoor]
- Create LICENSE. [Leonardo Galli]
- Alternative Titles appearing multiple times. Duplicate alt titles will be deleted. Fixes #2040. [Leonardo Galli]


## v0.2.0.852 (2017-09-10)

### **New features**
- WOFF2 fonts for better performance in supported browsers (#1994) [James White]
- Tweak NavbarLayoutTemplate.hbs (#1996) [James White]

### **Fixes**
- Scripts should be included before closing body tag (#1995) [James White]
- Allow toolbar buttons to be full width on x-small and small breakpoints (#1972) [James White]
- Alt titles with less than 4 votes being used. [Leonardo Galli]
- Cleanup of unused alt titles. [Leonardo Galli]


## v0.2.0.846 (2017-08-27)

### **New features**
- Ability to force download movies that could not be mapped correctly. This also shares these mappings with other users, so everyone can profit :) [Leonardo Galli]
- Display breakpoint name in browser window in debug mode (#1968) [James White]
- Ability to delete multiple movies at once via the movie editor. [Leonardo Galli]
- Deprecation warning about Drone Factory to front end (#1938) [James White]
- Package-lock.json for npm 5 (#1939) [James White]
- Updated FontAwesome to 4.7.0 (#1928) [James White]
- Hebrew language (#1909) [Rotem]
- Alternative Titles are now also pulled from mappings.radarr.video. [Leonardo Galli]
- Alternative Titles were reworked greatly. This should speed up RSS Sync massively, especially for large libraries (up to 4x). [Leonardo Galli]

### **Fixes**
- Refresh movie failing. [Leonardo Galli]
- Refresh movie failing for most movies. (Fixes #2007) [Leonardo Galli]
- A few issues with the new alternative titles feature. (#2008) (Fixes #1919, #1927 and #1917) [Leonardo Galli]
- A lot of small ui errors (e.g. More not showing) (Revert of #1959) [Leonardo Galli]
- Adjust Sonarr references to Radarr (#1977) [James White]
- Rename movie not working (#1970) (Fixes #1908) [Leonardo Galli]
- Error with CP Import when no info is present. Fixes #1792. [Leonardo Galli]
- Movie files & folders will actually get deleted now (#1966) (Fixes #694) [Tom]
- Bulk UI cleanup, fixes and consistency improvements (#1959) [James White]
- Parser error when using `(year) name` folder (#1956) (Fixes #1951) [MangaValk]
- Missing icon preventing detailed explanation validation errors explanations from appearing. (#1944) [James White]
- Mask-icon and other resources when UrlBase is in use (#1933) [James White]
- Slack/Mattermost notifications improvements from Sonarr (#1930) [James White]
- Fontawesome path (Icons disappearing) (#1929) [James White]
- Charset and meta in index.html and login.html (#1926) [James White]
- Removed hebrew ISO, since english movies are still in english. (#1922) [Rotem]
- Adjust column sizes relative to size of dropdown values (#1923) [James White]
- Additional jshint warnings (#1921) [James White]
- Minor issues on MoreInfoViewTemplate.hbs (#1916) [James White]
- Gulp jshint warnings (#1873) [James White]
- Replace GitHub wiki references to Radarr's wiki URL (#1914) [James White]
- Hanging form-group div (#1911) [James White]
- New: Run tests through powershell. (#1903) [Mike]
- Migration failing and thus making Radarr unable to start. [Leonardo Galli]
- Task name of PreDB Sync task (#1875) [James White]
- Check that Quality Profile is not in use before deleting it. [Qstick]
- Category not setting with qBitTorrent 3.3.14 and other api errors. (upstream from Sonarr) [James White]
- Non-Freeleech torrents showing as freeleech for AHD. [Leonardo Galli]
- Older movies (released more than 30 days ago) are now not refreshed as often anymore (every 30 days) [Leonardo Galli]
- (Hopefully) Bug where movie file was not correctly linked to movie. [Leonardo Galli]
- No API Key required with SignalR connections. [Leonardo Galli]
- Guard agains null reference exception with newznab capabilities. [Leonardo Galli]
- Update Info.plist to avoid conflict with Sonarr (#1783) [Marc Runkel]
- Relax SingleInstancePolicy when using a custom data directory Fixes #1765 (#1782) [Richard Schwab]
- Lists are fetched much more efficiently. (Up to 40x loading time improvement with large lists!) [Leonardo Galli]
- Revert "Fixed: Support for Mono 5.x with the newer BoringTLS provider." [Taloth Saldono]
- Support for Mono 5.x with the newer BoringTLS provider. [Taloth Saldono]
- Old Plex ValidationFailure message (#1770) [Sandro Stikić]
- BDRemux not recognized as such and BDRips without resolution recognized as DVD. Fixes #1755. [Leonardo Galli]
- A as part of an acronym being removed from clean title. Fixes #1747. [Leonardo Galli]
- Folder in List settings appearing blank in some browsers. Fixes #1711. [Leonardo Galli]
- Minimum Seeders not saving for Torznab indexer. Fixes #1736. [Leonardo Galli]


## v0.2.0.778 (2017-06-20)

### **New features**
- Radarr API url now points to new v2 version. [Leonardo Galli]
- Changed Name of Radarr Lists. [Leonardo Galli]
- More detailed descriptions why a movie was not able to be mapped. (#1696) [Leonardo Galli]
- Options to make parsing more lenient. (Adds support for some german and french releasegroups) (#1692) [Leonardo Galli]
- Bootstrap Tags Input (#1674) [Mitchell Cash]
- Include css files in minification (#1672) [Mitchell Cash]
- Upgrade to Bootstrap 3.3.7 (#1673) [Mitchell Cash]
- Allow minimum seeders to be set on a per indexer basis. Pulled from Sonarr Upstream (#1624) [Leonardo Galli]
- Remove redundant IE meta tag as we use http header instead (#1655) [Mitchell Cash]
- Use cleancss for minification (#1654) [Mitchell Cash]
- Ability to see TMDB and lists going through the Radarr API on the discovery page. [Leonardo Galli]
- Search 5 alternative titles as well. This should help with french as well as movies with very different titles. [Leonardo Galli]
- [Radarr] tag for Twitter Notifications (#1558) [Jason Costomiris]
- Custom Class for Radarr API requests. Also implements new error handling present on staging server. [Leonardo Galli]
- Added HDBits Category, Codec, and Medium Filtering Capability (#1458) [randellhodges]
- Update radarr api url. [Leonardo Galli]
- Update TaskManager.cs. [Leonardo Galli]
- Update LogEntries token again :) [Leonardo Galli]

### **Fixes**
- Fix migration. [Leonardo Galli]
- Redirect calls missing URL Base (#1668) [Mitchell Cash]
- Twitter oAuth callback URL (#1669) [Mitchell Cash]
- Error when processing manual import decisions  (#1670) [Mitchell Cash]
- Create README.md. [Leonardo Galli]
- Add license. [Leonardo Galli]
- Urls missing from multiple indexers after latest nightly update. [Leonardo Galli]
- Follow 301 redirects when fetching torrents (#1653) [Mitchell Cash]
- Ensure an API Key is set when starting Radarr (#1652) [Mitchell Cash]
- Minimum availability is now working similarely to profile when adding a movie. [Leonardo Galli]
- Forgot to include some js files in the last commit. [Leonardo Galli]
- Fix error when we get invalid datetime from our api. [Leonardo Galli]
- Lossless compression of images saved 92KB (#1620) [Fish2]
- Mostly fixes UI glitches for list settings. [Leonardo Galli]
- Refresh IsDuplicate in bulk import when the tmdbId changes (#1570) [Sentir101]
- Encourage Torznab use with Jackett (#1559) [flightlevel]
- Fixed PTP indexer being disabled if no results are found for a movie. [Leonardo Galli]
- Fix basic naming settings. [Leonardo Galli]
- Discovery of upcoming movies points to our server now. [Leonardo Galli]
- Most likely fixed #745 now. [Mike]
- Chmod osx file as executable. (#1539) [Mike]
- Add IMDB URL to notifications (#1531) [tsubus]
- Fixed design calendar css bug (#1527) [Levi Wilcox]
- Correct Program Name (#1524) [Luke Anderson]
- Correct Program Name (#1523) [Luke Anderson]
- Osx updater now updates plist file to point to the correct executable binary. [Leonardo Galli]
- Using our own logentries token now. [Leonardo Galli]
- Fix osx updater failing. [Leonardo Galli]


## v0.2.0.696 (2017-05-12)

### **New features**
- Update TaskManager.cs. [Leonardo Galli]

### **Fixes**
- Fix test. [Leonardo Galli]
- Movies with same name but different year being downloaded regardlessly is now fixed! [Leonardo Galli]


## v0.2.0.692 (2017-05-11)

### **New features**
- Added ability to discover new movies based on upcoming blurays as well as popular movies (borrowed from steven lu :)) [Leonardo Galli]
- Update Kodi icon, fixes #1464 (#1492) [hotio]
- Added initial migration. [Leonardo Galli]
- Added trailer links to the discovery page. [Leonardo Galli]
- Added discovery tab based on tmdb recommendations based on your existing movies. (#1450) [Leonardo Galli]
- Change default page size to 250. Should help with safari timeouts. [Leonardo Galli]
- Added multiple new editions such as FanEdit, Anniversary and 2in1. [Leonardo Galli]

### **Fixes**
- Fixed design issue when deleting css bug (#1480) Fixes #1475. [Levi Wilcox]
- 10 Movies are now shown on discover as well as search results. [Leonardo Galli]
- Hotfix for when ignored movies would appear again after clicking on show more. [Leonardo Galli]
- Fix appveyor build. [Leonardo Galli]
- Completely overhauled how import exclusions work. [Leonardo Galli]
- Hopefully more logging to catch errors better. [Leonardo Galli]
- Fix: A small bug fix for items loading as undefined in organize modal. Movie titles should now show up correctly. (#1424) [PatrickGHanna]
- Fixed error when language is present in title, but has dots instead of spaces. For example The.Danish.Girl.2015. [Leonardo Galli]
- Fixed Final in titles parsing as an edition. [Leonardo Galli]
- Radarr not importing torrents in Vuze if the torrent already finished seeding and was stopped (#1471) [Mitchell Cash]
- Incorrect imports with Vuze when torrent contains a single file. (#1470) [Mitchell Cash]
- Sonarr UI Authentication cookie should be placed on path (UrlBase) instead of domain alone. Fixes ##1451. [Mitchell Cash]
- Use Post for tmdbids request, to avoid too long URIs. [Leonardo Galli]
- Tidy up layout of buttons on the Add Movies page for mobile/tablet (#1454) [David Pooley]
- Rename Sonarr to Radarr for OSX App. [morberg]
- Minor text fixes. [Leonardo Galli]
- Enable automatic renaming, according to naming scheme, of movie folder after creation of the movie. (#1349) [Leonardo Galli]
- Fix for error when clicking Rescan Drone Folder. [Leonardo Galli]
- Fix for error when trying to manually import. [Leonardo Galli]


## v0.2.0.654 (2017-04-18)

### **New features**
- Change smtp.google.com to smtp.gmail.com (#1410) [Donald Webster]
- Updated debug movie title to include Year. [Leonardo Galli]
- Update Series reference to Movies, should fix #1399 (#1402) [hotio]
- Added test for fix in last commit. [Leonardo Galli]
- Update branch. [Leonardo Galli]
- Update packages.sh some more. [Leonardo Galli]
- Update package.sh script. [Leonardo Galli]

### **Fixes**
- Fix PTP_Approved turning into HDBits Internal. [Leonardo Galli]
- Fix ptp tests. [Leonardo Galli]
- AHD, PTP and HDB support the new indexer flags too now! Indexer flags can be preferred over other releases. [Leonardo Galli]
- Movies with Umlauts are now correctly matched and have correct CleanTitles. [Leonardo Galli]
- Minor Text fixes. [Leonardo Galli]
- Fix error when MinimumAvailability was Announced and Delay was negative. [Leonardo Galli]
- Disable PreDB sync for now. [Leonardo Galli]
- Stats are now sent to our server instead of Sonarr's :) [Leonardo Galli]
- Fix for sql error. Did not think everything through exactly. [Leonardo Galli]
- Fix when MovieTitle is the empty string (should not occur, but what evs) [Leonardo Galli]
- Fixes Movie Size not showing correctly. [Leonardo Galli]
- Fixed an issue where movies which were labelled with an alternative title could not be found. [Leonardo Galli]
- Indexer flags implementation. (#1377) Will be further finalized over the next few weeks with Freelech, preferring of certain flags, etc. [Leonardo Galli]
- Add default runtime when runtime info of tmdb says 0. [Leonardo Galli]
- Fixes an issue where the semicolon and space afterwards was replaced. [Leonardo Galli]
- Final tweak for package.sh. [Leonardo Galli]
- This should finally fix all packaging stuff. [Leonardo Galli]
- Test fixes. [Leonardo Galli]
- More test debugging. [Leonardo Galli]
- Remote Test debugging yey! [Leonardo Galli]
- Remove unecessary test. [Leonardo Galli]
- Using NUnit.Runners so that teamcity build works. [Leonardo Galli]
- Turn installer back on. [Leonardo Galli]
- Disabled installer being picked up, causes error with update api. [Leonardo Galli]
- Now artifacts get pushed even if tests fail. [Leonardo Galli]
- Fixed package script for Teamcity. [Leonardo Galli]
- Log if ParsedMovieInfo is NULL. [Leonardo Galli]
- Catching predb.me errors hopefully. [Leonardo Galli]


## v0.2.0.596 (2017-04-10)

### **New features**
- Update nzbdrone.iss. [Leonardo Galli]
- Update appveyor.yml. [Leonardo Galli]
- Update build-appveyor.cake. [Leonardo Galli]
- Update appveyor.yml. [Leonardo Galli]
- Update appveyor.yml. [Leonardo Galli]
- Update nzbdrone.iss. [Leonardo Galli]
- Update build-appveyor.cake. [Leonardo Galli]
- Update build-appveyor.cake. [Leonardo Galli]
- Update appveyor.yml. [Leonardo Galli]
- Update build-appveyor.cake. [Leonardo Galli]
- Update appveyor.yml. [Leonardo Galli]
- Update nzbdrone.iss. [Leonardo Galli]
- Update nzbdrone.iss. [Leonardo Galli]
- Update README.md. [Leonardo Galli]
- Added "Additional Parameters Field" for Trakt RSS Feed (#1308) [rmangahas-coupa]
- Update ISSUE_TEMPLATE.md. [Devin Buhl]
- Update ISSUE_TEMPLATE.md. [Devin Buhl]
- Update ISSUE_TEMPLATE.md. [Devin Buhl]

### **Fixes**
- Just getting Appveyor to build. [Leonardo Galli]
- Installer should be built too now. [Leonardo Galli]
- Text fixes and got pending releases finally fully working. [Leonardo Galli]
- Fixed searching for movie after it is added from a list. [Leonardo Galli]
- Specific Subtitle tags (such as nlsub) can now be whitelisted and will be downloaded. [Leonardo Galli]
- Allow Hardcoded subs to be downloaded still. [Leonardo Galli]
- Catching HTTP Errors when adding movies from a list. [Leonardo Galli]
- SABnzbd 2.0 API compatibility (#1339) [Mitchell Cash]
- Zero length file causes MediaInfo hanging in 100% cpu load. (#1340) [Mitchell Cash]
- Newznab default capabilities erroneously cached if indexer is unavailable. (#1341) [Mitchell Cash]
- Cleanup on mapping logic. Movies with up to 4500 parts are now supported! [Rusk85]
- Released icon is back. [geogolem]
- Fixed spelling mistake. [Leonardo Galli]
- Fixed an error when searching for movies with no imdbid. [Leonardo Galli]
- DownloadStation api client for DSM 5.x. (#1259) [Marcelo Castagna]
- Should fix covers not being local. [Leonardo Galli]
- Fixed error when downloading a movie. [Leonardo Galli]
- Fixed only one movie appearing when list does not give us a tmdbid. [Leonardo Galli]
- This should fix all imdbid problems with indexers. [Leonardo Galli]
- Revert "Move up IMDB logic in ParsingService, should help with the mismatched movies" [Devin Buhl]
- Move up IMDB logic in ParsingService, should help with the mismatched movies. [Devin Buhl]
- Clean up jsHint warnings (#1225) [Zach]
- New movie search (#1212) [thejacer87]
- Fix pending release service, HDBits, also the release deduper. Clean up housekeeping (#1211) [Devin Buhl]
- Patch/onedr0p 3 16 17 (#1200) [Devin Buhl]
- Revert "Small changes to list sync (#1179)" [Devin Buhl]
- Small changes to list sync (#1179) [Devin Buhl]
- Patch/onedr0p 3 14 17 (#1171) [Devin Buhl]
- Maybe fix PTP? Don't have an account, so cannot test. [Leonardo Galli]
- Fix for editing quality of movie files. [Leonardo Galli]
- Patch/onedr0p 3 13 17 (#1166) [Devin Buhl]
- Fix issue where 1080p Telesyncs get tagged as 1080p Blurays. [Leonardo Galli]


## v0.2.0.535 (2017-03-12)

### **New features**
- Update blacklist to work with movies (#1089) [Devin Buhl]
- Update README.md. [Leonardo Galli]
- Update error to include Radarr instead of Sonarr (#1069) [flightlevel]
- Update wiki link for sorting and renaming (#1045) [aptalca]

### **Fixes**
- Grammar check HelpText for CouchPotato lists (#1142) [James White]
- Preliminary Fix for downloaded error in Wanted section. [Leonardo Galli]
- Fixes banners when searching for new movies. [Leonardo Galli]
- Fix issue where searching for new movies is not possible. [Leonardo Galli]
- Add helptext for Jackett API key (#1121) [Mathew Giljum]
- Better method to obtain the folderName. [geogolem]
- Keep the current page the same after clicking Save. [geogolem]
- Parsing headers that have a trailing semi-colon (#1117) [Mitchell Cash]
- PreDB Integration. Update Library is advisable. [Leonardo Galli]
- QOL changes to PTP logic (#1114) [Devin Buhl]
- Fix for VS for Mac. [Leonardo Galli]
- Ammend to previous commit. [Leonardo Galli]
- Hopefully fix all issues with unlinked movie files. [Leonardo Galli]
- This needs to match with the property forclient mode. [geogolem]
- CP list hotfix. [Devin Buhl]
- Incorrect check for imdbId prefix. [geogolem]
- Fix regression for missing libgdiplus (#1073) [SWu]
- Refactor so that filteringExpressions are constructed in one place less code duplication, easier to manage moving forward. [geogolem]
- New filters were added, but they werent being handled via the API. [geogolem]
- Allow larger trakt lists than 500. [geogolem]
- Restructeured readme and added a new logo asset (#1088) [Matthew Treadwell]
- Onedr0p/3 8 17 (#1087) [Devin Buhl]
- Ensure drone factory runs on its specificed interval (#1067) [Tim Turner]
- Add hotio's nightly docker image. (#1084) [Donald Webster]
- Add Installation, Docker and Setup Guide to new Install section and add Feathub and Wiki to Support (#1083) [Donald Webster]
- Fixed the parser for movies with A. [Leonardo Galli]
- Loads only request movie first into full collection. Should fix things. (#1046) [Leonardo Galli]
- Addressing jshint warnings (#1050) [Bill Szeliga]
- Correct DownloadDescisionMaker to use ImdbId, and update the ui a little. (#1068) [Devin Buhl]
- Deluge 1.3.14 API support due to changed json-rpc checks. [Devin Buhl]
- Reverting a change made yesterday regarding sorting the change fixed sorting titles of newly added movies without a refresh however, people have noticed it broke sorting of "In Cinemas" column in general. i commented out the change; but also added a special case in the comment, that would fix the case in question, without breaking the others; however, more investigating is needed because there is an issue with sorting newly added movies in general and the fix this reverts was never good enough anyway. [geogolem]
- Oops -- this was a fix from the last merge - sorry. [geogolem]
- URLEncode the string for searching (#1055) [Mihai Blaga]
- Fix client mode fetching.. only setPageSize when necessary. [geogolem]
- Fix error with weirdly formatted audioChannelPositions on MediaInfo. [Leonardo Galli]
- Fix  a couple typos (#1049) [Greg Fitzgerald]
- Fix tests. [Devin Buhl]
- Patch/onedr0p (#1048) [Devin Buhl]
- Fixed all tests and even added some new ones :) (#835) [Leonardo Galli]
- Fixes issue where quality settings wont save due to no pagesize. [Leonardo Galli]
- Fixes sorting after adding movies. [geogolem]
- Fix most paging issues on first load. [Leonardo Galli]
- /movies without pagesize or page gives back the old format. [Leonardo Galli]
- This seems to make it more stable. [geogolem]
- Im not too sure why this fixes the problem but now the filterState is respected when returning from another page. [geogolem]
- Use href instead of hostname+port. [geogolem]
- Improve RSS parsing for movies without year. [Devin Buhl]
- Add ReplaceGermanUmlauts method. [Devin Buhl]


## v0.2.0.453 (2017-03-05)

### **New features**
- Added new TestCase for Parser and fixed spelling error. [Devin Buhl]
- Added FindByAlternativeTitle in MovieRepo. [Devin Buhl]
- Added debug messages to check quality. [Leonardo Galli]
- Added more filters to the movie editor (#905) [geogolem]
- Update parsing french movies (#899) [Devin Buhl]

### **Fixes**
- Try to add year to release titles that have no year (foriegn release groups) (#1028) [Devin Buhl]
- Delay profiles are no longer hidden under advanced settings (#1019) [Mitchell Cash]
- Revert "Added FindByAlternativeTitle in MovieRepo." [Devin Buhl]
- Use http request builder (aided by onedrop) [geogolem]
- Improve indexer health check messages (#1015) [Mitchell Cash]
- Clean RSS feed before detecting type (#1014) [Mitchell Cash]
- Store titleSlug in tags for exclusions and always use TMDBID. [geogolem]
- Also use TMDBID on list sync. [geogolem]
- Always check exclusions with tmdbid. [geogolem]
- An updated radarrAPI has been deployed --> this commit makes trakt authentication ready to be merged to the develop branch. [geogolem]
- Fully functional traktAuthentication using api.couchpota.to with comments for when updated RadarrAPI is deployed. [geogolem]
- Fix error with null dates. [Devin Buhl]
- Patch/more updates (#1009) [Devin Buhl]
- Revert.. [Devin Buhl]
- Fixed "wrong" quality being detected. Scan will be slower though. [Leonardo Galli]
- Fix for wrong qualities showing up. Will be slower to load though. [Leonardo Galli]
- Patch/onedr0p 3 4 2017 (#1006) [Devin Buhl]
- Respect the page when initializing the layout. [geogolem]
- Patch/onedr0p updates (#998) [Devin Buhl]
- The movie was not being printed correctly, and i believe this was also causing movies to be added when they shouldnt have been... [geogolem]
- Clean up the fetching on loading of MovieEditor and MovieIndex once and for all. [geogolem]
- I dont know why i was doing this inside the for loop... It did not scale well ! fixed. [geogolem]
- Use clone so that we only detect empty collection when collectio is empty.. not when current filter is empty but collectionis not. [geogolem]
- I believe these are old code that is not needed since pagination.. [geogolem]
- Default Wanted and Cutoff to be 50 movies per page, added filtering options to Cutoff and a Search all (#984) [Devin Buhl]
- Empty string case should not be only for the contains case. [geogolem]
- Needed to pass the filterType, received the filterType and handle the filterType. [geogolem]
- Reset filters on save.. [geogolem]
- Possible fix for Custom script (#973) [Devin Buhl]
- Hotfix when importing movie (#971) [Devin Buhl]
- Fixed infinite loop. Added default destination test when adding client (#968) [Marcelo Castagna]
- Date added in Movie List & Possible Fix for Importing Movies. (#969) [Devin Buhl]
- Ensure collection is synced before opening movieDetails. [Tim Turner]
- Revert some changes -- use FullCollection (maybe just for now) [geogolem]
- Just show imdbid or tmdbid for now in exclusions. [geogolem]
- MovieIndexPage Stability + MovieEditor fix (#925) [geogolem]
- Patch/galileo fixes (#951) [Devin Buhl]
- Patch/updates onedr0p (#946) [Devin Buhl]
- Fixed problem with TMDb list when Year is null, Revert using UrlPathEncode on newznab requests (#937) [Devin Buhl]
- Expose more information to the Webhook notification (#935) [Ross Valler]
- Fix/implement Webhook notifications (#901) [Ross Valler]
- Add remux 1080p and 2160p as qualities (#900) [Devin Buhl]
- NZBGet delete:scan treated as failure (#898) [Mitchell Cash]
- Small changes. [Devin Buhl]
- Hotfix. [Devin Buhl]
- List sync with removal (#656) [geogolem]
- Fix the footer to show correct information and refresh when FullCollection changes (#893) [geogolem]
- Increase fullCollection page size, update Refresh Library command. [Tim Turner]
- Patch/updates (#887) [Devin Buhl]
- Fix poster placeholder height on small screens (#883) [hotio]
- Small UI fixes (#882) [hotio]
- Me = idiot. [Leonardo Galli]
- Fixed an issue where an unloaded movie could case linking to fail. [Leonardo Galli]
- Maybe fix issue with imported files not being linked to the movie? [Leonardo Galli]
- Search is now fixed too. [Leonardo Galli]
- Should fix most issues with paging. [Leonardo Galli]
- Add first steps of paging to movie editor. [Leonardo Galli]
- HDBits prefer/require internal release (#584) (#881) [Devin Buhl]
- Ignore Deleted Movies (#755) (#879) [Devin Buhl]
- First fixes for Movie Editor. Testing to see if this approach could work. [Leonardo Galli]
- Fix missing showing downloaded instead. [Leonardo Galli]
- Fix issue where details page wont load. [Leonardo Galli]
- Paging for movies :) (#861) [Leonardo Galli]
- Bug fixes (#874) [Devin Buhl]
- The Search All Missing button (#860) [geogolem]
- Cleanup min availability (#846) [geogolem]
- Some minor cleanup + changed filter on wanted/missing (#845) [geogolem]
- Min availability (#816) [geogolem]
- Add NZB Station for Synology (#841) [Devin Buhl]
- Patch/filter trakt (#838) [Devin Buhl]
- Fixed language parsing of movies with language in movie name. [Leonardo Galli]


## v0.2.0.375 (2017-02-22)

### **New features**
- Update .travis.yml. [Leonardo Galli]
- Update notification logos (#804) [hotio]
- Update ISSUE_TEMPLATE.md. [Devin Buhl]
- Update PULL_REQUEST_TEMPLATE.md. [Devin Buhl]
- Update dl-clients (#732) [Devin Buhl]
- Update ISSUE_TEMPLATE.md. [Devin Buhl]
- Changed sort options to match UI (#707) [zductiv]
- Added test for ! [Leonardo Galli]
- Update parser tests. [Leonardo Galli]

### **Fixes**
- Patch/bulk import tests (#833) [Tim Turner]
- Patch/bulk import qol (#785) [Tim Turner]
- URL Encode for newznab query strings, closes #818 (#819) [Mihai Blaga]
- Rename Sonarr to Radarr in DownloadStation client (#812) [Mitchell Cash]
- Fixes error message for MovieExistsValidator to state the movie doesn't exist (#723) (#808) [Ryan Matthews]
- Set PROWL application to Radarr (#770) (#807) [Ryan Matthews]
- TMDb Lists should be working now :) (#775) [Devin Buhl]
- Roll back some code on Net Import (#772) [Devin Buhl]
- Check to see if output path is right when DownloadClient.Test is invoked (#768) [Marcelo Castagna]
- TMDb Filtering Options: Rating, Min Votes, Min Vote Ave, Original Language, TMDb Genre Ids (CSV), (#765) [Devin Buhl]
- Small consistancy updates to PTP and AwesomeHD (#758) [Devin Buhl]
- Patch/onedr0p (#757) [Devin Buhl]
- Handle download data diskstation (#744) [Marcelo Castagna]
- When refreshing movie, refresh Files tab. [Tim Turner]
- Feature/Add TMDb Functionality (#739) [Devin Buhl]
- Add downloaded quality column to movie editor (#738) [zductiv]
- Clean up Trakt a little (#735) [Devin Buhl]
- Add Synology Download Station (#725) [Devin Buhl]
- Fix pending release table. [Leonardo Galli]
- Fix Hardcoded .DKSubs. (#726) [Devin Buhl]
- NetImport - Do not allow TV Series / Mini-Series (works with IMDb) #699 (#727) [Devin Buhl]
- Patch/re add ghost migrations (#724) [Devin Buhl]
- Patch/onedr0p (#716) [Devin Buhl]
- Increase timeout when waiting for rTorrent to finish adding torrent (#721) [Mitchell Cash]
- Fix RescanMovie command for single movie. [Tim Turner]
- Hopefully fixes a lot of null reference bugs in BulkImport. [Leonardo Galli]
- Should fix blacklist items disappearing. [Leonardo Galli]
- Fix manual import for when downloaded movies are in a folder. [Leonardo Galli]
- Search all missing movie works - missing tab only (#710) [zductiv]
- Limit TMDb requests when importing via IMDBid (#703) [Devin Buhl]
- Fix parsing with lower bluray qualities. [Leonardo Galli]
- Fixes issue with movies with same name but different years being downloaded. [Leonardo Galli]
- Fixed a few parser issues. Also added some tests. [Leonardo Galli]
- Cutoff tab actually working now. [Leonardo Galli]
- Fix trakt links for movies (like sonarr for shows) (#690) [geogolem]
- Fixed Sorting In Wanted and Cutoff (#693) [Devin Buhl]
- Pass at seeing if this works on linux now (#692) [Devin Buhl]
- Small UI changes (#691) [zductiv]
- Add required flag for PTP (#688) [Devin Buhl]
- Wanted & Missing (#687) [Devin Buhl]
- * Make Missing/Wanted Work again (#686) [Devin Buhl]
- Fixed MovieMissingModule failed while processing [MovieDownloadedEvent] [Devin Buhl]
- UI Enhancements for Manual Import (#681) [Tim Turner]
- May be fix loading view? Idk. [Leonardo Galli]
- Display loading view when changing page size. [Tim Turner]
- Fix ordering in PTP, should prefer GP releases (#667) [Devin Buhl]
- Patch/onedr0p updates (#664) [Devin Buhl]
- Make Movie Title and Status sortable on Wanted tab (#662) [schumi2004]
- Fix paging breaking in bulk import. [Leonardo Galli]
- Bulk Import. (#583) [Leonardo Galli]


## v0.2.0.299 (2017-02-07)

### **New features**
- Update notif list warning when importing from a list (#648) [Devin Buhl]

### **Fixes**
- Wait 5 seconds before getting the next 35 movies from TMDb using X-RateLimit-Remaining (#647) [Devin Buhl]
- Correct the Kickass migration (#649) [Devin Buhl]
- Fix movies not showing up in Queue when downloading (#640) [Devin Buhl]
- Fixed Movie link in history tab (#637) [Devin Buhl]
- Clean up download clients to use radarr as label, fix hoduken, and blackhole. (#635) [Devin Buhl]
- Use Movie Name-TmdbId for slug, update toUrlSlug (#629) [Devin Buhl]
- Removed Wombles and Kickass, updated torrentpotato and torznab (#625) [Devin Buhl]
- Various ui text fixes (#620) [Abzie]
- Delay Profile: Fix for when preferred words is null. (#618) [vertigo235]


## v0.2.0.288 (2017-02-05)

### **New features**
- Added 'Case Insensitive.' to preferred tags info to help-inline. [Devin Buhl]
- Added more options to trakt, popular movies, upcoming, anticipated etc.. [Devin Buhl]

### **Fixes**
- Preferredcount -> preferredCount. [vertigo235]
- Delay Profile: Require preferred word to skip delay. [vertigo235]
- Delay Profile: Delay for at least 1 preferred word. [vertigo235]
- Delay Profile: Upgradable Check Fix. [vertigo235]
- Fix ical ics file (#603) [schumi2004]
- Fixed issue where quality weight was mapped wrongly. Fixes #597. [Leonardo Galli]
- Runtime error fix. [Leonardo Galli]
- Fix runtime issues. [Leonardo Galli]
- Fix glaringly obvious mistake that caused RSS Sync to fail. [Leonardo Galli]
- Add warning for docker users when switching branch. [Devin Buhl]
- Add plain "ES" audioProfile. (#569) [Chris Allen]
- Fix delay specification when delay is not set to zero. [Leonardo Galli]
- Use shorter format Profile string. (#561) [Chris Allen]
- Use movieFile instead of episodeFile. (#560) [Chris Allen]
- Add expanded DTS audio codecs to FileNameBuilder and fix up Atmos TrueHD audioCodec string. (#559) [Chris Allen]
- Don't display mapped movies in import list. [Tim Turner]
- Fix Delete modal when adding movie. [Tim Turner]
- Delete files now works. Fixes #127. [Leonardo Galli]
- First pass regarding delete. [Leonardo Galli]
- Fix error for movies with less than 4 characters. Fixes #507. [Leonardo Galli]


## v0.2.0.267 (2017-01-30)

### **New features**
- Updates to ptp, and using caching for cookie. [Devin Buhl]
- Update the regex in Parser, Add workprint and telesync, change R5 to regional allow for R[0-9]{1}, changed the weights. [Devin Buhl]
- Update weights. [Devin Buhl]
- Added new qualities, added new qualities to profile class. Left to do: write migration, and tests. [Devin Buhl]
- Update Fetch List button style. [Tim Turner]
- Added options for watched, and watchlist, and customlist to trakt. [Devin Buhl]
- Update HDBits to work with Radarr. [Devin Buhl]
- Update taskscheduler when config is saved with netimportsynccommand. [Devin Buhl]
- Update Synology Indexer For Movies (#486) [vertigo235]
- Added option to specify preferred words in quality profile. (#462) [Leonardo Galli]
- Update Files tab when movie renamed. [Tim Turner]
- Update Rename Preview to support folder renaming. [Tim Turner]
- Added trakt user list importing. [Devin Buhl]
- Added easy to use List Selection for manual import use later. The place where this resides will change. [Leonardo Galli]
- Added Base URL. [Leonardo Galli]
- Added couchpotato, and added a test. [Devin Buhl]
- Updated HttpNetImporterBase. Still needs work to correctly handle failures. [Leonardo Galli]
- Added some abstraction for settings. [Leonardo Galli]
- Added Qualties to Settings. [Devin Buhl]
- Updates and compile-able. [Devin Buhl]
- Updates. [Devin Buhl]

### **Fixes**
- Add importfromlist abck. [Devin Buhl]
- Fix the filter modes on the movie list xD. [Devin Buhl]
- Fix issues with different languages than english when adding alternative titles. [Leonardo Galli]
- Use username, password and passkey for passthepopcorn. [Devin Buhl]
- Migration migraine-tion. [Devin Buhl]
- Ensure qualities don't overflow profile card. [Tim Turner]
- Migration. [Devin Buhl]
- Migration. [Devin Buhl]
- Make DVDR not unlimited. [Devin Buhl]
- Set Drone Factory Interval default to 0 (#515) [Tim Turner]
- Make year nullable for trakt. [Devin Buhl]
- Make year nullable, and rmember the profileid. [Devin Buhl]
- Proper port validation for download clients and connections. [Mark McDowall]
- Make NetImport sync interval work (needs some testing) [Devin Buhl]
- Allow Duplicate Preferred Words (#484) [vertigo235]
- Fix for movies without an imdbid. Fixes 176. [Leonardo Galli]
- Quality of an existing movie file can now be edited. [Leonardo Galli]
- Fix recognition of 4k Movies upon import. [Leonardo Galli]
- This should hopefully fix the error that decisions were not ordered correctly and therefore just the first release was grabbed. [Leonardo Galli]
- Remove confusing warning about file not being loaded. [Leonardo Galli]
- Add movie year to NotificationService (#496) [Tim Turner]
- Revert "Merge branch 'rename-existing-folder' into develop" [Tim Turner]
- Revert "Add movie year to NotificationService (#489)" [Tim Turner]
- Revert "Ensure the movie isn't delete when the folder isn't renamed (#491)" [Tim Turner]
- Ensure the movie isn't delete when the folder isn't renamed (#491) [Tim Turner]
- Add movie year to NotificationService (#489) [Tim Turner]
- Kodi Update Fix: OldFiles -> OldMovieFiles (#483) [vertigo235]
- More Notification Updates (#482) [vertigo235]
- Remove old folder and all contents. [Tim Turner]
- Movie reference properly updates UI now. [Tim Turner]
- Be more proper about Ensuring the folder exists. [Tim Turner]
- Undo unecessary changes. [Tim Turner]
- Move folder on rename; event doesn't fire yet. [Tim Turner]
- Net Import UI Updates. [Tim Turner]
- Only show "Display Existing Movies" toggle after selecting a folder. [Tim Turner]
- Clean up settings UI. [Tim Turner]
- Manual Import works now! [Leonardo Galli]
- Only wanted is default for CP. [Devin Buhl]
- Manual importing almost done. Needs fixing for mapping movies. [Leonardo Galli]
- Nullable all the fields.. [Devin Buhl]
- Rephrase wording. [Devin Buhl]
- Monitored to false for movies already downloaded on CP. [Devin Buhl]
- Allow null value for seed time. [Devin Buhl]
- Add basic ui of manual import. [Leonardo Galli]
- Fix importing for StevenLu. [Devin Buhl]
- Add StevenLu to csproj. [Devin Buhl]
- First pass at ui for manually importing from lists. [Leonardo Galli]
- Add import from http://movies.stevenlu.com/ [Devin Buhl]
- Movies can now be added monitored or unmonitored. [Leonardo Galli]
- Add Ability to set RootFolderPath for Net Import List. [Leonardo Galli]
- Fix netimport search and add NetImportSyncCommand. [Leonardo Galli]
- Remove duplicate code. [Devin Buhl]
- Fix movies being clobbered when a new list is sent thru. [Devin Buhl]
- Implement NetImportSearchService. [Devin Buhl]
- Add urlBase option to CP settings. [Devin Buhl]
- Fix media info parsing of multiple audio channels. Fixes #315 Fixes #294. [Leonardo Galli]
- Fixed styling. Fixed definitions not being returned. [Leonardo Galli]
- Rethought about where certain things are stored. [Leonardo Galli]
- Fix stuff regarding the ordering of Fields. [Leonardo Galli]
- Fix migration to include ConfigContract and EnableAuto. Also fixed redirects on lists. [Leonardo Galli]
- Second UI Pass, Testing now works and other little things. [Leonardo Galli]
- Fix up presets. [Leonardo Galli]
- Make presets work for RSS Import :) [Leonardo Galli]
- Add CP list class. [Leonardo Galli]
- Migration migrainetion. [Devin Buhl]
- Couchpotato API classes. [Devin Buhl]
- WIP UI Update for adding lists. [Leonardo Galli]
- Basis of UI Update. [Leonardo Galli]
- Add base for netimport api. Still nothing on the UI side. [Leonardo Galli]
- Imdbid parsing works now from url. [Leonardo Galli]
- Big Abstraction for IMDBWatchlist -> RSSImport (With a test) [Leonardo Galli]
- Whoops, only parse title once. [Devin Buhl]
- Few changes. [Devin Buhl]
- Initial autoimporter commit. [Devin Buhl]


## v0.2.0.238 (2017-01-26)

### **New features**
- Update GeneralViewTemplate.hbs. [Jordan]
- Change lang in UI to what profile / lang they choose when they add a movie. [Devin Buhl]
- Update JoinProxy.cs. [hotio]
- Update Plex Movie Sections. [vertigo235]
- Update slack for movies. [vertigo235]

### **Fixes**
- Moviefile, what movie file? (#466) [vertigo235]
- Remove mofilefile id for now (#464) [vertigo235]
- Download Movie Quality & Formatting. [vertigo235]
- Custom Script Fix: Parse movie not episode. [vertigo235]
- Fixes issue #447 (Notification Icon for Join) [hotio]
- Only use internal for RSS Sync. [Devin Buhl]
- Include only internal for AHD. [Devin Buhl]
- Fix new rss-sync threshold. [schumi2004]


## v0.2.0.226 (2017-01-24)

### **New features**
- Update README.md. [Leonardo Galli]
- Update to favicon section, according to (#416) [hotio]
- Update default sort order (#429) [Devin Buhl]
- Updated ico files. [hotio]
- Update UI logos. [hotio]

### **Fixes**
- "fixed" error message. [Devin Buhl]
- Add link to Activity -> History Tab (#408) [Tim Turner]
- Allow renaming of movies that don't have an "Edition" (#432) [Tim Turner]
- #292 - Allow longer threshold for RSS Sync (#428) [Devin Buhl]
- Add year to search (#425) [Devin Buhl]
- Initial Notification Updates and Support (#401) [vertigo235]
- Fixes an issue where movies with (year) at the beginning were recognized with a title of "(" [Leonardo Galli]
- Blind fix to support seperator in movie tags. [Leonardo Galli]
- Fix issue with certain audio streams. Should fix #404. [Leonardo Galli]
- Add {Tags} to renaming options. [Leonardo Galli]
- Fix when libgdiplus isn't present. [Leonardo Galli]
- Proper ico and favicon. [hotio]
- Fix issue where monitored movies were still downloaded. Fixes #326. [Leonardo Galli]


## v0.2.0.210 (2017-01-22)

### **New features**
- Update localstorage key prefixes. [Tim Turner]
- Change Forms Auth Cookie. Fixes #285. [Leonardo Galli]
- Update README.md. [Leonardo Galli]

### **Fixes**
- Fixes issue when multiple audio channels are present. Fixes #315 Fixes #294. [Leonardo Galli]
- Fix duplicate key prefixing. [Tim Turner]
- Prefix localstorage keys with "Radarr" [Tim Turner]
- Optimized logo (#375) [hotio]
- Set update interval to 30 minutes if on nightly. [Leonardo Galli]
- Prefix Keys with "Radarr" [Tim Turner]
- Add more filter options to movie list. [Devin Buhl]
- Search selected button in wanted tab works. [Vlad Ilies]
- Fix #228 - Fix Drone Factory interval input not saving. [Tim Turner]
- Fix Corruped Media Cover Images. [Leonardo Galli]


## v0.2.0.196 (2017-01-20)

### **New features**
- Update MovieModule. [Leonardo Galli]
- Update ISSUE_TEMPLATE.md. [Leonardo Galli]
- Update sizing information in settings tab. [Leonardo Galli]

### **Fixes**
- Should fix 4K releases not getting parsed. [Leonardo Galli]
- Adds 'Movie Title, The' filename option (#359) [Krystian Charubin]
- Fix issue when movie file is null. [Leonardo Galli]
- Should fix upgrading of existing movie files. [Leonardo Galli]
- Add tests for 4K quality. [Leonardo Galli]
- Hopefully a fix for corrupt media covers. [Leonardo Galli]
- Fixed blacklist being ignored by download decision maker. [Leonardo Galli]
- Add helptext to nzbget "add paused" settings. (#363) [vertigo235]
- Add year to quick search results. [Devin Buhl]
- Fix issue with reimporting on movie fresh (#357) [Tim Turner]
- Fix MediaCoversUpdatedEvent broadcast. [Tim Turner]
- Bug fix for 15 movie wanted tab (#348) [Vlad Ilies]
- Blacklisting works now. [Leonardo Galli]


## v0.2.0.182 (2017-01-18)

### **New features**
- Update height of posters to accomodate additional labels. [Tim Turner]
- Update SkyHookProxy.cs. [Leonardo Galli]
- Update Test Files for AddPaused to NZBGET. [vertigo235]

### **Fixes**
- Fix pushover priority values. [vertigo235]
- Hopefully fix issue when importing. [Leonardo Galli]
- Add download status to poster view. [Tim Turner]
- Add IMDb ID to file naming. [Devin Buhl]
- Fixed build. [Vlad Ilies]
- Basic implementation of the wanted tab (#31) [Vlad Ilies]
- Revert DownloadedMovieScanCommand to DownloadedEpisodesScanCommand. [Devin Buhl]
- Turn off scene mapping task #329, update TaskManager to use 'DownloadedMovieScanCommand' [Devin Buhl]
- Revert "Sonarr/sqlite updates" [Devin Buhl]
- Add "Add Paused" option for NZBGET downloader. [vertigo235]
- Upgraded System.Data.SQLite to 1.0.104.0. [Keivan Beigi]
- Revert "Upgraded System.Data.SQLite to 1.0.104.0" [Keivan Beigi]
- New: Upgraded SQLite binares for macOS. [Keivan]
- New: Upgraded SQLite binaries for Windows (3.16.0) [Keivan Beigi]
- Remove series references. [Leonardo Galli]
- Hopefully fix download ordering. [Leonardo Galli]
- Maybe this will solve the error. [Devin Buhl]


## v0.2.0.166 (2017-01-17)

### **New features**
- Updated website and donation links. [Leonardo Galli]
- Change Scheduled Refresh Series to Refresh Movie. Fixes #301. [Leonardo Galli]

### **Fixes**
- Fix Issue when adding some movies. [Devin Buhl]
- Hopefully fix RSSSync. [Leonardo Galli]
- Fix publish date #239. [Devin Buhl]
- Fix: Issue #91 - "Search All Missing" wording. [Aenima99x]
- Add Support for changing file date to either cinema or physical release. [Leonardo Galli]
- Fix for movies with . in title when importing them. Fixes #268. [Leonardo Galli]
- Remove - as replacement for : [Leonardo Galli]
- Fix only one movie showing. Fix more button not showing up. [Leonardo Galli]
- Fix Audiochannels just being added together. [Leonardo Galli]
- Clean up rename preview & organize. [Tim Turner]
- Disambiguate Movie from Episode Renaming. [Tim Turner]


## v0.2.0.152 (2017-01-16)

### **New features**
- Added movie studio to movie details page (#262) [Vlad Ilies]
- Update NewznabRequestGenerator.cs. [Leonardo Galli]
- Update README.md. [Leonardo Galli]
- Added trailer link to movie links (#255) (#282) [Vlad Ilies]
- Update README.md. [Leonardo Galli]
- Update .gitignore and remove Thumbs.db files (#276) [hotio]
- Update README.md (#271) [hotio]
- Update README.md. [hotio]
- Update README.md. [hotio]

### **Fixes**
- Fix for hardcoded subs regex. [Leonardo Galli]
- Add Calendar Tab back. Fixes #32. [Leonardo Galli]
- Removed duplicate PublishDate. [Devin Buhl]
- Add support section to README (#281) [hotio]
- First pass at hiding existing movies upon import. [Tim Turner]
- Reworked README (#280) [hotio]
- Move Travis builds to container-based infrastructure (#273) [Mitchell Cash]
- Adding only original title is now allowed. Fixes #272. [Leonardo Galli]
- Fix for special characters when searching with title in Newznab. Fixes #97. [Leonardo Galli]
- Add {Original Title} to FileNameBuilder. Fixes #103. [Leonardo Galli]
- Release Group should now be available for renamer to use. [Leonardo Galli]
- 95% done with hiding existing movies. [Tim Turner]
- Cleanup README. [Mitchell Cash]


## v0.2.0.134 (2017-01-14)

### **New features**
- Update CompletedDownloadService.cs. [Devin Buhl]
- Added more checks when tracking downloads. It should work now, even if history was not present. [Leonardo Galli]
- Update uTorrent to be able to use it as download client. [Leonardo Galli]
- Update Torznab to work with movies. [Devin Buhl]
- Update movie monitor tooltip (#223) [vertigo235]
- Update readme.md. [Leonardo Galli]

### **Fixes**
- Add in theaters to 1st coumn in movie list. [Devin Buhl]
- Simply completed download service. [Devin Buhl]
- Fixed TitleSlug For Realz! [Devin Buhl]
- Torpotato username regression. [Devin Buhl]
- Fixed exception when Quality meets cutoff. [Leonardo Galli]
- Fix history items getting deleted because they do not have a series id. [Leonardo Galli]
- If this does not fix stuff with no history, I have no clue anymore. [Leonardo Galli]
- Use MediaInfo to correctly identify quality when scanning disk as some file names may not contain the real quality. [Leonardo Galli]
- Should help identify problem with queue trying to reimport stuff. [Leonardo Galli]
- Should fix issue when history fails to capture a download item. [Leonardo Galli]
- Use DOGnzb name as the default rather than the URL (#250) [Mitchell Cash]
- Disable migration 117, takes too long to complete. [Leonardo Galli]
- Remove file count, unecessary after the file info tab was added. [Leonardo Galli]
- Fix epic fail on migration 117. [Leonardo Galli]
- Parsing of SABnzbd develop version. [Mark McDowall]
- Add rss sync to awesome-hd. [Devin Buhl]
- Files tab is now present. (#245) [Leonardo Galli]
- Revert "Fix movie title slugs" [Devin Buhl]
- Revert TMDBResources. [Devin Buhl]
- Fix Movie Title Slugs #233. [Devin Buhl]
- This conditional makes more sense. [Devin Buhl]
- #236 #239 - Fixed user being needed, fixed age on torrentpotato. [Devin Buhl]
- Add Missing Filter (#237) [William Comartin]
- Finally fix for sorting title (hopefully) [Devin Buhl]
- Clean up QBitTorrent. [Devin Buhl]
- Clean up rTorrent. [Devin Buhl]
- Clean up Transmission. [Devin Buhl]
- Clean up Deluge Settings. [Devin Buhl]
- Initial awesomeHD support. [Devin Buhl]
- Queue Service should now work properly again. [Leonardo Galli]
- DownloadMonitoringService should now not care about deleted movies. Fixes #131. [Leonardo Galli]
- Downloaded column should now use the correct quality name.                   Fixes #210. [Leonardo Galli]
- Stop incrementing version for pull requests. [Mike]
- Omgwtfnzbs: fixed parsing of GetInfoUrl and updated tests. [Tim Schindler]
- Improved categories, added Nzb-Tortuga as a preset. [Devin Buhl]


## v0.2.0.99 (2017-01-12)

### **New features**
- Update UserAgentBuilder.cs. [Devin Buhl]
- Update Parser to support large array of Extended, Director, Collectors, ... Cut, Edition, etc. [Leonardo Galli]
- Change Sonarr to Radarr in CLA.md and CONTRIBUTING.md. [William Comartin]
- Change Sonarr to Radarr in Help Text, and in Notification Text Change sonarr log files to radarr log files. [William Comartin]
- Update sortValue when selecting movie for manual import. [Tim Turner]

### **Fixes**
- Fixed sorting in movie list view. Also added new downloaded quality column. [Leonardo Galli]
- Should fix ordering of releases. Fixes #147 (hopefully) [Leonardo Galli]
- Should fix queueService failed while processing. [Leonardo Galli]
- Add UHD to default movie categories for newsnab providers. [Devin Buhl]
- Movies in list don't sort correctly #174. [Devin Buhl]
- Replace Sonarr With Radarr in UI Directory. [William Comartin]


## v0.2.0.85 (2017-01-11)

### **New features**
- Update parser to recognize [] and year at the beginning. Fixes #155, fixes #137 and fixes #136. [Leonardo Galli]
- Update plex movie libraries instead of series. [Devin Buhl]
- Update readme.md. [Neil]
- Update readme.md. [Leonardo Galli]

### **Fixes**
- Now hidden files are ignored :). Fixes #166. [Leonardo Galli]
- Fix sorting of unkown release date. [Leonardo Galli]
- Sorting now working according to quality in release collection. Fixes #85. [Leonardo Galli]
- Correctly check if inCinemas date is present. Creates issue with sorting, but eh. Fixes 140. [Leonardo Galli]
- Problem with Avatar (2009) #168. [Devin Buhl]
- Clean up basic movie naming. [Tim Turner]
- Fix some spelling mistakes and update the newznab api 'imdbid' [Devin Buhl]
- Fixes Manual Import and DroneFactory. [Tim Turner]
- Manual Import works. [Tim Turner]
- Aarch64 docker container added to readme. [Neil]
- Removed indexer Fanzub - site shutdown. [Devin Buhl]
- #146 search imdbid for usenet indexers that support it. [Devin Buhl]
- Get rid of unnecessary AppVeyor builds. [Mike]
- Add category 2035 to Newznab providers for WEB-DL search support. #123. [Devin Buhl]
- Fix transmission. [Devin Buhl]


## v0.2.0.61 (2017-01-10)

### **New features**
- Update SystemLayout.js. [lxh87]
- Update readme.md. [Leonardo Galli]
- Update Info page. [Tim Turner]
- Added MovieFileResource. This allows the UI to interact with movie files better. Downloaded Quality is now shown in the table. [Leonardo Galli]

### **Fixes**
- Fix Wombles for movies. [Devin Buhl]
- Clean up Feature Requests. [Tim Turner]
- Fix #108 - Links to IMDB not working when searching for movies. [Devin Buhl]
- Fix download rejections being ignored. [Leonardo Galli]
- Fixes #104 - Backup/update fail Access to the path "/tmp/nzbdrone_backup/config.xml" is denied. [Devin Buhl]
- Fixes #100 - When adding a movie, monitored toggle doesn't apply and always defaults to being monitored. [Devin Buhl]


## v0.2.0.45 (2017-01-10)

### **New features**
- Updated legend with number of movies. [Leonardo Galli]
- Update legend for missing status colors. [Leonardo Galli]
- Update sample detection runtime minutes. Some trailers can be long. [Leonardo Galli]

### **Fixes**
- Fix issues with media managment config not getting saved. [Leonardo Galli]
- Movie Editor works now. Fixes #99. [Leonardo Galli]
- Fixes a few things with importing: Sample check is done even when file is already in movie folder. Fixed importing of movies with "DC". [Leonardo Galli]
- Fix queue specification. [Leonardo Galli]
- Movie search should now work, even when titles returned from the TMDB do not have a release date set. Fixes #27. [Leonardo Galli]
- History now correctly shows movie title. Fixes #92. [Leonardo Galli]
- Redownloading failed downloads works again. Fixes #89. [Leonardo Galli]
- Use correct Modal for editing movies in table view. Fixes #90. [Leonardo Galli]
- Replace Sonarr with Radarr in Test notification messages. [schumi2004]


## v0.2.0.32 (2017-01-09)

### **Fixes**
- Fixes an issue with movies not being added with same title slug as existing movies. [Leonardo Galli]
- Fix some links under status. Needs further changing further down the line. [Leonardo Galli]
- Organize & Rename work. [Tim Turner]
- Fix for importing movie folders with the at the end. [Leonardo Galli]
- Taking another pass at organization/renaming. [Tim Turner]
- Unable to properly parse many movie titles. [Tim Turner]
- Second Pass at rename/organize. [Tim Turner]
- Display UI for MovieEditor, remove reference to SeasonPass. [Tim Turner]


## v0.2.0.27 (2017-01-09)

### **New features**
- Update Parser to support 576p movies, fixes #67. [Leonardo Galli]
- Update rss sync and fix search for omgwtfnzbs indexer. [Tim Schindler]
- Added PassThePopcorn indexer (#64) [Devin Buhl]
- Update SkyHookProxy.cs. [Leonardo Galli]
- Update SonarrCloudRequestBuilder.cs. [Leonardo Galli]

### **Fixes**
- Remove some indexers and fixed HDBits (#79) [Devin Buhl]
- Fixes Parser to match ImdbId as well as (year). [Leonardo Galli]
- Fixes movies not being able to be searched for. [Leonardo Galli]


## v0.2.0.18 (2017-01-08)

### **New features**
- Update readme.md. [Mike]
- Change name from updated message. [Leonardo Galli]
- Change default branch in config. (#63) [Mike]
- Change Sonarr / NzbDrone auto-updater stuff to Radarr. (#61) [Mike]
- Update UI to display download status. [Leonardo Galli]

### **Fixes**
- Remove hacky way to change branch. [Leonardo Galli]
- Fixed multiple things in the Update procedure. [Leonardo Galli]
- Available date is now displayed. [Leonardo Galli]
- Adding first implementation of release_dates for movies. [Leonardo Galli]
- Fix Service install, when Sonarr is also present. Fixes #55. [Leonardo Galli]
- Fixes sorting of movies. Fixes #53. [Leonardo Galli]


## v0.2.0.2 (2017-01-08)

### **New features**
- Change tvsearch to movie. (#46) [Mike]
- Update import UI & parse titles which contain years. [Tim Turner]
- Update default formats. [Tim Turner]
- Update services url to fix auto-updater. [AeonLucid]
- Update naming management. [Tim Turner]
- Update package.sh to support OSX AutoUpdater. [Leonardo Galli]
- Update package.sh and PathExtensions in preparation for AutoUpdater. [Leonardo Galli]
- Updated all AssemblyInfos so version info only needs to be changed once. [Leonardo Galli]
- Update package.sh, fixes #35. [Leonardo Galli]
- Changed nzbs.org category for movies. [Tim Schindler]
- Update TorrentPotatoRequestGenerator.cs. [Devin Buhl]
- Update readme.md. [Leonardo Galli]
- Change version number to 0.1.0. [Leonardo Galli]
- Updated Interval to scan for finished downloads to .25 minutes. [Leonardo Galli]
- Update ISSUE_TEMPLATE.md. [Leonardo Galli]
- Update .travis.yml. [Leonardo Galli]
- Update build.sh. [Leonardo Galli]
- Update background logo. [Tim Turner]
- Update background logo and poster. [Tim Turner]
- Update logos. [Tim Turner]
- Updated index page for movies. [Leonardo Galli]
- Update readme.md. [Leonardo Galli]
- Added TorrentPotato Indexer. [Leonardo Galli]
- Updated Newznab to correctly identify movie search capabilities. [Leonardo Galli]
- Added the TMDB Configuration service. This allows Image urls to be dynamically generated! [Leonardo Galli]
- Update NzbGet & NewznabSettings to support movies. [Tim Turner]
- Updated Parser to parse movie titles. Should also parse things, such as: Director's Cut, Special Edition, etc. This is then displayed in the manual search UI. Importing is not yet updated for the new parser! [Leonardo Galli]
- Update readme.md. [Leonardo Galli]
- Changes name to Radarr in system tray icon. [Leonardo Galli]
- Updated package.sh for Travis. [Leonardo Galli]
- Added Script for easier packaging. [Leonardo Galli]
- Update readme.md. [Leonardo Galli]
- Update .travis.yml. [Leonardo Galli]
- Update .travis.yml. [Leonardo Galli]
- Update .travis.yml. [Leonardo Galli]
- Update readme.md. [Leonardo Galli]
- Changed the name in the UI to Radarr. [Leonardo Galli]
- Update readme.md. [Leonardo Galli]
- Update readme.md. [Leonardo Galli]
- Updated some text to say movies instead of series. [Leonardo Galli]
- Added first iteration of adding movies. [Leonardo Galli]
- Update readme.md. [Leonardo Galli]
- Added NoOp Performance Counter Manager. [Keivan Beigi]
- Added test for 4 digit season number and series title with year. [Mark McDowall]
- Added Visual Studio folder (.vs) to the ignore file. [Thijs Tijsma]
- Added additional gdiplus check. [Taloth Saldono]
- Update CONTRIBUTING.md. [Mark McDowall]
- Added and fixed qBittorent tests. [Mark McDowall]
- Added TODO to remove ToPP SABnzbd status. [Mark McDowall]
- Update omgwtfnzbs URL. [Mark McDowall]
- Added Sonarr-icon to Boxcar notification. [karaambaa]
- Added additional categories to NZBFinder preset. [Taloth Saldono]
- Changed exit statement to "Press enter to exit..." to match use of ReadLine() (#1425) [Ashley Broughton]
- Changed startup loglevel to avoid incorrect sonarr.debug/trace log entry. [Taloth Saldono]
- Added .editorconfig. [Taloth Saldono]
- Added additional index to episodes table to speed up certain queries. [Taloth Saldono]
- Updated NZBFinder URL. [Fossil]
- Added better log message when indexer reached daily grab limit. [Taloth Saldono]
- Updated WEB regex. [Taloth Saldono]
- Updated NLog to 4.3.4. [Taloth Saldono]
- Updated to support Hadouken v5.1 and above. [phrusher]
- Added round-robin over httpbin.org hosts for httpclient tests. [Taloth Saldono]
- Added logging of Sonarr API calls. [Taloth Saldono]
- Update HttpAccept.Rss to include application/xml. [Mark McDowall]
- Update package.json license expression (#1242) [Sam Holmes]
- Updated NzbGet tests. [Taloth Saldono]
- Updated NLog to 4.3.0-rc1. [Taloth Saldono]
- Updated OS X startup script to work with macports mono. [GΛVĪN]
- Added support for FormData (AddFormParameter and AddFormUpload), which automatically gets converted to multipart/form-data or application/x-www-form-urlencoded. [Taloth Saldono]
- Updated FluentValidation. [Mark McDowall]
- Update CONTRIBUTING.md. [Mark McDowall]
- Added version to logged exceptions. [Taloth Saldono]
- Added TorrentRss test for ExtraTorrents, no other changes. [Taloth Saldono]
- Added DrunkenSlug and SimplyNZBs as Newznab presets. [Taloth Saldono]
- Updated db migration testing framework so we only run migrations up to the one we're testing. [Taloth Saldono]
- Updated NLog to v4.2.3. [Taloth Saldono]
- Added additional tier to search for daily series type on BTN to find faux-daily series with SxxExx groups instead of date groups. [Taloth Saldono]
- Updated URL rewriter to handle torcache Referer weirdness. [Taloth Saldono]
- Updated SharpZipLib to include patches made since the last official release. [Taloth Saldono]
- Added nuget.exe to tools. [Keivan Beigi]
- Update year range to 2016. [Prayag Verma]
- Updated npm packages. [Keivan Beigi]
- Changed torrent blackhole message. [Mark McDowall]
- Update readme.md. [Keivan Beigi]
- Update CONTRIBUTING.md. [Mark McDowall]
- Added support for tvmaze. [Taloth Saldono]
- Added support for querying newznab with multiple ids in one query. [Taloth Saldono]
- Added tiered indexer requests to support fallback to wildcard queries. [Taloth Saldono]
- Updated Selenium to 2.48. [Taloth Saldono]
- Added lazy load. [Keivan Beigi]
- Added source map to css files. [Keivan Beigi]
- Added missing property to CommandResource. [Taloth Saldono]
- Added shim for _ [Keivan Beigi]
- Updated spinner visualization. [Taloth Saldono]
- Added link to existing series in add series view. [Taloth Saldono]
- Added support for custom UI folder. [Keivan Beigi]
- Added support for live reload. [Keivan Beigi]
- Added rarbg error code for unknown series. [Taloth Saldono]
- Updated npm packages. [Keivan Beigi]
- Added phantom support in gulp. [Keivan Beigi]
- Update plex token cache when password is changed. [Mark McDowall]
- Added robots.txt. [Taloth Saldono]
- Updated migration number to 90. [Keivan Beigi]
- Update the kickass url to https://kat.cr. [Keivan Beigi]
- Updated FluentAssertion to 3.4.0. [Keivan Beigi]
- Updated readme.md. [Keivan Beigi]
- Update UpdateApp.cs. [Michael Tesch]
- Updated Rarbg to api v2. [Taloth Saldono]
- Updated Rarbg to use ratelimit service. [Taloth Saldono]
- Added RateLimit service to globally manager short duration ratelimits. [Taloth Saldono]
- Updated MediaInfo to 0.7.74 (Windows and OS X) [Mark McDowall]
- Added tests and refactored TorrentRss code. [Taloth Saldono]
- Added advanced torznab option to disable rageid lookups for trackers only supporting title queries. [Taloth Saldono]
- Updated kickass url... again. [Taloth Saldono]
- Updated MediaInfo code for syno/linux. [Taloth Saldono]
- Updated Container to handle Singleton Implementations instead of Singleton Interfaces. [Taloth Saldono]
- Changed the way the Database is registered with TinyIoC to make Logdb and future cachedb more accessible. [Taloth Saldono]
- Added Nzbget version check for 12.0 or higher. [Taloth Saldono]
- Added another nzbgeek hashed pattern. [Taloth Saldono]
- Update test for redirect diagnostic. [Taloth Saldono]
- Added tooltip to Episode Delete button. [Taloth Saldono]
- Added NZBFinder.ws as optional Indexer. [bdegier]
- Added SVG logo. [Mark McDowall]
- Update CONTRIBUTING.md. [Mark McDowall]
- Added info to explain Generic providers such as Newznab. [Taloth Saldono]
- Updated stripbom. [Taloth Saldono]
- Updated zero.clipboard to fix copy to clipboard function for requirejs. [Taloth Saldono]
- Update UI will still load if no updates are available. [Mark McDowall]
- Added test to check Config behavior. [Taloth Saldono]
- Added FolderWritable to DiskProvider to centralize the check. [Taloth Saldono]
- Updated download url in UpdateServiceFixture. [Keivan Beigi]
- Updated html doctype. [Keivan Beigi]
- Added alias for vent. [Keivan Beigi]
- Added back version check on ajaxSuccess. [Keivan Beigi]
- Updated exception handler to ignore certain types of exceptions. [Taloth Saldono]
- Update jquery to 1.11.2. [Keivan Beigi]
- Updated npm packages. [Keivan Beigi]
- Updated to webpack 1.5.3. [Keivan Beigi]
- Added test case for 19-2 (2014) [Mark McDowall]
- Added comment to piwik.js about its usage. [Mark McDowall]
- Added startup script to osx update package. [Keivan Beigi]
- Added Logentries to track down automatic upgrade issues. [Keivan Beigi]
- Added tooltip to say analytics requires a restart to take effect. [Mark McDowall]
- Added missing using. [Keivan Beigi]
- Added StringLiteral as an acceptable identifier for sqlite migrations. [Keivan Beigi]
- Added broken migration test. [Keivan Beigi]
- Update usages of nzbdrone.com to sonarr.tv. [Keivan Beigi]
- Update readme.md. [Keivan Beigi]
- Update readme.md. [Keivan Beigi]
- Added before migration hook, this can be used to insert "old" data into test Db. [Keivan Beigi]
- Updated OS X start .app script. [kay.one]
- Update OS X plist/script. [kay.one]
- Added poweshell script to package osx app. [Keivan Beigi]
- Update control. [Keivan Beigi]
- Update control. [Keivan Beigi]
- Updated MediaInfo to 0.7.71 (OSX) [Keivan Beigi]
- Changed default categories from tv-drone to tv-sonarr. [Mark McDowall]
- Updated MediaInfo to 0.7.71. [Keivan Beigi]
- Changed basic auth prompt to Sonarr. [Mark McDowall]
- Changed UserAgent to Sonarr. [Mark McDowall]
- Updated NzbDrone to Sonarr in notifications. [Mark McDowall]
- Updated transaction locks to be defered. [Keivan Beigi]
- Updated FluentValidation 5.4.0 > 5.5.0. [Keivan Beigi]
- Updated Selenium 2.43.1 > 2.44.0. [Keivan Beigi]
- Updated restsharp to 6.0.5 -> 6.0.6. [Keivan Beigi]
- Updated System.Data.SQLite.dll to 1.0.94. [Keivan Beigi]
- Updated sqlite to 2014-11-19 (3.8.7.2) [Keivan Beigi]
- Updated Kickass Url to new TLD. [Taloth Saldono]
- Added debug message for transmission version info. [Mark McDowall]
- Added OsPath to handle OS agnostic path handling. [Taloth Saldono]
- Added support for Hardlinking instead of Copy. [Taloth Saldono]
- Updated npm packages. [Keivan Beigi]
- Added on SeriesResource. [Mark McDowall]
- Updated notification titles to sonarr. [Keivan Beigi]
- Update NzbDroneController.js. [delphiactual]
- Update SysTrayApp.cs. [delphiactual]
- Update index.html. [delphiactual]
- Added trackingId to queue. [Mark McDowall]
- Updated require mono version to 3.10. [Keivan Beigi]
- Updated debian meta data. [Keivan Beigi]
- Update CONTRIBUTING.md. [Mark McDowall]
- Updated Selenium. [Mark McDowall]
- Added ExceptronIgnoreOnMono and ExceptronIgnore extention methods. [Keivan Beigi]
- Added some logging to shutdown process. [Keivan Beigi]
- Added fluent FluentMigrator.Runner as nuget packages. [Keivan Beigi]
- Updated fluentassertion/fluentmigrator. [Keivan Beigi]
- Updated nunit to 2.6.3. [Keivan Beigi]
- Updated json.net to 6.0.5. [Keivan Beigi]
- Added deleted filter to history. [Mark McDowall]
- Updated HttpResponse to support binary content. [Taloth Saldono]
- Updated page title to be lowercase. [Keivan Beigi]
- Added IndexHtmlIntegrationFixture. [Keivan Beigi]
- Added cache breaking based on hash rather than version. [kayone]
- Updates to static pipeline. [kayone]
- Added imageMin task. [kayone]
- Update readme.md. [Keivan Beigi]
- Updated .net download link to point to 4.5.2. [kayone]
- Added additional test to check retry interval. [Taloth Saldono]
- Updated reference path for fluentmigrator. [kayone]
- Updated fluentmigrator. [kayone]
- Updated moq. [kayone]
- Updated json.net. [kayone]
- Updated AutoMoq. [kayone]
- Updated signalr client. [kayone]
- Update build.ps1 for updated json.net. [kayone]
- Updated json.net. [kayone]
- Updated Selenium.Support. [kayone]
- Updated fluentassertion. [kayone]
- Updated fluentvalidation. [kayone]
- Added some resilience in the GetCurrentProcess calls so it doesn't cause a Fatal exit. [Taloth Saldono]
- Added warning to Sabnzbd Client Test to disable the sabnzbd pre-check option. [Taloth Saldono]
- Added MediaInfo to EpisodeFile. [Taloth Saldono]
- Update series test. [Mark McDowall]
- Added implementation of IRuntimeProvider for Windows. [Mark McDowall]
- Added more resolutions for 1080p releases. [Mark McDowall]
- Added additional rules to cleanse confidential details from log file messages. [Taloth Saldono]
- Added UserAgent to RestClient. [Taloth Saldono]
- Updated NotInQueueSpecification Tests. [Taloth Saldono]
- Added hint for tvdb: imdb: search prefixes. Also fixed the series title overflow issue. [Taloth Saldono]
- Updated test logic to report exceptions gracefully. [Taloth Saldono]
- Added ParsedEpisodeInfo properties to ReleaseResource. [Mark McDowall]
- Changed scene mapping log entry from Info to Debug to avoid spamming the log every minute. [Taloth Saldono]
- Changed the way additional validation details get sent the UI. [Taloth Saldono]
- Updated sorting architecture so the collections can specify the sort-oddities instead of in backgrid column definitions. [Taloth Saldono]
- Added Series SortTitle Migration. (Left a slot for anime) [Taloth Saldono]
- Added tests for Roksbox and Wdtv metadata. [Mark McDowall]
- Changed code to avoid duplicates making their way into the TrackedDownload cache. [Taloth Saldono]
- Changed health check to send user to appropriate scenario on Wiki. Also added support to Nzbget to get the Category config. [Taloth Saldono]
- Added some logging to PlexServerProxy. [Mark McDowall]
- Updated migration to enable completed download handling for new users (those with no drone factory configured) [Taloth Saldono]
- Updated migration to attempt associate old grabbed & imported events and associate drone factory imports during CompletedDownloadHandling. [Taloth Saldono]
- Added db migration to deal with the settings changes. [Taloth Saldono]
- Added 'Nordic' as norwegian language. [Taloth Saldono]
- Added tests for RootFolderCheck. [Mark McDowall]
- Added poorly named multi episode test (commented out) [Mark McDowall]
- Updater will stop process by ID on mono. [Mark McDowall]
- Added support for smaller screens (if needed) [Mark McDowall]
- Updater log filename changed and restart drone with --nobrowser. [Mark McDowall]
- Update improvements. [Mark McDowall]
- Updated Selenium WebDriver to 2.41.0.0. [Taloth Saldono]
- Changed the setting to auto-unmonitor deleted episodes and recycle bin path so they are visible in basic mode. [Taloth Saldono]
- Updated tests to work better with VS2013 Test Adapter. [Taloth Saldono]
- Added test to confirm Release Group: Cyphanix parses properly. [Mark McDowall]
- Update series logging improvements. [Mark McDowall]
- Added more logging for series editor. [Mark McDowall]
- Added SkipFreeSpaceCheckWhenImporting to resource so it can be saved. [Mark McDowall]
- Added some stopwatches for disk scanning. [Mark McDowall]
- Added support for WDTV metadata.  Correctly writes out xml files for episode metadata, .metathumb files (jpegs) for episode stills and folder.jpgs for series / season images. [Andrew Chappell]
- Added iCal feed for the calendar, reachable through /feed/calendar/NzbDrone.ics or through the calendar page. [Peter Czyz]
- Added DLL map for media info on solaris. [Mark McDowall]
- Added Mono version health check. [Mark McDowall]
- Added info to device id for push over. [Mark McDowall]
- Update messenger instance if it was already created. [Mark McDowall]
- Added TestArchive.tar.gz. [Mark McDowall]
- Added Series Scanned Event. [Mark McDowall]
- Added EpisodesWithFiles to get episodes in a serires that have an episode file. [Mark McDowall]
- Added help text to Nzbget and Sab priority settings. [Mark McDowall]
- Updated SQLite to 3.8.3.1 (Windows) [Mark McDowall]
- Added index to History on date. [kayone]
- Added some missing indexes database. [kayone]
- Updated project config. [kayone]
- Added OSX dylibs for Sqlite. [kayone]
- Updated sqlite binaries to 3.8.1. [kayone]
- Added test to verify 'like' clause and fixed issue. [Taloth Saldono]
- Added tests to verify Marr.data changes. Fixed nested LazyLoading. [Taloth Saldono]
- Changed some special characters to more sane values in file names. [Mark McDowall]
- Added size information when Size spec rejects import. [Mark McDowall]
- Changed trakt test to use Castle instead of Dexter. [Mark McDowall]
- Changed how running a process and waiting for exit is handled. [Mark McDowall]
- Added MinSize check and revised tests. [Taloth Saldono]
- Changed args to find process information by id. [Mark McDowall]
- Added shutdown and restart buttons to system UI. [Mark McDowall]
- Added RescanSeries command. [markus101]
- Updated QualityProfile to contain a list of Items each with a 'Allowed' bool. [Taloth Saldono]
- Added a tooltip to allowed. [Mark McDowall]
- Added warning to permissions. [markus101]
- Changed buttons on series/logs views to look less cramped. [markus101]
- Added sourceTitle to failed downloads. [Mark McDowall]
- Added CLA and CONTRIBUTING.md files. [Mark McDowall]
- Added .ogv as a file extension. [Mark McDowall]
- Added using statement. [Icer Addis]
- Added link to teamcity. [Mark McDowall]
- Added test for series folder name. [Mark McDowall]
- Update readme.md. [Keivan Beigi]
- Update readme.md. [Keivan Beigi]
- Updated readme. [Keivan Beigi]
- Added help text to Series Folder Format. [Mark McDowall]
- Added dllmap for mediainfo freebsd. [Mark McDowall]
- Added logging when folder quality is parsed. [Mark McDowall]
- Added test for HistoryRepository.Grabbed() [kayone]
- Added nzbindex.in to list of newznab indexers that require API Key. [kayone]
- Added missing GetResourceById to CalendarModule needed by signalr. [kayone]
- Added logging for signalr exception. [kayone]
- Updated full calendar to 1.6.4. [Mark McDowall]
- Added mono space font, cleaner UI for rename preview. [Mark McDowall]
- Added input validation around MoveFile. [kayone]
- Update integration test uses actual update package from develop. [kayone]
- Added branch version to generated setup file. [kayone]
- Updated build number, uninstall/reinstall service on install. [kayone]
- Update inno script. [kayone]
- Added single instance policy. [kayone]
- Added inno setup scripts. [kayone]
- Added caching to seasonEpisodePattern matching. [Mark McDowall]
- Added naming integration tests. [Mark McDowall]
- Added tests for when patter doesn't match our 'expected casing' [kayone]
- Added tooltips and link to wiki, also made it an advanced option. [Mark McDowall]
- Added wix binaries. [kayone]
- Updated wix script. [kayone]
- Changed pushbullet url to api.pushbullet.com. [Mark McDowall]
- Changed names. [Mark McDowall]
- Added shims for Deepmodel and modelbinder. [kayone]
- Updated nuget.exe. [kayone]
- Updated Nuget.targets. [kayone]
- Added signalR to Integration Test. [kayone]
- Added lost+found to SpecialFolders list. [Mark McDowall]
- Added basic wix manifest. [kayone]
- Added more multi-episode tests and support for them. [Mark McDowall]
- Added simple automation test. [kayone]
- Updated FluentValidation. [kayone]
- Update NLog, Restsharp, json.net. [kayone]
- Updated nancy to 0.21.1.0. [kayone]
- Updated OWIN to 2.0.1. [kayone]
- Added jshint to package.json. [kayone]
- Added jshint to package task. [kayone]
- Added jshint. [kayone]
- Added continuing/ended to series details. [Mark McDowall]
- Added name + year lookups. [Mark McDowall]
- Added option to disable blacklisting, both the queue check and the spec. [Mark McDowall]
- Added message to download failed history events. [Mark McDowall]
- Added message to failed history events. [Mark McDowall]
- Added some blacklist tests. [Mark McDowall]
- Updated as per markus request for viewing disk space. [fzr600dave]
- Added Disk space information to system. (cherry picked from commit 91625019378247b1c6ab85afaee23f2855e3298b) [fzr600dave]
- Added git attributes file to force LF endings. [Mark McDowall]
- Updates cleanup. [Mark McDowall]
- Updated to owin 2.0.0-rc1. [kayone]
- Added ConverterContext to marr Converters. [kay.one]
- Changelog will only show updates with notable changes. [Mark McDowall]
- Changelog is now available in the UI. [Mark McDowall]
- Updated donation link. [Mark McDowall]
- Added API key authentication. [Mark McDowall]
- Updated jshint options. [Keivan Beigi]
- Added ssl support (config file only) [Mark McDowall]
- Added search bar under nav bar to jump to series by searching. [Mark McDowall]
- Updated history/missing layout to use collection sync events. [kay.one]
- Adde json.net to update package. [kay.one]
- Updated restsharp. [kay.one]
- Added json.net refrence to nzbdrone.update. [kay.one]
- Added search button/menu to series details grid. [Mark McDowall]
- Added custom IntConverter to get around the mono bug. [Keivan Beigi]
- Added PushBullet notifications. [Mark McDowall]
- Added housekeeping to cleanup orphaned episodes and history items. [Mark McDowall]
- Added not found placeholder in add series. [Keivan Beigi]
- Added IE=edge header to IndexHtml. [Keivan Beigi]
- Updated CommandExecutedEvent to be handled sync. [kay.one]
- Added NMA support, also added generic HttpStatusCode handling. [Mark McDowall]
- Updated CommandExecutedEvent to be handled sync. [kay.one]
- Added /run/ to none-production start paths. [kay.one]
- Added folder logging to isproduction test. better process name detection in mono. [kay.one]
- Added test for command executed event. [kay.one]
- Added test for InheritFolderPermissions. [kay.one]
- Added sample check for remote episode. [kay.one]
- Added global NzbDrone namespace. [kay.one]
- Added torrent feature toggle. [Keivan Beigi]
- Added RSS support for torrents. [Keivan Beigi]
- Update episodes monitored state only when season changes. [Mark McDowall]
- Added test for mediainfo.dll. [kay.one]
- Added command equlity test. [Mark McDowall]
- Added isWindows to server status. [Mark McDowall]
- Added scheduled task for UpdateSceneMappingCommand. [Keivan Beigi]
- Added year to seaarch results. [Mark McDowall]
- Added year to SeriesResource. [Mark McDowall]
- Added test cop settings. [Keivan Beigi]
- Added history integration test. [kay.one]
- Added season pass link to index. [Mark McDowall]
- Added caching to SAB. [Mark McDowall]
- Update SQLiteMigrationHelperFixture. [kay.one]
- Added progress messaging, using info logging. [Mark McDowall]
- Added ProgressMessaging through nlog. [Mark McDowall]
- Added CommandStartedEvent. [Mark McDowall]
- Added CommandId to commands. [Mark McDowall]
- Updated logging/loggly. [Keivan Beigi]
- Added UpdateSceneMappingCommand to TaskManager. [Keivan Beigi]
- Updated FluentAssertions. [kay.one]
- Updated free space test. [kay.one]
- Added path validation to add series/ recent folders. [kay.one]
- Update control. [Keivan Beigi]
- Update control. [Keivan Beigi]
- Updated deb control file. [Keivan Beigi]
- Added some test for free space. [kay.one]
- Added logging to integration test runner for status call. [Keivan Beigi]
- Updated Owin to 2.0 RC1. [Keivan Beigi]
- Updated changelog to use token for build and branch. [Keivan Beigi]
- Updated deb changelog. [Keivan Beigi]
- Updated deb maintainer. [Keivan Beigi]
- Updated compat/install file for debian. [kay.one]
- Updated deb package files. [kay.one]
- Added spaces so the split works. [Mark McDowall]
- Added version to query string. [Mark McDowall]
- Added missing GetResourceById methods. [kay.one]
- Added history details modal. [Mark McDowall]
- Added more magic to fancy. it now automatically figures our response for PUT and POST based on request ID. [kay.one]
- Added input validation to quality profiles. [kay.one]
- Added integration tests to integration script. [Keivan Beigi]
- Updated tests_mono.sh. [Keivan Beigi]
- Added mono packaging to build script. [Keivan Beigi]
- Added support for offset when queries seasons in newznab, [kay.one]
- Added loading to recent folder list. [Mark McDowall]
- Added support for schema field validation. no UI support. [kay.one]
- Added more information to episode details. [Mark McDowall]
- Added cache pipelines. [kay.one]
- Added more logging when free disk space check fails on import. [Mark McDowall]
- Updated test script. [kay.one]
- Update will return after started, instead of waiting for exit. [Mark McDowall]
- Added nunit console runner script. [kay.one]
- Added basic signalr connection integration tests. [kay.one]
- Added RestSharpExtensions to help validate REST response. [kay.one]
- Updated SignalR.Owin. [kay.one]
- Added .iso and .m2ts to known media file extensions. [kay.one]
- Updated debian files. [Keivan Beigi]
- Added logging to nzbdrone runner. [kay.one]
- Updated NzbDroneRunner. [kay.one]
- Updated nuget.exe to 2.6. [kay.one]
- Updated path for integration test. [kay.one]
- Added owin references to hosting. [kay.one]
- Added references to Owin and Owin.Host.HttpListener. [Mark McDowall]
- Update js libraries. [kay.one]
- Update readme.md. [Keivan Beigi]
- Update readme.md. [Keivan Beigi]
- Added option to not auto download propers. [Mark McDowall]
- Added examples to naming settings. [Mark McDowall]
- Added default ports for notifications. [Mark McDowall]
- Added commands to delete logs and log files (separately) [Mark McDowall]
- Added size to episode downloaded tooltip. [Mark McDowall]
- Updated decision logic to prioritize smaller releases of equal quality. [Keivan Beigi]
- Added latest button to Season Pass. [Mark McDowall]
- Added page loading animation while the app is loading. [kay.one]
- Updated test package to use the same libs as the update package. [kay.one]
- Update season episodes from season pass. [Mark McDowall]
- Added season pass for toggling monitored status of seasons. [Mark McDowall]
- Update errors shouldn't re-run updater 30 seconds later so we'll catch the error. [Mark McDowall]
- Added indexer name to manual search. [Mark McDowall]
- Added seasons to top of series details (toggling and jump to) [Mark McDowall]
- Added json reference to NzbDrone.exe. [Keivan Beigi]
- Added DateHeaderCell to prevent drunk sorting on null dates. [Mark McDowall]
- Updated project output for core/common to _output. [kay.one]
- Added categories to newznab section. [Mark McDowall]
- Updated FluentMigrator. [Keivan Beigi]
- Updated FluentValidation. [Keivan Beigi]
- Updated lodash. [Keivan Beigi]
- Added day view to calendar. [Mark McDowall]
- Added series stats to footer. [Mark McDowall]
- Added links and api key links to notifications. [Mark McDowall]
- Added NoOpPerformanceCounterManager for signalr so linux doesn't blowup. [Keivan Beigi]
- Added pushover notifications. [Mark McDowall]
- Added indexer to history and tooltip to series view radio buttons. [Mark McDowall]
- Added TVDB and TVRage links on series details. [Mark McDowall]
- Updated jslibraries. [Keivan Beigi]
- Added AirDateUtc for UTC offset time. [Mark McDowall]
- Updated MediaInfo.dll. [Mark McDowall]
- Added TTL to cached objects. [Keivan Beigi]
- Added mobile/touch icons. [Mark McDowall]
- Added posters to edit and delete series. [Mark McDowall]
- Added tests for rename episodes. [Mark McDowall]
- Updated loggly to only report upgrade logs. [Keivan Beigi]
- Added Notification display time to XBMC. [Mark McDowall]
- Added test for size parsing. [Mark McDowall]
- Updated around import episodes, update series. [Keivan Beigi]
- Updated vnext description. [Mark McDowall]
- Added autocomplete to edit series path field. [kay.one]
- Added boxshadow to main regions/ series overview. [kay.one]
- Added polyfils for IE console object. [Keivan Beigi]
- Added monitored, edit and refresh to series details. [Mark McDowall]
- Added tests for ImportApprovedEpisodes. [Mark McDowall]
- Added exception logging to Tasks. [kay.one]
- Added logos. [kay.one]
- Updated jQuery, Require, lodash, messenger. [kay.one]
- Added version to footer. [kay.one]
- Updated styling of sortable columns on hover. [kay.one]
- Added season and episode number to episode details. [Mark McDowall]
- Added legend to calendar. [Mark McDowall]
- Added ParsedEpisodeInfo to LocalEpisode. [Mark McDowall]
- Added cert override for integration  tests. [kay.one]
- Updated nancy to 0.17.1.0. [kay.one]
- Updated OWIN. [kay.one]
- Added support for removing columns. [kay.one]
- Update js libraries. [Keivan Beigi]
- Updated main menu icons. [Keivan Beigi]
- Updated spinner. [kay.one]
- Updated spinner view to use CSS3 instead of spinning font. [kay.one]
- Added link to series from episode details. [Mark McDowall]
- Added cache headers to static resources. [Keivan Beigi]
- Added some bootstrap overrides. [Keivan Beigi]
- Changed event binding for knob change. [Mark McDowall]
- Added handlebars.helpers to curl task. [Mark McDowall]
- Added handlebars.helpers (if_eq, etc) [Mark McDowall]
- Updated font-awesome. [Mark McDowall]
- Updated sugar.js, lodash. [kay.one]
- Added prefixer.less. [kay.one]
- Added scroll to top button. [kay.one]
- Updated jshint to 2.1.3. [kay.one]
- Updated backstretch. [kay.one]
- Updated sugar. [kay.one]
- Updated messenger. [kay.one]
- Updated backgrid. [kay.one]
- Updated code styles. [kay.one]
- Updated bootstrap to v2.3.2. [kay.one]
- Updated bootstrap to v2.3.2. [kay.one]
- Added SeasonSearchCommand. [Mark McDowall]
- Added log trim command. [Keivan Beigi]
- Added build date to footer. [Mark McDowall]
- Update version in UI on start. [Mark McDowall]
- Added test button to notification edit. [Mark McDowall]
- Added caching breaker to media cover images. [Keivan Beigi]
- Updated exception logging. [Keivan Beigi]
- Added event type icon to history grid. [Keivan Beigi]
- Added gzip after pipeline. [Keivan Beigi]
- Added quality to release views. [kay.one]
- Added toggle cell for episode ignore status. [kay.one]
- Updated history table. [kay.one]
- Added quality profile label. [kay.one]
- Added backbone relational. [kay.one]
- Added some custom cells for resources. [Keivan Beigi]
- Added common global exception handler. [Keivan Beigi]
- Added trakt/imdb links to series details. [Mark McDowall]
- Added placeholder image for missing posters. [kay.one]
- Added FileSizeCell. [kay.one]
- Added release results to episode detail tab. [kay.one]
- Added quality size repo fixture. [kay.one]
- Added exceptron log target. [kay.one]
- Added files missed duo to aggresive .gitignore. [kay.one]
- Added series route as a mutator to series model. [kay.one]
- Added simple /rss page. needs some custom backgrid cells. [kay.one]
- Added /logs. [Keivan Beigi]
- Added Any() extension to MDM. [Mark McDowall]
- Added RefreshSeriesCommand to scheduler (6 hours) [kay.one]
- Added missing file. [kay.one]
- Added new reflection strategy, lets see if it works in mono. [kay.one]
- Added populate lazy-loading extensions. [kay.one]
- Updated handlebar runtime. [kay.one]
- Added concurrency test for fetch service. [Keivan Beigi]
- No commit message. [kay.one]
- Added more info to decision engine exception reporting. [Keivan Beigi]
- Updated FluentMigrator. [kay.one]
- Updated marionette. [kay.one]
- Added platform based filepath validation. [Keivan Beigi]
- Added /api/resource/{id} route to fancy. [Keivan Beigi]
- Added Path validator for SeriesModule. [Mark McDowall]
- Added loggly integration. [kay.one]
- Updated connection string params. [kay.one]
- Updated signalr. [kay.one]
- Added spinner to add series buttons. [Mark McDowall]
- Added Auth, startup options to UI. [kay.one]
- Added migration for notifications. [Mark McDowall]
- Added cancellation token to Scheduler. [kay.one]
- Added categories to integration tests. [kay.one]
- Added condition to lazy loading of relationship objects. [kay.one]
- Updated modelbinder to latest master. [Mark McDowall]
- Update interval for existing tasks. [kay.one]
- Added episode detail modal. [kay.one]
- Updated modelbinder, mutator, pagable, lunr. [kay.one]
- Update won't fail if service can't be stopped. [kay.one]
- Added /system/status end point that returns environment information. [kay.one]
- Updates static resourceprovider with better logging. [kay.one]
- Update package should be compatible with previous version. [kay.one]
- Updated handlebar runtime. update your compiler 'npm update' [Keivan Beigi]
- Updated grunt in powershell. [Keivan Beigi]
- Added grunt to build powershell. [kay.one]
- Added packageing of ui to build.ps1. [Keivan Beigi]
- Added ApplicationUpdateCommand. [Keivan Beigi]
- Added ApplicationUpdateCommand. [Keivan Beigi]
- Updated signalr.js messenger.js. [kay.one]
- Updated backgrid, pageable. [kay.one]
- Updated lunr.js, require.js, sugar.js. [kay.one]
- Updated sqlite3.dll. [kay.one]
- Updated build.ps1. [kay.one]
- Added command support to toolbar. [kay.one]
- Added mail toolbar to series view. [kay.one]
- Added some tests for PagingSpecExtensions. [Mark McDowall]
- Added lunr back to backgrid filter. [Mark McDowall]
- Updated json serilizer to return defaults. [kay.one]
- Added slug integration tests. [Keivan Beigi]
- Added support for getting series by slug. [Keivan Beigi]
- Updated fluent validation. [Keivan Beigi]
- Updated some error logging. [Keivan Beigi]
- Added folder clean up to grunt. [kay.one]
- Added schema generation. [kay.one]
- Added dottrace to git ignore. [kay.one]
- Added new in memory cache. [Keivan Beigi]
- Added backgrid.filter files. [Mark McDowall]
- Added missing file. [kay.one]
- Added path casing extension methods. [Keivan Beigi]
- Added nzbx integration tests. [kay.one]
- Added commands. [Keivan Beigi]
- Updated rest routing to only match numeric IDs. [kay.one]
- Added tooltip to airdate on posters view. [Mark McDowall]
- Added Messenger.js, to replace window.alert() and future notifications. [kay.one]
- Added support for multi-button groups to toolbar. [kay.one]
- Updated restmodule, moved series, root folder to the new restmodule. [kay.one]
- Added TemplateBackedCell for all your cell template needs. [Mark McDowall]
- Added sorting icons to series table. [Mark McDowall]
- Added backgrid. [Mark McDowall]
- Added backbone-pageable. [Mark McDowall]
- Added resource mapping validation tests. [kay.one]
- Updated js libraries, [kay.one]
- Added support for less file to grunt runner. [kay.one]
- Added test for SeriesStatistics. [Mark McDowall]
- Added SeriesStatistics. [Mark McDowall]
- Updated package.bat file. [kay.one]
- Added smoke test project. [Keivan Beigi]
- Updated backbone, marionette, sugar, underscore, modelbinder, bootstrap.switch. [Keivan Beigi]
- Updated grunt task for javascript library update. [Keivan Beigi]
- Added empty view for series index collection. [Keivan Beigi]
- Updated json.net reference in NzbDrone.Core.Test to point to .NET 3.5 version. [Keivan Beigi]
- Added an abstraction layer for json serializer, should work in mono. [Keivan Beigi]
- Added json.net tests for mono. [Keivan Beigi]
- Added Expansive. [Keivan Beigi]
- Added todo to get UtcOffset from tvrage. [Mark McDowall]
- Added events when series are added. [Mark McDowall]
- Updated to NLog 2.0.1.2. [Keivan Beigi]
- Added grunt-notify. [kay.one]
- Added webstorm js debug files. [kay.one]
- Added check for marr data to throw a more meaning full exception when trying to operate on an unmapped column. [kay.one]
- Added test for lazy loaded objects. [kay.one]
- Added view name as class to DOM element for easier debugging. [kay.one]
- Updated json.net from 4.5.11 to 5.0.2. [Keivan Beigi]
- Updated migration logger. [kay.one]
- Added marr.datamapper source code for easy debugging. [kay.one]
- Added shared code style settings for Webstorm. [kay.one]
- Updated package.json to include grunt-cli. [kay.one]
- Update readme.md. [Keivan Beigi]
- Updated lazylist to make it easy to work with. [kay.one]
- Added support for embedding lists of IEmbeddedDocument types. [Keivan Beigi]
- Added Marr.Data.Mapping. [kay.one]
- Updated ncrunch settings to include sqlite. [kay.one]
- Updated seriesrepo to use the new syntax. [kay.one]
- Updated nuget.exe to 2.2. [kay.one]
- Added precompiling of handlebar templates to grunt. [kay.one]
- Added precompiling of handlebar templates to grunt. [kay.one]
- Added some sample grunt tasks. [Keivan Beigi]
- Added pagination to Missing. [Mark McDowall]
- Added missing view. [Mark McDowall]
- Added full release of siaqodb. [Mark McDowall]
- Added path autocomplete to download client settings. [Mark McDowall]
- Added close button to series modals, fixed series edit styling. [Mark McDowall]
- Updated underscore - quality profiles in table. [Mark McDowall]
- Added delete series event. [Keivan Beigi]
- Added SaveValues to ConfigService. [Mark McDowall]
- Added IHandleAsync, these handlers will be run async and in parallel to each other. [kay.one]
- Added locking to RssSyncJob. [kay.one]
- Added job time that ticks kicks off scheduler. [kay.one]
- Added popover to show overview. [Mark McDowall]
- Added todo, using Any() [Mark McDowall]
- Added two more expectation tests to ObjectDatabaseFixture. [kay.one]
- Updated csproj. [Mark McDowall]
- Added toastr, fullcalendar, start of API for Calendar. [Mark McDowall]
- Added sample event for series added. [kay.one]
- Updated csproj. [Mark McDowall]
- Updated indexerfixture to create cross platform paths. [kay.one]
- Added not found view with tumbeasts. [kay.one]
- Added simple repo tests, some resharper templates for nunit. [kay.one]
- Added open generic registration for simple repository, services can now use simple repository independently. [kay.one]
- Added siaqodb. [kay.one]
- Added custom sorting to table sorter. [Mark McDowall]
- Updated elq test db path. [kay.one]
- Added mono build config. [kay.one]
- Updated sqlce post build events. [kay.one]
- Added conditional compile for mono. [kay.one]
- Added new test. [kay.one]
- Added support for 0 based sequential ids to our object db. [kay.one]
- Added idea to git ignore. [kay.one]
- Updated external library registrations. [kay.one]
- Added auto complete to AddSeries RootDir. [Mark McDowall]
- Added repo base. [kay.one]
- Updated eloquera's test setup. [kay.one]
- Added db4o. [kay.one]
- Updated backbone to 0.9.10. [Keivan Beigi]
- Added 2nd tvdb .net client that allows us to preform concurrent searches. [Keivan Beigi]
- Updated autofac to 3.0. [Keivan Beigi]
- Added more import code in ui. [kay.one]
- Added jshint. [kay.one]
- Updated more functional element classes to use the x- notation. [kay.one]
- Added success notification when new series is added. [Keivan Beigi]
- Added routes for add series. [Keivan Beigi]
- Updated add series. [Keivan Beigi]
- Added quality profile support to add series. [kay.one]
- Added global script/ajax error handling. [kay.one]
- Updated _ templating pattern to be {{ }} instead of <%%> [Keivan Beigi]
- Added root dir management. delete doesn't work for some reason. [Keivan Beigi]
- Added ui structure for rootdirs. [Keivan Beigi]
- Added backbone.debug. [Keivan Beigi]
- Added add series search model/collections. [Keivan Beigi]
- Updated cassette registration. [Keivan Beigi]
- Added cassette MSBuild. [kay.one]
- Updated FluentAssertion, WebActivator. [Keivan Beigi]
- Updated bootstrap to v2.2.2, restored most of values to their default. (only file changed is the varible.less file) [Keivan Beigi]
- Updated bootstrap styling. [kay.one]
- Updated nuget packages to uniform version. [kay.one]
- Added Logger injection module for Autofac, API boots up. [kay.one]
- Added parallel test execution support for ncrunch. [kay.one]
- Added database recovery on app start. [kay.one]
- Added Nancy pipelines for error handling, [kay.one]
- Added views for all different add methods. [Keivan Beigi]
- Added first region,view and routes. [Keivan Beigi]
- Added application basics. [Keivan Beigi]
- Added footer to bootstrap layout. [kay.one]
- Added comments. [Mark McDowall]
- Added emptry constructor to Search. [Mark McDowall]
- Added update action to System. [Mark McDowall]
- Added parsing for 1080p HDTV. [Mark McDowall]
- Added test for season search. [Mark McDowall]
- Updated deployment folder. [Mark McDowall]
- Updated project file. [Mark McDowall]
- Updated NUGET packages, including sqlce. [Mark McDowall]
- Added test for WEBDL-1080p. [Mark McDowall]
- Added nzbx to UI. [Mark McDowall]
- Updated donation URL. [Mark McDowall]
- Added a donation button. [Mark McDowall]
- Added indexer names for test indexers. [Mark McDowall]
- Added tests for TvRageMappingProvider. [Mark McDowall]
- Added TvRageProvider and model classes. [Mark McDowall]
- UpdateProvider for Update is now injected. [Mark McDowall]
- Added omgwtfnzbs to UI. [Mark McDowall]
- Added tests to attempt to find bug with WEBDL1080. [Mark McDowall]
- Added Prowlin package. Added TC as Nuget source. [Mark McDowall]
- Added nuget packages to gitignore. [Mark McDowall]
- Updated Prowlin. [Mark McDowall]
- Added some todos. [Mark McDowall]
- Update project file. [Mark McDowall]
- Added mobile device icons. [Mark McDowall]
- Added Binder (full of Women) from int to qualityTypes. [Mark McDowall]
- Added backbone. [Mark McDowall]
- Added title to settings pages. [Mark McDowall]
- Added job for updating XEM mappings. [Mark McDowall]
- Added tests for GetEpisodeBySceneNumbering. [Mark McDowall]
- Updated jobs view. [Mark McDowall]
- Added WEBDL 1080p. [Mark McDowall]
- Added absolute episode number to DB. [Mark McDowall]
- Updated XemClient. [Mark McDowall]
- Added Font-Awesome. [Mark McDowall]
- Added EpisodeAiredAfter to server side. [Mark McDowall]
- Updated nuget packages. [Mark McDowall]
- Changed update URL. [Mark McDowall]
- Added Recycle Bin to UI. [Mark McDowall]
- Added Recycle Bin to server side. [Mark McDowall]
- Change episode file quality. [Mark McDowall]
- Added test for Newzbin release group. [Mark McDowall]
- Updated error reporting module. [Mark McDowall]
- Added additional logging to metadata creation. [Mark McDowall]
- Added plot back to episode... whoops. [Mark McDowall]
- Updated web project. [Mark McDowall]
- Updated MiniProfiler to v2. [Mark McDowall]
- Added full namespace to Xbmc Metadata tests. [Mark McDowall]
- Added metadata options to settings #ND-21. [Mark McDowall]
- Added tests for null list in Min/Max or Default. [Mark McDowall]
- Updated exceptron driver to 0.1.0.34. [kay.one]
- Updated the american test for the new season. [Mark McDowall]
- Added cleanup job for search history. [Mark McDowall]
- Added MinOrDefault for IEnumberable<int> [Mark McDowall]
- Updated Exceptron driver to 0.1.0.30 to add support for severity. [kay.one]
- Updated tests for UpcomingProvider. #ND-45 fixed. [Mark McDowall]
- Added some validation to Newznab. [Mark McDowall]
- Updated DataTables. [Mark McDowall]
- Updated ET driver. [Keivan Beigi]
- Updated ET driver to v1a. [Keivan Beigi]
- Added NzbInfoUrl to indexers. [Mark McDowall]
- Added a couple more tests for WEB DL quality parsing. [Mark McDowall]
- Updated exceptron driver. [kay.one]
- Updated exceptron driver. [kay.one]
- Updated exceptron driver. [kay.one]
- Updated to exceptron api v1a. [kay.one]
- Updated exceptrack driver's url, made test more effective. [kay.one]
- Added exceptrack.driver. [kay.one]
- Added text to logo. [Mark McDowall]
- Added smaller logo. [Mark McDowall]
- Added a test to confirm that dateTime is parsed properly when using other cultures. [Mark McDowall]
- Added some additional logging around sizing. [Mark McDowall]
- Updated package.bat to not include the automation folder. [kay.one]
- Added GPL v3 to readme file. [kay.one]
- Updated grid paging icons. [kay.one]
- Updated page footer, submenu indicator. [kay.one]
- Added uguid to exceptioninstance. [kay.one]
- Updated Services staging deploy bat to included View files. [Mark McDowall]
- Added new multi part title test. [kay.one]
- Updated indexer error logging. [kay.one]
- Updated Nunit to 2.6.0.12054. [kay.one]
- Added jquery.unobtrusive-ajax for Ajax Helpers, much cleaner HTML and no jQuery work-around required. [Mark McDowall]
- Added Ajax wheel to Existing Series when loading from the server. [Mark McDowall]
- Added another test. [Mark McDowall]
- Updated SignalR to 0.4.0.1. [kay.one]
- Updated Unobtrusive Validation to 2.0.20126. [kay.one]
- Update clients when new episode is imported (ready). [Mark McDowall]
- Updated jQuery Validation to 1.9 (Fixed Nuget conflict) [Mark McDowall]
- Added unit tests. [Mark McDowall]
- Updated production detection to use path as well as version number. [kay.one]
- Updated analytics. [kay.one]
- Updated analytics. [kay.one]
- Updated Nuget packages. [Mark McDowall]
- Updated deskmetrix libraries to support better SP, core count detection. [kay.one]
- Added more padding to the buttom of the page. [kay.one]
- Added additional logging to PostDownloadProvider. [Mark McDowall]
- Added missing image. [Mark McDowall]
- Added file logging to services. [kay.one]
- Added service integration tests. [kay.one]
- Updated deskmetrix libraries to add support for older versions of windodws. [kay.one]
- Added broken parser test. [kay.one]
- Updated deskmetrics libraries. [kay.one]
- Added integration to deskmetrics. [kay.one]
- Added another test for IsUpgrade. [Mark McDowall]
- Updated diskprovider to use GetFiles instead of EnumerateFiles to prevent a screwed up issue. [kay.one]
- Added a duplicated item to Queue.txt, reformated existing json sample files. [kay.one]
- Added additional logging to episode searching. [Mark McDowall]
- Added MassEdit for series editing. [Mark McDowall]
- Updated queue.txt json to match actual sab queue. [kay.one]
- Added Linq post filtering to indexer searches. [kay.one]
- Added DiskProvider.PathEquals for UNC paths. [kay.one]
- Added sab queue check for multiepisodes. [kay.one]
- Added JsonErrorFilter to automatically handle failing ajax calls. [kay.one]
- Added pre-search check for EpisodeSearch to see if an upgrade is possible, before attempting. [Mark McDowall]
- Added warning to NZBsRus to warn that it does not support backlog searching. [Mark McDowall]
- Added restart warning to System config page. [kay.one]
- Added SecurityProvider to deal with administrative tasks (Url Registering and FW Port Opening). [Mark McDowall]
- Added the ability to auto-ignore episodes for files that are deleted, good for people that delete after watching. Option is not exposed in the UI and is disabled by default (obviously). [Mark McDowall]
- Changed the second .xvid to .divx. [Mark McDowall]
- Added Once Upon a Time (2011) to SceneMappings.csv. [Mark McDowall]
- Updated RSS Sync interval to 25 Minutes. [kay.one]
- Updated RSS Sync interval to 25 Minutes. [Keivan Beigi]
- Update Framework version detection. [kay.one]
- Added some logging and error handling to XbmcProvider. [Mark McDowall]
- Added hidden option to allow updating of XBMC even if video is playing. [Mark McDowall]
- Updated parser to skip longer than expected numbers from being parsed. [Mark McDowall]
- Added additional logging when updating episode info. [Mark McDowall]
- Updated DailySeries.csv. [Mark McDowall]
- Added another test for mini-series parsing, fixed parsing. [Mark McDowall]
- Added ImageLink helpers for Ajax and Html links. [Mark McDowall]
- Added more logging DiskScanProvider.CleanUp. [Mark McDowall]
- Added Open Sans (google fonts API) as a backup family since it looks closer to our default font in non-windows systems. [kay.one]
- Added broken parser test. [kay.one]
- Added extra logging to update/ProcessProvider. [kay.one]
- Added additional FullSeason parse test and another assertion. [Mark McDowall]
- Changed current page underlining, no longer so wide, or far from the text. [Mark McDowall]
- Added # after Season and Episode in History Grid and after Episode on Series/Details. [Mark McDowall]
- Added jquery tab, accordion to autobind. [kay.one]
- Changed the menu font and sizing, no more blur. [Mark McDowall]
- Added test to verify EpisodeInfo would ignore new episodes for an ignored season (no bug here). [Mark McDowall]
- Added Service install/uninstall batch files. [kay.one]
- Updated jQueryUI theme. [kay.one]
- Updated EpisodeProviderTest to use Mocker and Db. [Mark McDowall]
- Updated config page titles. [kay.one]
- Updated jQueryUI. [kay.one]
- Added ReferenceDataProvider to provide lookups (and refreshing) of IsDaily - which will check if the series is a daily series. [Mark McDowall]
- Updated localsearch UI. [kay.one]
- Update jQuery to 1.7.1 (but using Telerik's 1.6.4) [kay.one]
- Updated WebActivator to 1.5. [kay.one]
- Added support for pinned messaged. [kay.one]
- Added RecentBacklogSearchJob to fill missing episodes from the last 30 days, runs nightly. [Mark McDowall]
- Updated some logs, removed .vob .ts from video extentions. [kay.one]
- Added Miniprofiler.MVC3, updated log grid. [kay.one]
- Added SqlServerCe EF to webproject. [kay.one]
- Added message to Indexer settings regarding RSS feeds being checked every 15 minutes. [Mark McDowall]
- UpdateInfo and DiskScan jobs will process in Alphabetical order (ignoring articles). [Mark McDowall]
- Updated Telerik to 2011.3.1115. [kay.one]
- Updated twitterizer to 2.4.0.26532. [kay.one]
- Update logs are now in the UI. [kay.one]
- Update client is now moved rather than copied. [kay.one]
- UpdateProvider will delete update package after installation. [Mark McDowall]
- Updated tests to reflect using Copy instead of Move. [Mark McDowall]
- Added one last update notification. [kay.one]
- Update fixes. [kay.one]
- Update log files are now copied to application folder. [kay.one]
- Update provider now closes all orphaned IISExpress instances before update. [kay.one]
- Added Trace Logging to DiskProvider.DeleteFile. [Mark McDowall]
- Added some additional logging to Updater to help track down a UnauthorizedAccessException during update. [Mark McDowall]
- Update now moves the update package to target folder, should make updates faster. [kay.one]
- Added references that need to be copied locally. [Mark McDowall]
- Update updates ;) [kay.one]
- Added some update tests. [kay.one]
- Update client is now included in the build package. [kay.one]
- Added config.xml to .gitignore. [Mark McDowall]
- Added ParentUriString to get the parent site URI from any URI. [Mark McDowall]
- Added required reference Microsoft.Web.Infrastructure. [Mark McDowall]
- Change from rebind() to ajaxRequest() for reloading the History grid, which keeps page and sort order. [Mark McDowall]
- Updated resharper's analysis ignore list. [kay.one]
- Added Prowl notifications. [Mark McDowall]
- Update FluentAssertion to 1.6. [kay.one]
- Update FluentAssertion to 1.6. [kay.one]
- Added Growl Settings to GUI. [Mark McDowall]
- Added Growl (Not yet visible on the GUI). [Mark McDowall]
- Update the package.bat to remove some extra files. [kay.one]
- Added google analytics. (only enabled in production) [kay.one]
- Updated package.bat for better cleanup. [kay.one]
- Updated package.bat for better cleanup. [kay.one]
- Updated web.config transform. [kay.one]
- Added SMTP settings editing to the UI. [Mark McDowall]
- Added SMTP as an ExternalNotifcation method. [Mark McDowall]
- Added NzbDrone.Update, refactored some common wrappers to NzbDrone.Common. [kay.one]
- Added Submenu to Missing, allows triggering of a backlog search as well as RSS Sync. [Mark McDowall]
- Added Support for 1011 as a number convention. [Mark McDowall]
- Added QuickAdd for adding series, not displayed currently, needs some prettifying. [Mark McDowall]
- Added Nlog logger to resharper live templates. [kay.one]
- Added some update APIs to check for updates and download and extract the update package. [kay.one]
- Added test template to ReSharper file. [Keivan Beigi]
- Added live template for test method, [Keivan Beigi]
- Added ignore exception type to ExceptionVerfication. [kay.one]
- Added DirectoryInfo.FreeDiskSpace to get the free disk space of any directory. [Mark McDowall]
- Changed Namespace for AutoMoqerTest in NzbDrone.App.Test. [Mark McDowall]
- Added compile date to footer. [kay.one]
- Added BuildDateTime to central dispatch. [kay.one]
- Added two new Episode Statuses - Unpacking and Failed. [Mark McDowall]
- Added InheritFolderPermissions to DiskProvider. [Mark McDowall]
- Added NextAiring to Series (ResultColumn), which is used for Series/Index. Added tests and fixed broken tests after adding new property. [Mark McDowall]
- Added Tests for DateTime Fluent. [Mark McDowall]
- Added ToBestDateString for DateTime, using on Series/Details. [Mark McDowall]
- Added fix for HttpProvider.PostCommand so it uses a valid URL. [Mark McDowall]
- Added additional logging to XBMC Provider, to trace failure to update library. [Mark McDowall]
- Updated IndexerSettingsModel with better descriptions. [Mark McDowall]
- Added multiple bindings for IISExpress. Allowing users to not run as admin (or add an urlacl as admin), but still access NzbDrone from localhost. [Mark McDowall]
- Added scene mapping for Hawaii Five-0 (hawaiifive2010). [Mark McDowall]
- Added BannerDownloadJob, it will run every 30 days. [Mark McDowall]
- Added misnamed provider, PLINQ speeds it up, but still to slow for use, paging helps, but isn't consistent. [Mark McDowall]
- Added grid sorting to history grid rebind. [Mark McDowall]
- Added partial season searching when a full season NZB is not available. [Mark McDowall]
- Update episode info now uses UpdateMany, InsertMany. [kay.one]
- Added delete and redownload commands to History Grid (redownload will delete the existing item from history and then start an episode search) [Mark McDowall]
- Changed back to port 8989. [Mark McDowall]
- Added tool tip to ignoredSeason summary toggle. [Mark McDowall]
- Added SeriesSearch and RenameSeries jobs. [Mark McDowall]
- Added test for seondaryTargetId being less than 0. [Mark McDowall]
- Updated JobProvider to allow jobs with two targets. [Mark McDowall]
- Added a second "master" toggle to ignoreSeason on Series/Details at the top of the page. [Mark McDowall]
- Added instant notification framework. [kay.one]
- Updated project file to reflect deleted file. [Mark McDowall]
- Added Readme. [kay.one]
- Added todo to remove hack to handle shows that contain numbers only (added in last commit). [Mark McDowall]
- Updated Add Series. [kay.one]
- Updated Telerik to 2011.2 712 (Jul 13, 2011) [kay.one]
- Updated PetaPoco. [kay.one]
- Added spacing between save button and quality profiles. [Mark McDowall]
- Added Tests for CentralDispatch. [kay.one]
- Updated miniprofiler to 1.4. [kay.one]
- Updated fluent assertion, unignored qulity equality tests. [kay.one]
- Added updated jQuery UI Theme. [kay.one]
- Added GetDirectorySize to DiskProvider. [kay.one]
- Added version to page footer, minor tweaks. [kay.one]
- Added missing IISExpress file. [kay.one]
- Updated petapoco to 4.0.3. [kay.one]
- Added more video extensions. [kay.one]
- Updated telerik to 2011.1.414. [kay.one]
- Added blueprint.css. [kay.one]
- Updated series grid. [kay.one]
- Updated log.config to get around a bug with method name. [kay.one]
- Added some indexes. [kay.one]
- Added more Parser tests. [Mark McDowall]
- Updated Migrator to add support for Indexes. [kay.one]
- Added SQL CE dlls, removed SQLite. [kay.one]
- Updated Migrator.net with SQL CE support. [kay.one]
- Added Config Transformation Tool. [kay.one]
- Updated some log levels. [kay.one]
- Updated some log levels. [kay.one]
- Changed QualityProfile to a ResultColumn to make note that it will be used as a result only. [Mark McDowall]
- Added method to delete orphaned episodeFiles and also cleanup episodes that have invalid episodeFiles. [Mark McDowall]
- Updated tests to for Upcoming Provider to make sure a series is returned. [Mark McDowall]
- Changed all Single<T> to SingleOrDefault<T> [Mark McDowall]
- Added Fluent.cs to allow string default extention method eg. "Series.Title.WithDefault(series.SeriesId)" [kay.one]
- Updated Fluent Assertions to rev.67959. [kay.one]
- Updated PetaPoco with Exists, AddMany,UpdateMany,InsertMany,SaveMany. [kay.one]
- Updated NLog dlls. [kay.one]
- Updated to MiniProfiler 1.3. [kay.one]
- Added PetaPoco. [kay.one]
- Added AJAX wheel for Refresh Root Dirs, so you can tell its working now. [Mark McDowall]
- Added MiniProfiler. [kay.one]
- Added validation in RoodDirProvider to stop adding of invalid root folders. [kay.one]
- Added new helper to find the best file size format given a long with file size in bytes. [Mark McDowall]
- Added CreateIndex to Migrator. [kay.one]
- Added NzbMatrix Search Url, with tests. [Mark McDowall]
- Added search to Yesterday in Upcoming View. [Mark McDowall]
- Added NUnit. [kay.one]
- Updated deploy file to remove some unneeded files. [kay.one]
- Added Episodes of Episodes Total progress bar to Series Grid. [Mark McDowall]
- Updated app.config files. [kay.one]
- Updated app.config files. [kay.one]
- Added .bat file that runs unit tests. [kay.one]
- Added Versioning Controlled Build. [kay.one]
- Added 7zip and package.bat for build server. [kay.one]
- Added jquery registration to sitelayout.cshtml. [kay.one]
- Updated jQuery/Ninject/Unity using nuget. [kay.one]
- Updated sqlite to the latests official builds. [kay.one]
- Added dbBenchmark tests. [kay.one]
- Updated delete icon. [kay.one]
- Added EpisodeSearchJob, still needs unit tests. [kay.one]
- Added better db migration support than what Subsonic provides out of the box. [kay.one]
- Added newzbing tests, fixed quality parse bugs. [kay.one]
- Added episode status to episode grid. [kay.one]
- Added episode status to back end, getting ready for backlog. [kay.one]
- Added MigratorDotNet for custom db migrations. [kay.one]
- Added MigratorDotNet for custom db migrations. [kay.one]
- Added inventory provider with basic tests. [kay.one]
- Added HealthController to web project for IIS Ping to use. [kay.one]
- Updated file scan logging. [kay.one]
- Added support to Error/Warning/Fatal verification in text projects. [kay.one]
- Added GetSeasonFiles to MediaFileProvider. [kay.one]
- Added tests for SingleId and not updating last execution time or success/fail. [Mark McDowall]
- Added test to make sure disabled jobs aren't actually running automatically. [unknown]
- Added NextScheduledRun to get the next scheduled run for a job, with a test. [Mark McDowall]
- Added Glimpse. [Mark McDowall]
- Changed nzbs.org provider URL to grab only xvid and x264 rips (cats 1, 14) instead of type 1 (All TV) [Mark McDowall]
- Added Javascript to support shift-clicking ranges to disable/enable checkboxes. [Mark McDowall]
- Added Season Monitored editor (linked from Season Count on Series Grid), It would be under AJAX Edit, but it won't play nice with lists. [Mark McDowall]
- Added auto completion on General Settings for RootDir settings using jQuery UI. [Mark McDowall]
- Added examples to EpisodeSorting Settings. [Mark McDowall]
- Added DeleteSeriesJob to remove series in BG. [Mark McDowall]
- Added a quick patch to support disabled by default jobs. setting interval to 0 will disable the job. [Keivan]
- Added filtering to the missing View. [Mark McDowall]
- Added Missing view to show which episodes are missing from disk for all series. [Mark McDowall]
- Added Supports backlog boolean for Indexers. [Mark McDowall]
- Added REGEX to require Series name to exist (24-7 Penguin vs Capitals couldn't be parsed on disk properly) [Mark McDowall]
- Changed constructor for ExternalNotificationProviderBase. [Mark McDowall]
- Added ExternalNotificationProviderBase based on IndexProviderBase. [Mark McDowall]
- Added job to scan for media files every hour... So easy! [Mark McDowall]
- Added images to Indexer Settings. [Mark McDowall]
- Added images for provider, shown on the History grid. [Mark McDowall]
- Added "Tomorrow" view for the upcoming episodes page so it was separate from the weekly forecast. [Mark McDowall]
- Added DownloadFile method to HttpProvider. [Mark McDowall]
- Added notes for handling Full Season releases, decisions to be made on how to handle them and how to correct multi-episode releases (as long as the first episode is needed we mark it as so). [Mark McDowall]
- Added parsing and tests for Full Season Releases (no episode information) [Mark McDowall]
- Added StatsProvider. [Mark McDowall]
- Added support for daily episode file import. [kay.one]
- Added resharper style sharing file. [kay.one]
- Added an icon to the NzbDrone project (and set as the icon for that compiled application). [Mark McDowall]
- Updated task notification UI. Last message will stay on screen for an extra 3 seconds if there are no new messages. [kay.one]
- Updated ForceMigration() [kay.one]
- Added default mock behavior to automocker. [kay.one]
- Added Scripts section to SiteLayout. [Mark McDowall]
- Added asp.net tick timer. [kay.one]
- Added log to disk. preparation for some test runs. [kay.one]
- Added sabtitle method. [kay.one]
- Added completely awesome JobProvider. extremely easy to do async/timer tasks with ui status/notification already plugged in. [kay.one]
- Added parsing for daily shows and tests for that format. [Mark McDowall]
- Added TimerProvider. [kay.one]
- Updated jQuery to 1.5.2 now using NuGet. [kay.one]
- Added TvDb offline project. still need to clean the data. [kay.one]
- Added tests for RootDirProvider. [Mark McDowall]
- Added AutoMoq. Removed IHTTP Provider. [kay.one]
- Added test for basic FeedProviderBase, fixed some issues with it. [kay.one]
- Added more tests for seriesprovider. [kay.one]
- Updated Exceptioneer. [kay.one]
- Added nzbs.org using the provider model. [kay.one]
- Added more code to FeedProviderBase. [kay.one]
- Added quality to Series detail view. [kay.one]
- Updated button style. [kay.one]
- Updated subsonic to latest code. [kay.one]
- Updated jQuery to 1.5.1. [kay.one]
- Added favicon.ico. [kay.one]
- Updated Ninject using NuGet. [kay.one]
- Updated Ninject using NuGet. [kay.one]
- Updated telerik to 2011.1.315. [kay.one]
- Added sub menu for add series. [Keivan]
- Updated .gitignore to not store .nzb. [Mark McDowall]
- Added upcoming and history links to main menu. [Mark McDowall]
- Added parser for parsing the Quality of an Episode sent to SAB (So we get the proper quality) [markus101]
- Added NzbTitle to History item and will set it when adding to the DB. [markus101]
- Added UpdateSeries to SeriesProvider. [markus101]
- Added additional priorities supported by SABnzbd. [markus101]
- Added missing file. [Keivan]
- Added Quality Provider to interface with QualityProfiles. [markus101]
- Updated telerik to Version: 2010.3 1318 (Jan 18, 2011) [Keivan]
- Added in Bluray 1080P Quality Type. [markus101]
- Added Timer, will hold timer information for RSS Sync and eventually backlog searching. [markus101]
- Updated Telerik MVC to Version: 2010.3 1110 (Nov 10, 2010) [Keivan]
- Updated log appearance. [Keivan]
- Updated Ninject and Ninject.Web.Mvc. [Keivan]
- Updated notification ui. [Keivan]
- Updated logging and instrumentation. [Keivan]
- Added series update notification. [Keivan]
- Updated EpisodeProvider methods. [markus101]
- Updated UPnP so it does disco async, updated DiscoProviders to handle that approriately, Added JsonAction result with JS Ajax call for client side detection, on a timer for media controllers. [nothingmn]
- Added Media Disco Providers - these will be used to auto detect media providers on the LAN. [nothingmn]
- Added Media Provider Interface and XBMC's implementation. [nothingmn]
- Added UPnP reference to Core. [nothingmn]
- Added UPnP library. [nothingmn]
- Added Notification System, Renamed Repository to Entities. [Keivan]
- Added basic episode support. [Keivan]
- Updated folder mapping logic. Added unmapped folder view. [Keivan]
- Updated subsonic to latest nightly build. [Keivan]
- Added broken tests. [Keivan]
- Added more stubbed mothods and providers. [Keivan]
- Updated some tests. [Keivan]
- Added Ninject.Moq. [kay.one]
- Changed seriesid to string to avoid sqlite bug. [kay.one]
- Updated .gitignore. [kay.one]
- Added tests for basic config set/get to db. [kay.one]
- Added settings view to mvc project. [kay.one]
- Added series index. [kay.one]
- Updated the apppath logic and db location. [kay.one]
- Updated gitignore. [kay.one]

### **Fixes**
- Sets Branch to develop. We need to change this later. [Leonardo Galli]
- Integrate AppVeyor and change assembly versioning (#50) [Mike]
- Remove all .DS_Store files. [Mitchell Cash]
- Fix issues with ", the" not trimming properly. [Tim Turner]
- Fix for movie naming config. Still kinda hacky, but works ok now. [Leonardo Galli]
- 1st pass at Movie Naming. [Tim Turner]
- Movies can now be edited, even from the detail view. Fixes #42. [Leonardo Galli]
- Dirty fix for rtorrent. [Tim Schindler]
- Hopefully icon is now finally fixed. [Leonardo Galli]
- Should finally fix exe icon and resulting build error. [Leonardo Galli]
- Fix exe icon. [Leonardo Galli]
- Fixed bug where movies and moviefiles were not linked. [Leonardo Galli]
- Decision Engine is now mostly working with movies :) [Leonardo Galli]
- Parser now recognizes Hardcoded subs. By default these releases are rejected. However, they can still be manually downloaded. [Leonardo Galli]
- Real fix for osx app icon. [Leonardo Galli]
- Fix for osx icon really now. [Leonardo Galli]
- Fixes osx app icon. [Leonardo Galli]
- Replaced more logos. [Tim Turner]
- Fixes text color of movie links for list view. [Leonardo Galli]
- Fix for PassThePopcorn release titles. [Leonardo Galli]
- Fixes for movie statuses. [Leonardo Galli]
- Fixes compile issues introduced with latest commit. [Leonardo Galli]
- Renamed NzbDrone.exe to Radarr.exe. [Leonardo Galli]
- Fixed package script for osx. [Leonardo Galli]
- Fix alternative titles, if there is only one. [Leonardo Galli]
- Fix History not picking up imported movie. [Leonardo Galli]
- Fix for Path column in MovieFiles table. [Leonardo Galli]
- Fixed matching wrong movies from database when searching. [Leonardo Galli]
- Fixed an issue where tracked downloads would not be found in the database due to alternative titles. [Leonardo Galli]
- Fix parsing of special editions without . in title. [Leonardo Galli]
- Fixes some strings still saying episode. [Leonardo Galli]
- Fixes Deluge for movies. [Leonardo Galli]
- Fixes default Category of QBittorent client. [Leonardo Galli]
- Fixes all usenet download clients. (#25) [Mike]
- Better folder name. [AeonLucid]
- Fixed some things regarding director's cut / special edition. [Leonardo Galli]
- Fixed up Newznab indexers. [Tim Turner]
- Fixes some issues when adding movies caused by TMDB. [Leonardo Galli]
- Replace colon in movie path. [AeonLucid]
- TheMovieDB.org is now used as metadata source. [Leonardo Galli]
- Fixes OSX Application name. [Leonardo Galli]
- Fixed an issue where sometimes the json returned from IMDb just was not parsed correctly for some misterious reason. [Leonardo Galli]
- Fixes issue with History table. [Leonardo Galli]
- Fixes issue with History table not having a movie id field. [Leonardo Galli]
- Implemented importing movies. This is still in early stages, however it should work pretty well. [Leonardo Galli]
- Fixes package.sh for OSX builds. [Leonardo Galli]
- Fix package.sh. [Leonardo Galli]
- Allow Sonarr and Radarr to run together. [Leonardo Galli]
- Fix package.sh permissions for travis. [Leonardo Galli]
- Travis now automatically pushes a build to a server. [Leonardo Galli]
- Searching for movies directly when adding them is now working. [Leonardo Galli]
- Fixed adding multiple movies. [Leonardo Galli]
- Automatically downloading the best movie release works now. [Leonardo Galli]
- Movies now show up in the Queue. [Leonardo Galli]
- Movie history now fully implemented. [Leonardo Galli]
- Fix History for Movie Details page. [Leonardo Galli]
- First implementation of History for Movies. However, nothing is returned from the Database query misteriously. [Leonardo Galli]
- Fixes downloading a movie. However, now all downloaders except QBittorrent are non functional until they get fixed. See #14. [Leonardo Galli]
- Fixed a few things with displaying the Movie Details Page. Implemented the first round of Searching for and Downloading movie Releases. ATM this is still a bit hacky and alot of things need to be cleaned up. However, one can now manually search for and download (only in qBittorrent) a movie torrent. [Leonardo Galli]
- Create .travis.yml. [Leonardo Galli]
- Fix template references and 'movie' strings. [Tim Turner]
- Fixed css for movies. [Leonardo Galli]
- Fixed issue with Homepage movies not loading correctly. [Leonardo Galli]
- Use different folder to store sqlite database. Fixes #10. [Leonardo Galli]
- Movies should now show on the main page. However, a lot has to be done to the detail controller before it is really going to work. [Leonardo Galli]
- First implementation of custom database table for movies.Some things are not yet working quite well (e.g. search clears when movies are added.). Also movies cannot yet be looked up! [Leonardo Galli]
- First implementation of completely rewriting the way Radarr handles movies. Searching for new movies is now mostly feature complete. [Leonardo Galli]
- Searching for movie now works with downloading. They also get imported fine. [Leonardo Galli]
- Rename Metadata Dir to fix build in *nix. [Keivan]
- Rename Metadata Dir Step 1. [Keivan]
- Rename QBittorent Dir to fix building in *nix. [Keivan]
- Rename QBittorent Dir Step 1. [Keivan]
- Upgraded MediaInfo from 0.7.74 to 0.7.91. [Keivan Beigi]
- Removed unused using statements. [Keivan Beigi]
- Upgraded DDay.iCal to Ical.Net. [Keivan Beigi]
- Because it's 2016! [Keivan Beigi]
- Environment variables sometimes lie! [Keivan Beigi]
- More kosher regex group names. [Keivan Beigi]
- Parsing of some anime releases that use Episode after the title. [Mark McDowall]
- Handle download clients sending invalid content-type header. [margaale]
- Use Category from qBittorrent when set instead of Label. [Mark McDowall]
- Parsing of mini episodes that contain the year in the title. [Mark McDowall]
- Upgraded Nlog/RestSharp/Selenium. [Keivan Beigi]
- Upgraded Nancy!!!! [Keivan Beigi]
- Upgraded nbuilder/automoq. [Keivan Beigi]
- Upgrade fluentmigrator. [Keivan Beigi]
- Upgraded nunit/fluentassertion. [Keivan Beigi]
- New: Validate PMS version before performing a library update. [Mark McDowall]
- Partial library updates for Plex Media Server 1.3. [Mark McDowall]
- Partial library updates for Plex Media Server 1.3. [Mark McDowall]
- Error handling of valid, empty responses from Plex Media Server. [Mark McDowall]
- Error handling of valid, empty responses from Plex Media Server. [Mark McDowall]
- Lingering Socks5 Proxy sockets when proxy is using dynamic ips. [Lloyd Sparkes]
- Parsing of some Plex server responses before 1.3. [Mark McDowall]
- New: Telegram notifications. [ARTbird309]
- Shorten 'MPEG-2 Video' to 'MPEG2'. [Chris Allen]
- New: Support for Plex Media Server 1.3.0's new JSON responses. [Mark McDowall]
- Don't delete extra files after unlinking an episode file that still exists on disk. [Mark McDowall]
- Fix GetAncestorFolders tests under mono. [Mark McDowall]
- New: Added support to override Copy vs Move import logic for DownloadedEpisodesScan API and Manual Import UI. [Taloth Saldono]
- New: Move subtitles/other extra files to Sonarr's Recycle Bin instead of permanently deleting. [Mark McDowall]
- New: Health check warning for macOS when running from App Translocation folder. [Mark McDowall]
- Mono 4.4.2 won't trigger mono version error. [Mark McDowall]
- Saving settings failed if value was null. [Taloth Saldono]
- Mount handling logic of net namespaces as seen on QNAP. [Taloth Saldono]
- Compile error when fixing FileBrowser not displaying drive letters on Windows. [Taloth Saldono]
- FileBrowser not displaying drive letters on Windows. [Taloth Saldono]
- Removed unused disk provider. [Mark McDowall]
- Failing database migration of metadata files without extensions. [Mark McDowall]
- Email connection test reporting success incorrectly. [Mark McDowall]
- New: Remove completed torrents from qBittorrent. [Casey Bodley]
- Handling of some really long qBittorrent ETAs. [Mark McDowall]
- Handle SABnzbd Propagating status. [Mark McDowall]
- Capture exit code of nunit to avoid using failed tests as exit code. [Mark McDowall]
- Parsing of some poorly named standard episode release names. [Mark McDowall]
- Login page being returned instead of unauthorized response. [Mark McDowall]
- Fixed typo. [Mark McDowall]
- Re-added accidentally removed anime parsing Regex. [Mark McDowall]
- Parsing of multiple absolute episode number releases. [Mark McDowall]
- Updated IPTorrents url validation to changed format. [Taloth Saldono]
- Changed Quality Parser to avoid matching tags in the Episode title instead of the Quality tags. [Taloth Saldono]
- Tweaked Nyaa Request Generator to avoid offset=1. [Taloth Saldono]
- Import episodes in season packs in numerical order. [Mark McDowall]
- Default redirect URL for forms auth will use URL Base if configured. [Mark McDowall]
- Tweaked ratelimit logic for rarbg api. [Taloth Saldono]
- Upgraded mono version check (3.10 minimum and 4.4.x) [Mark McDowall]
- Calendar api again includes series images. (Nzb360) [Taloth Saldono]
- New: uTorrent differential api support to handle larger lists of torrents without hogging the api. [Taloth Saldono]
- Join: Device ID entry and better error handling. [Chris Heath]
- Filter qbittorrent torrent list on newer versions. [Taloth Saldono]
- Add downloadvolumefactor and uploadvolumefactor torznab attributes (#1464) [kaso17]
- Clarified min/max size rejection message by including the episode runtime. [Taloth Saldono]
- Cleanup unused Tags during housekeeping. [Taloth Saldono]
- New: Added filter by tag to iCal feed. [Taloth Saldono]
- Issue loading settings on some systems. [Mark McDowall]
- Suppress warning log messages when unable to parse non-video files. [Mark McDowall]
- Version check for SABnzbd develop. [Mark McDowall]
- New: Added query parameter to ical feed to list premiers only. [Taloth Saldono]
- Prevents autofill on new password fields in settings. [Taloth Saldono]
- Removed conflicting criteria from IsProduction check. [Taloth Saldono]
- Added config validation to ensure NzbGet KeepHistory isn't set to 0. [Taloth Saldono]
- Don't append the extension when using ParsePath. [Mark McDowall]
- Migrations using old SQLite versions (Prior to 3.7.15) [Mark McDowall]
- Ignore extrafanart subfolder when scanning for extra files. [Mark McDowall]
- Generating metadata files after importing episode files. [Mark McDowall]
- Store metadata file extensions. [Mark McDowall]
- Prevent duplicate parsing of extra files. [Mark McDowall]
- New: Parse existing subtitles and extra files. [Mark McDowall]
- Added fallback and log errors when Tls1.2 clashes with https certificate with obsolete md5 hash. [Taloth Saldono]
- Fixed api blacklist, history, wanted/missing and wanted/cutoff requiring sortKey, now defaulting to an appropriate value (airDateUtc/date desc for most). [Taloth Saldono]
- Auto-Updater rollback logic tries to restore unchanged files. [Taloth Saldono]
- Removed requirement to disable sabnzbd pre-check for sab version 1.1.0 onward. [Taloth Saldono]
- Fixed stupid error. [Taloth Saldono]
- New: Support for TLS 1.1 and 1.2 connections when only .net 4.5 is installed. [Mark McDowall]
- Sabnzbd 1.1.0 rc4 queue api changed time format. [Taloth Saldono]
- Fixed issue #1445 where sabnzbd has changed the time format reported for downloads. [Dion Woolley]
- Cleanup. [Taloth Saldono]
- Updated HDBits api to api changes. [Björn Dahlgren]
- Fixed tests for EpisodeFileMovingService. [Mark McDowall]
- Don't blow if driveFormat is null when looking up DriveType. [Mark McDowall]
- New: Ability to include unmonitored episodes in the iCAL feed. [Mark McDowall]
- Episode import when the series folder had a trailing slash and folder was not on disk. [Mark McDowall]
- Parsing absolute episode numbers preceeded by Episode. [Mark McDowall]
- Parsing of a multi-episode anime formats. [Mark McDowall]
- Better Captcha message. [Taloth Saldono]
- Fixed media info test. [Mark McDowall]
- VideoBitDepth and AudioChannels in Filename examples. [Chris Allen]
- MediaInfo.AudioChannels for some eac3 and mp3 files. [Mark McDowall]
- Manual Import failing to parse series title from certain nested folders. [Taloth Saldono]
- New: Added CAPTCHA support to Rarbg. [Taloth Saldono]
- Audio codec E-AC-3 will be EAC3 in filenames. [Mark McDowall]
- New: Join notifications. [Christopher Heath]
- Include afpfs mount points in free space checks. [Mark McDowall]
- Move platform files to proper folders. [Mark McDowall]
- Always include decimal place for AudioChannels. [Mark McDowall]
- Fixed UpdateMediaInfoService tests. [Mark McDowall]
- New: MediaInfo VideoBitDepth and AudioChannels. [Mark McDowall]
- New: Added support to save .magnet to blackhole directory. [Taloth Saldono]
- Reject m2ts (bluray) raw releases from BTN as well. [Taloth Saldono]
- AnimoTosho RSS feed size parsing. [Taloth Saldono]
- Api errors now log statuscode too. [Taloth Saldono]
- Improved Quality lookup. [Taloth Saldono]
- Allow series to be added unmonitored through the API. [Mark McDowall]
- Slack Icon is optional. [Mark McDowall]
- Incorrect matching of date in title. [Mark McDowall]
- Adjusted Gzip stream to reduce response times. [Taloth Saldono]
- Order the pipeline registration process. [Taloth Saldono]
- Significantly improved api performance. [Taloth Saldono]
- Reset srcset on failed load. [Taloth Saldono]
- Fixed Deluge and BTN cleanse password logic. [Taloth Saldono]
- New: Added raw DVD check for BTN to prevent those pesky VIDEO_TS downloads. [Taloth Saldono]
- Fixed cookie tests with expired dates. [Taloth Saldono]
- Removed fanzub tests and disabled kickass tests. [Taloth Saldono]
- Forcibly disable kat when using the wrong domain. [Taloth Saldono]
- Calendar arrows on Edge browser. [Taloth Saldono]
- XEM series with only alternate season titles. [Taloth Saldono]
- Delete all history for series when series is removed from Sonarr. [Mark McDowall]
- Recreate log database if migration fails. [Mark McDowall]
- GHI and PR Templates. [Mark McDowall]
- Parsing series title during manual import. [Mark McDowall]
- Kodi metadata AC3 audio codec. [Mark McDowall]
- Parsing Plex Media Server version 1.0. [Mark McDowall]
- Fixed spelling mistake. [Mark McDowall]
- Emby metadata name changes. [Mark McDowall]
- Adding label to torrents in qBittorrent v3.3.5. [vintage81]
- More results in season searches when KAT. [Mark McDowall]
- Tweaked sample detection for short episodes. [Taloth Saldono]
- Roksbox metadata generation when series certification is not available. [Mark McDowall]
- Fixed series filter 'missing' since percentOfEpisodes isn't always set. [Taloth Saldono]
- Fixed relative path issue in Metadata handling. [Taloth Saldono]
- Include full grab/import message for Slack notifications. [Mark McDowall]
- AsOsAgnostic. [Mark McDowall]
- New: Missing episodes series filter. [aaraujo666]
- Metadata files incorrectly stored in database. [Mark McDowall]
- New: Part One/Two/Three/.. parser support for mini series. [Taloth Saldono]
- New: Kodi metadata Stream Details. [Björn Dahlgren]
- New: Slack notifications. [Martin Hartvig]
- Removed 6box. [Mark McDowall]
- Parsing WEB releases that use spaces instead of periods. [Mark McDowall]
- Re-enabled calling synoindex after renaming. [Peter Tutervai]
- Fixed tests. [Taloth Saldono]
- Reduced spurious cpu usage on mono while idle. [Taloth Saldono]
- Fix regex for expanded series + episode number (S01 - E01) [Mark McDowall]
- Fixed Hadouken tests. [Mark McDowall]
- Ignore more folder names when browsing file system. [Mark McDowall]
- New: Hadouken torrent client support. [Mark McDowall]
- Basic Hadouken v5 implementation. [Viktor Elofsson]
- New: EpisodeTitles for Custom Scripts. [Mark McDowall]
- Parsing separated season and episode numbers (S01 - E01) [Mark McDowall]
- Better logger name for QualityParser. [Mark McDowall]
- Replace octal characters from mounts in /proc/mounts. [Mark McDowall]
- Log message makes sense now. [Mark McDowall]
- Fixed Search tests. [Taloth Saldono]
- Respect delays when searching after a failed DownloadRelease. [Mark McDowall]
- Final cleanup on proxy support. [Taloth Saldono]
- Proxy BypassList tests. [Lloyd Sparkes]
- Fix tests failing due to lack of constructor less classes, after refactoring. [Lloyd Sparkes]
- Updating SocksWebProxy to fix issues with POST Requests. [Lloyd Sparkes]
- Moved Proxy types around and refactored/renamed a few things. [Taloth Saldono]
- Create HttpProxySettingsProvider and fixed related issues. [Taloth Saldono]
- Force to IPv4. [Lloyd Sparkes]
- Bug Fixes. [Lloyd Sparkes]
- Fix merging issues & API changes - that conflict resolution did not detect. [Lloyd Sparkes]
- Proxy Support for Sonarr #732. [Lloyd Sparkes]
- Service now depends on HTTP Service (http) [Mark McDowall]
- FolderWritableValidator. [Mark McDowall]
- Error messages when config file is empty or contains invalid characters. [Mark McDowall]
- Perform health check after download clients or indexers are removed. [Mark McDowall]
- Use wildcards when searching for single episodes on BTN. [Mark McDowall]
- Prefix Twitter notifications (Grabbed/Imported) [Mark McDowall]
- New: Vuze torrent client support. [Igal Tabachnik]
- Using a tiered fallback is safer in case there is another data-loss and ids get reset. [Taloth Saldono]
- HDBits release age incorrect. [Taloth Saldono]
- Adjusted BTN Recent Feed (RssSync) to better use their api db indexes. [Taloth Saldono]
- Nice try uTorrent, you're not Deluge. [Mark McDowall]
- Refreshing series that have duplicate season information. [Mark McDowall]
- Updating Emby Library. [Mark McDowall]
- An issue preventing access to settings due to extraneous data in the database. [Mark McDowall]
- Rare error when removing pending items that have been rejected. [Mark McDowall]
- Plex Meda Server authentication. [Mark McDowall]
- Sabnzbd 1.0.1 added two new status values. [Taloth Saldono]
- Manual Import not scrolling after using file browser. [Mark McDowall]
- Return decisions when catching exceptions during decision making. [Mark McDowall]
- NzbGet DUPE/COPY status should be considered failure. [Taloth Saldono]
- Adding Nzb with {{password}} in name to NzbGet failed. [Taloth Saldono]
- Removed redundant logging. [Taloth Saldono]
- Release scoring. [Mark McDowall]
- Don't throw after catching the exception during TearDown. [Mark McDowall]
- Don't force testing when updating connections, indexers or download clients. [Mark McDowall]
- Set permissions on series metadata images when they are created. [Mark McDowall]
- Implement mono logic to not set owner/group with chown. [Mark McDowall]
- Default display time for Kodi notifications. [Mark McDowall]
- Disabled unreliable lookup test. [Taloth Saldono]
- Readded logging Download Client responses. [Taloth Saldono]
- Better error handling in the Deluge ConnectDaemon code. [Taloth Saldono]
- Refactored IntegrationTests to work with Nunit3 VS adapter. [Taloth Saldono]
- Give a couple of timing-based tests a bit more breathing room. [Taloth Saldono]
- CombinePath now simple, uri resolve done via operator and CombineRelativePath. [Taloth Saldono]
- Cleanup HttpUri.PathCombine. [Mark McDowall]
- UTorrent api proxy would fail on specific Win10 configurations. (The Phoenix Rises) [Taloth Saldono]
- Upgrade to NUnit3. [Mark McDowall]
- New: Prevent grabbing season packs if full season hasn't aired yet. [vawen]
- ParsingService.GetEpisodes will use TVDB season number when available. [Mark McDowall]
- Treat XEM aliases as SceneSeasonNumber. [Mark McDowall]
- Build.sh uses msbuild 14. [Keivan Beigi]
- Use npm-cache if installed. [Keivan Beigi]
- Newznab/Torznab used wrong query if tvrageid was unknown in combination with a specific indexer capability profile. [Taloth Saldono]
- Release Group detection didn't handle RLSGRP_English properly. [Taloth Saldono]
- Removed TrollHD from the RawHD detection regex since they now also release other sources. [Taloth Saldono]
- New: Added RERIP as REPACK (Proper). [Taloth Saldono]
- Don't set ACL if already set. [Taloth Saldono]
- Reconfigure Logging early in the process to set the correct log level. [Taloth Saldono]
- Some releases with date and season/episode numbers with multiple episodes on a single day. [Mark McDowall]
- Prevent root folders from being added under the startup folder. [Mark McDowall]
- New: Safari Pinned tab icon. [Nathan]
- Use new rTorrent commands when resolving magnets. [Mark McDowall]
- New: Windows Phone theme. [Mark McDowall]
- New: Mobile Chrome theme (Android 5.0+) [Mark McDowall]
- Run gulp using npm Simplifies usage of gulp and makes sure everyone is using same version. [Björn Dahlgren]
- RSS Sync failing due to one broken indexer. [Mark McDowall]
- New: Light green background color in Season Pass for seasons with all episodes downloaded. [Taloth Saldono]
- Allow underscore when validating hostnames. [Iain Nicol]
- ItemViewContainer didn't exist sometimes for root folders. [Mark McDowall]
- Include series type for CustomScript. [Mark McDowall]
- Always validate settings when testing thingies. [Mark McDowall]
- On grab for custom scripts. [Mark McDowall]
- New: Added (fairly strict) regex for the new scene WEB quality = WEB-DL. [Taloth Saldono]
- Add WebException handlers to prevent them reaching the UI. [Taloth Saldono]
- Send Http auth without waiting for challenge. [Taloth Saldono]
- Adding magnet to qbit should use FormData not QueryParam. [Taloth Saldono]
- UsenetBlackhole not importing since latest develop. [Taloth Saldono]
- Not uploading nzbs to Nzbget on linux since previous develop. [Taloth Saldono]
- Rarbg indexer broken on develop. [Taloth Saldono]
- New: Delaying Blackhole imports while they're still being updated. [Taloth Saldono]
- Ensure auto-generated mocks are also registered in the test container. [Taloth Saldono]
- Migrated all Download client proxies from RestSharp to HttpClient. [Taloth Saldono]
- Replaced Uri with HttpUri. [Taloth Saldono]
- Refactored HttpRequest and HttpRequestBuilder, moving most of the logic to the HttpRequestBuilder. [Taloth Saldono]
- Don't purge xem scene mapping cache when new series gets added. [Taloth Saldono]
- Sort episodes in calendar by ep nr if airdate is the same. [Taloth Saldono]
- Revert "Fixed: Sort episodes on the api by episode number when they air at the same time." [Taloth Saldono]
- New: Trakt links on series details. [Mark McDowall]
- Anime season search won't search for missing episodes. [Mark McDowall]
- Sort episodes on the api by episode number when they air at the same time. [Taloth Saldono]
- Don't trigger SceneMapping update and Housekeeping right on the startup event. [Taloth Saldono]
- Don't hammer thexem, kthxbai. [Taloth Saldono]
- Default Plex Media Server "Update Library" to true. [Mark McDowall]
- Don't die in MonoTorrent if nodes is an empty string. [Taloth Saldono]
- Warn if user has movie/date sorting enabled in Sabnzbd for the Sonarr category. [Taloth Saldono]
- Clarified error message in MatchesFolderSpecification. [Taloth Saldono]
- New: Changed the default of 'Use Hardlinks instead of Copy' to true. Most ppl seem to want that anyway. [Taloth Saldono]
- Newznab should reject a Torznab feed. [Taloth Saldono]
- Womble's has size parsing now. [Mark McDowall]
- Don't use Sonarr as ReleaseGroup if the pattern contains an advanced prefix/suffix. [Taloth Saldono]
- Write debug/trace log files separately to prevent trace from quickly rolling over debug. [Taloth Saldono]
- Replaced <removed> with (removed) for the log cleanser so it doesn't mess with forums. [Taloth Saldono]
- Couple more anime version test cases. [Mark McDowall]
- Fixed Protocol returned for release/push endpoint. [Mark McDowall]
- Parses size in Wombles Description field so min/maxsize checks works on Wombles feed. [Taloth Saldono]
- Fixed failing torznab test. [Taloth Saldono]
- New: Use PageSize reported by newznab/torznab caps instead of hardcoded 100. [Taloth Saldono]
- Handle 1.1x version from Sabnzbd. [Mark McDowall]
- New: Explicitly enforce SABnzbd minimum version of 0.7.0. [Mark McDowall]
- Don't collapse episode titles when episode titles contain Part x only. [Mark McDowall]
- Use Protocol over DownloadProtocol for ReleasePushModule. [Mark McDowall]
- Fiddled with the Back to the Top button a bit so it's better visible on the white background, also only on widescreen now. [Taloth Saldono]
- DownloadedEpisodesScan API command couldn't be used to process individual files. [Taloth Saldono]
- Cleaned up 2160p changes and added migration and tests. Also reserved the quality ids for WEBRip etc. [Taloth Saldono]
- New: Added support for UltraHD (2160p) quality. [Björn Dahlgren]
- Daily + Standard with 3 digit episode numbers. [Mark McDowall]
- Fixed some compile warnings. [Taloth Saldono]
- Sample files of daily episodes should also be deleted after import. [Taloth Saldono]
- Replaced mono symlink resolve logic to better handle errors. [Taloth Saldono]
- Add another nn preset. [Taloth Saldono]
- Delete the subfolder not the parent folder. [Mark McDowall]
- New: Remove empty subfolders after renaming FileSetLastWriteTime. [Mark McDowall]
- New: Prefer regular episodes over specials when absolute numbers conflict. [Mark McDowall]
- New: Pushover Silent and Emergency priorities. [Mark McDowall]
- Revert "Fixed regression, mono should resolve symlinks while trying to find out the available/total space." [Taloth Saldono]
- Fixed regression, mono should resolve symlinks while trying to find out the available/total space. [Taloth Saldono]
- Manual Import didn't revert to parent folder when trying to parse series leading to issues with obfuscated releases. [Taloth Saldono]
- Certain log messages didn't include the exception. [Taloth Saldono]
- Ignore -Obfuscated while parsing. [Taloth Saldono]
- Handling xml responses containing invalid html entities. [Taloth Saldono]
- Throw more specific error when there's an issue with the curl root certificate bundle. [Taloth Saldono]
- ZFS and other mounts now listed in the System page. [Taloth Saldono]
- Updating nzbplanet.net api url to reflect recent change. [cturra]
- New: Parsing of XofY mini series format. [Mark McDowall]
- Fix: xbuild doesn't support /m parameter. [ta264]
- New: Setting Pushbullet source device. [Ivan Brazza]
- Delete confirmation message for Restriction. [Mark McDowall]
- AutoComplete and file browser will show files when appropriate. [Mark McDowall]
- New: Prevent automatic update if UI folder is not writable. [Mark McDowall]
- Regression in parser incorrectly parsing S2015Exx.2015-01-01 notation. [Taloth Saldono]
- Do or do not, there is no try. [Taloth Saldono]
- Ensure rTorrent download is started even if the user doesn't have schedule=...,start_tied= in their rtorrent.rc. [Taloth Saldono]
- Misleading error message when Kickass/Torrent Rss indexer returned invalid xml. [Taloth Saldono]
- Incorrect api error when calling /api/episode without seriesId queryparam. [Taloth Saldono]
- Added support for Sabnzbd 0.8 history category queryparam. [Taloth Saldono]
- Don't apply indexer backoff on DNS and connection issues. [Taloth Saldono]
- Additional log cleanse Regex to keep even more sensitive information out of the logs. [Taloth Saldono]
- New: Set full Download Directory in Transmission instead of just a Category. [Taloth Saldono]
- Magnet downloads weren't being started on RTorrent. [Taloth Saldono]
- Fixed build.sh. [Keivan Beigi]
- Use build config to exclude xml doc rather than deleting them later. [Keivan Beigi]
- Removed msbuild integerated nuget restore. [Keivan Beigi]
- Cleanup app.manifest for Service helpers, upgraded compat to windows 8.1. [Keivan Beigi]
- Apparently new compilers alraedy embed the app.manifest into the app, no need for mt.exe anymore. [Keivan Beigi]
- Cleanup. [Keivan Beigi]
- Fixed gulp build. [Keivan Beigi]
- Replaced build.ps1 with warning. [Keivan Beigi]
- Smarted mdb generation. [Keivan Beigi]
- Upgraded pdb2mdb.exe to mono 4.2 Stable (4.2.1.102) [Keivan Beigi]
- Remove double slash in NZBVortex add URL. [Mark McDowall]
- Faster test packaging in build.sh. [Keivan Beigi]
- Upgraded nuget packages. [Keivan Beigi]
- Manual Import Series selection. [Mark McDowall]
- NZBVortex Download Client. [Mark McDowall]
- Fixed broken test. [Mark McDowall]
- Fixed Twitter notifications. [Mark McDowall]
- New: Special searching on RARBG. [Mark McDowall]
- Parsing of queued specials from download client queue. [Mark McDowall]
- Use folder quality when better than file quality (regression) [Mark McDowall]
- Selectable range for iCal. [Mark McDowall]
- Increased timeout for Deluge to prevent timeout errors when posting large torrent files. [Taloth Saldono]
- Fixed Ospath incorrectly detecting arbitrary colon as windows path. [Taloth Saldono]
- Fix: Paths with colons prevent Sonarr from communicating with Transmission. [vawen]
- Safety net to handle MaxSize=0. Some users still have 0 = unlimited in their db and migration failed for them. [Taloth Saldono]
- Indexer sites returning date as Retry-After header. [Taloth Saldono]
- Health Check produced warning if Sonarr binaries folder was not writable even when the external script update mechanism was selected. [Taloth Saldono]
- Fixed Regex mistake in CleanLogMessage. [Taloth Saldono]
- New: Better resolution posters on retina screens. [Jake Pusateri]
- Username must not be null or empty when logging in. [Mark McDowall]
- Don't return series as subtype for /api/episode. [Mark McDowall]
- New: Media file extension .webm. [Mark McDowall]
- Show a better error message when no episodes are parsed in a release. [Mark McDowall]
- Fixed donate button. [Taloth Saldono]
- Curl Fallback should ignore invalid cookies. [Taloth Saldono]
- Improved parsing for single digit multi-episode titles. [Mark McDowall]
- RSS Sync Interval validation. [Mark McDowall]
- New: Option to Hardlink or Copy instead of move for Torrent Blackhole. [Mark McDowall]
- A few UI Fixes. [Mark McDowall]
- Hardlink/Copy files from QBittorrent. [Mark McDowall]
- Removed Titans of TV tracker. [Mark McDowall]
- New: Newznab preset for Usenet Crawler. [Mark McDowall]
- Qbittorrent: client plugin based heavily on uTorrent. [Casey Bodley]
- Don't keep dylibs for WIndows and Linux builds. [Mark McDowall]
- Force grabbing some delayed releases. [Mark McDowall]
- Improved parsing of some multi-episode filenames. [Mark McDowall]
- Re-order regex to prefer [1x01] over 101. [Mark McDowall]
- Prevent series from being added with an invalid Profile ID. [Mark McDowall]
- New: Allow Uppercase in Transmission category. [Mark McDowall]
- Saving settings changes. [Mark McDowall]
- Include mediainfo and sqlite3 libraries for Mac Enables usage within MonoDevelop and Xamarin Studio including NUnit. [Björn Dahlgren]
- Changing Indexer failure log message to local from UTC. [Matt]
- Folder quality when file quality determined by its extension. [Mark McDowall]
- New: support for REAL releases. [Mark McDowall]
- Fixed failing tests on Mono Test case unicode characters in escaped format. [Björn Dahlgren]
- Adding new newznab preset for NZBCat. [zetas]
- ConfigServiceFixture shouldn't be touching the DB. [Keivan Beigi]
- Give legend ul max width of 100% [Benjamin Uzelac]
- UI: Update jQuery to 1.11.3. [Gaulin, Brendan]
- Alter calendar tooltip container. fixes #857. [Benjamin Uzelac]
- Add wrapping to fix long paths in labels. Fixes #875. [Benjamin Uzelac]
- Logging invalid version when failing to connect to Kodi. [Mark McDowall]
- Failing missing episode search when one search fails. [Mark McDowall]
- Fix z-index on scroll to top button. [Benjamin Uzelac]
- Manual import when quality was not available after failed parsing. [Mark McDowall]
- New: Manual search shows error when download fails. [Mark McDowall]
- Magnet links with torrent blackhole. [Mark McDowall]
- Prevent regrab for all grabs. [Mark McDowall]
- PFMonkey Newznab preset. [Mark McDowall]
- Stricter parsing of some release filenames. [Mark McDowall]
- Log download client name when communication fails. [Mark McDowall]
- Test messaging when indexer API returns an error with a message. [Mark McDowall]
- Parsing anime series with number in title. [Mark McDowall]
- Sanitize dognzb apikey in nzb fetch url. [Taloth Saldono]
- Fixed handling cookies in different system languages. [Taloth Saldono]
- Better UI messaging when searching for all specials in a series. [Mark McDowall]
- Fixed sorting on Progress in Queue. [Taloth Saldono]
- Degraded 101 regex to favour S01 regex to match prevent matching 3 digit series title. [Taloth Saldono]
- Added verified file transfer mode that doesn't revert to copy. [Taloth Saldono]
- Don't try to process a download client item with an invalid path for the OS. [Mark McDowall]
- External links again open in new windows. [Taloth Saldono]
- Removal of common suffixes such as [ettv] while parsing. [Taloth Saldono]
- Warning message when BTN API throw internal server error. [Taloth Saldono]
- History Spec handles both blackhole and CDH disabled scenarios. [Mark McDowall]
- Tests passing for the wrong reason. [Mark McDowall]
- Lrn2spell. [Mark McDowall]
- Extend Blackhole grace period to 12 hours. [Mark McDowall]
- Debug log when release is accepted. [Mark McDowall]
- Torrent Blackhole client will not track torrents by hash. [Mark McDowall]
- HistorySpecification checks cutoff as well. [Mark McDowall]
- SeasonPass didn't update Series monitored flag if only those were changed. [Taloth Saldono]
- Bind SignalR to root SeriesCollection so typeahead gets the newest data. [Taloth Saldono]
- Don't produce scene mapping warnings if TheXEM only maps the second half of a season. [Taloth Saldono]
- Fixed torznab searching without any id or q. [Taloth Saldono]
- Fixed indeterministic test. [Taloth Saldono]
- Fixed typo in nn caps and apikey error message. [Taloth Saldono]
- Don't be so strict about dupe attr values. [Taloth Saldono]
- Refactored the HttpDispatchers. [Taloth Saldono]
- Missing TvdbId on ReleaseResource. [Taloth Saldono]
- New: Added support for newznab indexers using tvdbid for searching. [Taloth Saldono]
- Add tests for CurlHttpClient and fix the failures. [ta264]
- New: Blackhole won't grab another release if release in last hour meets the cutoff. [Mark McDowall]
- Fixed namespace detection for EZRSS now DOCTYPE is gone. [Taloth Saldono]
- Removed doctype from ezrss test. [Taloth Saldono]
- Show Specials in Wanted. [Taloth Saldono]
- Fixed removing partials before trying to copy files. [Taloth Saldono]
- Fixed rTorrent test. [Mark McDowall]
- RTorrent: Url Path displayed by default, misc. [Lars]
- RTorrent: Fixed label bug. [Lars]
- RTorrent: Fixed race condition. [Lars]
- Log description for invalid API key response. [Mark McDowall]
- Don't import single files that start with ._ [Mark McDowall]
- New: Option to remove illegal characters. [Mark McDowall]
- Don't error out if PMS returns no ID for a specific series. [Mark McDowall]
- New: Show time instead of date if event occurs/occurred today. [Mark McDowall]
- Fixed nullables. [Taloth Saldono]
- Replaced built-in valuetypes with language keywords. [Taloth Saldono]
- Clarified error message when parsed episode doesn't exist in the database. [Taloth Saldono]
- Tooltips for series and season searches. [Mark McDowall]
- Use X-Api-Key header in integration tests. [Mark McDowall]
- Terminate Sonarr instance created during integration tests by Process ID. [Mark McDowall]
- Removed Trakt to Tvdb migration workaround, so it actually removes the tvrageid when skyhook says so. [Taloth Saldono]
- TV Directory is not required for local rTorrent. [Mark McDowall]
- Only apply kat peers fix for recent releases. [Taloth Saldono]
- Removed deferrer from external links, instead relying solely on the rel=noreferrer attribute (supported by Chrome and Firefox, but not all browser) [Taloth Saldono]
- Consistent display of sizes. [kmcc049]
- Missing Episode Search command wasn't stored properly in the db causing it to search for all series, instead of one. [Taloth Saldono]
- Disable kickass seeds/peers info since they only report 0 on the rss. [Taloth Saldono]
- Fixed composition. [Taloth Saldono]
- Removing torcache url query params to avoid redirect. [Taloth Saldono]
- Parse TVRip releases as SDTV. [Mark McDowall]
- Parsing 4-digit season packs. [Mark McDowall]
- Log error message when moving file to recycling bin fails. [Mark McDowall]
- New: Custom Script Download contains SourcePath and SourceFolder. [Mark McDowall]
- New: Custom Script environment variables use underscores instead of periods. [Mark McDowall]
- Extremely long titles. [Mark McDowall]
- Hide completed downloads when CDH is disabled. [Mark McDowall]
- Path and Arguments were set to the same number for CustomScript. [Mark McDowall]
- Preserve startup arguments during restart. [Mark McDowall]
- Only run a complete section update in Plex if all partial updates fail. [Mark McDowall]
- Import episodes in ascending numerical order. [Mark McDowall]
- Show implementationName for metadata. [Mark McDowall]
- Return early for existing files in UnverifiedSceneNumberingSpecification. [Mark McDowall]
- New: Add Webhook support to sonarr. [Gavin Mogan]
- Phantom: screen less files are defined in sonarr.less. [Keivan Beigi]
- Upgraded postcss, webpack. [Keivan Beigi]
- Switched web pack watch to poll mode. [Keivan Beigi]
- Succeeded instead of completed for testing. [Mark McDowall]
- New: Warning message that Torrent Blackhole will move files, not copy or hard link. [Mark McDowall]
- Convert onGrab from passing a string to passing an object with series and episode information. [Gavin Mogan]
- Fix build on linux and add build.sh. [ta264]
- Don't log all daily episodes parsing as unknown episodes. [Mark McDowall]
- New: Ability to push releases to Sonarr via API for processing. [Mark McDowall]
- Inital work for release pushing. [bitPhex]
- Fix theme less file. [Mark McDowall]
- Support for not adding a hash to some index elements. [Mark McDowall]
- External less source maps, autoprefixer. [Keivan Beigi]
- Better parsing of full season x265 releases. [Mark McDowall]
- Mono and .net handle Uri escapes differently messing up the tests. [Taloth Saldono]
- Fixed tests after Uri cleanup logic. [Taloth Saldono]
- MediaInfo should use ParseSpeed > 0.2 for .ts files to get accurate readings. [Taloth Saldono]
- Indexers returning relative urls for grabs. [Taloth Saldono]
- Emby metadata added date will use series added date. [Mark McDowall]
- Fixed SkyHookSearch tests. [Taloth Saldono]
- New: Sonarr can now update series to use another tvdbid in case when tvdb removes a duplicate and Skyhook detects it. [Taloth Saldono]
- Fixed log message for rss sync gap warning. [Taloth Saldono]
- Fixed series refresh repeated too often if Sonarr is killed before Scheduled task finishes. [Taloth Saldono]
- Fixed negative NzbGet DownloadLimit. [Taloth Saldono]
- Ignore duplicates when using history to identify an existing downloaditem. [Taloth Saldono]
- Don't check for missing TheXEM numbering when importing existing series. [Taloth Saldono]
- Log number of episodes, not type. [Mark McDowall]
- Fixed phantom build. [Keivan Beigi]
- New: Hungarian language support. [Mirx]
- Removed semi-colon. [Mark McDowall]
- RTorrent category is optional. [Mark McDowall]
- Fixed paths for phantom. [Mark McDowall]
- Should ignore indexer provided tvrageid when scene naming exception exists. [Taloth Saldono]
- Cleaned up project root. [Keivan Beigi]
- Only list the matching ignored terms in the rejection. [Taloth Saldono]
- New: Support 5-digit multi-episode releases. [Mark McDowall]
- New: Sonarr logo is optional for Pushalot notifications. [Mark McDowall]
- Series failing to load when there were no seasons. [Mark McDowall]
- Cleanup and refactoring of Twitter notifications. [Mark McDowall]
- Inital work on Twitter notifications. [Gavin Mogan]
- Refreshing individual series incorrectly delayed the schedule task. [Taloth Saldono]
- Minor pageable code error. [Taloth Saldono]
- New: Boxcar 2 notifications. [Rodolphe Stoclin]
- Fixed backbone.collectionview shim. [Mark McDowall]
- Icon now completely hidden if spinner overlay is shown. Fixed season action margin. [Taloth Saldono]
- Include indexers name in back-off healthcheck warning. [Taloth Saldono]
- Actually added deepmodel shim. [Taloth Saldono]
- Shim for deepmodel. [Mark McDowall]
- AsPageableMixin to make backbone.pageable to stay on same page during fetch. [Mark McDowall]
- Readded series monitoring flag to Season Pass view. [Taloth Saldono]
- Updated libcurl version mappings to use libcurl.4 instead of libcurl.3. [Taloth Saldono]
- Indexer returning an empty page during the rss sync. [Taloth Saldono]
- Rewrote the RequestGenerator to support paging and other refactorings. [Taloth Saldono]
- New: Titans of TV tracker. [Mark McDowall]
- Incorrect number of parameters. [Taloth Saldono]
- Now logging nzb&torrent response sizes. [Taloth Saldono]
- Show thexem outdated mappings message on the calendar as well. [Taloth Saldono]
- Tooltips are now properly hidden if the element is removed from the dom. [Taloth Saldono]
- Use IsProduction instead of IsDebug to toggle caching on/off. [Keivan Beigi]
- _output folder is considered a non-prodction folder. [Keivan Beigi]
- Revert "Fixed: Disabled transactional file transfers since we don't want that feature in master yet." [Taloth Saldono]
- Removed duplicate test. [Taloth Saldono]
- New: Will now temporarily stop using an indexer if the indexer reported an error. [Taloth Saldono]
- Extrapolate scene numbering but won't auto import. [Taloth Saldono]
- Removed duplicate file. [Taloth Saldono]
- Custom scripts. [Mark McDowall]
- New: Added auto-detection of indexer capabilities to torznab. [Taloth Saldono]
- Reverted handlebars version. [Keivan Beigi]
- Gulp getSonarr --branch=develop. [Keivan Beigi]
- Download and start Sonarr using gulp (Can work on UI without VS) [Keivan Beigi]
- Removed yargs dependency since it fails to install in windows. [Keivan Beigi]
- Don't list drives that aren't available. [Taloth Saldono]
- Disabled transactional file transfers since we don't want that feature in master yet. [Taloth Saldono]
- Refactored VerifiedFile transfer to have a verified and transactional mode. [Taloth Saldono]
- Learning to spell. [Mark McDowall]
- Renamed Activity to History in episode details modal. [Mark McDowall]
- New: Show series ratings on series details. [Mark McDowall]
- New: Show download client name in GUI notifications. [Mark McDowall]
- Fixes Release restriction validation. [Mark McDowall]
- Sorting by timeleft on Activity: Queue. [Mark McDowall]
- New: Choose download folder for rTorrent. [Mark McDowall]
- Formatting. [Mark McDowall]
- Double clicking test and save won't retrigger button. [Mark McDowall]
- Do not monitor specials when monitoring missing. [Mark McDowall]
- Doki rss feed now uses correct url for torrent. [Taloth Saldono]
- Applied workaround for CurlSharp GC handling. [Taloth Saldono]
- Fixed curl multithreaded access. [Taloth Saldono]
- Fixed regression in QueueService caused by pr650. [Taloth Saldono]
- Removing pending releases. [Mark McDowall]
- Fixed broken unit test. [Mark McDowall]
- New: Downloads can be tracked by the source name in addition to the download name. [Kayomani]
- Removed trello from CONTRIBUTING as well. [Taloth Saldono]
- Removed link to trello. [Taloth Saldono]
- Updater occasionally killed Sonarr twice before allowing it to be restarted by upstart. [Taloth Saldono]
- Fixed thread concurrency issue on http cookie handling. [Taloth Saldono]
- Removed dupe tests. [Taloth Saldono]
- Actually commented out now... [Mark McDowall]
- Broken test that we can use once we have better parsing. [Mark McDowall]
- BTN Anime Season search. [Taloth Saldono]
- Series is already available in model. [Taloth Saldono]
- New: Added missing absolute episode number warning for anime to calendar view as well. [Taloth Saldono]
- Don't log invalid date in rss as Error. [Taloth Saldono]
- Matching anime using full series title instead of cleaned title to be able to detect subtle!! differences`!! in titles!!! [Taloth Saldono]
- Sonarr didn't clear scene mappings if a series was removed from TheXEM. [Taloth Saldono]
- Fixed project files. [Taloth Saldono]
- Unsaved file. [Taloth Saldono]
- TorrentRssParser incorrectly detected description element. [Taloth Saldono]
- Fix: When removing pending items from the queue remove all releases for that episode. [Keivan Beigi]
- Show warning message for rTorrent that it doesn't support torrent removal. [Mark McDowall]
- Fix the build. [Mark McDowall]
- Use a list for ChannelTags and DeviceIds in Pushbullet settings. [Mark McDowall]
- Removed eztv migration tests. [Taloth Saldono]
- Removed HDAccess.net torznab preset since the site has stopped. [Taloth Saldono]
- Removed Eztv-like api support entirely since TorrentRss is now available. [Taloth Saldono]
- Improved PushBullet implementation (v2 API, multiple devices, channels) [Mark McDowall]
- New: Fallback to libcurl/libssl on mono for https connections. [Taloth Saldono]
- MediaInfo Dispose only when handle was created. [Taloth Saldono]
- Renaming episodes on OSX with case-insensitive filesystem. [Taloth Saldono]
- Updating empty Kodi library. [Mark McDowall]
- Clear scrollbars on window resize. [Mark McDowall]
- Upgrade to Bootstrap 3.3.5. [Mark McDowall]
- Remove calendar header padding for scrollbar. [Mark McDowall]
- Cleanup tabs. [Mark McDowall]
- Fix ambiguous calls when compiling under mono. [Mark McDowall]
- Series poster controls. [Mark McDowall]
- Fixed btn tests. [Taloth Saldono]
- BTN will now use http/https for grabbing downloads as specified by the settings instead of by the feed. [Taloth Saldono]
- Ignore OS X metadata files in repo. [Mark McDowall]
- Remove scrollbar from calendar. [Mark McDowall]
- Upgrade FullCalendar and MomentJS. [Mark McDowall]
- Upgraded bootstrap to 3.3.4. [Mark McDowall]
- Disabled verified file transfer on windows. [Taloth Saldono]
- New: Now checks the file size of moved episodes to verify if the transfer was completed successfully to be able to detect errors with mounted network storage. [Taloth Saldono]
- Downloading progress won't cutoff series title prematurely. [Mark McDowall]
- Clean up some warnings. [Mark McDowall]
- OS Agnostic Paths. [Mark McDowall]
- Speed up disk rescaning during series refresh. [Mark McDowall]
- Next airing on series list. [Mark McDowall]
- SeasonNumber not season. [Mark McDowall]
- Refresh using sort order. [Mark McDowall]
- Size on disk display. [Mark McDowall]
- Use protocol agnostic URLs for images on add series. [Mark McDowall]
- Improved error messaging for manual import. [Mark McDowall]
- Poster x-class. [Mark McDowall]
- New: Reload fanart and poster on series details after images are downloaded. [Mark McDowall]
- Fix error when season stats are missing. [Mark McDowall]
- New: Search for newly added past episodes after series is refreshed. [Mark McDowall]
- Improved season pass styling. [Taloth Saldono]
- Season pass overhaul. [Mark McDowall]
- Fixed typo in UI. [Taloth Saldono]
- Calendar not showing some items on the last day of the week. [Mark McDowall]
- GetCurrentProcessId for PidFileProvider. [Mark McDowall]
- Torznab advanced setting 'Enable RageID Lookup' had wrong UI type. [Taloth Saldono]
- New: Support for SSL connections to Plex Media Server. [Mark McDowall]
- Strict parsing of anime releases that have a number at the end of the episode title. [Mark McDowall]
- Suppress warnings for free space check on fixed disks. [Mark McDowall]
- Size Parsing in TorrentRss was a bit too tolerant. [Taloth Saldono]
- Disabled unstable CI integration tests. [Taloth Saldono]
- Prevent ProgressMessageTarget from ever reading the command from the database. [Taloth Saldono]
- Exiting from tray icon. [Mark McDowall]
- Editing episode file quality. [Mark McDowall]
- Early cleanup of completed tasks. [Mark McDowall]
- A bug caused way too much data being read during MediaInfo discovery (often the entire file). [Taloth Saldono]
- Added x/h265 to renamer. [Taloth Saldono]
- More logging for CommandExecutor. [Mark McDowall]
- New: Support for updating single series in Plex Library. [Mark McDowall]
- Better validation messaging for Newznab Categories. [Mark McDowall]
- Ignore more signalr non-errors. [Mark McDowall]
- And added a test for it. [Taloth Saldono]
- Fixed transmission returning -1 as Eta. [Taloth Saldono]
- Fixed transmission returning -1 as Eta. [Taloth Saldono]
- Shift select range on Missing/Cutoff Unmet. [Mark McDowall]
- New: Add generic TorrentRssIndexer support. [Michel Zehnder]
- New: Added support for Rarbg as replacement for Eztv. [Taloth Saldono]
- Fixed tests. [Taloth Saldono]
- Series/season metadata also created on episode import. [Taloth Saldono]
- RTorrent: Fix load commands. [Lars]
- RTorrent: Update method names, enable compression on XMLRPC. [Lars]
- Version and product for MyPlex Authentication. [Mark McDowall]
- Support for Season xx Episode yy multi-episode format. [Mark McDowall]
- Don't use folder quality when it is unknown and file quality is. [Mark McDowall]
- HDBits fixup. [Taloth Saldono]
- New: Add support for the HDBits torrent tracker. [scherzo]
- Added /transmission/ part to UrlBase in Transmission settings making it configurable. [Taloth Saldono]
- Parsing of season and episode inside square brackets. [Mark McDowall]
- Log signalR errors as trace when they are network connection aborted. [Mark McDowall]
- Make sure URL base doesn't start with http or https. [Mark McDowall]
- Settings: Remove misleading placeholder, fix error-message. [Lars]
- Fixed tiny cosmetic in rTorrent settings. [Taloth Saldono]
- Unlimited MaxSize and increased granularity. [Taloth Saldono]
- New: Hand-off update logic to handle upstart/systemd and other auto-restart mechanisms. [Taloth Saldono]
- Download clients: New client rTorrent. [Your Name]
- Fix torrent blacklisting when InfoHash is available. [Mark McDowall]
- Recent folders for add series now show clickable cursor. [Mark McDowall]
- New: Store last 5 used folders from manual import. [Mark McDowall]
- Properly dispose filestream after getting mediainfo. [Taloth Saldono]
- Compilation: Misc changes to support XBuild. [Lars Johnsen]
- Compilation: Fix case inconsistencies. [Lars Johnsen]
- Integrated MediaInfo wrapper to be able to properly handle Unicode on Linux. [Taloth Saldono]
- Fix tests. [Mark McDowall]
- Don't filter excluded files twice. [Mark McDowall]
- Test to make sure we scan files in root of series folder (no season folders) [Mark McDowall]
- Use HTTPS for piwik when loading via HTTPS. [Mark McDowall]
- Stricter rejection of series subfolders. [Mark McDowall]
- Only make manual import cells clickable when previous steps have been done. [Mark McDowall]
- Manual Import sends progress messages. [Mark McDowall]
- Remove Kodi specific settings from PHT Settings. [Mark McDowall]
- DotSolutions update. [Mark McDowall]
- Select input for select series in manual import. [Mark McDowall]
- Modal Regions inherit from a common base. [Mark McDowall]
- Interval for RSS is minutes. [Mark McDowall]
- Exclude OS X Metadata files when scanning for files. [Mark McDowall]
- Ignore unicode test for now, fails on tc. [Taloth Saldono]
- HashAlgorithm.ComputerHash isn't thread safe, [Keivan Beigi]
- Fixed broken test. [Taloth Saldono]
- Kickass Verified Only flag no longer an Advanced option to increase visibility. [Taloth Saldono]
- Fixed manual import of unknown episodes. [Taloth Saldono]
- Fetching multiple pages for kickass to get more releases on the recent/rss feed due to small page size. [Taloth Saldono]
- Casing for button text. [Mark McDowall]
- Use skyhook for searching. [Mark McDowall]
- Title case for buttons. [Thirrian]
- A season pack import taking a long time should no longer cause the download to be deleted prematurely. [Taloth Saldono]
- Transform buttons to title case. [Mark McDowall]
- Prefix relative dates with "in" where appropriate. [Mark McDowall]
- Releases instead of reports (but no results found) [Mark McDowall]
- Don't run DownloadCompletedEvent if DownloadItem not Completed. [Taloth Saldono]
- New: Added HD4Free.xyz to Torznab presets since that site now supports it. [Taloth Saldono]
- Its a good idea to remove testing elements before merging. [Mark McDowall]
- Fix for #242. [Thirrian]
- New: Manual Import episodes. [Mark McDowall]
- Blacklisting torrents and using more info to evaluate matches. [Mark McDowall]
- Move error div inside body tag. [Thirrian]
- Add sort key for series "A.D. The Bible Continues" [Thirrian]
- Don't delete downloads unless a file was imported. [Mark McDowall]
- New: Limit grabs to 1 per second to reduce rapid API calls. [Mark McDowall]
- Do not replace a file unless it contains the same episodes. [Mark McDowall]
- Fixed some tests. [Taloth Saldono]
- Add db name to Vacuum log message. [Taloth Saldono]
- Fixed scrolling performance issues on Webkit based browsers. (Opera, Chrome, Safari) [Chao Man]
- Actually make it lower case... [Mark McDowall]
- Partial updates for command updates. [Mark McDowall]
- Nzbget will now properly remove data from original directory if Remove option is enabled. (nzbToMedia transcoding) [Taloth Saldono]
- Log partial indexer response on parser error. [Taloth Saldono]
- Parsing some anime releases with multiple absolute episode numbers. [Mark McDowall]
- Permissions can cause OWIN port registration to fail. [Mark McDowall]
- Generic SignalR messages no longer treated as errors. [Mark McDowall]
- Monitoring options not be applied when adding a new series to an empty root folder. [Mark McDowall]
- Fixed: Ignore @eaDir inside Series folders. [Mark McDowall]
- Long sets of required/ignored words would overflow the view in Manual Search. [Mark McDowall]
- Couple name fixes. [Mark McDowall]
- Order provider based settings by name. [Mark McDowall]
- New: Show age in minutes when less than 2 hours old (manual search/history) [Mark McDowall]
- Display names for Download clients. [Mark McDowall]
- Display names for Indexers. [Mark McDowall]
- Set default Metadata name. [Mark McDowall]
- No longer titlecases notifications, indexers, etc. [Mark McDowall]
- Display names for Notifications. [Mark McDowall]
- Fixing scene mappings. [Mark McDowall]
- Show reload when already on updates page. [Mark McDowall]
- Remove invalid scene mappings. [Taloth Saldono]
- New: Added Color-Impaired mode to UI settings. [Taloth Saldono]
- Pushbullet settings typo. [Roy Handelsman]
- URL Base for favicon and Apple Touch icons. [Mark McDowall]
- Cleanse some names. [Mark McDowall]
- Don't save invalid scene mappings into database. [Mark McDowall]
- Torznab parsing when enclosure is magent link. [Mark McDowall]
- Testing indexers, connections and download clients. [Mark McDowall]
- Set permissions on Sonarr.app (OS X) [Mark McDowall]
- DB locking due to Progress Messaging. [Mark McDowall]
- Mapped Network Drive Validator. [Mark McDowall]
- New: Option to show unmonitored episodes on calendar. [Mark McDowall]
- Better error messaging when import fails due to inaccessible path. [Mark McDowall]
- Table pagers show correct loading icon. [Mark McDowall]
- Jshint in WebStorm 10. [Mark McDowall]
- Response cookies not stored by default. [Taloth Saldono]
- MediaInfo now also works on linux with unicode filenames. [Taloth Saldono]
- Made optional resource properties nullable. [Taloth Saldono]
- Hard test on dev nzbget version as requested. [Taloth Saldono]
- If Nzbget failed to add an nzb, Sonarr will try another but not blacklist it. [Taloth Saldono]
- Some anime season 1 parsing. [Mark McDowall]
- API endpoint to parse a release title. [Mark McDowall]
- Don't throw error when episode title matching doesn't find a match. [Mark McDowall]
- New: Sort queue by series, episode and episode title. [Mark McDowall]
- New: Toggle selected on Wanted: Missing to change monitored status. [Mark McDowall]
- Rename preview for Specials. [Mark McDowall]
- New: Show quality in dropdowns with best at top (same as profiles) [Mark McDowall]
- Wrap long release names in history details. [Mark McDowall]
- Improved special episode parsing for multiple matching titles. [Mark McDowall]
- Search all missing fixes. [Mark McDowall]
- BitMeTv cookie will now also be used for the fetching the torrent file. [Taloth Saldono]
- New: Added Advanced option to Nyaa to change query parameters for category and filter. [Taloth Saldono]
- No longer possible to add protocol to a Host field (that's what Url fields are for) [Taloth Saldono]
- Fixed notification enable logic and test when On Upgrade is disabled. [Taloth Saldono]
- Fixed icon colours. [Mark McDowall]
- Changed sqlite to use full fsync on osx to reduce the chance of corruption at the cost of some performance. [Taloth Saldono]
- NzbGet development version no longer fails validation check. [Taloth Saldono]
- Searching for unmonitored anime episodes during season/all missing searches. [Mark McDowall]
- Toggle cell use spinForPromise. [Mark McDowall]
- Use cache to check for running or started commands. [Mark McDowall]
- Scene numbered season searches when some episode weren't monitored. [Mark McDowall]
- New: Choose the latest season when adding a new series. [Mark McDowall]
- Navbar hover mobile styling. [Mark McDowall]
- It is Not an Error Message. [Taloth Saldono]
- New: Synology Media Indexer support in Connect. [Taloth Saldono]
- Failed DeleteStatus now only a Warning, also added null check to handle older NzbGet version. [Taloth Saldono]
- Replaced a couple more NzbDrone with Sonarr. Left a couple that implied process name. [Taloth Saldono]
- Fixed a typo. [BrendenCA]
- Ugly indexer release name cleaned up before sending to Sab. [Taloth Saldono]
- New: Restrict ports that Sonarr will allow for its webserver. [Mark McDowall]
- Better handling for Remote NAS errors. [Taloth Saldono]
- Fixed typo. [Taloth Saldono]
- Sorting on episode list when new episodes are added during refresh. [Mark McDowall]
- Legitimate API redirects. [Mark McDowall]
- Allow startup on case sensitive file systems. [Alex]
- Log full path when moving or copying. [Mark McDowall]
- Separate log messages for hardlinking and copying. [Mark McDowall]
- Command queue. [Mark McDowall]
- Fixed null config test. [Mark McDowall]
- Download Client with config Warnings won't be excluded. [Mark McDowall]
- New: "Force" priority for NZBGet. [Bo Jeanes]
- New: Added Torznab as generic indexer. [Taloth Saldono]
- Adjuted parser cleanup to properly handle anime titles with 10b instead of 10bit. [Taloth Saldono]
- Giving a slightly more useful IPTorrent rss feed error. [Taloth Saldono]
- Fixed TorrentBlackhole failing fatally on magnet link instead of falling back to torrent url. [Taloth Saldono]
- Blackhole clients cache nzb/torrent in memory before writing to the blackhole folder. [Taloth Saldono]
- Can now specify a cookie for BitMeTv. [Taloth Saldono]
- Season packs will no longer be grabbed if it contains an unmonitored episode. [Taloth Saldono]
- Only show best pending item in Queue. [Mark McDowall]
- Import of single-file anime torrents. [Taloth Saldono]
- Added tooltips to Blackhole Watch/Torrent/Nzb Folder fields. [Taloth Saldono]
- Selecting range with shift-key in Series Editor should now work as intended. [Taloth Saldono]
- Validation of dot prefix in Transmission category. [Taloth Saldono]
- New: Parse releases that have a 5 digit episode number. [Mark McDowall]
- Piwik loading when accessing Sonarr via HTTPS. [Mark McDowall]
- Test fixed. [Taloth Saldono]
- New: Fanzub url can now be modified (to be used only with alternative sites implementing the same api) [Taloth Saldono]
- Removed hardcoded dot prefix from the transmission category, making it configurable via the settings instead. [Taloth Saldono]
- Added symbols and tooltips to Manual Search last two sort columns. [Taloth Saldono]
- Column sort direction will not toggle unless the same column is clicked again. [Taloth Saldono]
- New: Added UrlBase to Deluge Settings to facilitate seedbox setups. [Taloth Saldono]
- Removed deprecated code. [Taloth Saldono]
- Removed duplicate tests. [Taloth Saldono]
- Series editor cleanup. [Mark McDowall]
- Sorting on path in series editor. [Mark McDowall]
- UI: Separate setting groups & clarify tooltips. [Lars Johnsen]
- Updating Kodi won't fail if a series has an IMDB ID instead of a TVDB ID. [Mark McDowall]
- Disabled eztv test entirely. [Taloth Saldono]
- Empty Sabnzbd category is now properly handled. But added UI validation to recommend adding a category. [Taloth Saldono]
- Fixed parsing specials with Scene.Title.S0x.Episode.Title format. [Taloth Saldono]
- And the same fix for the actual import. [Taloth Saldono]
- Fixed regex incompatible with mono. [Taloth Saldono]
- No longer marks download as imported if no episodes were found. [Taloth Saldono]
- Activity->Queue didn't show manually downloaded specials for which the parser couldn't find an episode number. [Taloth Saldono]
- Fixed a couple of logging errors. [Taloth Saldono]
- Hashes being parsed as 0e00 numbering. [Taloth Saldono]
- Force import won't trigger icon change on multiple items. [Mark McDowall]
- Improved parsing for anime episodes with leading release group. [Mark McDowall]
- Delete obsolete file: handlebars.run.min.js. [larsjohnsen]
- Cutoff will be respected when release is still in queue. [Mark McDowall]
- Preferring season packs over single episodes before comparing relative sizes. [Taloth Saldono]
- New: Manual single episode searches on BTN will now also search for season packs to simplify manually grabbing a season pack. [Taloth Saldono]
- Menu button on mobile views. [Mark McDowall]
- New: Added rudimentary Anime search by tvdb episodenumber to BTN. [Taloth Saldono]
- Episode/Season searches on BTN are now performed by tvdb numbering instead of scene numbering. (let us know if you run into problems with series with scene numbering) [Taloth Saldono]
- Now searching BTN by tvdbid instead of tvrageid to get results for certain series. [Taloth Saldono]
- Removed extra 's' in file. [Mark McDowall]
- Fixed tooltip for pending queue items. [Taloth Saldono]
- Fixed sorting in episode file editor. [Mark McDowall]
- CDH can now remove items after import from NzbGet it didn't grab itself. [Taloth Saldono]
- Failed download handling should now only report a download wasn't grabbed by sonarr if the download actually failed. [Taloth Saldono]
- Less wordy tooltip for season rename. [Mark McDowall]
- Ignore .AppleDouble subfolders of season folder. [Mark McDowall]
- Episode file editor. [Mark McDowall]
- Fixed search icons. [Mark McDowall]
- Upgraded to FontAwesome 4.3.0. [Mark McDowall]
- Clear log files. [Mark McDowall]
- Don't try to set console logging when its not enabled. [Mark McDowall]
- Deduping tags only updates affected models. [Mark McDowall]
- UI notification after Sonarr updates. [Mark McDowall]
- Series details styling fixes. [Mark McDowall]
- UI Cleanup - Updated System, Tags and Wanted subtrees. [Taloth Saldono]
- UI Cleanup - Updated Shared and Shims subtrees. [Taloth Saldono]
- UI Cleanup - Updated Settings subtree. [Taloth Saldono]
- UI Cleanup - Updated Series subtree. [Taloth Saldono]
- UI Cleanup - Updated Rename and SeasonPass subtrees. [Taloth Saldono]
- UI Cleanup - Updated Navbar, Profile, Quality and Release subtrees. [Taloth Saldono]
- UI Cleanup - Updated root tree. [Taloth Saldono]
- UI Cleanup - Updated Instrumentation, jQuery and Mixins subtrees. [Taloth Saldono]
- UI Cleanup - Updated Health subtree. [Taloth Saldono]
- UI Cleanup - Updated Form and Handlebars subtree. [Taloth Saldono]
- UI Cleanup - Updated Episode subtree. [Taloth Saldono]
- UI Cleanup - Updated Commands subtree. [Taloth Saldono]
- UI Cleanup - Updated Cells subtree. [Taloth Saldono]
- UI Cleanup - Updated Calendar subtree. [Taloth Saldono]
- UI Cleanup - Updated AddSeries subtree. [Taloth Saldono]
- UI Cleanup - Updated Activity subtree. [Taloth Saldono]
- Remove unused parameter. [Mark McDowall]
- De-dupe Tags. [Mark McDowall]
- Not properly getting the parent of a folder with a trailing slash. [Mark McDowall]
- Tooltips should now be attached to a container close to the target element while avoiding button/input groups. [Taloth Saldono]
- New: Logging level in settings will be used for Console logging. [Mark McDowall]
- Daily episodes that have date and season/episode numbers in the release name. [Mark McDowall]
- Search improvements. [Mark McDowall]
- Commonjsed SearchResultView. [Mark McDowall]
- Option to monitor no episodes on add. [Mark McDowall]
- Help text for tags on notifications. [Mark McDowall]
- Fixed and added tests. [Taloth Saldono]
- Moved naming pattern in Rename preview dialog to top. [Taloth Saldono]
- Manual search no longer permits downloading releases for which we can't find an episode until we can fix the association logic. [Taloth Saldono]
- New: Added poster to Series Details overview in the large screen width category. [Taloth Saldono]
- Metadata file improvements. [Mark McDowall]
- Root folder improvements. [Mark McDowall]
- Fixed default KAT url. [Mark McDowall]
- Fixed error on load for poster item view. [Mark McDowall]
- Monitor from first season. [Mark McDowall]
- AsOsAgnostic? [Mark McDowall]
- Parsing improvements. [Mark McDowall]
- Include version in services Changes api call so the server knows how to redirect. [Taloth Saldono]
- Updated installation HealthCheck warning link to wiki. [Taloth Saldono]
- Fixed some mono specific tests. [Taloth Saldono]
- Reordered and renamed tabs in System. [Taloth Saldono]
- Removed InstallUpdate, instead manually triggering ApplicationUpdate. [Taloth Saldono]
- Branch redirects will now occur during install of the a new update instead of during an update check. [Taloth Saldono]
- InstallUpdate pre-check failures should now show a nice error on the UI. [Taloth Saldono]
- Allow failing a Command using a specific message. [Taloth Saldono]
- Manually triggering Check Health will now also run health checks that normally only run on startup. [Taloth Saldono]
- Install Update UI should now report an error if the application folder is not writable instead of failing silently. [Taloth Saldono]
- Checks for update regardless of settings, but won't install it. [Taloth Saldono]
- Episode import improvements. [Mark McDowall]
- Separated vendor.js from main.js. [Keivan Beigi]
- Fix: only add cache breaker to css/js files (exclude calendar, apple icons etc) [Keivan Beigi]
- Reverting SignalR.Core/Infrastructure/CancellationTokenExtensions.cs to old version. [Keivan Beigi]
- Different favicon for debug mode. [Keivan Beigi]
- Maybe? [Keivan Beigi]
- More shim cleanup. [Keivan Beigi]
- Cleaned up validation shims/modules. [Keivan Beigi]
- Upgraded SignalR to 1.2.2. [Keivan Beigi]
- Fixed ToTheTop. [Keivan Beigi]
- RSS Sync interval cannot be set to a 1-9 minutes (0 or 10+ only) [Mark McDowall]
- All issues regarding Media Covers should be fixed now after apply this update. Refresh browser cache if still missing and report issues on forum. [Taloth Saldono]
- Health Checks on mono now shows correct wiki links. [Taloth Saldono]
- Set RSS Sync to minimum 10 minutes. [Mark McDowall]
- Spawn new mono processes with --debug. [Mark McDowall]
- Italians in title will not treat the episode as Italian language. [Mark McDowall]
- Comment out parsing test. [Mark McDowall]
- Don't search for episodes in series that haven't aired yet. [Mark McDowall]
- Handlebars 2.0. [Keivan Beigi]
- Enable named views for smoke tests. [Keivan Beigi]
- Integration tests as well. [Mark McDowall]
- Run nunit console on *nix with runtime 4.0 (for proper stacktraces) [Mark McDowall]
- Wrong user name won't result in error message being generated. [Mark McDowall]
- More parsing test cases. [Mark McDowall]
- Add series will update UI properly. [Mark McDowall]
- Disabled webpack jshit. [Keivan Beigi]
- Moved jshint config to .jshintrc. [Keivan Beigi]
- Don't add named views in production. [Keivan Beigi]
- No longer leaves a corrupt file if MediaCover resize failed. [Taloth Saldono]
- Logout button for forms Auth and fix UrlBase redirects. [Mark McDowall]
- HeaderCell is a standard mixin. [Mark McDowall]
- Fixed table header cell. [Mark McDowall]
- Fixed webpack issues adding indexers/download clients/notifications. [Mark McDowall]
- Spinner on add series buttons. [Mark McDowall]
- Remove from pending. [Mark McDowall]
- Rjs -> webpack. [Keivan Beigi]
- Reloading the page before restarting won't break the UI when changing authentication method. [Mark McDowall]
- New: options when adding series, including the ability to search for all missing episodes. [Mark McDowall]
- Fixed spacing for labels when series path is abnormally long. [Mark McDowall]
- New: Forms authentication. [Mark McDowall]
- Only use resized posters when the images are served from Sonarr. [Taloth Saldono]
- Replaced trakt reference on ui with thetvdb. [Taloth Saldono]
- Remove from queue improvements. [Mark McDowall]
- Removing pending items from Queue. [Mark McDowall]
- Couple fixes. [Mark McDowall]
- New: Show download protocol in Queue. [Mark McDowall]
- Transmission proxy should no longer produce paths with double slashes. [Taloth Saldono]
- StripBom. [Keivan Beigi]
- Spelling. [Keivan Beigi]
- Sonarr now installs as sonarr instead of NzbDrone. [Keivan Beigi]
- StripBom. [Keivan Beigi]
- UI now loads the 250px image if available, and reverts to full size otherwise. [Taloth Saldono]
- New: MediaCover api now includes several resized variants to save bandwidth for mobile apps. [Taloth Saldono]
- Fixed spacing. [Lucas Schad]
- Do not allow adding of a series without a title. [Mark McDowall]
- Don't scan subfolders in series folders that start with a period. [Mark McDowall]
- Increased requirejs timeout. [Mark McDowall]
- Increased requirejs timeout. [Mark McDowall]
- Better message when rejecting episode if its not an upgrade. [Mark McDowall]
- Use URL_BASE in index mapper. [Mark McDowall]
- 1 file, not 1 files. [Mark McDowall]
- New: Show naming format on rename preview. [Mark McDowall]
- Spelling. [Mark McDowall]
- Rename preview shows same order as series details (descending) [Mark McDowall]
- Default sort order of episodes on series details. [Mark McDowall]
- Sorting by episode number on series details. [Mark McDowall]
- Extra checks in place to prevent config file corruption. [Mark McDowall]
- Forced english metadata for the search api. [Taloth Saldono]
- DownloadEpisodesScan api command regressed during a refactoring causing nzbToMedia to fail. [Taloth Saldono]
- TrackedDownload cache, queue etc now use DownloadId instead of TrackedId so it can be found purely by the id provided by the download client. [Taloth Saldono]
- Removed incorrect test. [Taloth Saldono]
- Error when entering unsupported character in tag. [Mark McDowall]
- Use rss-download for omg RSS feed. [Mark McDowall]
- Fixed hashed release name. [Mark McDowall]
- Show title mismatches, but don't import them automaticallys. [Mark McDowall]
- Use Orignal Filename token for renaming as only token. [Mark McDowall]
- Fixed UrlBase for view updates. [Mark McDowall]
- Remove failed downloads from download client (when enabled) [Mark McDowall]
- Go to series instead of open series on episode modal. [Mark McDowall]
- New: button on update notification to go to change log. [Mark McDowall]
- Removed Animezb indexer. [Mark McDowall]
- Sorting by age in Manual Search now also considers fractions. [Taloth Saldono]
- No longer reports SxxExx as releasegroup if original title uses - separator. [Taloth Saldono]
- Remove on Activity page should now work for Blackhole items. [Taloth Saldono]
- Made sqlite version explicit in the connection string. [Keivan Beigi]
- WDTV metadata title for episode uses 2 digit episode number. [Mark McDowall]
- Do not scan series folder if root folder is empty. [Mark McDowall]
- Rename gulpFile.js to gulpfile.js. [Scott Robertson]
- Fixed some parsing issues. [Mark McDowall]
- Rename piwik.js to piwikCheck.js to make Ghostery happy. [Mark McDowall]
- Forcing lib update on upgrade. [Keivan Beigi]
- Disable test. [Mark McDowall]
- Disable search after new episodes being added due to existing files not being counted. [Mark McDowall]
- Disable EZTV when using the default URL. [Mark McDowall]
- Deleting items from download queue should now work as intended. [Taloth Saldono]
- Clarify minimum age is in minutes. [Mark McDowall]
- Do not remove directories when they contain a RAR file over 10MB. [Mark McDowall]
- Parsing of absolute numbers inside of brackets. [Mark McDowall]
- XBMC notifications have a minimum display time of 2 seconds. [Mark McDowall]
- Don't search for newly added episodes if they aren't monitored. [Mark McDowall]
- Fixes small grammatical error. [Justin Kenyon]
- Support full any valid int32 as valid route ID. [Keivan Beigi]
- Changed Journaling for osx to prevent db corruption. [Keivan Beigi]
- Removed [TV] from Kodi notifications. [Keivan Beigi]
- Don't run netsh unless on Windows. [Mark McDowall]
- Conflicts with mono 3.12. [Mark McDowall]
- New: omgwtfnzbs delay now configurable (advanced) [Mark McDowall]
- New: Show number of episodes on season status badge. [Mark McDowall]
- Refresh status when series is refreshed. [Mark McDowall]
- Revert "Don't show queue actions buttons until API side fixes are in" [Taloth Saldono]
- Now generating unique ids for queue items sent to the api. [Taloth Saldono]
- Fixing broken tests. [Mark McDowall]
- No not trim trailing "A" from series title when looking for a matching series. [Mark McDowall]
- AirDateUtc comparison validation on Linux. [Mark McDowall]
- Don't recalculate episode air times for Netflix series. [Mark McDowall]
- Collapse Pt or Pt. in episode title. [Mark McDowall]
- Default episode title to TBA if missing. [Mark McDowall]
- Release group parsing improvements. [Mark McDowall]
- Another hashed release format. [Mark McDowall]
- Fixed less. [Mark McDowall]
- Add series formatting. [Mark McDowall]
- Show default poster view in Firefox. [Mark McDowall]
- Don't show queue actions buttons until API side fixes are in. [Mark McDowall]
- Xbmc metadata no longer fails if an episode has no rating. [Taloth Saldono]
- Xbmc Metadata no longer fails when an actor has no image. [Taloth Saldono]
- Fixed typo in Deluge default TvCategory. [Taloth Saldono]
- New: MediaBrowser notifications. [Mark McDowall]
- Handle abc.mkv hashed filename. [Mark McDowall]
- New: Skyhook! fixing your calendars! [Keivan Beigi]
- Log where the torrent request is being redirected to. [Mark McDowall]
- Greedy absolute number regex. [Mark McDowall]
- Parsing some numbers as absolute numbers incorrectly. [Mark McDowall]
- OS Agnostic paths. [Mark McDowall]
- Show better error message when TV library isn't added to Plex server. [Mark McDowall]
- Import files for the series Extras. [Mark McDowall]
- Refreshing anime series won't cause an error. [Mark McDowall]
- Fix: Remove invalid metadata images. [Keivan Beigi]
- New: Updated missing poster image to use our logo. [Mark McDowall]
- Removed trakt link from series details. [Mark McDowall]
- Add series fixes. [Mark McDowall]
- Fixed test. [Mark McDowall]
- New: Prefixed Range multi-episode style (for plex) [Mark McDowall]
- Fixed update tests. [Mark McDowall]
- Fixed nCrunch builds. [Mark McDowall]
- Only test indexers/connections when creating a new one. [Mark McDowall]
- Don't store incomplete image URLs (image doesn't exist) [Mark McDowall]
- Removed trakt references, added user agent to tvdb requests. [Keivan Beigi]
- Search results without TV Rage IDs won't match a series without a TV Rage ID. [Mark McDowall]
- Return proper error when searching for invalid tvdb id. [Keivan Beigi]
- Increased tvdb search limit to 10. [Keivan Beigi]
- Search using tvdb id is now fixed. [Keivan Beigi]
- Remove bad ratings from trakt. [Mark McDowall]
- Replaced trakt with tvdb as data source. [Keivan Beigi]
- Revert "Fixed: Breaking trakt API changes (Posters for add series are placeholders for now)" [Mark McDowall]
- Breaking trakt API changes (Posters for add series are placeholders for now) [Mark McDowall]
- Couple more test cases for episode title collapse. [Mark McDowall]
- Csproj fail. [Mark McDowall]
- Cleaner file names/multi-episode file names. [Mark McDowall]
- More 24 hour fixes. [Mark McDowall]
- Use 24 hour time when configured. [Mark McDowall]
- No longer produces error when deleting pending item from queue. [Taloth Saldono]
- Fixing the build. [Mark McDowall]
- UI now properly sorts on the Peers column. [Taloth Saldono]
- Cleanup. [Mark McDowall]
- Parsing some files that did not contain a series title. [Mark McDowall]
- Show the difference between Quality Full and Quality Title. [Mark McDowall]
- Only show date in upcoming when its not an episode for today. [Mark McDowall]
- More support for Season 1 - Episode 01 style files. [Mark McDowall]
- Some more test cases for CleanTitle. [Mark McDowall]
- A couple more CleanTitle fixes. [Mark McDowall]
- More CleanTitle fixes. [Mark McDowall]
- Better help message for Media Info. [Mark McDowall]
- Better help message for Media Info. [Mark McDowall]
- Log Plex sections response before checking for error. [Mark McDowall]
- Some issues around removing completed and failed downloads. [Keivan Beigi]
- Fix: consider download completed if all remote episodes are imported. [Keivan Beigi]
- Issue where completed torrents wouldn't be removed after they finished seeding. [Keivan Beigi]
- Fixed Episode CleanTitle token helper and keep # in title. [Mark McDowall]
- Fix loading for root series modal. [Mark McDowall]
- Size formatted culture invariant. [Taloth Saldono]
- No longer mixes up peers and leechers, so the UI should now properly report seeders and leechers. [Taloth Saldono]
- Private constructor for TrackedDownloadStatusMessage. [Mark McDowall]
- Do not limit number of args for update on Non-Windows. [Mark McDowall]
- Fixed line height for episode file in modal. [Mark McDowall]
- New: Episode CleanTitle renaming token. [Mark McDowall]
- Headers for import existing. [Mark McDowall]
- Cleanup file browser, added loading indicator. [Mark McDowall]
- Updated OZnzb URL to api.oznzb.com (new indexer settings only) [Mark McDowall]
- File browser ordering and volume name. [Mark McDowall]
- File Browser. [Mark McDowall]
- New: Show source/seed info in manual search. [Keivan Beigi]
- Pass data cmd argument between application and update. [Keivan Beigi]
- Ignore data backup errors during upgrade. [Keivan Beigi]
- New: Rebuilt Completed/Failed download handling from scratch. [Keivan Beigi]
- Better logging in update client. [Keivan Beigi]
- GlobalExceptionHandlers are now registered with other loggers. [Keivan Beigi]
- Fixed logging tests. [Keivan Beigi]
- Safer log configuration. [Keivan Beigi]
- Removed post-build events. [Keivan Beigi]
- Support removing from nbzget queue. [Mark McDowall]
- Prevent invalid response to get torrents from Deluge from throwing an error. [Mark McDowall]
- Better times for tasks when not using relative dates. [Mark McDowall]
- Improvements for minimum age. [Mark McDowall]
- New: Minimum Age setting to deal with propagation issues (Usenet only) [Mark McDowall]
- Download URL for some newznab imposters. [Mark McDowall]
- Url Encode password and category for SAB. [Mark McDowall]
- More test cases for human readable bytes. [Mark McDowall]
- Adding a new tag shows the proper UI now. [Mark McDowall]
- Log error when health check fails to communicate with download client. [Mark McDowall]
- Humanized size show same values as size settings. [Mark McDowall]
- Better parsing of Chistmas Specials. [Mark McDowall]
- Handle numerical hashed releases. [Mark McDowall]
- WDTV Metadata will be created padding season/episode numbers to two digits. [Mark McDowall]
- Show next airing on poster/overview even if series has ended. [Mark McDowall]
- Don't fetch media info when adding existing episodes. [Mark McDowall]
- Add series searching improvements. [Mark McDowall]
- Show human readable sizes in manual search rejections. [Mark McDowall]
- Add placeholder text to navbar search. [Mark McDowall]
- Advanced option to disable media info for add series/rescan. [Mark McDowall]
- Remove pending releases that are rejected. [Mark McDowall]
- Sort by Next Airing will always keep empty values at the bottom. [Mark McDowall]
- Follow redirects when getting torrent from KAT. [Mark McDowall]
- Include MM/D/YYYY format (so its not reset to nothing) [Mark McDowall]
- Release rejections list padding reduced. [Mark McDowall]
- Larger badges for episode status. [Mark McDowall]
- Secondary sorting on series list. [Mark McDowall]
- Sorting for another show that starts with A. [Mark McDowall]
- Removed sorting on some manual search columns. [Mark McDowall]
- Don't check for sample for anime specials. [Mark McDowall]
- Wide modals for Rename preview and episode details. [Mark McDowall]
- Sonarr as default Release Group instead of DRONE. [Mark McDowall]
- New: YYYY-MM-DD short date format for UI. [Mark McDowall]
- Label-default for network on add series. [Mark McDowall]
- Naming tokens. [Mark McDowall]
- Omgwtfnzbs RSS results will be delayed 30 minutes (propagation issues) [Mark McDowall]
- Remove existing URL ACLs to avoid conflicts. [Mark McDowall]
- Allow binding to specific interface addresses. [Mike]
- Renamed files. [Mark McDowall]
- Queue actions. [Mark McDowall]
- New: Add Unknown Quality to profile (advanced) [Mark McDowall]
- Multi-epsiode test. [Mark McDowall]
- Delays use minutes not hours. [Mark McDowall]
- New: Shift-click range selection for Series Editor. [Mark McDowall]
- Removed accents before searching indexers. [Mark McDowall]
- Sonarr instead of nzbdrone on mobile. [Mark McDowall]
- Fixing the build. [Mark McDowall]
- Cleaned up environment detection. [Keivan Beigi]
- Removed redundant else. [Keivan Beigi]
- Minor cleanup. [Keivan Beigi]
- Cleaned up using directive. [Keivan Beigi]
- Log cert issues at debug (need to deal with self signed certs) [Mark McDowall]
- Removed support for CamelCase in folder names to support legitimate show titles like MythBusters. [Mark McDowall]
- Switched services to http. [Keivan Beigi]
- Log HTTPS cert errors. [Keivan Beigi]
- Log cert errors. [Keivan Beigi]
- Add tag when text box loses focus. [Mark McDowall]
- Our first data migration test :D. [Keivan Beigi]
- Delay Profiles. [Mark McDowall]
- Marked OS X app as Agent app. [kay.one]
- Fixed PackageOsxApp script. [kay.one]
- Removed process renaming for osx. [Keivan Beigi]
- Osx app package metadata. [Keivan Beigi]
- Better branch redirection logging. [Keivan Beigi]
- New: Added support for automatic update branch redirection. [Keivan Beigi]
- Fix broken BTN tests. [Mark McDowall]
- New: Updated donate link with recurring donations. [Mark McDowall]
- New: Progress bar for Activity: Queue. [Mark McDowall]
- New: Original Filename renaming token to use original filename as-is. [Mark McDowall]
- EZTV logging generic error when there were no results. [Mark McDowall]
- Log reason why download isn't being imported. [Mark McDowall]
- Fixed compilation. [Mark McDowall]
- New: Use the ID returned from SABnzbd (0.7.20) during retry. [Mark McDowall]
- Moved Extension methods in common to subfolder. [Mark McDowall]
- Fixed broken test. [Mark McDowall]
- Removed sorting on diskspace table to prevent errors. [Mark McDowall]
- Importing "Backup_tvdbid" encrypted filenames. [Mark McDowall]
- Various naming fixes. [Mark McDowall]
- Use an event to update title mismatches. [Mark McDowall]
- Cleanse API key from logs for omgwtfnzbs. [Mark McDowall]
- Only throw API key error for OMG when notice contains "api" [Mark McDowall]
- Absolute release group parsing fix for custom filenames. [Mark McDowall]
- Calendar fixes. [Mark McDowall]
- Naming fixes. [Mark McDowall]
- New: Additional naming options for Quality in file name (Full, Title, Proper) [Mark McDowall]
- Various naming fixes. [Mark McDowall]
- Show published date in history details and manual search. [Mark McDowall]
- System Info layout when no health warnings are active. [Mark McDowall]
- New: Search for previously aired episodes that were just added to the database. [Mark McDowall]
- Debug log when we're doubling the allowed size for a possible special. [Mark McDowall]
- Parsing Raw-HD is filename as Raw-HD instead of HDTV-720p. [Mark McDowall]
- Indexer testing. [Mark McDowall]
- Connect to EZTV over SSL. [Mark McDowall]
- EzRSS Size Parsing. [Keivan Beigi]
- Fixed MonoTorrent namespace. [Keivan Beigi]
- Set X-Plex-Device-Name. [Sander Spies]
- Require mono 3.2 for Debian package (armhf support) [Mark McDowall]
- Fixed broken tests in torrent client. [Taloth Saldono]
- File imports via CDH are no longer checked for file locks. [Taloth Saldono]
- An error reported by the torrent client, such as tracker error, is no longer considered a failed download but shown as a warning in Activity. [Taloth Saldono]
- New: Hidden field with series title for use with Xtender (Chrome Plugin) [Mark McDowall]
- Fixed build error. [Keivan Beigi]
- FluentMigrator.1.3.0.0 => FluentMigrator.1.3.1.0. [Keivan Beigi]
- Restsharp 104.4.0.0 =>105.0.1.0. [Keivan Beigi]
- XBMC Metadata errors when no episode image was available. [Mark McDowall]
- New: Links (forums, trello, etc) shown in System: Info. [Mark McDowall]
- Disabled error reporting. [Mark McDowall]
- Don't report log exceptions when connection to XBMC fails. [Mark McDowall]
- New: Show tags on series details. [Mark McDowall]
- Defaulted hardlink to false again after an internal debate regarding some Windows peculiarities. [Taloth Saldono]
- CDH erroneously reported a locked file on import. [Taloth Saldono]
- Implemented indexer integration tests for a couple of public indexers. [Taloth Saldono]
- Processed comments. [Taloth Saldono]
- Parsing Transmission version for nightly builds. [Mark McDowall]
- Changed the api call for Deluge to reduce the response size preventing a timeout when a lot of torrents are listed. [Taloth Saldono]
- Resolved performance issue in the log cleaning method when running trace level. [Taloth Saldono]
- Parser no longer chokes on titles with a file extension and invalid path characters such as :. [Taloth Saldono]
- New: Implemented Torrent Download Clients: uTorrent, Transmission and Deluge. And several public and private Torrent Indexers. [MythJuha]
- Replaced rimraf with del. [Keivan Beigi]
- Replaced clean with rimraf. [Keivan Beigi]
- Fixed the migration to release restrictions. [Mark McDowall]
- Workaround to deal with updating scene names. [Mark McDowall]
- Refresh the scene mapping cache if it is empty during a lookup. [Mark McDowall]
- Release restrictions. [Mark McDowall]
- Removed old test. [Mark McDowall]
- Series title sorting won't remove special/part/episode. [Mark McDowall]
- Refactored setting attributes on media/metadata files to its own service. [Mark McDowall]
- Use runtime of series for sample checks instead of constant. [Mark McDowall]
- UrlBase when downloading backup files. [Mark McDowall]
- Cleanup. [Mark McDowall]
- Sort by episode count takes number of episodes into account. [Mark McDowall]
- New: Store date series was added in database. [Mark McDowall]
- Drone factory would throw exception on unknown series instead of proper error. [Taloth Saldono]
- Remove PostQueue from NzbGetProxy coz it's useless anyway. [Taloth Saldono]
- Removed obsolete tests. [Taloth Saldono]
- NzbDrone to Sonarr on restart and shutdown. [delphiactual]
- New: Improved the DownloadedEpisodesScanCommand endpoint to better support external triggers to CDH. (nzbToMedia) [Taloth Saldono]
- Don't lower-case document title. [Mark McDowall]
- New: CORS support on the API (for developing against the API) [Mark McDowall]
- Exception when navigating away from series details view while it is still loading. [Mark McDowall]
- Do not scan episode files in .AppleDouble folders. [Mark McDowall]
- Series fanart images won't be stored as episode screenshots. [Mark McDowall]
- Replace periods in title with nothing when searching indexers. [Mark McDowall]
- Cleaned up completed download service (more methods) [Mark McDowall]
- Moved trakt search term tests to non-integration test. Added several more testcases for the camelCase conversion and adjusted the underlying logic accordingly. [Taloth Saldono]
- New: Import Existing series now handles camelCase titles without spaces. [Powdor]
- Switching tabs in Activity and Wanted no longer add to navigation history, just like Settings, preventing a redirect loop when using the browser back navigation. [Taloth Saldono]
- New: .wtv extension as video file. [Mark McDowall]
- Fixed profile unit test. [Mark McDowall]
- Extras folder detection is case insensitive. [Mark McDowall]
- New: Series search will search starting with the lowest season. [Mark McDowall]
- New: Added a default Profile 'Any' (new installations only) [Mark McDowall]
- Ability to monitor no seasons when adding a new series. [Mark McDowall]
- Series detials fixes. [Mark McDowall]
- New: Ability to use Original Title only in naming settings. [Mark McDowall]
- Improved title sorting for 'A to Z' [Mark McDowall]
- UI fixes. [Mark McDowall]
- Reverted email to fix signing. [Keivan Beigi]
- Reverted email to fix signing. [Keivan Beigi]
- Reverted email to fix signing. [Keivan Beigi]
- Parsing improvements. [Mark McDowall]
- Multi-episode absolute getting treated as Season/episode. [Mark McDowall]
- Absolute tests. [Mark McDowall]
- HDDVD now recognized as bluray quality. [Taloth Saldono]
- Default to dash as separator for absolute numbers in multi-episode pattern. [Mark McDowall]
- Show proper episode file count on series details. [Mark McDowall]
- Show an error message after a failed Trakt search. [Mark McDowall]
- Rejection message for cutoff already met in Manual Search. [Taloth Saldono]
- Only check changes when changes aren't null. [Mark McDowall]
- Only show install/cannot install on the latest version. [Mark McDowall]
- Fixed broken migration 036 for people upgrading from very old DBs. [Mark McDowall]
- New: Replaced user facing instances of  NzbDrone with Sonarr. [Keivan Beigi]
- Minor fixes to wtf-gtfo. [Keivan Beigi]
- New: automatically switch back to master if current branch is invalid. [Keivan Beigi]
- Download decision rejection reasons are no longer static messages. [Mark McDowall]
- Tags. [Mark McDowall]
- Should allow space/period between season and episode number patterns in naming. [Mark McDowall]
- Treat WebHD as Web-DL. [Mark McDowall]
- Treat iTunesHD as Web-DL. [Mark McDowall]
- Parse extended multi episode with 4 digit (year) seasons. [Mark McDowall]
- Parsing 'NL Subs' in addition to NLSub. [Mark McDowall]
- Fixed broken tests. [Mark McDowall]
- Missing won't show episodes that are on air. [Mark McDowall]
- Ctrl + clicking links will open in a new tab. [Mark McDowall]
- Update UI will show that older versions are not installable. [Mark McDowall]
- Log path being deleted when deleting permanently at info. [Mark McDowall]
- Searching for a new series with the same title twice in a row. [Mark McDowall]
- Show search for existing series that finds no results. [Mark McDowall]
- Multi-absolute episode parsing. [Mark McDowall]
- Resolved failing search due to missing Scene season number. [Taloth Saldono]
- Duplicate multi-episode style with trailing brackets. [Mark McDowall]
- Will no longer cause an error when trying to parse an anime episode with absolute number 0. [Taloth Saldono]
- Getting list of xem series won't die if a bad ID is entered on their site. [Mark McDowall]
- Mono returning a drive with an empty path causing disk space check to fail. [Mark McDowall]
- Remove vshost files from all packages. [Keivan Beigi]
- Fix powershell error during build. [Keivan Beigi]
- Fixed some more tests. [Mark McDowall]
- Run NzbDrone.Mono.Test on mono. [Mark McDowall]
- Fixed broken last write time test. [Mark McDowall]
- Log to the database using UTC not local time. [Mark McDowall]
- Don't convert arg values to lower-case. [Mark McDowall]
- Run mono tests with --debug. [Mark McDowall]
- Switched projects from Any CPU to x86. [Keivan Beigi]
- Removed method column from log db. [Keivan Beigi]
- Use raw sql to write logs to db. [Keivan Beigi]
- Getting tracked download status for pending item in UI won't result in an error. [Mark McDowall]
- Filter duplicated episodes returned from Trakt. [Keivan Beigi]
- Should no longer log error if download client was removed/disabled between CDH updates. [Taloth Saldono]
- Using different retry method for NzbGet to actually trigger NzbGet to redownload. [Taloth Saldono]
- Removed redunent UTC/non-utc File/dire methods. [Keivan Beigi]
- Extra check to make sure trackedDownloadStatus exists on queue item. [Mark McDowall]
- Removed dead code. [Keivan Beigi]
- Don't blow up if a single download is not trackable. [Keivan Beigi]
- Better error messages when download client connection fails. [Keivan Beigi]
- Show a better error message when nzbdrone port is already in use. [Keivan Beigi]
- Missing MediaInfo doesn't block import anymore. [Keivan Beigi]
- New: Added health check to show a warning when MediaInfo is missing. [Keivan Beigi]
- Fixed activity.less reference. [Mark McDowall]
- Activity instead of History. [Mark McDowall]
- New: Show warning for queue when there is a warning. [Mark McDowall]
- Fixed broken tests (due to logging) [Mark McDowall]
- 3 digit season/episode numbers followed by an underscore. [Mark McDowall]
- Error when attempting to retry a release with nzbget. [Mark McDowall]
- SAB retry not finding new ID in history. [Mark McDowall]
- Getting free space for inaccessible drive won't log an error. [Mark McDowall]
- Only upgrade anime version when release group is the same. [Mark McDowall]
- Setting SSL Cert Hash should remove all extra characters. [Mark McDowall]
- Don't try to download small version of non-existing poster. [Keivan Beigi]
- Removed dead code. [Keivan Beigi]
- Log global inner exceptions. [Keivan Beigi]
- Don't log getqueue download client exceptions as error. [Keivan Beigi]
- Log newsnab 429 errors as warn instead of exceptions. [Keivan Beigi]
- Removed loggly. [Keivan Beigi]
- Fixed namespaces. [Keivan Beigi]
- Include branch as analytics custom variable. [Keivan Beigi]
- Don't allow port 0 as a listen port. [Mike]
- Enabled excepton with new api key, disabled throwing exception. [Keivan Beigi]
- Check history when retrying downloads with SAB. [Mark McDowall]
- HttpClient would fail with an unrelated exception. [Keivan Beigi]
- Use DownloadClientIds to find matching series/episodes instead of relying solely on release name. [Mark McDowall]
- Use empty string when {Original Title} is not available. [Mark McDowall]
- Fixed version variable for analytics. [Keivan Beigi]
- Omgwtfnzbs fixes. [Mark McDowall]
- Fixed grammar. [Keivan Beigi]
- Disable analytics in dev. [Keivan Beigi]
- Minor cleanup. [Keivan Beigi]
- New: added self hosted analytics to help improve nzbdrone. Can be turned off in Setting>General. [Keivan Beigi]
- Refactored the Indexer architecture to support non-rss indexers. [Taloth Saldono]
- File upgrade rejections will be reported properly when importing. [Mark McDowall]
- Extensions are now removed from scene names during import. [Taloth Saldono]
- Moved mini series parsing tests to their own fixture. [Mark McDowall]
- Detecting NzbGet free-space errors during unpack and move errors as warnings. [Taloth Saldono]
- Now the UI will update properly if you change a custom quality title in the Quality table. [Taloth Saldono]
- XBMC will update the series path only when possible. [Mark McDowall]
- Actually fixed what I said I fixed last time. [Mark McDowall]
- Notifications won't show version unless its anime, will show proper. [Mark McDowall]
- Grabbing a release from manual search. [Mark McDowall]
- New: v2/v3/etc handling for anime. [Mark McDowall]
- NzbGet history items deleted due to health are now properly recognized as failed. [Taloth Saldono]
- Updated Add Series sort logic to better handle Country/Year variants. [Taloth Saldono]
- Episode file import fixes. [Mark McDowall]
- Fixed logging text for XBMC episode images. [Mark McDowall]
- Sorting on title in Manual Search table now works. [Taloth Saldono]
- Properly parse mono version 3.10. [Mark McDowall]
- Now sends appropriate http Accept header to indexer. [Taloth Saldono]
- New: Added global Remote Path mapping table to replace individual Local Category Path settings. [Taloth Saldono]
- Don't try to test notifications when only on upgrade is enabled. [Mark McDowall]
- SignalR for tasks, better handling of future/disabled jobs. [Mark McDowall]
- Now shows UI notification if downloading nzb from indexer fails. [Taloth Saldono]
- New: Will now provider a clearer error if the indexer returned unexpected html content (indicating a blocked site) instead of failing with a parser error. [Taloth Saldono]
- General fixes and adjusted ParseSize method. [Taloth Saldono]
- Downloading releases via Manual Search are now processed via unique id to allow caching more Release details. [Taloth Saldono]
- Max width for tooltip is now 250px. [Mark McDowall]
- UI cleanup for tasks. [Mark McDowall]
- New: Scheduled tasks shwon in UI under System. [Mark McDowall]
- HttpClient. [Keivan Beigi]
- Manual property on Command resource. [Mark McDowall]
- Manual refresh of all series will refresh every series, including ended series. [Mark McDowall]
- Toggling episode monitored state won't shift UI over. [Mark McDowall]
- Episode resource now uses series resource as the subtype. [Mark McDowall]
- More logging when episode file image can't be found for XBMC metadata. [Mark McDowall]
- New: log all startup events to log file at trace and above. [Mark McDowall]
- New: Show episode file file deletions in history and episode activity. [Mark McDowall]
- Better css. [Mark McDowall]
- Multiple SeasonEpisode formats in the same pattern are now supported. [Taloth Saldono]
- Keep search buttons on one line. [Mark McDowall]
- Manual search icon is user, instead of male. [Mark McDowall]
- Searching icons and spinner fix. [Mark McDowall]
- Don't clear scenenames that are 40 char long. [Keivan Beigi]
- Spelling. [Keivan Beigi]
- Made ImportApprovedEpisodesFixture Os Agnostic. [kayone]
- Use Nzb title as scene name when available. [kayone]
- Don't mark releases as imported unless at least one file is imported. [Mark McDowall]
- No longer gives an Unauthorized error when calculating file hashes of UI resources. [Taloth Saldono]
- Set permissions on new metadata files (mono) [Mark McDowall]
- A couple more tests for periods at start/end of folder name. [Mark McDowall]
- Series/season folders will have leading/trailing periods removed when they are created. [Mark McDowall]
- New: Show number of files on series details. [Mark McDowall]
- Queue count above history shows count for all items and won't show error erroneously. [Mark McDowall]
- All migrations are now transactional and will rollback if failed. [Taloth Saldono]
- Lowercase page title of sub pages. [Keivan Beigi]
- Support for poorly numbered multi-episode releases. [Mark McDowall]
- Issue where a partially generated index.html would be cached. [Keivan Beigi]
- Cache break issue when base url was used. [kayone]
- Pneumatic will set the download client ID for strm files. [Mark McDowall]
- Pneumatic now has a watch folder (for importing strm files) [Mark McDowall]
- New: number of episode files that will be deleted shown on delete dialog. [Mark McDowall]
- Fanzub will connect via HTTP because their cert has expired. [Mark McDowall]
- New: show indicator when deleting a series. [Mark McDowall]
- New: show number of items in queue over history icon. [Mark McDowall]
- Cursor for series search navigation results. [Mark McDowall]
- Removed edit/add tooltips for providers. [Mark McDowall]
- Search/RSS will be greyed out if they are not available on that indexer (instead of missing) [Mark McDowall]
- Revert "removed semibold font-face" [Mark McDowall]
- Fixed font on switches. [Mark McDowall]
- Don't mark a download as successful unless all valid files are imported. [Mark McDowall]
- Removed semibold font-face. [kayone]
- Remove background image. [kayone]
- Removed the useless background image. [kayone]
- Removed bootstrap components that we don't use. [kayone]
- Lossless compression of png files. [kayone]
- Fixed gulp less. [kayone]
- Gulp watch fix. [kayone]
- Switched from grunt to gulp. [kayone]
- Handlebar templates are now .hbs instead of .html. [kayone]
- Failed downloads not removed from history will no longer be erroneously retried after restarting drone. [Taloth Saldono]
- New: Added automatic detection of a critical bug in mono 3.4.0 to the mono version check. (see mono bug #18599) [Taloth Saldono]
- Errors after episode is imported. [Mark McDowall]
- New: Enable/Disable RSS Sync/Searching on a per indexer basis. [Mark McDowall]
- Fixed broken tests. [Mark McDowall]
- Cutoff Unmet not loading. [Mark McDowall]
- Repaired Cutoff Unmet UI and added Cutoff Unmet status badge to History. [Taloth Saldono]
- Set file version on installer. [Mark McDowall]
- New: Trace/Debug logging will keep the last 50 files instead of only the last 5. [Mark McDowall]
- Naming config preventing settings from loading properly. [Mark McDowall]
- SignalR connection is now called directly rather than using a command to reduce overhead. [kayone]
- Include config file for test projects to make assemblyredirect work. [kayone]
- Revert "updated moq" [kayone]
- Migration issue when column names were wrapped in backticks instead of quotes. [Mark McDowall]
- Downgraded signalr. [kayone]
- Fixed json.net references. [kayone]
- Fixed property comparison order. [kayone]
- Fixed property comparison order. [kayone]
- Fixed ShouldBeEquivalentTo tests. [kayone]
- New: Episode quality badges are now styled differently for episodes that haven't met quality cutoff yet. [Taloth Saldono]
- Framerate in mediainfo is now parsed culture invariant. [Taloth Saldono]
- Update Quality parser for Anime Elysium group. [Taloth Saldono]
- Upgraded Selenium webdriver. [kayone]
- AddApplicationVersionHeader is a bit less wasteful. [kayone]
- Upgraded to Owin 2.1.0. [kayone]
- Upgraded nancy to 0.23.2. [kayone]
- New: Unaired premieres on calendar are displayed in light blue. [Mark McDowall]
- Basic naming settings take existing format into consideration. [Mark McDowall]
- Parsing of files without a title and a 4 digit season number. [Mark McDowall]
- New: Unaired premieres on calendar are displayed in pink. [Mark McDowall]
- Calendar tooltips won't be hidden behind buttons. [Mark McDowall]
- New: Absolute episode numbers shown beside episode numbers. [Mark McDowall]
- Only apply li hightlight to xs screens, use same colour as other sizes. [Mark McDowall]
- Show hover status in nav bar hamburger menu on mobile. [Mark McDowall]
- Fixed tests. [Mark McDowall]
- Only set last write time for recycling bin on Windows. [Mark McDowall]
- Clear episode file change event in episode status cell. [Mark McDowall]
- Large log messages won't force the timestamp off screen. [Mark McDowall]
- FixedL Posters will show episode cound about next airing for consistency. [Mark McDowall]
- Don't log query strings. [Mark McDowall]
- Don't copy 64.png on build. [Mark McDowall]
- New: Show disk space used by series on series details. [Mark McDowall]
- Fixed search bar styling. [Mark McDowall]
- Cancelling editing a modal will reset to previous saved state. [Mark McDowall]
- Metadata creation issue due to relative episode file paths. [Mark McDowall]
- Center add icon on profiles. [Mark McDowall]
- Removed redirect permanent from old quality profile endpoint. [Mark McDowall]
- Relative episode file paths. [Mark McDowall]
- Validation errors showing multiple times. [Mark McDowall]
- Added additional separators to reversed title detection. [Taloth Saldono]
- New: Progress bar will be yellow if series is not monitored, but epsiodes are missing. [Mark McDowall]
- Warn if unable to get new nzoid from SAB. [Mark McDowall]
- SAB test to warn if Category Local Path is set when connection is to localhost. [Mark McDowall]
- Remove request info from title when parsing. [Mark McDowall]
- Wait longer for spinner in automation tests. [Mark McDowall]
- Anime special fixes. [Mark McDowall]
- Attach calendar tooltips to calendar instead of body. [Mark McDowall]
- Solved database performance bug causing slow rss syncs. [Taloth Saldono]
- Uncomment build steps. [Mark McDowall]
- Remove xml files when they are for a dll or exe. [Mark McDowall]
- Remove accents from titles when looking for matching series. [Mark McDowall]
- New: release name in manual search will link to info URL if available. [Mark McDowall]
- Treat StaleElementReferenceExceptions as inconclusive instead of failures. [Mark McDowall]
- New: close modal dialogs by clicking outside of modal. [Mark McDowall]
- Set permissions on new series folders (mono) [Mark McDowall]
- New: Details for import/grab on Episode Activity tab. [Mark McDowall]
- Styling fixes. [Mark McDowall]
- Readded Growl logo via embedded binary blob. [Taloth Saldono]
- Now assuming that an Ended series without any airdates are direct-to-dvd. [Taloth Saldono]
- Parser now recognizes 848x480 as 480p. [Taloth Saldono]
- Removing logo from growl temporarily. [Mark McDowall]
- Fixing csproj. [Mark McDowall]
- Copy logo into output folder on build, fix broken tests. [Mark McDowall]
- Remove GDI+ dependency with embedded resource. [Mark McDowall]
- Fixed several issues in GrowlService: [Frank Riley]
- Move grid below show/hide button so that the button does not move when the grid is shown. [Frank Riley]
- When running under mono, WebClient will sometimes return less data than it should. This causes the FetchFeedService to log errors because the XML received cannot be parsed. Setting the AutomaticDecompression property on the WebRequest fixes this issue. [Frank Riley]
- Update IMDB ID from trakt when series is refreshed. [Mark McDowall]
- More info on calendar. [Mark McDowall]
- Wait 30 seconds for automation tests to load UI. [Mark McDowall]
- Removed some extra using statements. [Mark McDowall]
- New: Show calendar title above buttons on small screens (phones) [Mark McDowall]
- Pushover default to Normal. [Mark McDowall]
- Rewrote most of the renamer token handling code to give it a bit more generic architecture. Also added MediaInfo as possible token. [Taloth Saldono]
- Null EmbeddedDocuments are now stored as DBNull instead of json null. [Taloth Saldono]
- Cleaned up time formatting. [Mark McDowall]
- Fixed error when trying to display time. [Mark McDowall]
- Week column header help is info not warning. [Mark McDowall]
- Calendar/Date localization. [Mark McDowall]
- New: Add to Homescreen for mobile support. [Mark McDowall]
- New: show indicator when testing indexers, connections and download clients. [Mark McDowall]
- Better logging if SQLite exception is thrown during API call. [Mark McDowall]
- FIxed jshint issue. [Mark McDowall]
- New: Show processing time for pending items on Calendar and Queue. [Mark McDowall]
- Much better logging for searching. [Mark McDowall]
- Don't set folder write time on Mono. [Mark McDowall]
- Don't try to delete series folder if it doesn't exist. [Mark McDowall]
- XBMC version is cached by host & port. [Mark McDowall]
- Connecting to XBMC when user name and password are configured. [Mark McDowall]
- Checking for an existing file will respect the OSes case-sensitivity. [Mark McDowall]
- Renaming Episodes will never overwrite existing files. [Taloth Saldono]
- Log error if gzip fails during response. [Mark McDowall]
- Better handling of ? for hotkey legend. [Mark McDowall]
- Update logs won't log an error if there are no update logs. [Mark McDowall]
- VOSTFR will be treated as French. [Mark McDowall]
- No longer logging finished searching messages when search did not occur on that indexer. [Mark McDowall]
- New: show mono version on System -> Info. [Mark McDowall]
- Keyboard shortcut legend. [Mark McDowall]
- Womble's publish date will be treated as UTC instead of local. [Mark McDowall]
- Series remembered when adding. [Mark McDowall]
- Some timing issues in Sabnzbd RetryDownload logic. [Taloth Saldono]
- Log trace message when handling exceptions in the API. [Mark McDowall]
- Display of search results on series details pages. [Mark McDowall]
- Title must be included for 6 digit air date. [Mark McDowall]
- Improve decision processing and deleting of pending releases. [Mark McDowall]
- Cleanup, sorted project files. [Taloth Saldono]
- Manually marking a grabbed release failed will now mark all episodes in that release failed instead of only one. [Taloth Saldono]
- Profiles. [Mark McDowall]
- Using absolute episode number logging moved to Debug. [Mark McDowall]
- New: Parse 6 digit date format (yymmdd) [Mark McDowall]
- Tests are good too. [Mark McDowall]
- Manual search won't fail if release wasn't parsed correctly. [Mark McDowall]
- Better regex for mono version parsing. [Mark McDowall]
- Mono version check will check running mono version instead running another version. [Mark McDowall]
- New: Pushalot notification support. [Mark McDowall]
- Verify disk scan won't scan if root folder doesn't exist. [Mark McDowall]
- New: PushBullet messages start with NzbDrone to match other applications. [Mark McDowall]
- Do not send season images in json requests for series. [Mark McDowall]
- Fixed compile warnings. [Taloth Saldono]
- Sabnzbd downloads with single obfuscated files in nested subdirectories are now handled appropriately. [Taloth Saldono]
- Do cache images returned through the API (3rd party app support) [Mark McDowall]
- New: NZBgeek added as preset indexer. [Mark McDowall]
- Blacklist Retry logic will now properly handle Sabnzbd changing the unique id. [Taloth Saldono]
- New: The History->Queue UI now show some elementary error information for failed imports. [Taloth Saldono]
- New: The Manual Search result table is now sorted by the internal prioritization logic and sorting by quality now works as well. Tnx to mspec and betrayed for averting catastrophe. [Taloth Saldono]
- New: Filter visible series on season pass New: Filter visible series on series editor. [Mark McDowall]
- Revert "New: Filter series by type (standard, daily or anime)" [Mark McDowall]
- Blu-Ray in release/file name will be handle as Blu-Ray properly. [Mark McDowall]
- New: Filter series by type (standard, daily or anime) [Mark McDowall]
- Multi-episode style is used when renaming multi episode anime. [Mark McDowall]
- Fixed xem integration test. [Mark McDowall]
- Get all anime episodes even when absolute episode number is zero. [Mark McDowall]
- Manual search will use tvrage id if required when sending release to client. [Mark McDowall]
- Fixed UI notification error for Missing. [Taloth Saldono]
- Fixed issue with a relative complete dir in sabnzbd. [Taloth Saldono]
- Fixed broken tests. [Mark McDowall]
- Attempt to refresh anime episodes by absolute numering when refreshing. [Mark McDowall]
- Tvrage ID will be updated if changed on trakt. [Mark McDowall]
- Manual search shouldn't die on mono. [Mark McDowall]
- Problems with backup before update (see forums for announcement on updating) [Mark McDowall]
- Various anime improvements. [Mark McDowall]
- Age of releases includes time of day in calculation. [Mark McDowall]
- New: Show age when grabbed on history details. [Mark McDowall]
- Backup before update. [Mark McDowall]
- Fixed linting issues, used single quotes instead of double quotes for strings. [Mark McDowall]
- Specials with the season number will be handled properly. [Mark McDowall]
- New: It is now possible to use Completed Download Handling with remote download clients by specifying the local mount in settings. [Taloth Saldono]
- Sabnzbd now verifies the category configuration. [Taloth Saldono]
- New: HR WS PDTV releases will be treated as HDTV720p. [Mark McDowall]
- New: nzbplanet.net as a newznab preset. [Mark McDowall]
- Removed extra usings from migrations. [Mark McDowall]
- Fixed newznab testing and saving. [Mark McDowall]
- Backup "type" folders created properly. [Mark McDowall]
- UI loads properly even if UI settings cannot be persisted. [Mark McDowall]
- Series Actions on series detials page spin on center. [Mark McDowall]
- Errors after importing episodes. [Mark McDowall]
- Series type won't flash back to Standard when adding an Anime series. [Mark McDowall]
- Provider testing improvements. [Mark McDowall]
- Backups. [Mark McDowall]
- Removed extra namespaces. [Mark McDowall]
- New: Added MediaBrowser Metadata support. [delphiactual]
- Fate/Zero being incorrectly imported to Fate/Stay Night. [Mark McDowall]
- Version check for mono 3.6.1. [Mark McDowall]
- New: Series Overview sorted by Next Airing now sorts all remaining items by their Last Aired date. [Taloth Saldono]
- Sorting on Series Title now ignores articles (a/an/the). [Taloth Saldono]
- Manually marking a release as failed will now also remove it from the queue in drone and, if enabled, remove it from the download client. [Taloth Saldono]
- NzbDrone running on Windows should no longer fail while getting a very long path from a sabnzbd running on linux. [Taloth Saldono]
- Updated check for hashed releases. [Taloth Saldono]
- Webcal url now has the apikey embedded to support more third-party webcal clients. [Taloth Saldono]
- Anime! [Mark McDowall]
- Adds Anime-specific searching and Fanzub support. [Scott Rice]
- Tooltips on shutdown/restart buttons. [Mark McDowall]
- Viewing log files with URL Base enabled. [Mark McDowall]
- More fixes for signalr + episodes. [Mark McDowall]
- Fixed signalR for Missing/Wanted. [Mark McDowall]
- ICal fixes. [Mark McDowall]
- New: Missing/Cutoff Unmet will update when an episode is grabbed. [Mark McDowall]
- ListenTo instead of on. [Mark McDowall]
- Category is not required SABnzbd or NZBGet. [Mark McDowall]
- Replaced vent.on with this.listenTo vent. [Mark McDowall]
- Log file changes. [Mark McDowall]
- New: Network (if known) is shown on add series results Fixed: Ended showing on add series results. [Mark McDowall]
- New: Added Presets to Indexers to add indexers with default properties. In an older version of NzbDrone these default indexers were added automatically and could not be removed. [Taloth Saldono]
- Prevent adding a series if the path is the ancestor of another series. [Mark McDowall]
- Parsing of RAW-HD releases. [Mark McDowall]
- Year on add series will be shown in grey if its not part of the series title. [Mark McDowall]
- Removed delete button from series lists, added refresh button. [Mark McDowall]
- Tooltip fixes. [Mark McDowall]
- Update installed checkmark spacing and tooltip. [Mark McDowall]
- Quality parsing improvements. [Mark McDowall]
- Show unlimited when quality max size is set to 0. [Mark McDowall]
- Show no results found when manual search returns 0 results. [Mark McDowall]
- Don't show an error if filesize cannot be formatted. [Mark McDowall]
- Removed edit button from metadata (click to edit now) [Mark McDowall]
- Sabnzbd/Nzbget settings will now fail to save if you entered a non-existing category. [Taloth Saldono]
- Do not create XBMC Episode Metadata files when setting is off. [Mark McDowall]
- Fixed issue trying getting parent of drive. [Mark McDowall]
- Fixed issue with Nzbget client detecting completed downloads when no intermediate directory was used. [Taloth Saldono]
- Trying to fix XBMC timeout errors. [Mark McDowall]
- Use sane IDs for XBMC JSON RPC calls. [Mark McDowall]
- Fixed mono fix by checking if the Enum value exists in the runtime. [Taloth Saldono]
- Reverted mono fix because it breaks on .net 4. [Mark McDowall]
- Processing more than 3 concurrent Automatic Searches should no longer freeze on mono. [Taloth Saldono]
- Fixed update tests. [Mark McDowall]
- New: Health check for AppData and Startup folder conflict. [Mark McDowall]
- Fixed validation that was causing add existing series to fail. [Mark McDowall]
- Updating on mono. [Mark McDowall]
- Only accept the PID for now in the updater, ignore everything else. [Mark McDowall]
- Updater being passed invalid path in some cases. [Mark McDowall]
- New: Adding new series by tvdbid: or slug: is now possible. [Taloth Saldono]
- Search results from trakt are now sorted based on similarity with the search query. Using a Levenshtein distance algorithm. [Taloth Saldono]
- Checks full path for _UNPACK_ prefix so that full season downloads are properly checked for unpacking. [Taloth Saldono]
- Newznab parser will attempt to use the usenetdate for age determination instead of the feed publish date. [Taloth Saldono]
- Plex proxy logging. [Mark McDowall]
- Some additional release group parsing tests. [Mark McDowall]
- More logging during output process. [Mark McDowall]
- Error messages not being shown in the UI or being shown in the wrong place. [Mark McDowall]
- Sabnzbdproxy now returns the folder instead of the file in case of a single file download. [Taloth Saldono]
- Renamed completed/failed download handling sections. [Mark McDowall]
- Drone factory folder not being set is now logged at trace. [Mark McDowall]
- Path in rename preview. [Mark McDowall]
- New: Health Check errors now have links to the wiki pages. [Taloth Saldono]
- Fixed performance issues with the QueueModule and limited the number of items the Download Client will fetch as history. [Taloth Saldono]
- Processed comments. [Taloth Saldono]
- Sabnzbd Download Client now reports paused items as having unknown remaining time. [Taloth Saldono]
- Queue UI no longer shows unknown ETAs as 0:00:00. [Taloth Saldono]
- New: Updated Nzbget Download Client proxy with time estimation for both download and post-processing stages. [Taloth Saldono]
- Fixed detection of failed unpack for nzbget proxy. [Taloth Saldono]
- New: Drone now uses the Download Client API to determine if a download is ready for import. (User configuration is required to replace the drone factory with this feature) [Taloth Saldono]
- Better parsing of the delimiters for absolute episode numbering. [Taloth Saldono]
- Failed history items now get removed from Nzbget if configured. [Taloth Saldono]
- Removed specials from test data to fix RefreshEpisodeService tests. [Taloth Saldono]
- Fixed binary files. [mythjuha]
- Quality in notifications when file name doesn't contain the quality. [Mark McDowall]
- More information about arguments when installing updates. [Mark McDowall]
- Tooltips in modals. [Mark McDowall]
- Logos! [Mark McDowall]
- Series search will skip Seasons that are not monitored. [Mark McDowall]
- Fixed rename styling. [Mark McDowall]
- Episode title cell styling. [Mark McDowall]
- Roto folder fixes. [Mark McDowall]
- Specials will be ignored if no specials existed previously. [Mark McDowall]
- Fixed verbiage of grace period. [Mark McDowall]
- Fixed overview ended label. [Mark McDowall]
- Bluray 480p releases will be treated as DVD. [Mark McDowall]
- Bluray 576p will be detected as DVD instead of Bluray 720p. [Mark McDowall]
- API keys should be more reliably cleansed from the logs. [Mark McDowall]
- Parsing of some porrly named episodes. [Mark McDowall]
- Ignore dotCover files. [Mark McDowall]
- Removed extraneous code form QueueStatusCell. [Mark McDowall]
- Renmed Downloading on EpisodeResource to Grabbed (also hidden by default) [Mark McDowall]
- Calendar tooltip now attached to body. [Mark McDowall]
- Calendar and table fixes. [Mark McDowall]
- Restart/shutdown messages. [Mark McDowall]
- Prevent double clicking of commands. [Mark McDowall]
- Model bind will trigger when typeahead is selected. [Mark McDowall]
- Tooltips shouldn't stay visible after clicking. [Mark McDowall]
- Parsing of some quality from some Bluray files. [Mark McDowall]
- Tooltips are now attached to body all the time. [Mark McDowall]
- Prevent the update button from being double clicked for 5 seconds. [Mark McDowall]
- Only vacuum the DB in production. [Mark McDowall]
- Going to Series should force a reload of drone after an update. [Mark McDowall]
- Fixed advanced and save buttons. [Mark McDowall]
- Resharper inspections. [Mark McDowall]
- Better hover/focus ordering. [Mark McDowall]
- Firefox styling of navbar buttons after click. [Mark McDowall]
- Some formatting. [Mark McDowall]
- Searching from missing won't trigger spinner on both buttons. [Mark McDowall]
- Lrn2spl. [Mark McDowall]
- Fixed nzb title width in manual search. [Mark McDowall]
- Csproj change. [Mark McDowall]
- Fixed migrations. [Mark McDowall]
- Fixed compilation issue. [Mark McDowall]
- Metadata bug fixes. [Mark McDowall]
- Initial metadata overhaul. [Mark McDowall]
- Auto reload when server has been updated. [Mark McDowall]
- Bootstrap 3. [Mark McDowall]
- Initial Bootstrap 3 migration. [Taloth Saldono]
- Fixed broken test. [Mark McDowall]
- HttpProvider.PostCommand will no longer keep the connection alive. [Mark McDowall]
- XBMC API improvements. [Mark McDowall]
- Ignore Priority monitor errors on mono. [Mark McDowall]
- Prevent errors when looking up folders via auto-complete. [Mark McDowall]
- Disable caching of iCal. [Mark McDowall]
- Restricted allowed Release Groups to reduce erroneous matches. [Taloth Saldono]
- Quality parser now properly deals with releases with underscores as delimiter. [Taloth Saldono]
- Mm.dd.yyyy airdate now parsed. [Taloth Saldono]
- Moved IsFirstOrLastEpisodeOfSeason logic to AcceptableSize specification so we can reuse the seasonsearchcriteria to reduce the number of database calls. [Taloth Saldono]
- Implemented cache for QualityDefinitionService to reduce db calls. [Taloth Saldono]
- Bdrip/brrip with resolution now recognized as Bluray quality. [Taloth Saldono]
- Corrected various spelling errors in code. [Taloth Saldono]
- Blacklist sorting on Series Title no longer causes UI failure. [Taloth Saldono]
- Cleanup duplicate episode metadata and images. [Mark McDowall]
- Set dognzb URL to api for new installs. [Mark McDowall]
- Dognzb API URL. [Mark McDowall]
- Changing the SSL cert will re-register with the new cert (when running as admin) [Mark McDowall]
- Do not require SSL Cert Hash on Linux/OS X. [Mark McDowall]
- Double periods in filenames will be replaces with a single period. [Mark McDowall]
- New: Do not import files inside the EXTRAS folder within a Series. [Mark McDowall]
- Do not search for episodes that were just grabbed via RSS Sync. [Mark McDowall]
- New: Write PID file to AppData directory on Linux/OS X. [Mark McDowall]
- Print version response from XBMC in logs. [Mark McDowall]
- Set episode guide url for XBMC metadata. [Mark McDowall]
- New: Shift-click to change monitored status of multiple episodes in season. [Mark McDowall]
- Back/Cancel on add notification won't break saving settings. [Mark McDowall]
- Use clean name when finding by title. [Mark McDowall]
- New series searching is less restrictive. [Mark McDowall]
- Searching trakt for some series with special characters. [Mark McDowall]
- Parsing daily episode formats that contain [] around the quality. [Mark McDowall]
- Improved detection of hashed releases. [Taloth Saldono]
- Cleanup episode metadata/image files that aren't properly attached to files. [Mark McDowall]
- New: ical is available with API key authentication. [Mark McDowall]
- Advanced options toggle should be more clear. [Mark McDowall]
- Don't throw permissions errors when importing files. [Mark McDowall]
- New: Support API Key via query string. [Mark McDowall]
- Updating Plex. [Mark McDowall]
- Removed console.writeline for Regex. [Mark McDowall]
- Series and Season folder format validation/error handling. [Mark McDowall]
- Fixed updating for plex server. [Mark McDowall]
- Fixed broken test. [Mark McDowall]
- New: Alternative titles on Series Details UI. [Cyberlane]
- Parsing files that contain the date along with a season and episode. [Mark McDowall]
- HashedReleaseFixture uses OS agnostic paths. [Mark McDowall]
- Hashed releases should be parsed more accurately. [Taloth Saldono]
- New: Examples for Series and Season folder format. [Mark McDowall]
- Plex server authentication. [Mark McDowall]
- Ctrl, alt and cmd won't trigger searching on add series. [Mark McDowall]
- Next airing will only include monitored episodes. [Mark McDowall]
- Fixed broken test. [Mark McDowall]
- New: Automatic search for missing episodes if RSS Sync hasn't been run recently. [Mark McDowall]
- New: Get series images via the API (3rd party app support) [Mark McDowall]
- Moved main database cleanup to daily housekeeping to prevent windows service startup failure. [Taloth Saldono]
- Daily series won't get treated as specials during sample checks. [Mark McDowall]
- New: Optional disable RSS Sync (set interval to zero) [Mark McDowall]
- Missing search now searches for episodes not in queue. [Mark McDowall]
- Removed validation to ensure series path exists when updating a series. [Mark McDowall]
- Rescan all series via RescanSeriesCommand. [Mark McDowall]
- Health check results are stored in memory and updated as required. [Mark McDowall]
- Blacklisting improvements. [Mark McDowall]
- Missing episode search will skip already queued releases. [Mark McDowall]
- Fixed a couple xbmc metadata bugs. [Mark McDowall]
- Allow episode zero in tests, but fail in season and episode are both zero. [Mark McDowall]
- Daily shows will no longer skip sample detection. [Mark McDowall]
- If_mono to fix free space check on import. [Mark McDowall]
- Show download client and download client id in history details. [Mark McDowall]
- Do not treat the pressence of Italy as an Italian release. [Mark McDowall]
- Plex server testing will use username and password if configured. [Mark McDowall]
- New: Username and Password for Plex Server (optional) [Mark McDowall]
- Messenger supports hideOnNavigate now. [Mark McDowall]
- New: Advanced option to skip checking free space when importing files. [Mark McDowall]
- New: Show release name when downloading (series details & calendar) [Mark McDowall]
- New: Blacklist release from episode details. [Mark McDowall]
- Prevent setting series folder to drone factory, root folder or another series' folder. [Mark McDowall]
- New: Include mediainfo dylib on OS X. [Mark McDowall]
- Show message when no updates are available. [Mark McDowall]
- Import process improvements. [Mark McDowall]
- New: Choose notification sound for PushOver. [Mark McDowall]
- New: PushBullet to all devices (leave device id blank) [Mark McDowall]
- Daily series with multiple episodes on the same day. [Mark McDowall]
- Searching for all missing episodes. [Mark McDowall]
- Moved Episode Not Requested check to new Specification. Updated tests. [Taloth Saldono]
- Season Search now correctly uses scene numbering. [Taloth Saldono]
- ICal feed no longer shows Episodes aired at 0:00 GMT as all-day events. [Taloth Saldono]
- Revised History Details labels. [Taloth Saldono]
- Exceptron now uses 'en' culture if none is specified. [Taloth Saldono]
- Process start logged as Debug instead of Info. [Taloth Saldono]
- Fixed typo in delete episode. [Taloth Saldono]
- Revised Authentication logic for api and logfiles. [Taloth Saldono]
- Refreshing season images for XBMC metadata when there are multiple types (poster, banner, etc) [Mark McDowall]
- Removed DateTimeExtensions. [Mark McDowall]
- Cleanup duplicate Series Metadata files in database on startup. [Mark McDowall]
- Fixed: Exclude @eaDir folders when adding existing series. [Mark McDowall]
- Add another test to ensure removal from directories. [Mark McDowall]
- Remove special folder regardless of location. [Mark McDowall]
- OsAgnostic for OnlyContain. [Mark McDowall]
- Fixed system files test. [Mark McDowall]
- Ignore Apple generated files when adding existing series. [Mark McDowall]
- Better cleaning before parsing releases and files. [Mark McDowall]
- Do not show connection to backend restored message. [Mark McDowall]
- Calendar will show all downloading instead of top 15. [Mark McDowall]
- Call DiskScanService.Scan directly. [Mark McDowall]
- New: Added drone factory rescan button to Wanted. [Mark McDowall]
- Do not prevent adding of indexer when API request limit was reached. [Mark McDowall]
- Only search for monitored missing episodes. [Mark McDowall]
- Only clear readonly flag when file has readonly flag. [Mark McDowall]
- Downloading log file asking for password when authentication is disabled. [Mark McDowall]
- Ended series will be refreshed from trakt every 30 days instead of daily. [Mark McDowall]
- Log reasons a release was rejected after all specs have processed. [Mark McDowall]
- New: Search for all missing episodes. [Mark McDowall]
- No longer listening on the https port when ssl is disabled. [Taloth Saldono]
- Typo in Drone Factory Interval Setting. [Taloth Saldono]
- Removed duplicate ScheduledTask to prevent error on first database initialization. [Taloth Saldono]
- VS2013 automatically adds these entries for NUnit integration. [Taloth Saldono]
- Support for Roksbox Metadata.  Outputs Series, Season and Episode images along with xml metadata. [Andrew Chappell]
- Fixed broken in queue test for nzbget. [Mark McDowall]
- Fixed broken build. [Mark McDowall]
- New: Failed download handling for Nzbget. [Mark McDowall]
- Only vacuum the main db on startup. [Mark McDowall]
- Calendar view selection now persistent. [Taloth Saldono]
- New: iCal calendar feed. [Taloth Saldono]
- Nzb.su URL changed to api.nzb.su. [Mark McDowall]
- Don't blacklist nzbs due to disk space issues. [Mark McDowall]
- Mono version check will support 3 digit versions. [Mark McDowall]
- DB will log Info and above now (temp fix) [Mark McDowall]
- Fixed test reference. [Mark McDowall]
- API Key in UI. [Mark McDowall]
- New: Set scanning interval for Drone Factory. [Mark McDowall]
- Removed Status from cleansed log messages. [Mark McDowall]
- Major logging overhaul. [Mark McDowall]
- Bug fix: get groupname of group rather than user. [TectonicEd]
- Clarifying error message. [TectonicEd]
- Set episode file modified date to local or utc air date. [Mark McDowall]
- Add new feature, set file date to episode aired date. Fix, use alternative Trakt API field for episode air time. Improve the Preview Rename tip. [JackDandy]
- Series editor saves much faster. [Mark McDowall]
- Show spinner when loading from dropdown. [Mark McDowall]
- New: Jump to page on tables (click on page number) [Mark McDowall]
- History check shouldn't die if download client is not configured. [Mark McDowall]
- UI notifications when using a reverse proxy. [Mark McDowall]
- Reverse proxy settings in UI. [Mark McDowall]
- Fixed broken tests. [Mark McDowall]
- Don't clean common words from the start of the title. [Mark McDowall]
- Gracefully exit on restart instead of forcibly killing it. [Mark McDowall]
- Fixed build.ps1 for osx package. [Mark McDowall]
- Fixed casing of folder. [Mark McDowall]
- Run update tests on linux. [Mark McDowall]
- Fixed update test, send os when requesting update packages. [Mark McDowall]
- Log startup location, log number of results from feed. [Mark McDowall]
- OS X and linux can be treated separately. [Mark McDowall]
- Series collection will page to 100000 instead of 1000. [Mark McDowall]
- Branch name will be returned as lowercase. [Mark McDowall]
- Fixed update test. [Mark McDowall]
- Add major version to changes request. [Mark McDowall]
- Don't log sqlite errors as errors to avoid logging to the database. [Mark McDowall]
- Prevent queue/history from blowing up. [Mark McDowall]
- Fixed broken test. [Mark McDowall]
- Better help text for download client priority. [Mark McDowall]
- Fixed broken language test. [Mark McDowall]
- Nlsub is treated as dutch. [Mark McDowall]
- Naming settings resetting when changing fields/saving. [Mark McDowall]
- Only catch SQLite exceptions. [Mark McDowall]
- Catch errors when failing to write logs to database. [Mark McDowall]
- Better logging when adding a new indexer and it fails. [Mark McDowall]
- Fixing jshint errors. [Mark McDowall]
- Saving changed quality of episode file. [Taloth Saldono]
- Return MoveFile. [Mark McDowall]
- EpisodeFileMover updates episode file path after move. [Mark McDowall]
- New: Redirect through dereferer.org for external links. [Mark McDowall]
- Only catch xml exception. [Mark McDowall]
- Prevent XML error from blowing up integration test. [Mark McDowall]
- New: Rename all selected series from the series editor. [Mark McDowall]
- Better error messaging when connecting to nzbget fails. [Mark McDowall]
- Properly handling multi episode in one scene numbered release. [Mark McDowall]
- Csproj. [Mark McDowall]
- Better error message when error is received from SABnzbd. [Mark McDowall]
- New: Option to use SSL to connect to nzbget. [Mark McDowall]
- Series monitored visible on seasons/episodes on details page and episode details modal. [Mark McDowall]
- Store state of history filter. [Mark McDowall]
- DiskSpaceService will not blow up if total or free space is null. [Mark McDowall]
- Removed SetFolderWriteTime in favour of FolderSetLastWriteTimeUtc. [Mark McDowall]
- Fixed indexer health check service. [Mark McDowall]
- New: App health displayed in UI. [Mark McDowall]
- New: Filter history by event (all/grabbed/imported/failed) [Mark McDowall]
- Create separate OS X package. [Mark McDowall]
- Failed Download detection now ignores history without unique download client id. [Taloth Saldono]
- Removed validation for Nzbget username and password when either is blank. [Mark McDowall]
- Add sqlite dylibs to mono package (in sqlite folder) [Mark McDowall]
- Blacklist uses seriesId for index. [Mark McDowall]
- Renumbered migration after rebase. [Mark McDowall]
- Removed migrationcache. [kayone]
- Container Cleanup. [kayone]
- Database is now singleton. [kayone]
- Fixed broken tests. [kayone]
- New: Log database is compressed when logs are trimmed/purged. [kayone]
- New: Main DB is compressed on app start. [kayone]
- Cleaned up Datastore folder. [kayone]
- Fixed UI test for missing page. [Mark McDowall]
- Now creating Backbone.Model instance for EpisodeFile. [Taloth Saldono]
- Fixed jslint errors. [Mark McDowall]
- Fixed up some tests. [Mark McDowall]
- Wanted is much much faster now. [Mark McDowall]
- Redirect /api/missing to new endpoint. [Mark McDowall]
- Processed PR Comments. Added tests for EpisodesWithCutoffUnmet. [Taloth Saldono]
- Repurposed the Missing page to include filter options and display episodes that haven't reached cutoff. [Taloth Saldono]
- Support for loading of LazyLoaded properties via explicit join. [Taloth Saldono]
- New: Queue in UI is now paged. [Mark McDowall]
- Orphaned episode file was preventing rename preview from functioning. [Mark McDowall]
- Blacklist cleanup. [Mark McDowall]
- Possible special is less aggressive, with tests. [Mark McDowall]
- Metadata cleanup and fixes. [Mark McDowall]
- Reverted some special characters. [Mark McDowall]
- Strip some additional special characters when searching trakt. [Mark McDowall]
- Fixed broken decision engine tests. [Mark McDowall]
- Performance issues when processing results from indexers (RSS/Search) [Mark McDowall]
- Many (update/insert/delete) DB operations now use transactions. [Mark McDowall]
- Prevent queue errors from filling up UI with errors. [Mark McDowall]
- Better support for adding series that contain special characters. [Mark McDowall]
- Cleaned up parser tests, 1103/1113 parsing is less greedy. [Mark McDowall]
- Replaced + with space in special episode query string builder. [Icer Addis]
- Fixes for code review. [Icer Addis]
- Fixes in response to code review ParseSpecialEpisode now follows similar pattern to Map() method and accepts TvRageId and SearchCriteria Fixed normalize episode title to handle punctuation separately from spaces and removed special episode words Removed comments. [Icer Addis]
- Special Episode parsing support in ParsingService. [Icer Addis]
- Indexer searching for special episodes using query string. [Icer Addis]
- Command+T will not target search box in UI. [Mark McDowall]
- Series/episode rating is 0-10. [Mark McDowall]
- Labels for add series options. [Mark McDowall]
- Add existing series shows a loading message. [Mark McDowall]
- SABnzbd test with fail if the API Key is wrong. [Mark McDowall]
- Refactored retention spec. [Mark McDowall]
- Multi episode naming example. [Mark McDowall]
- Failed download handling won't error when download client hasn't been configured. [Mark McDowall]
- Fixed XBMC notification logo. [Mark McDowall]
- More xbmc metadata improvements. [Mark McDowall]
- Getting root folders with invalid paths. [Mark McDowall]
- Do not set display season/episode for XBMC metadata. [Mark McDowall]
- Fixed a copy pasta error for SAB history. [Mark McDowall]
- Reordered migrations after rebase. [Mark McDowall]
- Fixed root folder integration test. [Mark McDowall]
- Validation, settings UI cleanup and different settings models, oh my. [Mark McDowall]
- Download clients now use thingy provider. [Mark McDowall]
- Couple XBMC Metadata fixes. [Mark McDowall]
- Cleaned up tests and names. [Mark McDowall]
- Fixed migration filenames, check if process has exited before waiting for exit. [Mark McDowall]
- Cache break old logo. [Mark McDowall]
- Metadata settings added to UI. [Mark McDowall]
- Fixed Indexer delete view. [Mark McDowall]
- Fixed migrations after rebase. [Mark McDowall]
- Re numbered metadata migrations. [Mark McDowall]
- Fixes after rebase. [Mark McDowall]
- No more dupes and house cleaner added. [Mark McDowall]
- Almost everything working except importing episode thumbs. [Mark McDowall]
- New: XBMC Metadata (Frodo+) [Mark McDowall]
- Also trim question marks. [Mark McDowall]
- Double periods before extensions when episode title ends in a period. [Mark McDowall]
- New logo. [Mark McDowall]
- Detection of russian releases using 'rus' in the title. [Mark McDowall]
- Changing quality of episode file. [Mark McDowall]
- Renamed /api/qualityprofiles to /api/qualityprofile. [Mark McDowall]
- New: Optionally disable notifications for upgraded episode files. [Mark McDowall]
- Binding signalr to cloned series collection. [Mark McDowall]
- Mono NzbDrone processes are more restricted. [Mark McDowall]
- Fixed some unit tests. [Mark McDowall]
- Restart on linux/os x working. [Mark McDowall]
- Fatal error will not be logged when browser is closed (linux/osx) [Mark McDowall]
- Close both toolbars. [Mark McDowall]
- Removed extraneous filtering code from series index. [Mark McDowall]
- Enter on add root folder will add folder. [Mark McDowall]
- Adding an invalid root folder will show a usable error message. [Mark McDowall]
- New: Series lists will auto update when files are imported/deleted. [Mark McDowall]
- Only backup database and config file before update. [Mark McDowall]
- New: Backup database before updating. [Mark McDowall]
- Shutdown and restart are buttons now. [Mark McDowall]
- Show title on posters view when poster is unavailable. [Mark McDowall]
- Renamed some series index views. [Mark McDowall]
- Disable nancyfx diagnostics unless in debug. [Mark McDowall]
- Shutdown working on mono. [markus101]
- Restart for Windows. [Mark McDowall]
- Shutdown! Restart working for services. [Mark McDowall]
- Proper wiki link for add series. [Mark McDowall]
- Return false for size when quality is unknown. [Mark McDowall]
- Fixed not in queue spec. [Mark McDowall]
- Single quotes around index column name won't die. [Mark McDowall]
- Better trace messaging for Download Decision specs. [Mark McDowall]
- Get series from DB before publishing add series, so we can use LazyLoaded values. [markus101]
- ScheduledTasks won't run immediately after first start. [markus101]
- Fixed broken episode integration tests. [markus101]
- Moved /api/episodes to /api/episode to align with other endpoints. [markus101]
- Order Upcoming by date and time. [markus101]
- Use friendly name instead of "Newznab" when fetching feeds. [markus101]
- Migration to new quality takes seconds not minutes now. [markus101]
- Error handling in migration to new quality. [Mark McDowall]
- Fixed namespace. [Mark McDowall]
- Fixed up form-info icons after merge. [Mark McDowall]
- Solved error in quality comparison for HistoryService. [Taloth Saldono]
- Disable background click to prevent deselection of all items. [Taloth Saldono]
- Cancelling quality profile editing will refetch it from the server. [Mark McDowall]
- Moved to regions for quality profile editor. [Mark McDowall]
- UI looking better for quality profile editing. [Mark McDowall]
- Fixed sorting of cutoff when allowed list changes. [Mark McDowall]
- Renamed view template. [Mark McDowall]
- Fixed styles for quality profile editor, click chevron to move. [Mark McDowall]
- Quality Order can now be change on per Quality Profile. Quality Title used in Renaming can now be changed by the user. Both options require Advanced Settings to be enabled. [Taloth Saldono]
- Re-organized buttons on series index. [Mark McDowall]
- Hide both series toolbars when there are no series. [markus101]
- Quick patch to solve Model.url issue. Should update to backbone 1.1.0 instead. [Taloth Saldono]
- Workaround to ensure the view uses a unique cloned collection for filtering instead of affecting the generic SeriesCollection. [Taloth Saldono]
- System.Logs view can now be filtered by severity. [Taloth Saldono]
- Series Index can now be filtered and no longer fetches twice when starting. [Taloth Saldono]
- Add absolute episode numbers to episodes during refresh. [markus101]
- New: Blacklist added to UI (under history) [markus101]
- New: Progress bar on series details/calendar when episode is downloading. [markus101]
- Calendar and series details show download progress. [Mark McDowall]
- Fixed chown config keys. [Mark McDowall]
- Do not try to chown when user or group is blank. [Mark McDowall]
- Support for setting uid/gid on *nix systems. [Mark McDowall]
- Favicon for reverse proxy support. [Mark McDowall]
- Calendar will show downloaded/downloading if applicable when the show is on air. [Mark McDowall]
- Validate series is the one searched for. [Mark McDowall]
- Fixed cleaning titles that use underscores instead of spaces. [Mark McDowall]
- Sequential series have proper clean titles. [Mark McDowall]
- Return promise for EpisodeModel syncing. [Mark McDowall]
- Set episode's monitored status from missing and calendar. [Mark McDowall]
- Cancelling adding an indexer will stop listening to save event. [Mark McDowall]
- Adding NzbDrone.Windows to update package. [Mark McDowall]
- Parser logging - changed Debug.WriteLine to Logger.Trace. [Icer Addis]
- NLog - fixed debugger target name. [Icer Addis]
- NLog - Added debugger target. [Icer Addis]
- Use proper path for episode file moving. [Mark McDowall]
- If folder does not exist... [Mark McDowall]
- Hiding permissions when OS is windows. [Mark McDowall]
- UI and opt-in for setting permissions. [Mark McDowall]
- New: Setting file permissions on import (Linux) [Mark McDowall]
- DiskProvider split to Windows and Mono projects. [Mark McDowall]
- Fixed up readme a bit. [Mark McDowall]
- API Authentication issues with Apache Basic Auth. [Mark McDowall]
- Clean series title in season folder of reserved characters. [Mark McDowall]
- Logging destination filename when importing/renaming files. [Mark McDowall]
- Validation and integration test for SeriesFolderFormat. [Mark McDowall]
- Fixed broken add series test. [Mark McDowall]
- New: Series Folder format now configurable (used when adding series only) [Mark McDowall]
- New: Original Title can be used in file names. [Mark McDowall]
- ImdbId and Title Slug are now nullable. [Mark McDowall]
- NextAiring sorting is not as drunk anymore. [Mark McDowall]
- Womble's URL. [Mark McDowall]
- Initial sorting for Next Airing. [Mark McDowall]
- Get 1000 releases from indexers. [Mark McDowall]
- Better way to fix empty string split results. [Mark McDowall]
- Extra new line in release restrictions causing all releases to be rejected. [Mark McDowall]
- Search being triggered from Release Restrictions when pressing 't' [Mark McDowall]
- Some test cleanup for season search. [Mark McDowall]
- Install updates will send info to UI. [Mark McDowall]
- Fixed broken integration tests. [Mark McDowall]
- Omgwtfnzbs season/series searches stuck in a loop. [Mark McDowall]
- Exit from tray icon. [Mark McDowall]
- Xem mapped series should be more reliable. [Mark McDowall]
- New device_iden from PushBullet can be used. [Mark McDowall]
- Grunt-contrib-less version locked (0.9.0 fails me!) [Mark McDowall]
- XML clean extra spaces from config file settings when saving/retrieving. [Mark McDowall]
- Fixed URL when adding an indexer. [Mark McDowall]
- Only get DownloadClientId when its been added to history. [Mark McDowall]
- Configure URLs on Linux, but don't register them. [Mark McDowall]
- New: Support for running from a sub folder (reverse proxy) [Mark McDowall]
- Better css for sorting button text. [Mark McDowall]
- Little hack to deal with backgrid's setting of sortKey. [Mark McDowall]
- Sorting on all series views is now working. [Mark McDowall]
- Using SortValue instead of API hack for history. [Mark McDowall]
- Logs and series are now persisted. [Mark McDowall]
- Fixed series editor. [Mark McDowall]
- History state is persisted across page reloads now. [Mark McDowall]
- Massive backgrid update, only one header cell left. [Mark McDowall]
- Support for persistent state for collections. [Mark McDowall]
- No longer showing connect lost messages when trying to reconnect. [Mark McDowall]
- Manually failing a release. [Mark McDowall]
- New: PushOver will now require an application per user to avoid API limiting issues. [Mark McDowall]
- Sync event instead of promise. [Mark McDowall]
- New: Added OZnzb.com as a default indexer. [Mark McDowall]
- Some specials will no longer be treated as containing the full season on import. [Mark McDowall]
- Rename and search will be on the same line on mobile devices. [Mark McDowall]
- Add series won't incorrectly mark the series as existing when it fails to add. [Mark McDowall]
- Settings/System tabs will no longer fill up the browser history. [Mark McDowall]
- Create .mdb files for mono releases. [Mark McDowall]
- Fixed output message. [Mark McDowall]
- Moved reqres for GetEpisodeFileById outside of the collection fetches. [Mark McDowall]
- New: Double click on tray icon will open browser. [Mark McDowall]
- Log file requests will be authenticated when they come through with an API key. [Mark McDowall]
- Release group will not contain file extension. [Mark McDowall]
- Incorrectly treating single episode releases as full season releases. [Mark McDowall]
- Issue processing full season releases. [Mark McDowall]
- New: SSL certificates will not be checked for validity (to support self-signed certificates) [Mark McDowall]
- Issue saving notifications. [Mark McDowall]
- Updating proj. [Mark McDowall]
- Refresh Xem mapped series list every 12 hours, instead of on startup only. [Mark McDowall]
- Xem integration tests for American Dad. [kayone]
- Support for Int64 in SchemaBuilder. [Mark McDowall]
- One more test. [Mark McDowall]
- Tests and cleanup. [Mark McDowall]
- New: Mass series editor. [Mark McDowall]
- New: Release Group can now be used in rename patterns. [Mark McDowall]
- Default category is now empty for nzbget. [Mark McDowall]
- Long not int. [Mark McDowall]
- Actual fix for multiple network interfaces. [Mark McDowall]
- Use Int64 for PushBullet device ID. [Mark McDowall]
- Opening firewall ports when system has more than one network adapter. [Mark McDowall]
- Trigger change on input after adding token. [Mark McDowall]
- ModalController. [Mark McDowall]
- Use audio and general stream runtimes when video runtime is zero. [Mark McDowall]
- Logging quality again when using it from folder during import. [Mark McDowall]
- Incorrect parsing as DVD for releases that contained 'pal' as part of another word. [Mark McDowall]
- Stop double fecthing the collection on first load of series page. [Mark McDowall]
- Fixed broken test. [Mark McDowall]
- Narrower episode title on calendar upcoming for longer episode numbers. [Mark McDowall]
- Upgraded Filesize.js to 2.0.0. [Mark McDowall]
- Fixed event binding for episode file collection on episode modal. [Mark McDowall]
- Decimal.TryParse the frame rate instead of Decimal.Parse. [Mark McDowall]
- Replaced manual argument validations with Ensure. [kayone]
- Fixed newznab validation when URL is null. [kayone]
- Dllmap added for MediaInfo.DLL. [Mark McDowall]
- Don't block ctrl+t from opening a new tab. [Mark McDowall]
- Log db value when mapping fails. [kayone]
- Constraint failed exceptions are translated to 409 conflict status codes. [kayone]
- New: smarter validation for newznab indexer settings. [kayone]
- NzbGet now uses RestSharp. [Mark McDowall]
- Refresh upcoming collection every hour. [Mark McDowall]
- Revert "removed default for Sab" [Mark McDowall]
- Don't strip episode count  from title if only one episode. [Mark McDowall]
- Touch! [kayone]
- Removed default for Sab. [kayone]
- Renamed FailedDownloadCommand to CheckForFailedDownloadCommand. [kayone]
- Reset existing xem info during update. [kayone]
- Don't report DirectoryNotFoundException in FreeSpaceSpecification. [kayone]
- Path performance optimization. [kayone]
- Ignore known xem errors. [kayone]
- Memory leak in Ensure.That. [kayone]
- Add delay before showing backend connection lost. [Mark McDowall]
- Fixed loading settings. [Mark McDowall]
- Use folder will now default on. [Mark McDowall]
- Moved SxEE to episode title row on calendar. [Mark McDowall]
- Option to prevent backbone from adding new models to a collection (update only) [Mark McDowall]
- Removed debugging alert. [Mark McDowall]
- More parsing tests to ensure anime doesn't break standard episodes. [Mark McDowall]
- Adding a dependency on EventLog. [Mark McDowall]
- Service now depends on Tcpip. [Mark McDowall]
- Rename previews are now ordered in asscending season and epsiode order. [Mark McDowall]
- More tests for single title paring of shows with a number in the title. [Mark McDowall]
- Parsing files/releases for series that start with numbers. [Mark McDowall]
- Deleting episode files from episode details is a go. [Mark McDowall]
- Scheduled Tasks that last ran in the future will be re-run after application start up. [Mark McDowall]
- Adding some more logging to import process. [Mark McDowall]
- Banishing bin and obj folder contents. [Mark McDowall]
- Removed NZbDrone.Setup Wix project from solution. [Mark McDowall]
- Catching InvalidOperationExceptions when Inheriting folder permissions. [Mark McDowall]
- Rename preview for full series and season. [Mark McDowall]
- Minor parsing fix. [kayone]
- Xem mappings for series without scene mapping. [kayone]
- Install nzbdrone into c:\ProgramData instead of start menu. [kayone]
- Installing as windows service is now optional during setup. [kayone]
- Fixed inno script. [kayone]
- Made paths relative in inno script file. [kayone]
- Service kills other instances on start. [kayone]
- Applicationmode cleanup. [kayone]
- App lifecycle cleanup. [kayone]
- Fuck you wix. [kayone]
- Never allow empty episode formats to be saved. [Mark McDowall]
- Fixed the broken tests. [Mark McDowall]
- No more wizard, now only show when advanced settings are off. [Mark McDowall]
- Couple touch ups. [Mark McDowall]
- Fixed compilation issue. [Mark McDowall]
- Moved SeasonFolderFormat to NamingConfig. [Mark McDowall]
- Cleanup! [Mark McDowall]
- Fixed issue with validation when rename episodes is false. [Mark McDowall]
- Validation for samples and saving. [Mark McDowall]
- Validate that we can parse the chosen scheme before saving. [Mark McDowall]
- Using season:00 instead of 0season. [Mark McDowall]
- Minor cleanup. [kayone]
- Season folder format is lowercase. [Mark McDowall]
- Fixed naming config integration test. [Mark McDowall]
- Helper for configuring naming. [Mark McDowall]
- Basic UI + Wizard for custom naming added. [Mark McDowall]
- Server side for custom naming is complete. [Mark McDowall]
- Don't watch _output for changes. [Mark McDowall]
- Removed conflicting files from wix. [kayone]
- Cleanup grunt file. [kayone]
- Generate msi installer based on _output folder. [kayone]
- Another runtime parsing issue for .ts files. [Mark McDowall]
- Increased load timeout of UI for remote requests from 7 to 30 seconds. [kayone]
- NzbDrone using 100% CPU on Linux. [kayone]
- Moved signalr to x86. [kayone]
- Imported signalr 1.1.3 into NzbDrone. [kayone]
- Fixed rjs builds not loading routed pages. [kayone]
- Fixed error detection for SAB. [Mark McDowall]
- No longer saving download client for entire the life cycle. [Mark McDowall]
- Fixed intentional error. [kayone]
- UI build cleanup. [kayone]
- Testing jshint. [kayone]
- Improved: web interface load time should be significantly faster. [kayone]
- Rjs optimize the app. [kayone]
- Removed ServerStatus.js. [kayone]
- Fixed compilation issue. [Mark McDowall]
- Better handling of SAB not returning json to addfile. [Mark McDowall]
- Delete logs/log files won't blow up. [Mark McDowall]
- Cleaned up using directives. [kayone]
- Create missing series folders on disk scan (if enabled) [Mark McDowall]
- Log response content, not response. [Mark McDowall]
- Fixed broken tests. [Mark McDowall]
- New: Only clean XBMC Library when a file is being upgraded. [Mark McDowall]
- New add series page automation. [kayone]
- Fixed tests. [Mark McDowall]
- Cleanup naming specs if there is more than one. [Mark McDowall]
- Link to wiki on Linux instead of doing nothing. [Mark McDowall]
- White space. [Mark McDowall]
- UI will reload on navigation if the backend has been update. [Mark McDowall]
- Revert "updated OWIN to 2.0.1" [kayone]
- Build status for teamcity. [kayone]
- Signalr connection fails if can't connect in 5 seconds. [kayone]
- Reverting signalr disconnection issue to prevent failures on Linux. [Mark McDowall]
- Actually fixed free space. [Mark McDowall]
- Total free space on Linux. [Mark McDowall]
- Trying to fix lastwrite unit test. [kayone]
- Fixed daily parsing tests. [Mark McDowall]
- Fixed broken mapping tests. [Mark McDowall]
- Fixed broken tests. [Mark McDowall]
- Small tweaks based on feedback from @markus101. [Cyberlane]
- Parsing service code (and tests) for absolute numbered episodes. [Cyberlane]
- Parser can parse absolute episode numbers. [Cyberlane]
- Messaging to handle signalR disconnection and reconnection added. [Mark McDowall]
- Fixed broken build. [kayone]
- NzbDrone.sln.DotSettings. [kayone]
- Basic automation test for main pages. [kayone]
- Fixed release collection. [Mark McDowall]
- Fixed manually download will show queued when downloading. [Mark McDowall]
- Use folder quality when it is better than file quality. [Mark McDowall]
- Fixed log files refresh. [Mark McDowall]
- Fixed logs table, added spinner to logs refresh. [Mark McDowall]
- Fixed error pipeline. [kayone]
- Fixed broken build. [kayone]
- More reliable apikey for integration tests. [kayone]
- Fixed UI not loading. [kayone]
- Fixed local integration tests. [kayone]
- Fixed jquery shim. [kayone]
- Fixed rjs task. [kayone]
- ListenTo, not promise for log table loading. [Mark McDowall]
- Now able to queue downloads using manual search on mono (Linux) [Mark McDowall]
- Fixed icon path for monodevelop. [Mark McDowall]
- Refresh series logs more and is done in alphabetical order. [Mark McDowall]
- Parsing .ts files for runtime should work now. [Mark McDowall]
- Free disk space check on Linux will use best match. [Mark McDowall]
- New: Show ended on add series if applicable. [Mark McDowall]
- Newznab daily search forces slashes now. [Mark McDowall]
- Log response from SAB (trace) [Mark McDowall]
- Fixed broken sample tests. [Mark McDowall]
- Better sample checks. [Mark McDowall]
- Log details. [Mark McDowall]
- Manually mark a release as failed to start failed download process (history details) [Mark McDowall]
- History taking a long time to change pages. [Mark McDowall]
- Fixed broken FailedDownloadService tests. [Mark McDowall]
- Failed downloads are removed from queue/history (opt out) [Mark McDowall]
- Redownload after failure is an advanced option. [Mark McDowall]
- List<int> will be converted to json and stored in the DB. [Mark McDowall]
- Fixed broken tests. [Mark McDowall]
- Blacklisting will trigger episode search. [Mark McDowall]
- Blacklist check is case insensitive now. [Mark McDowall]
- Blacklist is now used when processing results. [Mark McDowall]
- Fixed sab test. [Mark McDowall]
- Failed downloads are added to history. [Mark McDowall]
- Storing nzo_id from SAB in history (data) [Mark McDowall]
- Posting nzbs to SAB instead of sending an URL to download. [Mark McDowall]
- Made NotUnpackingSpec test WindowsOnly. [Mark McDowall]
- Using string for airdate instead of DateTime in models to prevent timezone issues. [Mark McDowall]
- Skip last write time check on linux for _UNPACK_ folders. [Mark McDowall]
- Catch any errors setting last write time so we don't blow up the whole process. [Mark McDowall]
- Fixed some UI issues. [Mark McDowall]
- Updating manually now uses a command so it shows progress. [Mark McDowall]
- Better name from LocalEpisode in EpisodeImportedEvent. [Mark McDowall]
- Now able to parse series names that use underscores instead of spaces. [Mark McDowall]
- Only run InheritFolderPermissions on Windows. [Mark McDowall]
- Fixed issues adding root folders. [Mark McDowall]
- GetPathRoot for DownloadedEpisodesFolder. [Mark McDowall]
- Free space will show shared drives and show drive label. [Mark McDowall]
- Import episodes will import largest files first (to reject samples) [Mark McDowall]
- Newznab indexers are tested before creating. [Mark McDowall]
- Moved disk space and about to new info tab. [Mark McDowall]
- Fixed omgwtfnzbs issues with null settings. [Mark McDowall]
- More Connects cleanup/fixing. [Mark McDowall]
- Converted notifications to thingi provider. [Mark McDowall]
- Removed random s from jquery.ajax. [Mark McDowall]
- Run cleanup when drone starts. [Mark McDowall]
- Send auth header with ajax requests. [Mark McDowall]
- Back to top button is back. [kayone]
- Cleanup orphaned episode files if the series was deleted. [Mark McDowall]
- Show latest release as maintenance release when there are no changes. [Mark McDowall]
- Dropped TVDbEpisodeId since its not used and was causing contraint issues. [Mark McDowall]
- SeasonPass buttons are labeled better. [Mark McDowall]
- Fixed broken test. [Mark McDowall]
- Download client will return queue with remoteEpsiode. [Mark McDowall]
- Better NotInQueue checking. [Mark McDowall]
- Error when showing episode list. [kayone]
- Minor cleanup. [kayone]
- UI dependency graph cleanup. [kayone]
- Episode details uses listenTo instead of promises. [Mark McDowall]
- Root folders use listenTo now. [Mark McDowall]
- Series title will be shown as alt text when series doesn't have poster (poster view) [Mark McDowall]
- Deleting logs will refresh on completion. [Mark McDowall]
- Naming samples no longer use promises to load. [Mark McDowall]
- No more caching of log files, also better handling of logs on page load. [Mark McDowall]
- Converted selectall.css to less for better import. [Mark McDowall]
- Report errors on linux. [Mark McDowall]
- Show no activity when no activity for episode. [Mark McDowall]
- Episode activity goes through History now. [Mark McDowall]
- EpisodeActivity cleanup. [Mark McDowall]
- Tests for command comparer when lists are different. [Mark McDowall]
- Revert "updated to owin 2.0.0-rc1" [kayone]
- Removed check for update button, latest version will have install link. [Mark McDowall]
- Don't use undefined name when saving indexer. [Mark McDowall]
- Speicals go in Specials folder. [Mark McDowall]
- CommandComparer supports IEnumerables now. [Mark McDowall]
- Full page searching for missing episodes. [Mark McDowall]
- Command buttons with additional properties. [Mark McDowall]
- Quality size header slightly smaller. [Mark McDowall]
- Episode Activity added. [Mark McDowall]
- Removed extra fonts. [kayone]
- Upcoming now only shows 3 days of episodes. [Mark McDowall]
- Queue should update now. [Mark McDowall]
- Connect to SAB over SSL (optional) [Mark McDowall]
- Quality size settings are shown under advanced settings. [Mark McDowall]
- Do not copy config.xml for Core.Test. [Mark McDowall]
- Moved source code under src folder - massive change. [Mark McDowall]
- Hide torrent indexers. [kayone]
- Nullconfig indexers are enabled by default. [kayone]
- Fixed indexer endpoint. [kayone]
- Cleaned up ThingiProvider. [kayone]
- Fixed indexer integration tests. [kayone]
- Fixed broken test, cleaned up some code around config contracts. [kayone]
- Created ProviderModuleBase. [kayone]
- Fixed schema support for indexers. [kay.one]
- Schema updates. [kay.one]
- Fixed broken tests. [kay.one]
- Indexer cleanup. [kay.one]
- Created generic provider factory. [kay.one]
- Starting to move indexers to generic provider. [kay.one]
- Can now read/write provider config to db. [kay.one]
- Something! [Keivan Beigi]
- Auto detect first day of week for calendar. [Mark McDowall]
- Cleaned up queue table a bit. [Mark McDowall]
- Close view after adding series. [Mark McDowall]
- Episode grid will show downloading on grab. [Mark McDowall]
- Signalr-episodes. [Mark McDowall]
- System now uses tabs instead of toolbar. [Mark McDowall]
- Remove duplicate episodes from trakt before processing (by season and episode numbers) [Mark McDowall]
- Refresh series details after rename/refresh. [Mark McDowall]
- Stop searching for existing series when view is changed. [Mark McDowall]
- Add new series will clear results and re-focus search box. [Mark McDowall]
- Recycling bin setting is available on Media Management (advanced) [Mark McDowall]
- Set write time on destination season folder - oops. [Mark McDowall]
- Fixed LastWriteTime. [Mark McDowall]
- Implement https://trello.com/c/a1il1sTd 	modified:   NzbDrone.Core/MediaFiles/EpisodeFileMovingService.cs. [Eric Yen]
- Unauthorized.xml. [Mark McDowall]
- Now checking for errors before parsing newznab feeds. [Mark McDowall]
- Set year to current year when show doesn't have a valid year. [Mark McDowall]
- Open SSL port in firewall when SSL is enabled. [Mark McDowall]
- Fixed sslcert registration arguments. [Mark McDowall]
- Fixed SSL cert registration string. [Mark McDowall]
- Disable quality sorting on history - since its json. [Mark McDowall]
- Quality sorting for ManualSearch. [Mark McDowall]
- Validate newznab indexers when adding. [Mark McDowall]
- SeasonCount excludes specials. [Mark McDowall]
- Advancified some more settings. [Mark McDowall]
- Advanced settings! [Mark McDowall]
- Moved search hotkey to search.js. [Mark McDowall]
- Toggle monitored status from season pass as well as all seasons (skip specials) [Mark McDowall]
- Use t as shortcut to series search navigator. [Mark McDowall]
- Don't check for API key on local requests. [Mark McDowall]
- Allow Basic Auth on API. [Mark McDowall]
- Show yellow dot and season not monitored when no episode files and season isn't monitored. [Mark McDowall]
- Pluck and findWhere, not map and find. [Mark McDowall]
- Integration tests use the api key now. [Mark McDowall]
- Csproj fail :( [Mark McDowall]
- ApiKey Authentication cleanup. [Mark McDowall]
- Fixed series actions wrapping to two lines. [Mark McDowall]
- Fixed UI for downloadAllowed. [Mark McDowall]
- Allow manual downloads. [Mark McDowall]
- Moved UrlAcl registration to adapter. [Mark McDowall]
- Check if URL is registered when running in non-admin and run accordingly. [Mark McDowall]
- Cleaned up some validation. [Mark McDowall]
- DownloadAllowed logic moved, using proper validation. [Mark McDowall]
- Episode actions cell width so button does shift whole table. [Mark McDowall]
- NzbDroneErrorPipeline uses the new aggregate exceptions. [kay.one]
- Upgraded to nancy 20. [kay.one]
- Fixed install update progress message. [Mark McDowall]
- Housekeepers talk to the DB directly now. [Mark McDowall]
- Prevent releases with unknown series from being downloaded. [Mark McDowall]
- Removed unused Housekeeping interface. [Mark McDowall]
- Removed Core/Model Core/Provider. [Keivan Beigi]
- Reverting mono workaround as it didn't work. [Keivan Beigi]
- User 4.0 version of json.net. [Keivan Beigi]
- More json cleanup. [Keivan Beigi]
- Cleanup using statements. [Keivan Beigi]
- Delete old Reporting code. [Keivan Beigi]
- Fix add existing series. [Keivan Beigi]
- Command Equality ignores properties defined in Command. [Mark McDowall]
- Use _.debounce instead of _.throttle for search. [kay.one]
- Fixed results not showing on render. [kay.one]
- Add series cleanup. [kay.one]
- Issue parsing size from newznab mocking indexers. [Mark McDowall]
- Removed old tests. [Keivan Beigi]
- Moved console polyfills to polyfills.js. [Keivan Beigi]
- Trakt fixed DST issue, removing workaround. [Mark McDowall]
- Fixed broken test. [kay.one]
- Xem cleanup. [kay.one]
- Left over test. [kay.one]
- Removed dead code. [kay.one]
- Event aggregator uses threadpool to publish events. [kay.one]
- Moved console polyfills to polyfills.js. [Keivan Beigi]
- Event aggregator uses threadpool to publish events. [kay.one]
- Fixed merge issue. [Keivan Beigi]
- Fixed episode number in history. [Mark McDowall]
- Couple minor download spec changes. [Mark McDowall]
- Use Id instead of time to sort logs to take advantage of built in index. [kay.one]
- Renamed Updating to Development. [kay.one]
- Tests for ParsingService. [Mark McDowall]
- Use episodes attached to search criteria instead of fetching from DB. [Mark McDowall]
- Fixed command equality to take type into consideration. [kay.one]
- Guard against InheritFolderPermissionsNotImplementedException in linux. [kay.one]
- Stop NzbDrone.Common.Tests from killing the runner. [kay.one]
- Less chatty command events. [kay.one]
- Don't log signalr heartbeat exceptions as EPIC FAIL. [kay.one]
- Stop trying to load place holder image for placeholder when server is offline. [kay.one]
- Reject all updates if in linux. [kay.one]
- Missed files. [kay.one]
- Split MessageAggregator in EventAggregator and CommandExecutor. [kay.one]
- Cleanup CommandId from MappedDiagnosticsContext. [kay.one]
- Fixed broken tests. [kay.one]
- Fixed rebase issues. [Keivan Beigi]
- Adding some trace logging when setting last execution time for tasks. [Mark McDowall]
- FreeSpaceSpec will return true is free space check returns null. [Mark McDowall]
- Skipping free space check when importing existing episodes. [Mark McDowall]
- Disk provider removes readonly flag before trying to delete files. [kay.one]
- Removed SeasonService, fixed an issue with episode monitored status. [Mark McDowall]
- Minor cleanup. [Keivan Beigi]
- Cleaned up using statements. [Keivan Beigi]
- Custom ncrunch config with fast running tests. (excludes DB/Integration tests) [Keivan Beigi]
- Diskprovider cleanup. [kay.one]
- Don't show messages for updates that aren't allowed on client. [kay.one]
- Fixed season template helpers. [kay.one]
- This should cover it! [Keivan Beigi]
- Fixed series actions. [Keivan Beigi]
- Jquery plugin to attach a promise to a spinning icon. [Keivan Beigi]
- Fixed some namespaces. [Keivan Beigi]
- Signalr cleanup. [kay.one]
- QualityParser uses GetQualityForExtension. [Mark McDowall]
- More media file extension cleanup. [Mark McDowall]
- Switched to dictionary for media file extensions. [Mark McDowall]
- Moved media file extensions to a static class. [Mark McDowall]
- Better placeholder for recent folder path. [Mark McDowall]
- Adding seasons to series will also unmonitor season 0. [Mark McDowall]
- Minor fixes and polyfills. [Mark McDowall]
- Better error message when port is in use. [Mark McDowall]
- Using regex match instead of endsWith for better browser compatibility. [Mark McDowall]
- NzbDroneException now has inner exception. [Mark McDowall]
- LoadConfigFile will only catch XmlExceptions. [Mark McDowall]
- Cleaned up season service/repo. [Mark McDowall]
- Default to starting at lowest season above 0. [Mark McDowall]
- Seasons are now subdocuments of series. [Mark McDowall]
- Fixed a bunch of specs that handled propers and cutoffs. [Mark McDowall]
- Multi-episode air time only applies to episodes in the same season. [Mark McDowall]
- Cutoff moved to its own spec. [Mark McDowall]
- Display a better error message when config.xml is corrupt. [Mark McDowall]
- Sample folder moved to new testcop style. [Keivan Beigi]
- Try to import file anyway if free space check fails. [kay.one]
- Fixed trakt test to be less fragile. [kay.one]
- Improved clone injection. [kay.one]
- Use drone factory folder in error message when not configured. [Mark McDowall]
- Removed old logo from Core, Growl uses new icon. [Mark McDowall]
- Moved NzbDroneClientException to Core. [Mark McDowall]
- Better client side errors when there are issues communicating with trakt. [Mark McDowall]
- Allow editing of unknown episode file quality. [Mark McDowall]
- Series stats tests. [Mark McDowall]
- NextAiring will skip episodes that already have files. [Mark McDowall]
- Check for null before checking if EST. [Mark McDowall]
- Hacked in a fix for EDT shows showing the wrong start time. [Mark McDowall]
- Empty folder before update instead of deleting it. [Mark McDowall]
- Fixed fetching root folders. [Mark McDowall]
- More parsing tests. [Mark McDowall]
- Log fatal for windows app when fails to start. [Mark McDowall]
- Disabled root folder signalr. [Mark McDowall]
- Fail nicer when MediaInfo lib is not available. [Keivan Beigi]
- Allow editing of branch name when not on master. [Mark McDowall]
- DailySeries uses new endpoint. [Mark McDowall]
- Fixed SceneMappingProxy tests. [Mark McDowall]
- SceneMapping uses new API endpoint. [Mark McDowall]
- Set templateHelpers in initialize to stop it from being attached to __proto__ [Mark McDowall]
- Progress messaging updates as each report is processed. [Mark McDowall]
- Fixed broken test. [Keivan Beigi]
- Better migration error handling. [Keivan Beigi]
- Re-adding indexes for series/episodes. [Keivan Beigi]
- Fixed broken tests. [kay.one]
- Restore sqlite indexes on alter. [kay.one]
- SeasonCount is fixed. [Mark McDowall]
- Season status icon added to seasons on series details. [Mark McDowall]
- Removed season menu in favour of minimizing seasons. [Mark McDowall]
- Actioneer won't blow up after saving model. [Mark McDowall]
- QualityParserFixture improvements, m2ts will default to HDTV720p. [Mark McDowall]
- SignalR disconnect timeout is now 5 minutes instead of 30 seconds. [Mark McDowall]
- Chained commands keep the same CommandId in nlog context. [Mark McDowall]
- Progress messages are logged with Logger.Progress. [Mark McDowall]
- Semi-colon required. [Mark McDowall]
- Fixed the broken tests. [Mark McDowall]
- If nzbdrone restarts mid command the client will treat it as failed. [Mark McDowall]
- Fixing CommandIntegrationTest - for now. [Mark McDowall]
- ScheduledTasks properly set last run time now. [Mark McDowall]
- Commands return immediately and signalr is used to control the UI. [Mark McDowall]
- Cahce.Remove is now void. [Keivan Beigi]
- TrackedCommands are cleaned up automatically. [Mark McDowall]
- Better names, more info, not using events. [Mark McDowall]
- Type and Command have private setters. [Mark McDowall]
- Commands are stored in memory and prevents duplicate jobs. [Mark McDowall]
- Emergency hack to fix breaking trakt api. [kay.one]
- Fixed broken tests. [Keivan Beigi]
- Delete target folder before update. [Keivan Beigi]
- Moved logging config to in-process. [Keivan Beigi]
- Episode files are refreshed after season is renamed. [Mark McDowall]
- Fixed broken tests. [Keivan Beigi]
- Emergency hack to fix breaking trakt api. [kay.one]
- Fixed merge conflict. [kay.one]
- Episodes will actually be renamed now. [Mark McDowall]
- Logs won't throw when cleared from a page past page 1. [Mark McDowall]
- Nzb titles in manual search will wrap. [Mark McDowall]
- Getting freespace returns null instead of blowing up. [kay.one]
- Treating FR as french, better parsing for weird DVD releases. [Mark McDowall]
- Refactored quality parsing, should make things easier to work with. [Mark McDowall]
- Fixed series add series integration tests. [kay.one]
- Trying to fix integration tests. [kay.one]
- Handling of blank paths during validation. [kay.one]
- Cleaned up path validation logic. [kay.one]
- Exceptron stores reference ID in exception. [kay.one]
- Removed tooltip for quality profile name. [Mark McDowall]
- Fixed app startup. [Keivan Beigi]
- Host process cleanup. [Keivan Beigi]
- Clear existing scene name since it wasn't storing the correct string. [kay.one]
- Moveepisode is less side-effecty! [kay.one]
- Moveepisode is less side-effecty! [kay.one]
- Store scene name in history. [kay.one]
- Db stores logs for 7 days instead of 15. [kay.one]
- Fixed Dtd issues on Linux. [kay.one]
- Fixed broken test. [kay.one]
- Fixed broken build. [kay.one]
- Handle exceptions when getting header for covers fail. [kay.one]
- Don't log indexer errors as exceptions. [kay.one]
- Handle empty rss response from indexers. [kay.one]
- GetActualCasing can partially fix the path for non-existing paths. [kay.one]
- Revert "updated Owin to 2.0 RC1" [kay.one]
- Cleanup orphaned seasons when deleting episodes. [Mark McDowall]
- Fixed some help icons that were pointing at old names. [Mark McDowall]
- Replaced owin's ITraceOutputFactory to one based on nlog that should work on linux. [Keivan Beigi]
- Replaced owin's ITraceOutputFactory to one based on nlog that should work on linux. [Keivan Beigi]
- Saved changefile in ubuntu. [kay.one]
- Naming config fixed, with integration tests. [Mark McDowall]
- Fixed deb install file. [kay.one]
- FilterExistingFiles no longer converts paths to all lower case. [Mark McDowall]
- Favicon.ico is now served properly. [Mark McDowall]
- 1080p releases without x264 or hdtv markers will be treated as HDTV instead of unknown. [Mark McDowall]
- Using OsAgnostic paths for episode/season integration tests. [Mark McDowall]
- Episode and Season monitored toggling works again. [Mark McDowall]
- Fixed UpdateResource. [Mark McDowall]
- Using services to get updates now. [Mark McDowall]
- Cache list of Xem Mapped series at start and recache every 12 hours. [Mark McDowall]
- Naming config fixed, with integration tests. [Mark McDowall]
- FilterExistingFiles no longer converts paths to all lower case. [Mark McDowall]
- Episode and Season monitored toggling works again. [Mark McDowall]
- Fixing Linux integration tests. [Keivan Beigi]
- RootFolderService adds FreeSpace, UnmappedFolders to `Get(int id)` [kay.one]
- Using warning instead of danger for form elements. [Mark McDowall]
- Fixed broken tests. [kay.one]
- Fixed input validation for indexers. [kay.one]
- RestExtensions log validation at trace so they don't show up in UI. [Mark McDowall]
- Appending .nzb to name when sent to nzbget. [Mark McDowall]
- Old config file values are removed on app start. [Mark McDowall]
- Parsing tvrage id from newznab with TryParse now. [Mark McDowall]
- Better episode count query. [Mark McDowall]
- Episodes without dates but file will be included in count. [Mark McDowall]
- Removed validation from OmgwtfnzbSettings. [Mark McDowall]
- Fixed some disk upgrade tests that were testing the wrong thing. [Mark McDowall]
- Fixed an issue with propers being skipped for old and lower quality episodes. [Mark McDowall]
- Integration test script for mono. [Keivan Beigi]
- I guess mono needs some UI too. [Keivan Beigi]
- Removed commented line. [Mark McDowall]
- Rename will just refetch episodeFiles instead of the whole page. [Mark McDowall]
- AVCDVD releases will not be detected as DVD. [Mark McDowall]
- Fixed automatic search failing because series wasn't part of episode. [Mark McDowall]
- Fixed add series referencing spinnerView. [Mark McDowall]
- NotUnpacking check added to episode import. [Mark McDowall]
- Indexer specific setting validation. [kay.one]
- Fixed calendar on air. [Mark McDowall]
- Fixed LoadingView. [Mark McDowall]
- Refresh seasons after rename. [Mark McDowall]
- EpisodeFile is downloaded if not available already. [Mark McDowall]
- Using reqres to map episode to episode file. [Mark McDowall]
- Fixed on air for upcoming view. [Mark McDowall]
- Episode details summary has access to series now. [Mark McDowall]
- Less model pollution. [Mark McDowall]
- More validation. [Keivan Beigi]
- Fixed validation spelling. [Keivan Beigi]
- Removed leak from signalr. [Keivan Beigi]
- QualityCell editing cleanup. [Mark McDowall]
- Save episode quality after change. [Mark McDowall]
- Disable cache while debugging. [kay.one]
- Fixed broken tests, cases insensitive for windows only. [Mark McDowall]
- Speedier unmapped folders lookup. [Mark McDowall]
- Started Inline edit of quality for episode file. [Mark McDowall]
- Removed virtuals from Xem. [Keivan Beigi]
- Can display server-side errors on the UI. [Keivan Beigi]
- Remove readline to exit app. [Keivan Beigi]
- Fixed NzbDrone using 100% cpu when console not available. [Keivan Beigi]
- Checking for existing files to import is now case insensitive. [Keivan Beigi]
- Case insensitive match for unmapped folders. [Keivan Beigi]
- Cleanup series path on update. [kay.one]
- Remove duplicated test. [kay.one]
- Moved logic for reading static file to mappers. [kay.one]
- Fixed index not loading. [Keivan Beigi]
- Moved static resource to basic nancy module. [Keivan Beigi]
- Upgraded nancy bootstrapers to 0.18.0. [Keivan Beigi]
- Using listenTo instead of on. [Mark McDowall]
- Fixed broken test. [Mark McDowall]
- Using Newznab extended attributes to get the tvrage id for matching. [Mark McDowall]
- Re-added missing test dlls to test package. [kay.one]
- Re-added missing test dlls to test package. [kay.one]
- Copy test script to test package. [kay.one]
- Allow series grid sorting by episodes (percent downloaded) [Mark McDowall]
- Cleaned build script. [kay.one]
- Nuget runner is downloaded using nuget. [kay.one]
- No need for custom header for series status. [Mark McDowall]
- Ended overrides not monitored and sorting separates by monitored state. [Mark McDowall]
- Better parsing of 3 digit episodes. [Mark McDowall]
- No longer clearing cookies, oops. [Mark McDowall]
- Re-added m2ts to know file lists. [kay.one]
- Synced know file extentions with XBMC's list. [kay.one]
- Fixed broken tests. [kay.one]
- Better remove RemoveAccent logic. [kay.one]
- Cleaned up nzb download clients. [kay.one]
- Fixed an issue with XemMappings and single episode searching. [Mark McDowall]
- Cleaned up some old files. [Keivan Beigi]
- Url is now logged when feed parse fails. [kay.one]
- Fixed update again. [kay.one]
- Fixed rename. [kay.one]
- Cleaned up app startup logic. [kay.one]
- More nd icons and some spelling fixes. [Mark McDowall]
- Cleaned up some series less. [Mark McDowall]
- Reload series info on model sync (details) [Mark McDowall]
- Better example when not renaming with NzbDrone. [Mark McDowall]
- Better process.start for mono. [kay.one]
- Better mono process detection. [kay.one]
- GetProcessesByName for mono. [kay.one]
- Use mono to start process if in linux. [kay.one]
- Fixed runner path for Linux. [kay.one]
- Better routing. [kay.one]
- Better service routing. [kay.one]
- Don't attempt to run in service mode if service is not installed. [kay.one]
- Redirect standard input on integeration tests. [kay.one]
- Handling process end on integration tests. [kay.one]
- Adding support for running integration tests using packaged build. [kay.one]
- Fixed multiple nzbdrone instances running after update. [Keivan Beigi]
- Btn-danger on switch will make it red for on and black for off. [Mark McDowall]
- Fixed multiple instances starting when updateing nzbdrone. [kay.one]
- Signalr package version sync. [kay.one]
- Removed resource manager. [Mark McDowall]
- Fixed XBMC notification image. [Mark McDowall]
- Adding signalr references just in case. [kay.one]
- Fixing signalr startup issues. [kay.one]
- Fixed broken build. [kay.one]
- Throw exception when unable to get size from newznab feed. [Mark McDowall]
- Throw when unable to move file. [Mark McDowall]
- Use SID S-1-1-0 instead of EVERYONE for non-english systems. [Mark McDowall]
- Root agnostic path. [Mark McDowall]
- Free space check should use series' parent directory. [Mark McDowall]
- Fixed broken tests. [Mark McDowall]
- Preventing more errors when move fails. [Mark McDowall]
- OsAgnostic Paths. [Mark McDowall]
- Extending NamingConfigResource instead of rec recreating its properties. [Mark McDowall]
- Removed premove and instead check for source file being in use. [Mark McDowall]
- Version and branch shown when not on master. [Mark McDowall]
- Minor cleanup. [kay.one]
- Fixed broken test. [kay.one]
- Removed NzbDrone.Console dependency to UI components. [kay.one]
- Branch is now part of status api and shows up in the footer if not on master. [kay.one]
- Properly respond to IfModifiedSince headers. should improve caching. [kay.one]
- Episode status icons converted to nd icons. [Mark McDowall]
- When a new episode is grabbed the client will update its status. [Mark McDowall]
- Fixed broken tests. [Mark McDowall]
- Prepping for git flow, changed update branch to master. [Mark McDowall]
- Switches are now red when set to off. [Mark McDowall]
- Some nd icons renamed and added. [Mark McDowall]
- Made free disk space non-existent folder should throw windows only. [Mark McDowall]
- Csproj file changes. [Mark McDowall]
- Fixing test issue when Linux always returns / for PathGetPathRoot (when its rooted) [Mark McDowall]
- Add existing series, load more will only load 5 results at a time. [Mark McDowall]
- Skip sample check for .flv files, also log error for runtime 0. [Mark McDowall]
- FreeSpace check now uses the root of the drive\share as the check. [Mark McDowall]
- FreeSpaceSpec is blowing everything up... undoing for now. [Mark McDowall]
- Require 100MB extra for import. [Mark McDowall]
- Do not import episodes when destination doesn't have enough disk space. [Mark McDowall]
- NzbDrone red added as variable. [Mark McDowall]
- Toolbar/Actioneer callback cleanup. [Mark McDowall]
- Ellipsis added, but doesn't play nice with onRender... yet. [Mark McDowall]
- Add series auto complete will show results outside of modal now. [Mark McDowall]
- Episode files are moved to final folder without renaming before deletion and final renaming. [Mark McDowall]
- Should skip History check during a search. [Mark McDowall]
- Removed RegexOptions.IgnoreCase from some expressions. supposed to be faster. [Keivan Beigi]
- Better RSS date parsing. [Keivan Beigi]
- Log exception if pubDate can't be parsed. [Keivan Beigi]
- Fixed an issue with season searching using the season number as the tvrageid. [Mark McDowall]
- Donate is a little more colourful <3. [Mark McDowall]
- Log exception if pubDate can't be parsed. [kay.one]
- Episode details file uses backgrid. [Mark McDowall]
- Throw a custom error for trakt so it doesn't die in LINQ. [Mark McDowall]
- Fixed an issue with series editing after going to series details. [Mark McDowall]
- MonitoredSpec does not apply to searching. [Mark McDowall]
- Use title when TvRageId is 0 when searching newznab. [Mark McDowall]
- SeasonPass now properly updates episodes. [Mark McDowall]
- More param changes. [faush01]
- Remove query selection logic and rename param to tvRageId. [faush01]
- Use Rage TV ID for newznab search api calls. [faush01]
- Dispose tray icon when application is exited. [Mark McDowall]
- Fixed series page background. [kay.one]
- Crap! [kay.one]
- Removed ServiceModel references. [Mark McDowall]
- User can now configure RSS Sync Interval. [Mark McDowall]
- Fixed broken builds. [kay.one]
- Minor feed fetch cleanup. [kay.one]
- Only assert no warn/errors when test has passed.r. [kay.one]
- Good riddance SyndicationFeed. [Mark McDowall]
- Exceptionverification outputs exception info. [kay.one]
- NzbDrone.Test.Dummy is no longer Client Profile. (Not available in mono) [kay.one]
- Fixing linux tests. [kay.one]
- Removed ClientSettings. [kay.one]
- Minor cleanup. [kay.one]
- Show a basic spinner while the app is loading all the js files/series list. [Keivan Beigi]
- Always replace .NET 3.5 of json.net with 4.0 on build. [kay.one]
- Removed some extra logging. [kay.one]
- Cleaned up extra usings. [kay.one]
- Cleaned up DirectoryLookupService. [kay.one]
- Fixed broken test. [Mark McDowall]
- Seasons will reload when series info is refreshed. [Mark McDowall]
- Recent folder list will scroll when needed. [Mark McDowall]
- Special folders also apply to RootFolder unmapped folders. [Mark McDowall]
- Monitored status tooltip should disappear properly now. [Mark McDowall]
- EpisodeRefresh matches by season and episode number instead of tvdbepisodeid. [Mark McDowall]
- Newznab urls will have any trailing slashes stripped before searching. [Mark McDowall]
- Because kayone says any. [Mark McDowall]
- MediaFile cleanup will unlink removed episode files from episodes. [Mark McDowall]
- LogFile mapper is less greedy which logged other messages. [Mark McDowall]
- Fixed the broken tests. [Mark McDowall]
- Directory lookup will not include some folders at base of drive. [Mark McDowall]
- Prevent adding a root folder that is the same as drone factory. [Mark McDowall]
- Fixed less grunt watch. [Keivan Beigi]
- Series collection is now loaded on app start. [Keivan Beigi]
- Fixed issue with number only series title. [Keivan Beigi]
- Because pencil = edit. [Mark McDowall]
- Notification and Indexer settings are enabled by default on add. [Mark McDowall]
- Better notification messages. [Mark McDowall]
- Logo point to series home. [kay.one]
- Cleaned up refresh series a bit. [Keivan Beigi]
- Toggle cell appends tooltip to body. [Mark McDowall]
- "Its an error" [Mark McDowall]
- Do not blowup notificaiton pipeline when on notification throws. [Mark McDowall]
- This should fix the sticky tooltip issues. [Mark McDowall]
- Fixed broken test. [kay.one]
- Skip queue check and adding new items if download client isn't configured correctly. [kay.one]
- Less aggressive http exception logging. [kay.one]
- Upgrade service only tries to delete existing file if it actually exists. [kay.one]
- Do a check to see if daily episode has airdate before attempting a search. [Keivan Beigi]
- Cleaned up some code around process handling. [Keivan Beigi]
- Upped updated interval to 60 minutes from 5 minutes. [kay.one]
- Moved update url from db to nzbdrone.config. [kay.one]
- Fixed broken app start. [kay.one]
- DB log target is removed after test/app shutdown. [Keivan Beigi]
- Cleaned up gruntfile.js. [Keivan Beigi]
- A bit more logging for delete file (in recycle bin) [Mark McDowall]
- Properly store AirDate from source timezone. [Mark McDowall]
- Fixed AirDate displayed on Episode Details modal. [Mark McDowall]
- Downloaded overrides other statuses. [Mark McDowall]
- Notification name will default to implemenation name. [Mark McDowall]
- More details in series footer. [Mark McDowall]
- Hiding rss sync time, added warning to womble's. [Mark McDowall]
- Log files are viewable in the UI. [Mark McDowall]
- System page added, with link to logs. [Mark McDowall]
- Series episode count legend added. [Mark McDowall]
- Fixed parsing of shows with scene numbering. [Mark McDowall]
- Removed code redundancies. [kay.one]
- Create data folder if doesn't exist. [kay.one]
- Linux fixes. [kay.one]
- Fixes for pedantic filename case on linux. [Adrian Cowan]
- Removed season count from poster, table has coloured episode count now. [Mark McDowall]
- Renamed notifications to connect in settings. [Mark McDowall]
- Fixed router test for linux. [Keivan Beigi]
- Fixed GetProcessByName in mono. [Keivan Beigi]
- Remove AnyCPU. [Keivan Beigi]
- MARK IS BEING SUCK TODAY! [Keivan Beigi]
- Well screw you. [Mark McDowall]
- Minor linux fixes. [kay.one]
- Settings will load with zero notifications. [Mark McDowall]
- Notifications work for daily shows. [Mark McDowall]
- Fixed alignment issues and better rendering for add cards. [Mark McDowall]
- Indexers add card. [Mark McDowall]
- Quality Profile add card. [Mark McDowall]
- Add notification card. [Mark McDowall]
- Don't set data permission in linux. [kay.one]
- App data is now stored in /var/[USER]/.config/ folder in *nix. [kay.one]
- More linux fixes. [kay.one]
- More linux fixes. [kay.one]
- More linux fixes. [kay.one]
- More linux fixes. [kay.one]
- More linux fixes. [kay.one]
- More linux fixes. [kay.one]
- More linux fixes. [kay.one]
- More linux fixes. [kay.one]
- Use airDateUtc not airDate. [Mark McDowall]
- Episode count on posters, slightly smaller. [Mark McDowall]
- Fixed linux path conversion. [kay.one]
- Fixing linux tests. [kay.one]
- Fixed SeriesStats query. [Mark McDowall]
- Removed airdate cell (merge conflict) [Mark McDowall]
- Episode count on posters and coloured bars. [Mark McDowall]
- AirDate now stored as a string. [Mark McDowall]
- Logo in app links to www.nzbdrone.com. [Mark McDowall]
- Fixed toggle-cell tool-tips sticking around. [Keivan Beigi]
- Cache is disabled for json responses. [Keivan Beigi]
- Service helpers should be part of the package again. [Keivan Beigi]
- Remove nuget folder from output package. [Keivan Beigi]
- QualitySizeView uses filesize now. [Mark McDowall]
- Logging level can be set in the UI (immediately applied) [Mark McDowall]
- Set version to 10.0.0.* in AssemblyInfo. [Mark McDowall]
- Use airDateUtc on missing. [Mark McDowall]
- Log level halfway there. [Mark McDowall]
- Fixed issue where tooltips in some grids would make the grid shift slightly. [Keivan Beigi]
- Fixed handlebars debug casing issue. [Keivan Beigi]
- Fixed edit series from series details. [Keivan Beigi]
- Static resource URLs are now case sensitive. [kay.one]
- Removed redundant qualifiers. [kay.one]
- Fixed broken tests. [Mark McDowall]
- Removed CustomStartDate. [Mark McDowall]
- QualityCell uses badges. [Mark McDowall]
- Edit/delete modal cleanup. [kay.one]
- Fixed issues with edit/delete series modal. [kay.one]
- Making modals event driven, [Keivan Beigi]
- Making modals event driven, [Keivan Beigi]
- Xem update errors will be treated as trace. [Mark McDowall]
- Remove _UNPACK_ and _FAILED_ from folder name before processing. [Mark McDowall]
- Fixed broken import decision test. [Mark McDowall]
- Xem is used now. [Mark McDowall]
- Do not reparse episode files. [Mark McDowall]
- EpisodeFile cleanup and deletion fixes. [Mark McDowall]
- More logging for existing file import issue. [Mark McDowall]
- Missing count will not include unmonitored episodes. [Mark McDowall]
- Series search added. [Mark McDowall]
- Actioneer added to handle common spinner switching. [Mark McDowall]
- Fixed sorting on episode tables. [Mark McDowall]
- Dates older than 1 year will show date instead of time ago. [Mark McDowall]
- Modal region is loaded by controller. [Keivan Beigi]
- Epsiode quality styling. [Mark McDowall]
- Episode status shows quality for downloaded episodes. [Mark McDowall]
- Fixed an issue where season and episode monitored states were inversed. [Mark McDowall]
- Fixed merge conflict. [Mark McDowall]
- Rename series added. [Mark McDowall]
- SeriesRenamed should trigger AfterRename. [Mark McDowall]
- Fixed broken tests. [kay.one]
- Fixed broken tests. [kay.one]
- Disk scan is much much much much faster. [kay.one]
- Fixed compile issues. [kay.one]
- Removed unused using statements. [kay.one]
- Fixed airdate on episode modal. [Mark McDowall]
- Daily series status will be fetched from API on data refresh. [Mark McDowall]
- Toggle episode monitored status from episode details. [Mark McDowall]
- Replaced our zip library so we can validate update package before applying. [Keivan Beigi]
- Episode grid is sorted by episode number descending. [Mark McDowall]
- Redirect to index when on series is deleted from details. [Mark McDowall]
- DeleteFiles with Delete Series is now respected. [Mark McDowall]
- Calendar past events are grayed out, today's background is gray. [Mark McDowall]
- Episode status cell shows TBA for episodes that do not have an air date. [Mark McDowall]
- Import will only delete folder if files were imported. [Mark McDowall]
- Even better date formating. [Mark McDowall]
- Series grid sorts on title now. [Mark McDowall]
- QualityProfile added to series table. [Mark McDowall]
- Fixed DateCells. [Mark McDowall]
- Less shitty way to do series stats for single requests and fixed tests. [Mark McDowall]
- Blow up if series stats is null. [Mark McDowall]
- Improved Paginator. [Mark McDowall]
- RefreshSeriesTask runs every 12 hours now. [Mark McDowall]
- SeriesStats are returned when fetching a single series. [Mark McDowall]
- Actually fixed size parsing this time. [Mark McDowall]
- Fixed parsing of NzbClub releases below 1GB. [Mark McDowall]
- Fixed episode details, manual download will show check on success. [Mark McDowall]
- Sugar kills (removed sugar.js) [Mark McDowall]
- Fixed series links on calendar/upcoming. [Mark McDowall]
- Fixed EpisodeStatusCell. [Mark McDowall]
- Fixed an issue with auto unmonitor episodes. [Mark McDowall]
- Deleted mutator, mutator.deepmodel. [Keivan Beigi]
- NLsub releases are properly detected. [Mark McDowall]
- Dextered mutators. [Mark McDowall]
- Removed mutators from EpisodeModel. [Mark McDowall]
- Removed mutators from series. [Keivan Beigi]
- Removed QualityModel/SeasonModel mutators. [Keivan Beigi]
- Skip episode folder if drop folder doesn't exist. [Keivan Beigi]
- Fixed broken tests. [Mark McDowall]
- Moved SampleSizeLimit to Spec. [Mark McDowall]
- Lower quality episodes are deleted on import (from disk and db) [Mark McDowall]
- Reverted solution changes for Any CPU. [Mark McDowall]
- Do not import episodes with the same filename and size. [Mark McDowall]
- Minor cleanup. [Keivan Beigi]
- Converted underscore.mixin.deepExtend to proper AMD module. [Keivan Beigi]
- Fixed marr threading bug. [Keivan Beigi]
- Calendar will now only show monitored episodes. [Mark McDowall]
- Fixed broken missing test. [Mark McDowall]
- Missing will not include series and episodes that are not monitored. [Mark McDowall]
- Use x86 not Any CPU. [Mark McDowall]
- Fixed disabling of app.js cache. [Keivan Beigi]
- Fixed parsing of mult-episode files with underscores. [Mark McDowall]
- Cleaned up auth settings. [kay.one]
- Renamed Search Indexers to Search in episode popup. [kay.one]
- Form tooltips pop from right. [kay.one]
- Moved series/season monitor toggle. [kay.one]
- Fixed FontAwsome relative path. [kay.one]
- App.js is no longer cached. [kay.one]
- Styled log page. [kay.one]
- Recent folder is removed from list when deleted. [kay.one]
- Fixed disk not being scanned during series refresh. [kay.one]
- Cleaned up project config. [kay.one]
- Fixed an issue when trying to import files. [Mark McDowall]
- Fixed  broken build. [Keivan Beigi]
- Fixed getting series with number only titles. eg. 90210. [Keivan Beigi]
- Fixed an issue with parsing full path instead of filename on import. [Mark McDowall]
- No longer setting AirDate to null if it aired before series start date. [Mark McDowall]
- Specials will not be monitored by default. [Mark McDowall]
- Existing episodes will not be added to history. [Mark McDowall]
- Add new series won't create a folder. [Mark McDowall]
- Testing trello connection Card(44) [Keivan Beigi]
- Removed history tab from episode modal for now. [Keivan Beigi]
- Removed test button from download client page. [Keivan Beigi]
- Free disk space should be faster on drive pools. [Mark McDowall]
- Delete xhr.data before sending. [Mark McDowall]
- Fixed selecting a new folder on add new series. [Keivan Beigi]
- Removed unneeded js libraries. [Keivan Beigi]
- Removed extra console.log. [Keivan Beigi]
- A little formating on add series. [Mark McDowall]
- Fixed root folder deletion. [Mark McDowall]
- General settings now with save. [Mark McDowall]
- Fixed season folder format not changing. [Mark McDowall]
- Fixed episode details from history. [Mark McDowall]
- Fixed default monitored status for non-special episodes. [Mark McDowall]
- General settings tab is model bound. [Mark McDowall]
- Episode Details episode number is templated. [Mark McDowall]
- Removed misc tab from settings. [Mark McDowall]
- Season monitor toggle added. [Mark McDowall]
- Toogle cell shows spinner when clicked. [Mark McDowall]
- Revert "Airing instead of On Air" [Mark McDowall]
- Toggle episode monitored status from the table. [Mark McDowall]
- Removed Nzbx. [Keivan Beigi]
- Getting model by invalid ID throws a more specific exception. [Keivan Beigi]
- Monitored instead of ignored for episodes and seasons. [Mark McDowall]
- Airing instead of On Air. [Mark McDowall]
- Fixed Marr's annoying namespace so resharper can shutup about it. [Keivan Beigi]
- Removed old TODOs. [Keivan Beigi]
- NzbDrone Update no longer opens console/browser. [Keivan Beigi]
- Ellipsis episode title in upcoming. [Mark McDowall]
- Fixed colours on Calendar. [Mark McDowall]
- Fixed broken DownloadClient tests. [Mark McDowall]
- Episodes older than 14 days have their own priority. [Mark McDowall]
- Fixed app start on clean windows 8. [Keivan Beigi]
- Ignore cert errors in linux http://www.mono-project.com/FAQ:_Security. [kay.one]
- Fixed double compression issue. [kay.one]
- Revert "updated nancy to 0.17.1.0" [kay.one]
- Fixed gzip for static resource. [kay.one]
- Fixed gzip for static resource. [kay.one]
- New NzbDrone logo. [kay.one]
- Fixed broken file mover test. [Mark McDowall]
- Fixed folder auto complete. [Mark McDowall]
- Episode import uses specs and moves before import now. [Mark McDowall]
- Marked UpdateServiceFixture as Windows only test. [kay.one]
- Disable delete profile button, show tooltip if profile is in use. [Keivan Beigi]
- Fixed Ajax errors not being displayed in the UI. [Keivan Beigi]
- Exit with non-zero exit code when build.ps1 fails. [Mark McDowall]
- Fixed issue where tvdbepisodeid change would break episode update. [Keivan Beigi]
- Tootips added or episode status. [Mark McDowall]
- Number input for ViewTemplate. [Mark McDowall]
- Better icons in main menu. [Mark McDowall]
- Add Series autocomplete extends beyond tiny modal now. [Mark McDowall]
- Fixed broken build. [Keivan Beigi]
- Kill NzbDrone process if service couldn't be stopped. [Keivan Beigi]
- Fixed NzbGet test. [Mark McDowall]
- Set ProgramData folder permissions for everyone. [Mark McDowall]
- New migration to fix moving from UseSceneName to RenameEpsiodes. [Mark McDowall]
- Better Series.ToString() [kay.one]
- Made some of useless exceptions to calm down. [kay.one]
- Removed Misc from settings. [Mark McDowall]
- Fixed broken filename tests. [Mark McDowall]
- Indexer settings overhaul, reviewed settings tooltips. [Mark McDowall]
- Moved data from Roaming to ProgramData. [kay.one]
- Fixed merge conflicts. [kay.one]
- Starting to add ALTER COLUMN to SQLite. [Keivan Beigi]
- Removed backlog from server. [Keivan Beigi]
- Removed underscore.js. [Keivan Beigi]
- Removed backlog from UI. [Keivan Beigi]
- Media Management settings are alive. [Mark McDowall]
- NzbClub and any indexers with settings are not enabled by default. [Mark McDowall]
- Quality profile card size. [Mark McDowall]
- More default quality profiles. [Mark McDowall]
- Manual search is persistent through tab changes. [Mark McDowall]
- Allow series name in season folder. [Mark McDowall]
- Show rejection reasons in a tool tip instead of plaint text in the grid. [Keivan Beigi]
- Mark parse as invalid if last episode is before first. [Keivan Beigi]
- Settings loading overhaul. [Mark McDowall]
- Made Nzb Restrictions case-insensative. [Mark McDowall]
- Size limits step in 30MB increments. [Mark McDowall]
- NzbRestrictions are now used, no more allowed release groups. [Mark McDowall]
- Ignore Firefox debug errors. [Mark McDowall]
- Backbone collection will not sort properly.... wtf. [Mark McDowall]
- Fixed the add button on add series. [Mark McDowall]
- Disable cache in debug. [Mark McDowall]
- Fixed main menu focus underlining. [Mark McDowall]
- Add series UI changes. [Mark McDowall]
- Don't cache in debug. [Mark McDowall]
- Indexer settings messages have indexer name. [Mark McDowall]
- Quality size settings save now, with fancy messages. [Mark McDowall]
- Marked trakt tests as integration. [kay.one]
- Wider modals. [kay.one]
- Fully working add series. [kay.one]
- Fixed settings icons. [Mark McDowall]
- Manual episode search added to episode details. [Mark McDowall]
- Fixed this time :D. [Keivan Beigi]
- Fixed fast loading when collection is already fetched. [Keivan Beigi]
- Fixed button size. [Keivan Beigi]
- Much smarter handling of series collection rendering. [Keivan Beigi]
- Default episode title to TBA if empty. [Mark McDowall]
- Sugared quality size knobs. [Mark McDowall]
- Skip report if series title can't be parsed. [Keivan Beigi]
- Calendar/Upcoming use episode details. [Mark McDowall]
- Knobs look way better. [Mark McDowall]
- Save and add, notif settings cleanup. [Mark McDowall]
- Prettier root folder. [Mark McDowall]
- Nzbclub sucks, so making their integration test explicit. [Keivan Beigi]
- Fixed broken test. [Keivan Beigi]
- Cleaned up test db path for tests. [Keivan Beigi]
- Fixed broken tests. [Keivan Beigi]
- Removed nzbsrus. [Keivan Beigi]
- Broke up EnvironmentProvider into different services. [Keivan Beigi]
- Oh hai Drone Factory. [Mark McDowall]
- Delete added to indexers. [Mark McDowall]
- Handlebar helpers uses built in require. [Mark McDowall]
- Revert "updated backgrid" Also fixed his naive capitalization... [Mark McDowall]
- Clickabled pager btn. [Mark McDowall]
- Smaller headers on settings cards. [Mark McDowall]
- Carded notifications. [Mark McDowall]
- Fixed FormBuilder. [Mark McDowall]
- Fixed less prefixer path. [Keivan Beigi]
- Fixed grunt.js jquery.kbob file name. [kay.one]
- Nicer routes. [Keivan Beigi]
- Re-added calendar.css. [Keivan Beigi]
- Run less:general when bootstrap/fontawsome is changed. [Keivan Beigi]
- Less cleanup. [Keivan Beigi]
- Holy broken merge batman. Go home, you're drunk. [Mark McDowall]
- Quality Size knobbed, other quality changes. [Mark McDowall]
- Quality Profiles move to cards. [Mark McDowall]
- Fixed 404 placeholder image template helper. [kay.one]
- Removed leftover {{debug}} [kay.one]
- Replaced underscore with lodash. [kay.one]
- Minor fixes. [kay.one]
- Cleaned up mutators. [kay.one]
- Cleaned up template helpers. [kay.one]
- Badge and label have default cursor instead of text one. [Mark McDowall]
- Removed NzbDrone. namespace, everything is done using require. [Keivan Beigi]
- Don't skip files/folders that are too fresh on import. [Mark McDowall]
- Cleaned up some issues from self closing tags. [Mark McDowall]
- Quality settings profile view is model bound. [Mark McDowall]
- Season Search added to series details. [Mark McDowall]
- Required toolbar. [Mark McDowall]
- Moar require. [Mark McDowall]
- Fixed some quote issues. [kay.one]
- Updating add existing series to use the common views. [Keivan Beigi]
- All tooltips are automatically converted to bootstrap. [kay.one]
- Moved mixins to require.js. [kay.one]
- Moved add series to require. [kay.one]
- Broken. [Keivan Beigi]
- Cache busting for js file based on server version. [Keivan Beigi]
- Properly parsing Season 03 Episode 10 releases. [Mark McDowall]
- Self closing div tag. [kay.one]
- Self closing icon tag. [kay.one]
- Tests added for DownloadApprovedReports also some cleanup. [Mark McDowall]
- Fixed saving settings. now done more generically. [kay.one]
- Settings text-boxes are not spell-checked. [kay.one]
- Fixed csproj. [Mark McDowall]
- RssSync defaults to 15 minutes. [Mark McDowall]
- ModelBoundView now blows up if there is no model. [Keivan Beigi]
- Settings is fully moved to required. [Keivan Beigi]
- Better require. [Mark McDowall]
- Bit more width for episode number cells. [Mark McDowall]
- Version added to footer. [Mark McDowall]
- Fixed more require issues. [kay.one]
- Font.less because I can. [Mark McDowall]
- Fonts are served locally. [Mark McDowall]
- Handlebars and templates are loaded with require.js. [Keivan Beigi]
- Almost all js files are loaded using require.js. [Keivan Beigi]
- Removing js refrences from index.html. [Keivan Beigi]
- Fixed NotInQueueSpecification throwing exceptions when it couldn't parse an item in the queue. [Keivan Beigi]
- When restarting after update if service start fails update app will fallback to console. [kay.one]
- Datamapper supports null and DBNull. [kay.one]
- Font.css serves opensans now (less calls to google) [Mark McDowall]
- Test button moved to modal footer. [Mark McDowall]
- Settings save when changed only. [Mark McDowall]
- Fixed up per comments. [Mark McDowall]
- Fixed fanart backdrop not showing up. [Keivan Beigi]
- Select type added for client schema. [Mark McDowall]
- Fixed broken test from not using Name. [Mark McDowall]
- Notifications can be tested. [Mark McDowall]
- Removed extra files. [Mark McDowall]
- Xbmc Refactored. [Mark McDowall]
- Basic width styling for common cells. [kay.one]
- EpisodeModel will include mutators in toJson. [Mark McDowall]
- Ncrunch file updated. [Mark McDowall]
- Fixed calendar view. [kay.one]
- Cleaned up all the cells. there is a cell for pretty much everything. [kay.one]
- Should be able to queue report using api. [kay.one]
- Only publish import event if an episode is actually imported. [kay.one]
- Fixed broken test. [kay.one]
- Fixed exceptron file name in stacktrace. [kay.one]
- Fixed index.html watch. [kay.one]
- Handlebar partials are compiled into template.js. [kay.one]
- Cleaned up the mindfuck that was scene mapping. [kay.one]
- Fixed newznab parsing limited Wombles rss to TV. [kay.one]
- Fixed nzbclub size parsing. Http timeout reduced from 100 to 20 seconds. [kay.one]
- Series shows loading while collection is fetched. [Mark McDowall]
- History and missing show loading. [Mark McDowall]
- Removed icon-sort, replaced with .clickable instead. [Mark McDowall]
- Episode.AirDate will be nulled if its before Series.FirstAired. [Mark McDowall]
- Backgrid pagination works again. [Mark McDowall]
- Removed filename from exception reports. [Keivan Beigi]
- Fixed merge conflict. [Mark McDowall]
- RouteBinder will open external links in new tab. [Mark McDowall]
- Fixed filesize cell. [Mark McDowall]
- Fixed FileSizeCell, template helper. [kay.one]
- Fixed series poster size in FF. [Mark McDowall]
- Calendar moved to layout. [Mark McDowall]
- Removed box-shadow when back-drop is on. [kay.one]
- I feel pretty, [kay.one]
- Styling. [kay.one]
- Using span for formatted date. [Mark McDowall]
- System icon is a laptop now. [Mark McDowall]
- Metadata removed from naming. [Mark McDowall]
- Series Poster height is static. [Mark McDowall]
- Helper cleanup. [Mark McDowall]
- Calendar defaults to week view. [Mark McDowall]
- Indented if/else content. [Mark McDowall]
- File size won't be bytes anymore. [Mark McDowall]
- Minor cleanup. [kay.one]
- Tightened javascript code policy. [kay.one]
- Unknow quality is rejected by AcceptableSizeSpecification. [kay.one]
- Renamed SearchDefinition to SearchCriteria. [kay.one]
- Fixed exceptron app version. [kay.one]
- Fixed broken build. [kay.one]
- All links are automatically handled through backbone router. [kay.one]
- Default sort ordering. [Mark McDowall]
- Fixed calendar now showing on load. [kay.one]
- Fixed XBMC updating. [Mark McDowall]
- Notifications have real messages now. [Mark McDowall]
- Fixed card styling for import series. [Keivan Beigi]
- Minor cleanup. [kay.one]
- Using LoadSubtype for Missing and Calendar. [Mark McDowall]
- End added to EpisodeModel. [Mark McDowall]
- Calendar and Missing join series in API. [Mark McDowall]
- Internal links are automatically handled using NzbDrone.Router.navigate instead. [kay.one]
- Fixed Newznab category numbers. [kay.one]
- Fixed newznab apikey. [Keivan Beigi]
- Fixed header request. [kay.one]
- Fixed media cover download issue. [kay.one]
- Fixed media cover download issue. [kay.one]
- Fixed episodeservice.updatemany. [kay.one]
- Minor cleanup. [kay.one]
- Commented out benchmark test. [kay.one]
- Using compiled delegate instead of reflection in Marr. [kay.one]
- Read is done using simple reflection strategy. [kay.one]
- Cleaned up refresh series info. [kay.one]
- Replaced background image. [kay.one]
- Removed join from EpisodesBetweenDates, should be join in memoery in the API. [kay.one]
- Episodes for series are now fetched using a single call and broken into seasons. [kay.one]
- Fixed backbone ajax differed. [kay.one]
- Fixed autobinder on re-render. [kay.one]
- Fixed more injection issues. [kay.one]
- Value injector should map lazy loaded values properly. [kay.one]
- Minor js library updates. [Keivan Beigi]
- New quality profile edit view. [kay.one]
- Better message handling on save. [Mark McDowall]
- Fixed copy pasta. [Mark McDowall]
- Don't use alias for group by. [Mark McDowall]
- SaveIfChangedMixin. [Mark McDowall]
- Default separater will be " - " now. [Mark McDowall]
- Indexers are saved when settings are saved. [Mark McDowall]
- Fixed paging ID10T issue. [Mark McDowall]
- Naming Settings fixed up. [Mark McDowall]
- DownloadClient settings cleaned up. [Mark McDowall]
- Cleaned up handling of Unknown quality type. [Keivan Beigi]
- Cleaned up qualityprofile response format. [Keivan Beigi]
- Removed automapper. [Keivan Beigi]
- Non-working cached repository. [Keivan Beigi]
- CalendarModule uses injectTo instead of AutoMapper. [Mark McDowall]
- Fixed broken test. [kay.one]
- Tuned down DB logging. [kay.one]
- Indexer cards consistent height. [Mark McDowall]
- Episodes between dates uses SQL join. [Mark McDowall]
- Csproj changes. [Mark McDowall]
- Fixed trakt searching, cleaned up indexer/notification modules. [Mark McDowall]
- More granular Concurrency control. [Keivan Beigi]
- All services are singleton by default. [Keivan Beigi]
- Replaced Json.Serialize with ToJson extension method. [Keivan Beigi]
- Fixed up notifications edit. [Mark McDowall]
- Indexers carded. [Mark McDowall]
- Removed indexer tooltips. [Mark McDowall]
- Cleaned up per comments. [Mark McDowall]
- Removed some false/positive error message from the UI. [kay.one]
- Covers are re-downloaded if remote size is different than. [kay.one]
- Notifications wired up. [Mark McDowall]
- Able to create new Newznab indexers. [Mark McDowall]
- Cleaned up a bit. [Mark McDowall]
- Better handling of situations where a parsed episode isn't in the database. [kay.one]
- Removed comma from windows invalid path chars. [Keivan Beigi]
- Fixed Marr multiple where clause issue. [Mark McDowall]
- Delete all client side cookies. [kay.one]
- Last used quality profile is now used as default. [kay.one]
- Finished add series, [Keivan Beigi]
- Can add indexer (in UI) [Mark McDowall]
- Treat WEBRip as WEBDL. [Mark McDowall]
- Order notifications in schema. [Mark McDowall]
- Rebased with Marr.Data. [Keivan Beigi]
- Removed add series tab. [kay.one]
- Renamed Smtp to Email. [Mark McDowall]
- Removed ugly notification icons. [Mark McDowall]
- Purdy Add Notifications. [Mark McDowall]
- Fixed modal opening a modal. [kay.one]
- Add existing has a load more button that shows all of the results. [kay.one]
- Fixed posters for add series search. [kay.one]
- Fixed notifications re GH feedback. [Mark McDowall]
- Notification Schema in UI. [Mark McDowall]
- Fixed new series id in addseries.collection. [kay.one]
- Should ignore Id when its 0. [Mark McDowall]
- Existing series search shows first suggestion. [Keivan Beigi]
- Notification schema added to server side. [Mark McDowall]
- Fixed linux path validation. [Keivan Beigi]
- Validator will allow empty Path when RootFolderPath has a value. [Mark McDowall]
- Mutators for DeepModel, fixed QualityProfile settings. [Mark McDowall]
- Client side config uses localstorage instead of cookies. [kay.one]
- RootFolder removed from Series, going back to Path. [Mark McDowall]
- History and missing show 15 items now. [Mark McDowall]
- Fixed indexer settings, switches are Yes/No now. [Mark McDowall]
- No longer creating folders for existing series. [Mark McDowall]
- Removed UTC conversion, now being done by DB. [kay.one]
- Removed UGuid leftovers. [kay.one]
- Unmapped folders now get all series up front (much faster) [Mark McDowall]
- Using messenger for notifications on series add. [Mark McDowall]
- Removed tablesorter. [Mark McDowall]
- Renamed remove methods in QualityProfile, Notification. [kay.one]
- Building connection string using SQLiteConnectionStringBuilder. [kay.one]
- Fixed authentication. at least locally. need to test remote. [kay.one]
- Fixed authentication. at least locally. need to test remote. [kay.one]
- Fixed some test names, added logging to last write test. [Mark McDowall]
- Fixed Broken Plex tests. [Mark McDowall]
- Oops. fixed relationships. [kay.one]
- Fixed authentication. [kay.one]
- Make model change events opt-in per repository. [kay.one]
- Fixed auth tests. [Mark McDowall]
- FormBuilder split out. [Mark McDowall]
- Basic Authentication Added. [Mark McDowall]
- Fixed booleans when sent to client in fields. [Mark McDowall]
- More notificationUI changes, start notification updates. [Mark McDowall]
- Notification settings added to the UI. [Mark McDowall]
- Cleaned up Notifications a bit. [Mark McDowall]
- Toned down unittest logging. [kay.one]
- Logging performance updates. [kay.one]
- Diskscan will not fully fail if a single file fails to be imported. [kay.one]
- Disable model events for log repository. [kay.one]
- Fixed apptype detection during update. [kay.one]
- More logging. [kay.one]
- Wiredup db logging. [kay.one]
- 5 minutes update check interval. [kay.one]
- Less reflectionee Command publishing. [kay.one]
- Fixed app not responding to anything but localhost. [kay.one]
- Fixed application crash on IE. [kay.one]
- Diskscan is triggered when new episodes are added. [kay.one]
- Episode grid is lining up properly. [kay.one]
- Adding episode status to episode view. [kay.one]
- Removed episode status from server. [kay.one]
- Fixed mediacover images not being returned. [kay.one]
- Removed left over nancy code from owincontroller. [kay.one]
- Last modified time is logged if folder is too fresh. [kay.one]
- Fixed broken update tests. [kay.one]
- Fixed bug where urlacl wouldn't register if firewall port was already open. [kay.one]
- NotificationModule added to API. [Mark McDowall]
- Notifications wired up server sided. [Mark McDowall]
- Static resources are mapped to full path instead of relative. [kay.one]
- More update fixes. [kay.one]
- Fixing update for vnext. [kay.one]
- Removed windows sdk dependency. [kay.one]
- Fixed up StaticResourceProvider. [Mark McDowall]
- Better Backgrid.Column defaults, much cleaner. [Mark McDowall]
- Posters/Banners/Fanart served from App_Data. [Mark McDowall]
- Application data is now stored in %APPDATA%\NzbDrone. [Keivan Beigi]
- Removed completed TODO. [Mark McDowall]
- Delete Subfolder after import. [Mark McDowall]
- Fixed broken tests. [Mark McDowall]
- Fixed broken reference. [Mark McDowall]
- Now importing downloaded episodes. [Mark McDowall]
- For now disabling animation. [Keivan Beigi]
- Animate I say! [Keivan Beigi]
- Cleaned up modals in the UI. [Keivan Beigi]
- Integration tests should now be packaged with other tests. [Keivan Beigi]
- Fixed up DownloadClient settings in UI. [Mark McDowall]
- Renamed HistoryRepo GetBestInHistory. [Mark McDowall]
- Rss will only download each episode once. [Mark McDowall]
- History stores SeriesId now. [Mark McDowall]
- GetBestQualityInHistory will be handled in memory now. [Mark McDowall]
- Enum Config values retrieved properly. [Mark McDowall]
- Upgraded fontawesome to 3.1.0. [kay.one]
- Fixed airdate parsing. Fixed minor UI issues. [Mark McDowall]
- Moved Missing and History to Fancy. [Mark McDowall]
- Removed nzbindex. [kay.one]
- Existing series view loads again. [Mark McDowall]
- Fixed disk scan scheduler. [kay.one]
- Cleaning up episode/series air date/time. [kay.one]
- Fixed diskscan. [kay.one]
- Fixed build. [kay.one]
- Fixed add new series. [kay.one]
- Removed Migrator.NET, 7zip. [kay.one]
- Fixed build script. [kay.one]
- Improvements to scheduler, [kay.one]
- Cleanup. [kay.one]
- Removed invalid container test. [kay.one]
- Fixed some broken tests. [kay.one]
- Fixed some issues here and there. [kay.one]
- Back to tiny for now. [Keivan Beigi]
- Removed lazy loading test for history. [Mark McDowall]
- Look ma, history! [Mark McDowall]
- More better joins, some minor MDM changes for paging. [Mark McDowall]
- Scheduled Tasks should work as long as they are registered. [kay.one]
- Fixed service registration for event handlers and executors. [kay.one]
- Use * instead of + in urlacl's. [Mark McDowall]
- LINQ for paging missing episodes. [Mark McDowall]
- Fixed broken signalr reference. [kay.one]
- Fixed broken tests. [kay.one]
- Removed indexer settings from configservice. [kay.one]
- Disabled job registration/timer. [kay.one]
- Removed all the jobs. [Keivan Beigi]
- Bind any collection to SignalR with a single call. [kay.one]
- SignalR/Nancy/Owin/Mono. [kay.one]
- Moved hosting, system tray out of common. [kay.one]
- Replaced Nancy.Hosting.Self with Owin. [kay.one]
- Replaced bootstrap notifications for errors with messenger.js. [Keivan Beigi]
- Fixed add series. [Keivan Beigi]
- LazyLoaded Series and Episode again for history. [Mark McDowall]
- Adding history. [Mark McDowall]
- Missing doesn't double fetch. [Mark McDowall]
- Fixed resource mapper tests. [kay.one]
- Indexer settings is dynamically generated. [kay.one]
- Fixed server side indexer issue. [kay.one]
- Fixed broken test. [kay.one]
- Fixed indexer service, broken test. [kay.one]
- Fixed nzbclub parser. [Keivan Beigi]
- Synced Marr with upstream. [Keivan Beigi]
- Indexers implementation is now separated from settings/definition. [Keivan Beigi]
- Cleaned up some jslint errors. [Keivan Beigi]
- Removed toastr. [kay.one]
- Removed images left over from last version. [kay.one]
- Removed exceptron. [kay.one]
- Fixed missing sql queries. [Mark McDowall]
- Fixed default sorting for series grid. [Mark McDowall]
- Pagination for missing is alive! [Mark McDowall]
- Setting up missing query params. [Mark McDowall]
- Moved FC properties out of episode model. [Mark McDowall]
- More paginator. [Mark McDowall]
- Adding backgrid paginator. [Mark McDowall]
- Starting missing conversion to backgrid. [Mark McDowall]
- Unbroke backgrid template cell. [Mark McDowall]
- Backgrid template mixin will build the template itself. [Mark McDowall]
- Calendar now using EpisodeResource. [Mark McDowall]
- Missing uses EpisodeResource now. [Mark McDowall]
- Model driven indexer settings. [Mark McDowall]
- Getting free space tries to get the space safely, if doesn't work and windows. [kay.one]
- Fixed linux integration tests. [kay.one]
- Fixed linux integration tests. [kay.one]
- Single broken doesnt break the whole decision process. [kay.one]
- Removed dropbox fail! [kay.one]
- Fixed more linux tests. [kay.one]
- Trying to fix nunit in teamcity. [Keivan Beigi]
- Fixed broken date tests. [Mark McDowall]
- Trying to fix nunit in teamcity. [Keivan Beigi]
- Improved Linux support for tests. [Keivan Beigi]
- Removed filesharingtalk. [kay.one]
- Fixed broken integeration test. [kay.one]
- Removed unused regex. [Mark McDowall]
- FIxed parsing tests, now with more regex. [Mark McDowall]
- Fixed model binder for checkboxes. [Mark McDowall]
- Moar toggle switches! [Mark McDowall]
- Quality Series.QualityProfile is lazyloaded. [kay.one]
- Decision engine now reports it's own errors rather than just dying. [kay.one]
- Broken parser tests. [kay.one]
- Release endpoint now returns fully parsed rss info with decisions. [kay.one]
- Fixed broken tests. [kay.one]
- Basic RSS fetch seems to be working. [kay.one]
- Fixed broken tests. [Keivan Beigi]
- Toolbar now saves its state for radio buttons. [kay.one]
- Reordered include quality and replace spaces. [Mark McDowall]
- Shared toolbar radio button style is working. just need to store state. [kay.one]
- Replaced bootstrap switch with css only version! [Mark McDowall]
- Controls slide down for series poster. [Mark McDowall]
- Hidden series title, but searchable (I think) [Mark McDowall]
- Stuff we did :D. [Keivan Beigi]
- Move messenger after backbone, _ so it uses those instead of the shim. [kay.one]
- Renamed EventAggregator to MessageAggregator. [Keivan Beigi]
- Removed title region, [Keivan Beigi]
- Renamed some old  'parseResult' variable names. [kay.one]
- Minor sync cleanup. [kay.one]
- Overview and series title in series list is now click-able, [kay.one]
- Started cleaning up episode page. [Keivan Beigi]
- Minor cleanup. [Keivan Beigi]
- Logging update. [kay.one]
- More posters. [Mark McDowall]
- Don't activate view button until its set. [Mark McDowall]
- Posters view added for series. [Mark McDowall]
- Fixed add existing series. [Mark McDowall]
- Series Table. [Mark McDowall]
- Finished Series Index Table formatting. [Mark McDowall]
- Backgrid added. [Mark McDowall]
- Fixed backgrid and backbone-pageable in grunt. [Mark McDowall]
- Resync'd UI and API. [Mark McDowall]
- Less is more. [Mark McDowall]
- Add existing series no longer shows root dir. [Mark McDowall]
- SeriesGrid updates. [Mark McDowall]
- SeriesStats moved to its own Repo. [Mark McDowall]
- Fixed bootstrap switches. still need to listen to checkbox event. [kay.one]
- Moved seriesmodule to restmodule. [kay.one]
- Fixed series statistics query. [kay.one]
- Moving validation rules to restmodule. [kay.one]
- Much smarter binding, [kay.one]
- Fixed episodesWithoutFiles. [Mark McDowall]
- Fixed series module. [kay.one]
- Calculate double episode start time on episode info refresh. [markus101]
- Calendar, theme, awesome. [Mark McDowall]
- Episode cleanup and added end date. [Mark McDowall]
- Using bsSwitch instead of switch to remove jslint errors. [Mark McDowall]
- Calculate proper start time for double episodes. [Mark McDowall]
- Some FC UI tweaks. [Mark McDowall]
- Upgraded Full Calendar, now things are left aligned. [Mark McDowall]
- Fixed ended status display for series table. [Mark McDowall]
- Removed Autofac from update project. [Keivan Beigi]
- Introducing Fancy.Nx. [Keivan Beigi]
- Properly detect connection issues and show appropriate message. [kay.one]
- Properly detect connection issues and show appropriate message. [kay.one]
- Cleaned up integration test project. [kay.one]
- Removed empty constructors from jobs. [Mark McDowall]
- Use long for nzbx rageid. [Mark McDowall]
- Get by multiple ids added to BasicRepo. [Mark McDowall]
- Now Showing: series status from Trakt. [Mark McDowall]
- Fixed all tests? [Keivan Beigi]
- Removed twitter. [Keivan Beigi]
- More tests fixed. [Keivan Beigi]
- Json serializer updates. [Keivan Beigi]
- Fixed AllowedReleaseGroupSpecification. [kay.one]
- Manual join of Series for EpisodesBetweenDates. [Mark McDowall]
- Fixed issue where method names weren't being logged to database. [kay.one]
- Attempting join of Series to Episodes. [Mark McDowall]
- Removed signalr, will re-add when actually needed. [Keivan Beigi]
- Works for me! [Keivan Beigi]
- Fixed more tests. [kay.one]
- Fixed more tests. [Keivan Beigi]
- Removed strict mock from test base. [kay.one]
- Fixed some more tests. [kay.one]
- Fixed more tests. [kay.one]
- Fixed merge issue. [Mark McDowall]
- Cleaned up parsing logic and structure. [kay.one]
- Cleaned up app update. [kay.one]
- Fixed some tests, spelling issues. [Keivan Beigi]
- Fixed auto modelbinder. [kay.one]
- Using Services, not Repos. [Mark McDowall]
- Fixed some broken tests. [Mark McDowall]
- Renamed Folder to FolderName. Series.Path is readonly. [Mark McDowall]
- Series Path joins root folder and folder. [Mark McDowall]
- Add series uses all available information. [Mark McDowall]
- Fixed some broken tests. [kay.one]
- Add series changes. [Mark McDowall]
- Model should automatically be bound to view. [Keivan Beigi]
- Fixed indexer name compression to be case in-sensitive. [Keivan Beigi]
- Fixed indexer setting load/reload. [Keivan Beigi]
- Extracted interface fom HttpProvider. [Keivan Beigi]
- Replaced IInitializable interface with ApplicationStartedEvent. [Keivan Beigi]
- Removed old references to AddSeries/SearchResultModel, AddSeries/SearchResultCollection. [Keivan Beigi]
- Fixed circular dependency issue that stopped the app from starting. [Keivan Beigi]
- More project cleanup. [kay.one]
- Removed some UI info from views. Added UI Config. [Mark McDowall]
- Broke episodeparseresult into filenameparseresult and indexerparseresult. [kay.one]
- More project cleanup. [kay.one]
- Moved some of the helper classes to their proper location. [kay.one]
- Fixed some tests. [kay.one]
- Rewrite of indexer/episode search. [kay.one]
- Fixed IInitializable registration. [Mark McDowall]
- Return poster placeholder url when trakt doesn't have one. [Mark McDowall]
- Existing series looks like add new series now. [Mark McDowall]
- Use small posters from trakt. [Mark McDowall]
- Removed old folders. [Mark McDowall]
- Replaced autofac with TinyIoC. [Keivan Beigi]
- Replaced the sqlite nuget package with mono compatible custom built. [Keivan Beigi]
- Switched reflection strategy for marr to SimpleReflectionStrategy, should be more mono friendly. [Keivan Beigi]
- Download client settings only shows config for the selected client. [kay.one]
- Fixed more tests. [kay.one]
- Cleaned up scene mapping code. [kay.one]
- Embedded type convector is now registered for all embedded types automatically. [kay.one]
- Replaced FastReflection.dll with Fasterflect.dll to fix the race condition. [kay.one]
- Simplified migrations. [kay.one]
- Much nicer add new series. [kay.one]
- Fully replaced TVDB with Trakt.tv. [kay.one]
- Event aggregator is singleton to prevent it from being disposed. [kay.one]
- Autofac registrations are not singleton anymore. [kay.one]
- LazyList is now initilized using an empty list instead of null. [kay.one]
- No more Nzbdrone.Web in any of the paths. [kay.one]
- Fixed some jshint issues. [kay.one]
- Fixed some jshint issues. [kay.one]
- Template names are now case in-sensitive. [kay.one]
- More javascript coding rules in webstorm. [kay.one]
- Replaced full version of handlebar with handlebar.runtime since we don't need the compiler anymore. [kay.one]
- Client side code webstorm code cleanup. [kay.one]
- Using pre-compiled handlebar templates. [kay.one]
- Removed 'Any CPU' config from solution. [kay.one]
- Removed backbone from VS solution, [kay.one]
- Some js cleanup. [kay.one]
- Started adding support for downloading latests js libraries using grunt. [kay.one]
- Nzbdrone now requires grunt to work. [Keivan Beigi]
- Creating powershell build and package script. [Keivan Beigi]
- Test clean up. [Keivan Beigi]
- Fixed recursion bug. [Keivan Beigi]
- Fixed unit test file path generation to be linux compatible. [Keivan Beigi]
- Fixed a bit more tests. [Keivan Beigi]
- Fixed broken build. [kay.one]
- Fixed few more broken tests. [kay.one]
- Fixed UpdateFields in basic repository. [kay.one]
- Tweaked logging tests. [kay.one]
- Fixed scene mapping deserialization. [Mark McDowall]
- Fixed some broken tests. [kay.one]
- Fixed deserilization screwing with quality. [kay.one]
- Fixed some broken tests. broke some new ones. [Keivan Beigi]
- Add series working, Only queue enabled jobs. [Mark McDowall]
- Fixed merge conflict. [Mark McDowall]
- Store QualityPofile properly. [Mark McDowall]
- RelationshipExtensions has more type enforcement. [kay.one]
- Created HasOne, HasMany relationship extension. [kay.one]
- Fixed history->episode relationship. [kay.one]
- Fixed container registration. [kay.one]
- Removed some unneeded references. [kay.one]
- Fixed broken build. [kay.one]
- Got basic relationships working. [kay.one]
- More cleanup. [kay.one]
- Marr is almost working. [kay.one]
- Rebase cleanup. [kay.one]
- Migrations. [markus101]
- Cleaned up history lookup. [kay.one]
- Fixed more tests. [kay.one]
- Auto increment ID. [kay.one]
- Cleaned up ModelBase, enable writing to sqlite. [Mark McDowall]
- Cleaned up model base Id property. [kay.one]
- Fixed sqlite3.dll copying issues. [kay.one]
- Removed sqo. [kay.one]
- First steps for SQLite. [markus101]
- Run Nancy SelfHost locally only. [Mark McDowall]
- NancySelfHost under Non-Admin Accounts. [markus101]
- Grunt cleanup. [kay.one]
- Create series folder when it doesn't exist. [Mark McDowall]
- Console appliction is now licensed for sqo as well. [kay.one]
- Project file cleanup. [kay.one]
- Commented out mock to get it building. [Mark McDowall]
- Misc Settings. [Mark McDowall]
- Download Client settings and QualityProfiles. [Mark McDowall]
- Split Profile and Size into their own folders. [Mark McDowall]
- Moved moving of episode files into their own service. [kay.one]
- Moved cleanup of deleted files to their own service. [kay.one]
- More search cleanup. [kay.one]
- Cleaned up episode search. [kay.one]
- Some preliminary work to move decision engine to use the visitor pattern. [kay.one]
- More file naming cleanup. [kay.one]
- File name builder cleanup. [kay.one]
- Moved naming specification out of general config. [kay.one]
- Renamed report rejection reason. [kay.one]
- Quality size styling. [Mark McDowall]
- Quality Settings divided up in layout. [Mark McDowall]
- Naming settings with css fixes. [Mark McDowall]
- Removed unused dependencies. [Keivan Beigi]
- Event based cleanup when a series is deleted. [Keivan Beigi]
- Removed all the ids! [Mark McDowall]
- Removed virtuals from ConfigService. [Mark McDowall]
- Naming settings in UI, fuck its ugly. [Mark McDowall]
- Moved jobs around again ;) [kay.one]
- More project clean up. [kay.one]
- Minor project cleanup. [kay.one]
- Job structure cleanup. [kay.one]
- Cleaned up JobController. [Keivan Beigi]
- Moved jobcontroller to a blocking collection. [Keivan Beigi]
- Cleaned up some tests. [Keivan Beigi]
- Automatically download banner,poster, fanart. without a job :D. [kay.one]
- Settings return with default values (via reflection) [Mark McDowall]
- Fixed merge conflicts. [Mark McDowall]
- Settings wired up. [Mark McDowall]
- Episode detail is working but its a bit slow. [kay.one]
- Series structure cleanup. [kay.one]
- Season list is properly populated in series details. [kay.one]
- Restructuring series detail around season and episodes being separate resources. [kay.one]
- Removed tvdblib from tests. [Mark McDowall]
- Fixed jobs running all the time. [kay.one]
- Removed TvdbLib.dll using the embedded wattvdb.codeplex.com. [kay.one]
- Removed TvdbLib.dll using the embedded wattvdb.codeplex.com. [kay.one]
- Series Details started. [Mark McDowall]
- Removed some left over files. [kay.one]
- Removed sqlce. [kay.one]
- Debug doesn't start a Visualstudio webdev server anymore. [kay.one]
- Moved media file service. [kay.one]
- Main app cleanup. [Keivan Beigi]
- Calendar colouring, upcoming list shows yesterday. [Mark McDowall]
- Calendar is coming together! [Mark McDowall]
- Fixed series info not saving properly when refreshing info. [Mark McDowall]
- Popover overflows, overviews no longer capped. [Mark McDowall]
- Removed logconfiguration. [kay.one]
- Minor UI tweaks. [Mark McDowall]
- Config file based logging configuration. [Keivan Beigi]
- Oops, premature commit. [Mark McDowall]
- Fixed up a couple things according to comments. [Mark McDowall]
- Removed upcoming, fixed broken test. [Mark McDowall]
- Main menu now uses backbone to handle navigation. no more reload. [Keivan Beigi]
- Fixed the broken tests. [Mark McDowall]
- Quality moved to ObjectDb. [Mark McDowall]
- Layout should be cleaner now. menu is more centered. [Keivan Beigi]
- Fixed OID issues. [Keivan Beigi]
- Fixed OID not working correctly. still should use ID. [Keivan Beigi]
- Removed strm files. [Mark McDowall]
- OID changed to a field. [Mark McDowall]
- Calendar requests are cleaner. [Mark McDowall]
- Calendar uses start and end date. [Mark McDowall]
- Add series works again, now includes title. [Keivan Beigi]
- Some css cleanup. [Keivan Beigi]
- Upgraded to bootstrap v2.3.0. [Keivan Beigi]
- Fixed page with, [Keivan Beigi]
- Removed searchhistory storage. [Keivan Beigi]
- Using the interface. [Mark McDowall]
- Fixed the tests that were deleted by gdrive. [Mark McDowall]
- More Calendar! [Mark McDowall]
- Dear gdrive, you suck! [Mark McDowall]
- Removed notification toggle settings from configservice. [kay.one]
- External notifications are now based on Events. [kay.one]
- Removed ExternalNotification.OnRename since it wasn't being used. [kay.one]
- More fixed tests. [kay.one]
- Fixed more tests. [kay.one]
- Fixed some broken tests. [kay.one]
- Post grab notification and updates are now using the new EventAggregator. [kay.one]
- Moved config to objectdb. [kay.one]
- Fixed last merge + deleted files. GDrive sucks. [Mark McDowall]
- Use Series.OID (Tests still need to be updated) [Mark McDowall]
- Moved history over to objectdb. [kay.one]
- Spelling. [kay.one]
- Simplified EventAggregator. [kay.one]
- Moved log to object db. [kay.one]
- Keeping things on the screen now. [Mark McDowall]
- Fixed broken indexer tests. [Mark McDowall]
- Missed csproj file. [Mark McDowall]
- GitExtensions, go fuck yourself. [Mark McDowall]
- Moved Newznab settings to ObjectDb. [Mark McDowall]
- Moved indexer providers out of subfolder. [Mark McDowall]
- Fixed indexer tests & More Series removals? [Mark McDowall]
- Removed services. [Mark McDowall]
- This should fix some more tests. [Keivan Beigi]
- Minor js cleanup. [kay.one]
- First edit using cloud9. [Keivan Beigi]
- Cleaned up a bunch of old files. [Keivan Beigi]
- Replaced EpisodeService with IEpisodeService. [Keivan Beigi]
- Cleaned up IndexerService and tests. [Mark McDowall]
- Renamed SeriesProvider to SeriesService. [Mark McDowall]
- Use IIndexerService. [Mark McDowall]
- Moved indexers to ObjectDb. [Mark McDowall]
- Font-awesomed the menu. [Mark McDowall]
- Add series style fixes. [kay.one]
- Brand new theme! [Keivan Beigi]
- New theme. [Keivan Beigi]
- Moved series/season/episodes to object db. [Keivan Beigi]
- Still very broken. [kay.one]
- Upcoming view working under backbone. [Mark McDowall]
- Building and debugging once again. [Mark McDowall]
- Moved Series,Seasons,Episodes to their own folders. [kay.one]
- NzbDrone is getting on a bus! (added EventAggregator) [Keivan Beigi]
- Moved DecisionEngine to root of core. [Keivan Beigi]
- Fixed some broken tests. [Keivan Beigi]
- CSS cleanup :) [Mark McDowall]
- Started to remove iisexpress. [Keivan Beigi]
- Splited jobprovider into jobrepo, jobcontroller, moved to object db. [kay.one]
- Removed mono/pilot build configs. [kay.one]
- Ignore WindowsService tests in *nix systems. [kay.one]
- Fixed renamed OID to id in json response. [kay.one]
- Removed leftover datatable files. [kay.one]
- No more # in the url. [kay.one]
- Removed code analysis from Autofac.Integration.Mvc. [kay.one]
- Fixed merge conflicts. [kay.one]
- Splited MVC and nancy application. [kay.one]
- Removed old comments. [Mark McDowall]
- Add existing series uses existing path now. [Mark McDowall]
- Fixed stuff :) [Mark McDowall]
- Upgraded to autofac 3. created nancy only mode for nzbdrone.exe /n. [kay.one]
- Ignore WithReadDb() calls in mono. [kay.one]
- Fixed jobprovider teardown breaking in mono. [kay.one]
- Moved all of the tests that didn't need to be SQL test to basic core test. [kay.one]
- Skip sqlce teardown on mono. [kay.one]
- App now starts up, [kay.one]
- Fixed some tests, cleaned up root folders. [kay.one]
- WTF! [kay.one]
- Fuck you git extensions! [kay.one]
- Trying filesystem elq for mono linux. [kay.one]
- Elq dll path setting for mono. [kay.one]
- WTFFFFF! [kay.one]
- ApplicationPath is actuall app path in mono. [kay.one]
- Wtf git extentions? [kay.one]
- More dynamic binding to sqlce. [kay.one]
- Replaced compile time with runtime mono check. [kay.one]
- Wtf git extentions? [kay.one]
- Fixed broken tests. [kay.one]
- Elq id is now ignored by petapoco. [kay.one]
- Fixed modal dialog. [kay.one]
- Moved to tablesorter. [kay.one]
- Code cleanup. [kay.one]
- Fixed add series. [kay.one]
- Server exceptions are formatted much nicer in the ui. [kay.one]
- Removed series layout. [kay.one]
- Everything should be moved to require.js. [kay.one]
- Made RootFolderCollection, NotificationCollection singleton. [kay.one]
- Moved most of addseries to use require.js. [Keivan Beigi]
- Status column cleanup. [Mark McDowall]
- Fixed scrollbar on add series. [Mark McDowall]
- Dates use AirTime and UtcOffset when displaying. [Mark McDowall]
- Some EloqueraDb cleanup. [Keivan Beigi]
- Datatables wired up on series grid. [Mark McDowall]
- BacklogSetting is now editable. [Mark McDowall]
- Series/Index wired up to backbone, just need to add DT. [Mark McDowall]
- Delete modal wired up, more formatting. [Mark McDowall]
- Series/Index started in backbone. [Mark McDowall]
- Fixed up Eloquera integration, working much better now. [Mark McDowall]
- Broke some Eloquera tests to prove a point. [Mark McDowall]
- Ignore eloquera files. [Mark McDowall]
- Removed eloquera db from repo. [Mark McDowall]
- RegisterTypes in Eloquera. [Mark McDowall]
- Fixed most of the broken tests. [Mark McDowall]
- Moved rootdir to eloquera. [kay.one]
- Registered eloquere db with autofac. [kay.one]
- Initial Commit for Eloquera. [Mark McDowall]
- Separated sqlce and db4o tests. [kay.one]
- Less intrusive cache prevention. [kay.one]
- FInished add series. need some error handling but mostly on the server. [Keivan Beigi]
- SceneMapping added to Services API. [Mark McDowall]
- Add existing is almost done. [Keivan Beigi]
- Add root dir now returns list of unmapped folders. [Keivan Beigi]
- More import existing series code. [Keivan Beigi]
- Revert "updated autofac to 3.0" [Keivan Beigi]
- Tvdb offline changes, doesn't work. [Keivan Beigi]
- Json.net instead of ServiceStack. [Mark McDowall]
- Code to support import existing series. [Keivan Beigi]
- Services: DailySeries added to Nancy. [Mark McDowall]
- Rootfolder is linked to add series. [kay.one]
- Fixed where year could show up twice in series search. [kay.one]
- More add series updates. [kay.one]
- Add series styling. [Keivan Beigi]
- Json response from API are now in pascalCasing. [Keivan Beigi]
- More backbone changes. [Keivan Beigi]
- Upgraded to Font Awesome 3.0.2. [Keivan Beigi]
- Add-series, import-series tabs are invisible if user doesn't have a root folder. [Keivan Beigi]
- Disabled bootstrap's gradients for a more flat look. [Keivan Beigi]
- Root dir management is fully functional. [Keivan Beigi]
- Removed old files that came back from rebase. [Keivan Beigi]
- Add series lookup doesn't send a request to server with a blank filter. [Keivan Beigi]
- Removed cassette msbuild. [kay.one]
- Series search displays the result using auto binder. [kay.one]
- Fixed api root url. [kay.one]
- More add series backbone cleanup. [Keivan Beigi]
- Overriding console when not defined, so IE doesn't break. [Keivan Beigi]
- Created add series layout. [Keivan Beigi]
- Removed bootstrap-responsive. [Keivan Beigi]
- Removed bootstrap layout from MVC, bootstrap+backbone is where we should be going. [kay.one]
- Better template load error message. [kay.one]
- Moved all backbone/bootstrap files to _backboneApp. [kay.one]
- Fixed broken build. [Keivan Beigi]
- Removed backbone project. [kay.one]
- Moved bootstrap to none responsive. [kay.one]
- More add series styling. [kay.one]
- Figured out how to get tabs to work in backbone. [kay.one]
- Random template is create only in ncrunch. [kay.one]
- Can do series lookup using the api. [kay.one]
- Fixed /api . responds with profiles. [kay.one]
- Cleaned up CoreTest base class. [kay.one]
- Some cleanup. [kay.one]
- More test fixes. [kay.one]
- Fixed some broken tests. [kay.one]
- Fixed broken tests. [kay.one]
- Replaced most of ServiceStack with nancy. [Keivan Beigi]
- System page now uses bootstrap for layout. [kay.one]
- More bootstrap layout changes. [kay.one]
- Almost got the base layout working with bootstrap. [Keivan Beigi]
- Adding bootstrap layout. [Keivan Beigi]
- Build doesn't need SDK installed anymore. [Keivan Beigi]
- <default> not <default branch> [Mark McDowall]
- Rename package for handling <default branch> [Mark McDowall]
- Ignore specials when doing sample check. [Mark McDowall]
- Use proper daily series URL for newznab. [Mark McDowall]
- Re-fix for hidden console CPU + added tray icon. [Mark McDowall]
- CPU usage fail. [Mark McDowall]
- Quality profile cutoff will be set on add. [Mark McDowall]
- Scene Mappings update every 6 hours now. [Mark McDowall]
- Sample check reduced to 3 minutes. [Mark McDowall]
- Repack/propers for older episodes are no more. [Mark McDowall]
- This is why we write unit tests... [Mark McDowall]
- Fixed broken tests. [Mark McDowall]
- Fixed Nzbget tests. [Mark McDowall]
- Nzbget added to UI. [Mark McDowall]
- Nzbget support added to core. [Mark McDowall]
- Use scene name for download client queue. [Mark McDowall]
- Special characters removed from titles. [Mark McDowall]
- Error message for Size rejection fixed. [Mark McDowall]
- Removed extraneous file. [Mark McDowall]
- MediaInfo added. [Mark McDowall]
- Better messages when searching for daily episodes. [Mark McDowall]
- Nzbx download URL fixed. [Mark McDowall]
- Fixed issue with Daily Series searching. [Mark McDowall]
- Csproj file changes. [Mark McDowall]
- Reject non-english releases. [Mark McDowall]
- More logging and better handling of services. [Mark McDowall]
- More logging during updates. [Mark McDowall]
- Little JobProvider cleanup. [Mark McDowall]
- Fixed test. [Mark McDowall]
- Don't try to move episode file that does not exist. [Mark McDowall]
- Run Disk Scan when series path is saved. [Mark McDowall]
- Searching refactored. [Mark McDowall]
- Start of EpisodeSearch refactor. [Mark McDowall]
- BestQualityInHistory fixed. [Mark McDowall]
- Fixed broken test. [Mark McDowall]
- Raw-HD. [Mark McDowall]
- Goodbye EF! [Mark McDowall]
- Newznab images handled in controller. [Mark McDowall]
- Release architecture - Any CPU = bad. [Mark McDowall]
- Removed Fakes. [Mark McDowall]
- Removed Ninject references. [Mark McDowall]
- Underscores & REGEX. [Mark McDowall]
- Register Common providers. [Mark McDowall]
- Register Types in Updater. [Mark McDowall]
- Cleaned up some error messages. [Mark McDowall]
- More CentralDispatch Tests (bug caught!) [Mark McDowall]
- More autofac. [Mark McDowall]
- Hello Autofac, Goodbye Ninject. [Mark McDowall]
- Removed silent switch. [Mark McDowall]
- Hidden startup, shutodwn and restart. [Mark McDowall]
- Give new profile a name when created. [Mark McDowall]
- Quality type sizes moved to backbone + SS (API) [Mark McDowall]
- Server 2012/Win8 fix Temporary ASP.Net Files. [Mark McDowall]
- Allow ports above 32767. [Mark McDowall]
- Better language parsing of releases. [Mark McDowall]
- Sample file cutoff now 70MB. [Mark McDowall]
- Better todo message... [Mark McDowall]
- Save on add and WEBDL-480p on new. [Mark McDowall]
- Removed amd64 assemblies. [Mark McDowall]
- Existing series loading again. [Mark McDowall]
- DailySeries renaming fixed. [Mark McDowall]
- GetNewFilename takes series instead of string now. [Mark McDowall]
- Omgwtfnzbs URL changed to .org. [Mark McDowall]
- TVRageMapping updates. [Mark McDowall]
- No longer clean Newznab URLs when saving. [Mark McDowall]
- Missing root dir won't stop app. [Mark McDowall]
- SceneMappings now have season number. [Mark McDowall]
- Fixed post build steps. [Mark McDowall]
- New Series Import job not so spammy. [Mark McDowall]
- Free space widgets. [Mark McDowall]
- Show free disk space in TB when applicable. [Mark McDowall]
- More tests for nzbx. [Mark McDowall]
- Backend work for nzbx.co. [Mark McDowall]
- Cache freedisk space for 10 minutes. [Mark McDowall]
- Fixed broken test. [Mark McDowall]
- Free diskspace in UI. [Mark McDowall]
- Better handling of xml errors on tvrage. [Mark McDowall]
- Fixed broken tests and removed strict mocker. [Mark McDowall]
- Allow sorting with articles (option) [Mark McDowall]
- Mark occasionally failing test as inconclusive. [Mark McDowall]
- CRO reporting for duty. [Mark McDowall]
- Encypted errors be gone! [Mark McDowall]
- Fixed gitignore file. [Mark McDowall]
- Ampersand removed from title before searching. [Mark McDowall]
- Renaming Season will succeed if no files are moved. [Mark McDowall]
- Ampersand in searching replaced with and. [Mark McDowall]
- Prevent TvRage issues from breaking InfoUpdate. [Mark McDowall]
- Fixed broken test. [Mark McDowall]
- Matching TvRage to TvDb. [Mark McDowall]
- Replace period with space in EPR.SeriesTitle. [Mark McDowall]
- Keep serching for episodes when partial search returns no results. [Mark McDowall]
- New: Include nzbs.org DVD and BR categories. [Mark McDowall]
- Fixed autocomplete issues. [Mark McDowall]
- Fixed SignalR - Its FM! [Mark McDowall]
- Inject DecisionEngine. [Mark McDowall]
- Inject constructors. [Mark McDowall]
- Incliuding icon for omgwtfmnzbs. [Mark McDowall]
- Forcibly added omgwtfnzbs test files. [Mark McDowall]
- Backend work for omgwtfnzbs. [Mark McDowall]
- WEBDL-480p being detected as WEBDL-720p. [Mark McDowall]
- XBMC Frodo library updates. [Mark McDowall]
- Version number parsing for XBMC Frodo. [Mark McDowall]
- Fixed the tests. [Mark McDowall]
- Index and Club URLs fixed. [Mark McDowall]
- Project file changes... [Mark McDowall]
- Fixed Prowlin reference in Core.Test. [Mark McDowall]
- Nuget PackageSources will look at nzbdrone server. [Mark McDowall]
- Removed nuget packages from repo. [Mark McDowall]
- Fixed ninject 2 reference. [Mark McDowall]
- Fixed up UI changes when model is edited. [Mark McDowall]
- Adding works! [Mark McDowall]
- Removed NzbMatrix. [Mark McDowall]
- Fixed Newznab add button. [Mark McDowall]
- Fixed newznab close icon. [Mark McDowall]
- Fixed some unit tests. [Mark McDowall]
- DateTime.ToString fixes for other countries. [Mark McDowall]
- Xbmc episode metadata. [Mark McDowall]
- Stylized the new profiles. [Mark McDowall]
- Beginning of Add New Profile button. [Mark McDowall]
- More newzbin cleanup. [Mark McDowall]
- Newzbin and NzbsRus. [Mark McDowall]
- QualityProfiles edit via backbone. [Mark McDowall]
- Better parsing of full season releases on disk. [Mark McDowall]
- Empty searches in search history now show. [Mark McDowall]
- More backbone. [Mark McDowall]
- Fixed bad migration for DownloadClientDirectory. [Mark McDowall]
- Fixed broken tests. [Mark McDowall]
- Renamed some settings, added 2nd priority for sab. [Mark McDowall]
- Minor cleanup to searchProvider. [Mark McDowall]
- Cleaned up a bunch of warnings. [Mark McDowall]
- Search History qualioty sort by weight, not ID. [Mark McDowall]
- Search History Force Download. [Mark McDowall]
- Rmeove illegal characters. [Mark McDowall]
- Fixed broken test for queue. [Mark McDowall]
- Refactored Search, less work in the searching. [Mark McDowall]
- Better search urls for NzbMatrix. [Mark McDowall]
- NzbMatrix searching enhancements. [Mark McDowall]
- Search URLs for Newznab. [Mark McDowall]
- Don't try to update XEM mapping if there isn't one. [Mark McDowall]
- Fixed issue with quality view. [Mark McDowall]
- Cleaned up gitignore. [Mark McDowall]
- Binders full of women are no longer ignored. [Mark McDowall]
- QualityType sizes are added automatically. [Mark McDowall]
- Need to update theme for jUI 1.9. [Mark McDowall]
- Bootstrap loading profiles via ajax. [Mark McDowall]
- Fixed scripts on DownloadClient settings. [Mark McDowall]
- Issue sorting downloads non-Windows NAS. [Mark McDowall]
- First crack the API. [Mark McDowall]
- Upgraded nuget packages, Ninject 3, SignalR 5. [Mark McDowall]
- ServiceStack added. [Mark McDowall]
- Fixed email notify on download issue. [Mark McDowall]
- Fixed Remove Root Dir issue in Chrome. [Mark McDowall]
- Removed ignore relative urls. [Mark McDowall]
- Lazy load exisitng series. [Mark McDowall]
- Series/Details rezie title. [Mark McDowall]
- Removed relative URLs. [Mark McDowall]
- Fixed seriesid/seasonnumber route. [Mark McDowall]
- Fixed URLs for AJAX loaded grids. [Mark McDowall]
- Fixed issue with deleting series. [Mark McDowall]
- Reverted AJAX Binding for logs. [Mark McDowall]
- Get json response when adding item to the queue. [Mark McDowall]
- XBMC Library updates should be more reliable now. [Mark McDowall]
- Fixed ajax binding for logs. [Mark McDowall]
- Unavailable... [Mark McDowall]
- Cleaner URLs, fixed dynamics in jobs. [Mark McDowall]
- Test buttons for Plex. [Mark McDowall]
- Test buttons for XBMC. [Mark McDowall]
- Fixed broken tests from merge. [Mark McDowall]
- Revert to standard numbering when scene is absent. [Mark McDowall]
- Fixed searchProvider. [Mark McDowall]
- Fixed up issues with initial XEM implementation. [Mark McDowall]
- Fixed broken tests. [Mark McDowall]
- Missed files... [Mark McDowall]
- Removed American Dad fix test. [Mark McDowall]
- Download naming uses tvdb numbering. [Mark McDowall]
- Cleanup and updates for XEM. [Mark McDowall]
- Properly using Xem now. [Mark McDowall]
- Revert "XemClient added" [Mark McDowall]
- Revert "Updated XemClient" [Mark McDowall]
- Handle add to queue errors in SAB. [Mark McDowall]
- Skip import when when folder is in use. [Mark McDowall]
- More skip import. [Mark McDowall]
- Skip import when Series.Path doesn't exist. [Mark McDowall]
- Fixed dynamic jobs with single property. [Mark McDowall]
- Cleaned and fixed broken tests. [Mark McDowall]
- PostDownloadScanJob can now be passed a path. [Mark McDowall]
- Renamed DeleteSeries to Delete. [Mark McDowall]
- Fixed up tests. [Mark McDowall]
- Converted jobs to dynamic. [Mark McDowall]
- Lowercase routes. [Mark McDowall]
- Remove AJAX tabs for settings pages. [Mark McDowall]
- Fixed quality settings. [Mark McDowall]
- Fixed Series Details. [Mark McDowall]
- Fixed broken tests. [Mark McDowall]
- QualityTypes no longer an enum. [Mark McDowall]
- Renamed Quality to QualityModel. [Mark McDowall]
- New: Import will skip any video file under 40MB. [Mark McDowall]
- Fixed search history icons. [Mark McDowall]
- Issues with Custom Start Date. [Mark McDowall]
- Multi episode title cleanup  #ND-67 Fixed. [Mark McDowall]
- Fixed tests for multiple URLs. [Mark McDowall]
- Fixed header parsing. [Mark McDowall]
- A.b.hdtv added. [Mark McDowall]
- Fixed db name in migration. [Mark McDowall]
- XemClient added. [Mark McDowall]
- Minor XML tweaks for Metadata. [Mark McDowall]
- Fied delete button on series grid. [Mark McDowall]
- Signalr working with Font-Awesome. [Mark McDowall]
- Font-awesomed InfoBox. [Mark McDowall]
- Cleaned up CSS. [Mark McDowall]
- Building the progress bar manually. [Mark McDowall]
- Commands won't wrap, progress bar text positioning. [Mark McDowall]
- Removed line height for progress bar. [Mark McDowall]
- Removed lineheight for grid row. [Mark McDowall]
- Removed extraneous icons. [Mark McDowall]
- Fixed progress bar text. [Mark McDowall]
- HTML5 data attributes for edit/delete. [Mark McDowall]
- Font-Awesomed System. [Mark McDowall]
- Font-Awesomed Settings. [Mark McDowall]
- Font-Awesomed Missing and History. [Mark McDowall]
- Font-Awesomed Series/Details. [Mark McDowall]
- Font-Awesomed Series/Index. [Mark McDowall]
- Couple more mult-episode tests. [Mark McDowall]
- Fixed padding mixup. [Mark McDowall]
- Collapse all indexer settings by default. [Mark McDowall]
- User configurable RSS Sync Time. [Mark McDowall]
- TVDB numbering confusion fixed. [Mark McDowall]
- Better client side error handling. [Mark McDowall]
- Do not load profiler on mobile devices. [Mark McDowall]
- Even more HTML5 data attributes. [Mark McDowall]
- Using more html5 data attributes. [Mark McDowall]
- Progress Bars show again. [Mark McDowall]
- NCrunch works for unit tests. [Mark McDowall]
- Ajax load series/index. [Mark McDowall]
- Grid error messages #ND-71 fixed. [Mark McDowall]
- Better error message for import fails. [Mark McDowall]
- Removed exceptioneer, updated ninject refrence for update. [kay.one]
- Status and Sorting added to Series Editor. [Mark McDowall]
- Renamed AiredAfter to CustomStartDate. [Mark McDowall]
- Fixed debugging issues. Add Series tweaks. [Mark McDowall]
- Fixed broken tests. [Mark McDowall]
- Series Editor backend cleanup. [Mark McDowall]
- EpisodeAiredAfter added to edit/editor. [Mark McDowall]
- EpisodeAiredAfter added to AddSeries UI. [Mark McDowall]
- Increased z-index of msgbox. [Mark McDowall]
- Series Editor updated. [Mark McDowall]
- Fixed broken nuget references. [Mark McDowall]
- Deleted some emptry lines. [Mark McDowall]
- Fixed newznab config layout. [Mark McDowall]
- Using TPL for feed downloading - more speed! [Mark McDowall]
- Cleaned up UI in IE (stupid IE) [Mark McDowall]
- Newznab searching is better. [Mark McDowall]
- Delete series from disk is now working. [Mark McDowall]
- Fixed folder lookup for Recycle Bin settings. [Mark McDowall]
- Fixed UI update issue for changing season quality. [Mark McDowall]
- Fixed broken tests. [Mark McDowall]
- Registered jobs. [Mark McDowall]
- Delete files when deleting series. [Mark McDowall]
- Fixed broken tests... wtf was I doing? [Mark McDowall]
- Pneumatic added to client side. [Mark McDowall]
- Existing series won't blow up when tvdb dies. [Mark McDowall]
- Pneumatic wired up as download client. [Mark McDowall]
- Pneumatic added to server side. [Mark McDowall]
- Organized tests for DiskScan and PostDownload. [Mark McDowall]
- Import video files from root of unsroted dir. [Mark McDowall]
- AppPath tweak. [Mark McDowall]
- Damnit IE, you suck. [Mark McDowall]
- Warning on misc settings. [Mark McDowall]
- Better descriptions for Misc settings. [Mark McDowall]
- Name change for allowed release group. [Mark McDowall]
- Fixed broken tests. [Mark McDowall]
- Release group shown on history details, take 2. [Mark McDowall]
- Release group will be shown on history now. [Mark McDowall]
- Allowed release group added to UI. [Mark McDowall]
- Restrict nzbs based on release group, server side. [Mark McDowall]
- Release group is added to history and episodefile. [Mark McDowall]
- Moved Use Scene Name to top of checkboxes. [Mark McDowall]
- Allow scene name to be used for renaming. [Mark McDowall]
- Removed extraneous line. [Mark McDowall]
- Newznab season and partial season searches. [Mark McDowall]
- 3D bug with search history cleanup fixed. [Mark McDowall]
- New: Max DB Size is now 512MB (was 256MB) [Mark McDowall]
- Removed DM - Branched if required later. [Mark McDowall]
- Removed GA. [Mark McDowall]
- Nzbs.org back to http only. [Mark McDowall]
- Progress bar shows 100% for 0/0 episodes aired. [Mark McDowall]
- Metadata won't be created when there no imported files. [Mark McDowall]
- Fixed broken test. [Mark McDowall]
- Episodes will not be imported if disk space is low. [Mark McDowall]
- Purge has been fixed for history. [Mark McDowall]
- NzbsRus settings match the site changes. [Mark McDowall]
- Saved project file. [markus101]
- Fixed plot and rating for episodes. [markus101]
- Removed random s from layout. [Mark McDowall]
- Migration will clean unmapped history items. [Mark McDowall]
- History grid loads faster (lazy loaded) [Mark McDowall]
- Allow profiling on remote connections. [Mark McDowall]
- Layout file updated. [Mark McDowall]
- Fully upgraded MP Added client profiling. [Mark McDowall]
- Corrected a spelling mistake... foler to folder. [Mark McDowall]
- Fixed an issue creating metadata for all series. [markus101]
- New: Rename all series added to Series Editor. [Mark McDowall]
- New: .strm files are now considered media files. [Mark McDowall]
- First aired is output properly. [Mark McDowall]
- Fixed up Genre. [Mark McDowall]
- Cleaned up metadata output a bit. [Mark McDowall]
- Fixed issue with episodeguide URL #ND-21. [Mark McDowall]
- Registered Metadata refresh job. [Mark McDowall]
- Force Refresh added to Series Editor. [Mark McDowall]
- Empty directors and writers won't blowup. [Mark McDowall]
- Fixed broken tests. [Mark McDowall]
- Metadata issues with renaming resolved. [Mark McDowall]
- Images in XML use the path to the image now. [Mark McDowall]
- Full namespace for SortDirection. [Mark McDowall]
- Logger blowing up unit tests. [Mark McDowall]
- Revert "Added full namespace to Xbmc Metadata tests" [Mark McDowall]
- Tweaks to XML and thumbs #ND-21. [Mark McDowall]
- Metadata will be called when needed #ND-21. [Mark McDowall]
- Tests added. [Mark McDowall]
- Metadata coming together for XBMC. [Mark McDowall]
- Initial commit for Metadata. [Mark McDowall]
- Central Dispatch update from last commit. [Mark McDowall]
- Past Week Backlog Search job added. [Mark McDowall]
- Search history details error removed. [Mark McDowall]
- Prevent error for MinOrDefault. [Mark McDowall]
- Register new job properly. [Mark McDowall]
- Reordered parsing REGEX a bit. [Mark McDowall]
- An issue with Episode Searches that had full season results. [Mark McDowall]
- Project file saved... [Mark McDowall]
- SABnzbd queue checking will not fail when items in queue are being repaired. [Mark McDowall]
- Image included in project... [Mark McDowall]
- New: Dognzb.cr added as a default indexer. [Mark McDowall]
- Episode searches will be done in ascending order now. [Mark McDowall]
- New: Upcoming page is now broken down by day. [Mark McDowall]
- SeasonSearchJob will do a partial search search and then individual searches, when it is still missing results (greater than 0, but all not found). [Mark McDowall]
- Issue with notifications when new episode filename did not contain the the quality. [Mark McDowall]
- Daily episode parsing is less greedy. [Mark McDowall]
- Test Email was always setting use SSL to true, it will now use the state of the checkbox. [Mark McDowall]
- Initialze Newznab will delete any with a null/empty name or URL. [Mark McDowall]
- Recent startup issues for some users. [Mark McDowall]
- Newznab Indexer should not cause everything to fail and we should get exceptions. [Mark McDowall]
- Removed extraneous dictionary, no dictception. [Mark McDowall]
- Rss feed paring will check for errors and give a better error if found. [Mark McDowall]
- New: Newznab providers will be rejected if they are not valid addresses. [Mark McDowall]
- DownloadString exceptions are no longer reported. [Keivan Beigi]
- Re-enabled monitoring provider. [Keivan Beigi]
- Missing grid failing when too many episodes were missing. [Mark McDowall]
- Search Results will sort by Time Descending instead of Ascending now. [Mark McDowall]
- Fixed issue with tests. [Mark McDowall]
- An issue with Season and Series searching crashing the JobProvider. [Mark McDowall]
- New: Newznab will show indexer name and logo when possible. [Mark McDowall]
- New: Xbmc setting to update the library even when a video is playing. [Mark McDowall]
- BuiltIn will be form submitted now. [Mark McDowall]
- Disabled inputs don't get submitted... good to know. [Mark McDowall]
- Newznab won't blow up if more than one indexer with the same URL is found during initialization. [Mark McDowall]
- Newznab providers will be compared based on url, not name. [Mark McDowall]
- Season searching won't fail when search for season 0 (specials). [Mark McDowall]
- New: Nzb.su added as a default Newznab indexer. [Mark McDowall]
- Fixed broken test. [Mark McDowall]
- New: Nzbs.org removed, added as a default Newznab provider. (Please update your settings) [Mark McDowall]
- New: NzbInfoUrl added to history (link to NZB info at indexer) - Not supported for Womble's. [Mark McDowall]
- NzbInfoUrl added to history and episode parse result, will be added to history item before being added to the DB. [Mark McDowall]
- Nzb Url column added. [Mark McDowall]
- DownloadStream will now add a UserAgent to the request. [Mark McDowall]
- Issue parsing certain multi-part episode names. [Mark McDowall]
- SendEmail will catch any errors thrown in Send, so Notifications don't blow up. It will also log additional details. [Mark McDowall]
- SmtpProvider will throw on exceptions, instead of returning false. [Mark McDowall]
- Episode Overview is trimmed down more to prevent being to large. [Mark McDowall]
- SearchHistory Successful columns now sort properly and use images.] [Mark McDowall]
- Underscores in Series Name when parsing were are now removed properly. [Mark McDowall]
- Details will be removed when a series is deleted and details were open. [Mark McDowall]
- New: Basic stats on your library. View at: /System/Stats. [Mark McDowall]
- New: DSR x264 releases will be considered SDTV releases, instead of Unknown. [Mark McDowall]
- New: Repacks will be treated the same as propers. [Mark McDowall]
- Cleanup drop folder will treat moves as new downloads, so notifications will go out (otherwise the user gets nothing). [Mark McDowall]
- History is spelt right now... [Mark McDowall]
- Fixed bug with RSS Item TIitle. [Mark McDowall]
- Fixed broken DownlaodProvider tests. [Mark McDowall]
- Unit tests for SearchHistory added. [Mark McDowall]
- Signalr errors will not be shown in the UI. [Mark McDowall]
- Forced downloads now have episode titles. [Mark McDowall]
- SearchResult Controller added. [Mark McDowall]
- Use Long polling only for signalr. [Mark McDowall]
- Removed details from searchResultsGrid. [Mark McDowall]
- Search Results grid added. [Mark McDowall]
- Episode searching now stores the results of the tests. [Mark McDowall]
- Log message is now included with exception log. [kay.one]
- Exceptions are now sent to exceptrack. [kay.one]
- Removed exceptions from NzbDrone.Services. [kay.one]
- DataTables.Mvc added. [Mark McDowall]
- Issue preventing some users from using Womble's Index. [Mark McDowall]
- NzbClub nzb URL. [Mark McDowall]
- Twitter download complete message grammar. [Mark McDowall]
- Exceptions when checking SAB's queue are now caught. [Mark McDowall]
- Fix: Successful downloads that are not moved properly should be retried. [Mark McDowall]
- Renamed misnamed Decision Engine files. [Mark McDowall]
- New: AirTime will be shown in Series grid details. [Mark McDowall]
- Adding a pending mapping isn't authenticated with Windows auth anymore. [Mark McDowall]
- New: Added a single period as a separator when naming episodes. [Mark McDowall]
- NzbIndex and NzbClub added to the UI. [Mark McDowall]
- Registered NzbClub as indexer. [Mark McDowall]
- New: Added NzbClub.com as an indexer, enabled by default. [Mark McDowall]
- New: Added NzbIndex.nl as an indexer, enabled by default. [Mark McDowall]
- Search failure is more friendly. [Mark McDowall]
- New: Indexer name is displayed on mouse over of image (History) [Mark McDowall]
- Fixed images for FST and Wombles. [Mark McDowall]
- Fixed a couple UI issues for FileSharingTalk. [Mark McDowall]
- New: Added FileSharingTalk indexer. [Mark McDowall]
- New: Womble's Index. [Mark McDowall]
- Truncating TvDb Overviews actually works. Stupid Recaps. [Mark McDowall]
- Config grid was always hidden. [Mark McDowall]
- New: Added FileSharingTalk indexer. [Mark McDowall]
- New: Womble's Index. [Mark McDowall]
- Truncating TvDb Overviews actually works. Stupid Recaps. [Mark McDowall]
- Config grid was always hidden. [Mark McDowall]
- Fix: Email notification testing. [Mark McDowall]
- Fix: Episode Overview will be trimmed if it is too long. [Mark McDowall]
- Made the description for 'Use Season Folders' on 'Settings -> Naming more clear. [Mark McDowall]
- Fixed broken tests. [kay.one]
- Exceptions are now being stored in mongo. [kay.one]
- Exceptions are now being stored in mongo. [kay.one]
- New: Added support for .M4V extensions. [kay.one]
- New: Added test button to SABnzbd. [Mark McDowall]
- Fix: Added support for year as season (Looney Tunes) [Mark McDowall]
- Better statuses for AirsToday and NotAired. [Mark McDowall]
- Fixed broken links. [Mark McDowall]
- Fix: Added tooltips to menu links. [Mark McDowall]
- Fix: Saving series will update the grid row with the new quality. [Mark McDowall]
- Fix: fixed manual job priority issue. [kay.one]
- Cleaned up DataTables resources. [kay.one]
- Removed Progress Notification from BannerProvider. [Mark McDowall]
- Fixed broken tests. [Mark McDowall]
- Fix: Naming examples when page is first loaded. [Mark McDowall]
- Fixed spelling of enviroment provider (Environment). :) [Mark McDowall]
- New: Banner will be deleted when series is deleted. [Mark McDowall]
- Bandwitdh warning tweak. [Mark McDowall]
- Fixed typo in Trim History confirmation. [Mark McDowall]
- New: Added confirmation message to History (Purge and Trim) and Log Delete. [Mark McDowall]
- Debugger can attach to visual studio 11 debugger automatically. [kay.one]
- Fixed broken tests. [Mark McDowall]
- New: Episodes that air today will not be shown in the UI as missing. [Mark McDowall]
- Made TheTvDb icon layout cleaner. [Mark McDowall]
- TheTvDb link is now an icon on AddSeries. [Mark McDowall]
- Style changes for AddSeries lookup. [Mark McDowall]
- New: Link to TheTvDb has been added to AddSeries series lookup fields. [Mark McDowall]
- Fix: Series Editor Quality column width decreased, increasing title's width. [Mark McDowall]
- Fix: Size Limits state that it is in MB with brief description. [Mark McDowall]
- Fix: Renamed "Future Forecast" to "Later" on upcoming. [Mark McDowall]
- Monitoring provider will no longer throw on Ensure priority. [kay.one]
- Fix: Added sorting to the seasons column on the series grid. [Mark McDowall]
- Fix: sorted column will have highlighted column, sortable columns will highlight on hover. [kay.one]
- Fix: Added loading spinner to all autocomplete lists, better list text color. [kay.one]
- Fixed issue where signalr and miniprofiler weren't playing nice with each other. [kay.one]
- Exceptions during Upgrade and AppStart are reported correctly. [kay.one]
- Fixed service url. [kay.one]
- Fixed broken service tests. [kay.one]
- Reportingare.ReportException are now routed to ExceptionController. [kay.one]
- Disabled KeepConnectionAlive in Services.NzbDrone. [kay.one]
- Finished Exception Controller. [kay.one]
- Adding support for exception instances in Services.NzbDrone. [kay.one]
- Fixed issue with loading update page when there is no update available. [Mark McDowall]
- Fix: Footer size increased slightly. [Mark McDowall]
- Fix: Settings initial page load is smoother. [Mark McDowall]
- New: After an update the update page will redirect to a success or failure page, depending on the result. [Mark McDowall]
- One more colour change, not as dark, matches grid alt-row colouring. [Mark McDowall]
- Fixed some colours (no more pink). [Mark McDowall]
- Fix: Newzbin will no longer include Full DVD releases, or other non-standard formats. [Mark McDowall]
- Network column width fix. [Mark McDowall]
- Fix: Newzbin custom parser will now reject full DVD reports. [Mark McDowall]
- Minor CSS update. [kay.one]
- Fix: Fixed an issue with the year automatically being added to new series when added to NzbDrone. [Mark McDowall]
- Fix: NzbMatrix report age is now parsed properly. [Mark McDowall]
- New: Added Network to Series Grid. [Mark McDowall]
- Fix: Fixed parsing issue for certain multi-part episodes. [Mark McDowall]
- Missing image colour changed. [Mark McDowall]
- Fixed service path issue. [kay.one]
- Fixed broken test. [Mark McDowall]
- Fix: Go to Settings -> Misc to set your preference for automatically ignoring deleted episodes (false by default). [Mark McDowall]
- Fix: Deleted files were always ignored when deleted, ignoring AutoIgnorePreviouslyDownloadedEpisodes setting. [Mark McDowall]
- SignalR will now update quality in UI as well (when applicable) [Mark McDowall]
- Fixed an issue where season ignore check wasn't working correctly. [kay.one]
- Fix: Newznab will now use the NZB download link properly. [Mark McDowall]
- Fixed issue where NzbMatrix servers would die if series title started with 'the' [kay.one]
- Fix: Series Editor enhancements to make it more straight forward. [Mark McDowall]
- Fixed some namespaces in NzbDrone.Services. [kay.one]
- Fixed styling for add series dropdown. [kay.one]
- Don't use EnvironmentProvider.IsProduction for services. [Mark McDowall]
- Removed some extra datatables comments. [Mark McDowall]
- PendingMapping Editor added to Services. [Mark McDowall]
- Reordered notification accordions. [kay.one]
- Fixed broken tests. [kay.one]
- Improved: Season search/backlog search is a lot more efficient with indexer searches. [kay.one]
- Submenu styling. [kay.one]
- New Page header. [kay.one]
- Jobs added to queue have higher priority than scheduler jobs. [kay.one]
- Better ajax notification for queued jobs. [kay.one]
- Fixed an issue where there could be a race condition during app update. [kay.one]
- Fixed history grid buttons. [Mark McDowall]
- Ajax Links are all handled by jQuery now, no more MvcAjax handlers. [Mark McDowall]
- PDTV will treated as SDTV. [Mark McDowall]
- Test added to confirm that x264 SDTV releases are classified as SDTV. [Mark McDowall]
- Fix: Log Grid will now allow sorting by multiple columns. [Mark McDowall]
- Better validation for Growl settings. [Mark McDowall]
- More validation for Settings. [Mark McDowall]
- New: AddSeries autocomplete for series restyled. [Mark McDowall]
- Fix: Add Series Series lookup will show an AJAX wheel when loading. [Mark McDowall]
- Fix: Series/Details grids in IE will be displayed properly now. [Mark McDowall]
- Fixed Series/Details Quality column. [Mark McDowall]
- Validation is working on Settings -> Indexers again. [Mark McDowall]
- Better check against internal server error exceptions during unit tests. [kay.one]
- More new icons, updated status colors. [kay.one]
- Some new icons/ Submenu tweaks. [kay.one]
- Removed single episode rename button. [kay.one]
- Temporally disabled exceptioneer. [kay.one]
- Parsing of daily episodes with bad date format (YYYY/DD/MM) instead of (YYYY/MM/DD) [kay.one]
- Mass edit is now Series Editor. [Mark McDowall]
- Settings tabs should load a lot faster. [kay.one]
- New: Added indexer status summary to Settings -> Indexer. [Mark McDowall]
- Edit added to Series/Details. [Mark McDowall]
- Deleting a series will now delete the coresponding seasons. [Mark McDowall]
- Using jquery button. Now called showDownloaded (defaults to on) [Mark McDowall]
- Hide downloaded, not downloading. [Mark McDowall]
- New: Hide Downloaded option added to Upcoming, state is saved in a cookie. [Mark McDowall]
- Fix: Parsing issue for episodes with year and 105 style naming. [Mark McDowall]
- Fixed broken tests. [Mark McDowall]
- More Season ignore work. Already ignored seasons will be ignored. [Mark McDowall]
- SeasonProvider Added to handle ignoring of Seasons. [Mark McDowall]
- Parser updated. [Mark McDowall]
- Minor spelling mistake.. [Mark McDowall]
- Hung automation FAIL! [kay.one]
- Logging/Download notification tweaks. [kay.one]
- Fixed an issue where publish date could not be parsed for rss items. [kay.one]
- Better process cleanup on automation teardown. [kay.one]
- Another Plex test, slight name change for some. [Mark McDowall]
- More unit tests for Plex notifications. [Mark McDowall]
- New: Added Plex to Notifications, allowing notifications and library updates. [Mark McDowall]
- New: Added support for limited retention. Reports older than the configured retention are skipped. [kay.one]
- New: Mass Edit to edit multiple series at once. [Mark McDowall]
- Small tweak in SignalR dependency injection. [Mark McDowall]
- SignalR added to provide realtime episode status updates. (Series/Details and Downloading only currently) [Mark McDowall]
- New: When searching for episodes, newer reports are given priority over older reports of equal quality. [kay.one]
- Age parsing added to the indexers. [Mark McDowall]
- Retention check added to DecisionEngine. [Mark McDowall]
- MassEdit grid won't try to show details. [Mark McDowall]
- Mass edit uses common styling and Datatables for alternate row colouring. [Mark McDowall]
- Fixed Quality Sliders. [Mark McDowall]
- Fix: Series grid won't flash an unstyled header before it is loaded. [Mark McDowall]
- Minor ui tweaks. [kay.one]
- Fixed Details link is Series/Index. [Mark McDowall]
- Upgraded services to latest version of Petapoco. [kay.one]
- Cookie will be saved for 1 year now. [Mark McDowall]
- New: Sorting added to Series Grid, sort order will be saved even after navigating to another page. [Mark McDowall]
- Fixed service model binding issue. [kay.one]
- Fixed error log file. [kay.one]
- Better logging for NzbDrone.Service. [kay.one]
- SeriesGrid now has sorting. [Mark McDowall]
- Trying to fix nlog for nzbdrone services. [kay.one]
- Marking automation tests with "Automation" category. [kay.one]
- 2nd shot at automation using service instead of console. [kay.one]
- Fix for episodes with "Part" in the Episode Title being picked up as mini-series releases. [Mark McDowall]
- Fixed broken build. [kay.one]
- Fixed broken test. [kay.one]
- Fix: Sorting on grids will now be ordered properly regardless of user's date format. [Mark McDowall]
- Fix: Sorting on grids will now be ordered properly regardless of user's date format. [Mark McDowall]
- Dates used for sorting will rely on EN-US standard, display will relay on user's culture. [Mark McDowall]
- Deskmetrics doesn't report during dev. [kay.one]
- Deskmetrics doesn't report during dev. [kay.one]
- Fix: Downgraded some log levels for less verbose logging. [kay.one]
- Fixed compile issue. [kay.one]
- Minor cleanups. [kay.one]
- Reversed the last change, if episodes are not parsed in order the report should be rejected. [Mark McDowall]
- Parser will ensure episode numbers are in order when returned. [Mark McDowall]
- Fix: Episode naming for files with multiple episodes. [Mark McDowall]
- Improved: Upcoming episodes page no longer shows series that aren't monitored. [kay.one]
- New: All setting values are cached for better responsiveness. [kay.one]
- Cleaned up CSS for grid action images. [Mark McDowall]
- Series/Details season status now shows the correct season status. [Mark McDowall]
- Fixed bracket in logging message. [Mark McDowall]
- Fix: Series Titles with apostrophes when searched on NzbMatrix will now return valid results. [Mark McDowall]
- Fixed last broken parsing test. [Mark McDowall]
- Fixed broken unit tests from parsing logging changes. [Mark McDowall]
- Log grid will reload when logs are cleared. [Mark McDowall]
- Fix: RSS parse errors are no longer logged as warning and will not show up in the log page (they are still included in the log files) [kay.one]
- Fixed ping for servers with windows auth enabled. [kay.one]
- Package cleanup. [kay.one]
- Status image on Series grid will update when monitored state is changed. [Mark McDowall]
- Removed json library pdb,xml files from the update package. [kay.one]
- Good bye Telerik, Hello jQuery 1.7. [Mark McDowall]
- System/PendingProcessing grid converted to Datatables. [Mark McDowall]
- System/Indexers moved to DataTables. [Mark McDowall]
- System/Jobs now uses DataTables. [Mark McDowall]
- System Config grid now uses DataTables. [Mark McDowall]
- Upcoming grid uses combined column for SeasonNumber and EpisodeNumber. [Mark McDowall]
- Removed old log grid copies. [Mark McDowall]
- Log Grid added, using server side filtering, sorting and paging. Using DynamicQueryable. [Mark McDowall]
- Removed some extraneous code. [Mark McDowall]
- Removed extraneous model. [Mark McDowall]
- History grid will now be built from a json array sent to the view. [Mark McDowall]
- DataTables added for use on History Grid. [Mark McDowall]
- NzbDrone grids now have thead and tbody properly set. [Mark McDowall]
- Centered Status Column icons. [Mark McDowall]
- Fix: Growl will now work for notifying on grab/download. [Mark McDowall]
- Really fixed the progress bar, brute force fail. [Mark McDowall]
- Made edit and delete series dialog height auto. [kay.one]
- Prettier series grid. [kay.one]
- Magic was hiding the progress bar colour. Brute force beats magic. Bears beat beats, Bears beat Battlestar Galactica. [Mark McDowall]
- Fixed grid ajax links. [Mark McDowall]
- Styled jquery dialog header. [kay.one]
- New: Rewrite of download decision engine. [kay.one]
- Another column width fix. [Mark McDowall]
- Fixed Upcoming grid column widths. [Mark McDowall]
- More grid work. Row partial views are now sent a bool set to true if it is an alternate row. [Mark McDowall]
- Upcoming grid NzbDroned. Bye Telerik Grid. [Mark McDowall]
- Grid fixes. [Mark McDowall]
- Stopped links in grid triggering detail view in chrome. [Mark McDowall]
- Delete added to edit dialog for series. [Mark McDowall]
- CSS fixes for Series grid. [Mark McDowall]
- Series grid updated to remove Telerik MVC Grid. [Mark McDowall]
- Fixed Nzbdrone reporting service to point to the right url. [kay.one]
- Fixed rebase issues. [kay.one]
- New: NzbDrone service to automatically report errors and episode parse issues. [kay.one]
- Banner is removed for series that don't have a banner. [kay.one]
- Improved: Episodes that are in the future AND have no title will not be added to db (place holder episodes in TVDB) [kay.one]
- Season toggle style updates. [kay.one]
- Some minor styling updates to season gird. [kay.one]
- Cleaned up SeriesController. [Mark McDowall]
- Click row to see the details of that episode. [Mark McDowall]
- Fancy grid, well getting there anyways. [Mark McDowall]
- Replaced Telerik SeasonGrid with simple table. [Mark McDowall]
- After adding all existing series, show no series message to user. [Mark McDowall]
- Multipart episodes are now added to sab queue using single episode title only. [kay.one]
- Deskmetrics will not report any data unless using the master branch. [kay.one]
- Grid colouring for ignored and missing. [Mark McDowall]
- New: Blackhole implemented, allowing clients other than SABnzbd to be used. [Mark McDowall]
- DownloadClient added to the UI, it still will only download via Sabnzbd. [Mark McDowall]
- Fixed DateTime parsing in SeriesProvider.CleanAirsTime, will now suppress failures because TheTvDb has random data. [Mark McDowall]
- Fixed SabPriorityType of Force being Top in the model. [Mark McDowall]
- Grid colouring for ignored and missing. [Mark McDowall]
- New: Blackhole implemented, allowing clients other than SABnzbd to be used. [Mark McDowall]
- DownloadClient added to the UI, it still will only download via Sabnzbd. [Mark McDowall]
- Fix: Indexers that are enabled but aren't configured correctly will be skipped during rss/search. [kay.one]
- More REGEX work, cleaned up some extraneous bits and made them more accurate. [Mark McDowall]
- Fixed parsing being too greedy in its search for multi-episode releases. [Mark McDowall]
- Throwing a better exception. [Mark McDowall]
- Issue where daily episodes/full season releases would break sab queue check. [kay.one]
- Fix: Deleting a QualityProfile will now remove it from the view. [Mark McDowall]
- Code cleanup per commit comments. More Work?! [Mark McDowall]
- Fix: Resolved a parsing issue when timeleft for an SabQueueItem was greater than 24 hours. [Mark McDowall]
- Fix: Grids will no longer display alerts when navigating to another page while the grid is still loading. [Mark McDowall]
- Fixed issue where an unknown episode/item in the queue would crash CheckQueue. [kay.one]
- Parse size to decimal using en-US culture. [Mark McDowall]
- Fix: Size will be displayed in best format when rejected (instead of bytes). It will also be displayed as info so it shows in the normal log. [Mark McDowall]
- Fixed spacing in episode search notification. [kay.one]
- Analytics will not leak exceptions while in production. [kay.one]
- Fixed broken reference. [kay.one]
- Removed try/catch from CreateBackupZip. [Mark McDowall]
- Cleaned up Backup. [Mark McDowall]
- New: Backup added to Settings -> System. [Mark McDowall]
- System/Backup will backup Config.xml and NzbDrone.sdf to a zip file for the client to download. [Mark McDowall]
- New: Added check to ensure FW is enabled before opening and closing ports. [Mark McDowall]
- Fixed broken tests, DeskMetrics now has a different id during dev and production. [kay.one]
- New: NzbDrone is now preloaded on start. making accessing it for the first time after a restart or update a lot faster. [kay.one]
- Started to add support for deskmetrics. [kay.one]
- BacklogSetting refactoring. [Mark McDowall]
- New: Backlog can now be controlled per series. [Mark McDowall]
- EpisodesWithoutFiles returns Series.* instead of Series.Title only. [Mark McDowall]
- BacklogStatus added to individually control which series are included in backlog searches. Applies to Backlog and RecentBacklog jobs. Editable in Series/MassEdit and Series Edit. [Mark McDowall]
- Fixed issues with searching and the results being filtered before the SearchProvider could properly handle them. [Mark McDowall]
- Spelling fixed. [Mark McDowall]
- Password boxes will now keep value from Database instead of wiping out saved values when saved with empty fields. [Mark McDowall]
- QualityParseTest will accept bool IsProper as a parameter. [Mark McDowall]
- Tweaked Progress notification. [kay.one]
- Made search notifications a bit more friendly ;) [kay.one]
- Directory write time is now calculated based on the most recent file write to any file inside of that directory. [kay.one]
- Fixed http 500 error. [kay.one]
- Fixed http 500 error. [kay.one]
- Fixed more queue issue. [kay.one]
- Series Grid won't show series that haven't been completely added (LastInfoSync is null). [Mark McDowall]
- Fixed 503 Http errors not marking the test as ignored. [kay.one]
- Fixed 503 Http errors not marking the test as ignored. [kay.one]
- Fixed broken test. [kay.one]
- Enabled rolling file logging. [kay.one]
- Enabled rolling file logging. [kay.one]
- Fixed typo. [Mark McDowall]
- Files will be tagged with Proper when append quality is enabled and episode is a proper. [Mark McDowall]
- SabQueueItem ParseResult will trim off duplicate before parsing. [Mark McDowall]
- MassEdit table uses space better. [Mark McDowall]
- Restored a change that wasn't needed after queue json fix. [kay.one]
- SetUp must be Public... FYI. [Mark McDowall]
- Fixed GetQueue and GetHistory. [Mark McDowall]
- Fixed QueueEmpty.txt json file. [kay.one]
- Fixed an issue where an unparsable item could break the parser. [kay.one]
- Fixed an issue where a none-paused empty queue would throw. [kay.one]
- Better parser logging. [kay.one]
- Better exception logging. [kay.one]
- Check sab queue now takes quality into consideration. [kay.one]
- Fixed tests, results won't be as focused for nzbs.org. [Mark McDowall]
- Nzbs.org will search for individual episodes with less strict terms. [Mark McDowall]
- Deleting any series with seriesid =0 during migration. [kay.one]
- Duplicated root folders are now blocked. [kay.one]
- Cleaned as much of notifications as I could find. [kay.one]
- Removed some unused models from NzbDrone.Web. [kay.one]
- You can no longer add root folders that don't already exist. [kay.one]
- Better exception data for feed errors. [kay.one]
- SabProvider now gets JSON instead of XML for history and queue. [Mark McDowall]
- SabProvider can now get the entire Queue for additional processing. [Mark McDowall]
- Fixed an issue where GetProcessByName could return a list containing null items. [kay.one]
- Renamed to skipHistory to make it more clear. [Mark McDowall]
- No longer checking history when doing a manual search. [Mark McDowall]
- Corrected exception logging. [Mark McDowall]
- All exception levels are now reported. [kay.one]
- Improved the parser to properly handle files without titles, with tests. [Mark McDowall]
- Replaced ServiceInstall.bat/ServiceUninstall.bat with exe files that automatically elevate user permissions. [kay.one]
- Episode auto-ignore is now done in realtime rather than using a job. [kay.one]
- Fixed issue where AppUpdateJob would throw when there are no updates available. [kay.one]
- Fixed broken tests after adding new job. [Mark McDowall]
- Page footer is now cached for one hour (there is nothing that would change.) [kay.one]
- Separated migration for LogDB and Application update. [kay.one]
- Turning off tagging folder for now, to stop messing people's series folders. [kay.one]
- Jobs now use Timespan rather than integer to represent minutes. [kay.one]
- Fixed broken tests. [Mark McDowall]
- Automation Tests are now marked as Explicit. [kay.one]
- Backlog searching will be disabled by default. Option is available in Settings/Misc. [Mark McDowall]
- SabProvider will use Series.Title instead of the series Path, it is first cleaned by MediaFileProvide.CleanName(). [Mark McDowall]
- Season 1, Episode 0 will not be automatically ignored (usually a pilot), with test. [Mark McDowall]
- Ts and ogm files will now be scanned. [Mark McDowall]
- Adding series with a ID of 0 is now blocked. [kay.one]
- Monitoring provider now skips if Windows Auth is enabled. [kay.one]
- Bug: Fixed qualityProfile so it returns the selected cutoff in the model. [Mark McDowall]
- Add existing series won't add an invalid series (ID of zero, or blank title). It will show a UI alert instead. [Mark McDowall]
- Usability: Changed wording on SAB settings to reflect this is the spot SAB downloads to, not the users final TV show directory. [Mark McDowall]
- DailySeries now use the JSON API instead of the CSV file. [Mark McDowall]
- SceneMapping will use the JSON API instead of CSV file now. [Mark McDowall]
- Fixed broken tests. [Mark McDowall]
- Bug: Fixed ND-9, no longer strip out * from SABnzbd categories, * is Default. [Mark McDowall]
- Bug: Fixed years being picked up as 4-digit season/episode combo when using the folder name only. a year wrapped with brackets '()' or '[]' will be treated as a year. [Mark McDowall]
- XbmcProvider will use the HTTP API when updating the library for Eden clients (EventServer was failing). [Mark McDowall]
- Fixed search button on Upcoming view. [Mark McDowall]
- Logging updates. [kay.one]
- App will now redirect users that don't have full version of .net to download page. [kay.one]
- Auto adding of episodes is now disabled. (we should make it more conservative if we want to bring it back) [kay.one]
- Check if process HasExited before getting ProcessInfo. [Mark McDowall]
- AfterRename will now call AfterRename for each external notifier instead of OnRename.... C+P Fail. [Mark McDowall]
- ExternalNotification now has AfterRename, to notify (XBMC) after all episodes have been renamed. [Mark McDowall]
- Removed debugging JS. [Mark McDowall]
- Moved JS to separate file. [Mark McDowall]
- Fixed method call. [Mark McDowall]
- Increased XBMC JSON API timeout to 10 seconds. [Mark McDowall]
- XbmcProvider uses Json.net for reading/writing JSON. [Mark McDowall]
- EpisodeFileId not EpisodeIdFile... fail. [Mark McDowall]
- Fixed rename episode from series/details. [Mark McDowall]
- Moved try/catch for failed refresh episode info to job. [Mark McDowall]
- Log indexer name when failing to process feed. [Mark McDowall]
- GetActivePlayers will now work with Eden and Dharma. [Mark McDowall]
- Renamed Newzbin panel on Settings/Indexers. [Mark McDowall]
- Removed partial script tag. [kay.one]
- DailySeries.CSV now has series name along with series Id. [Mark McDowall]
- Fixed spelling for Expected[LogType]. [Mark McDowall]
- GetEpisodesByParseResult will log a warning when an episode is daily, but series isn't. [Mark McDowall]
- Web drivers are now created only once per fixture. [kay.one]
- Nzbdrone.exe file logging. [kay.one]
- Cleaned up some unused code and a bit more exception handling for GetDirectories. [Mark McDowall]
- Replaced get and post with ajax to prevent XSRF. [Mark McDowall]
- Earlier screenshot. [kay.one]
- Automation ;) [kay.one]
- Removed Command from JobDefinition. [Mark McDowall]
- Fixed broken tests. [Mark McDowall]
- Parser now supports mini-series (treats them as season 1). [Mark McDowall]
- Undeleted localSearch and deleted episodeSearch - sleep is required apparently. [Mark McDowall]
- History, Series/Details and Missing use ImageLink when possible for actions. [Mark McDowall]
- TestDbHelper cleanup. [kay.one]
- All tests now use base class Mocker. [kay.one]
- Newzbing now uses HTTPS. [kay.one]
- PathEquals is used for MoveEpisodeFile. [Mark McDowall]
- Fixed job provider existing job update bug. [kay.one]
- Better logging for auto adding new episodes. [kay.one]
- Moving file from same source/destination no longer just deletes the file. [kay.one]
- Do not rename episodeFiles if the source and destination are the same (file is already named correctly). [Mark McDowall]
- Profiler can be enabled via config file. [Mark McDowall]
- JobProvider.Initialize will now update existing jobs. [Mark McDowall]
- Fixed editing on Series Grid. [Mark McDowall]
- TempFolder will be deleted if it exists, whether or not it has files in it. [Mark McDowall]
- Fixed parser being too greedy. [Mark McDowall]
- Season Search will only search for past episodes if it falls back to that. [Mark McDowall]
- Removed extra semi-colon from Missing. [Mark McDowall]
- Accordion will be closed on first load. [Mark McDowall]
- Fixed Quality Toggling on AddSeries. [Mark McDowall]
- Fixed some issue around path normalization. [kay.one]
- ParseSeriesName will now return normalized version of the title if it doesn't match any predefined. [kay.one]
- Page banner is now used for browser title. [kay.one]
- Page banner is now used for browser title. [kay.one]
- Renamed _RefrenceLayout to _ReferenceLayout. [Mark McDowall]
- Password fields are now password fields, they hide entered text. [Mark McDowall]
- Hotkeys won't fire when typing in a password field (now the same as text boxes). [Mark McDowall]
- Cleanup in HtmlIncludeExtentions. [kay.one]
- Adding/Removing rootDirs will refresh UI properly. [Mark McDowall]
- Full static content (css,js) versioning. [kay.one]
- MVC miniprofile is no longer rendered in production. [kay.one]
- SABnzbd Auto-Configure will now display an error on failure. [Mark McDowall]
- Fixed up QualityProfile CSS. [Mark McDowall]
- Using Mocker instead of mocker for SeriesProviderTest. [Mark McDowall]
- SearchForSeries won't fail if an apostrophe is used in the search term (Let's PetaPoco handle building the query, as it should). [Mark McDowall]
- Quality Settings uses accordion now. [Mark McDowall]
- Fixed Series/Details calling script before jQuery is loaded. [Mark McDowall]
- Removed random bracket from Series/Details. [Mark McDowall]
- Fixed Missing grid columns. [Mark McDowall]
- Upcoming grids use the same column width. [Mark McDowall]
- Fixed add series watermarks. [kay.one]
- Miniprofiler is only enabled in production. [kay.one]
- DiskScanJob changed to run every 6 hours, instead of every hour. [Mark McDowall]
- Fixed adding of existing series, whoops. [Mark McDowall]
- Fixed bug with duplicate episode naming. [Mark McDowall]
- Minor CSS fix. [Mark McDowall]
- Only show one Existing Series per line now. [Mark McDowall]
- Removed code duplication in IndexerBase. [kay.one]
- Fixed save button text. [Mark McDowall]
- Fixed the add button on AddSeries. [Mark McDowall]
- Some notification tweaks. [kay.one]
- Episode grid is now sortable. [kay.one]
- Fixed auto-complete styling. [kay.one]
- Fixed test per comments on last commit. [Mark McDowall]
- EpisodeGrid sorting is done in the controller instead of the View, because it actually works... [Mark McDowall]
- GetEpisodesByParseResult will return multiple episode names when multiple episodes are found. [Mark McDowall]
- GetSabTitle will now handle daily episodes. [Mark McDowall]
- Moved RenameSeriesJob to the Jobs folder. [Mark McDowall]
- SceneMappingProvider will perform an update if database is empty when looking for a SeriesId or SceneName. [Mark McDowall]
- Removed un-needed call from Episode Search. [Mark McDowall]
- Moved last job over. [kay.one]
- Last fix for deleted job didn't work, this should fix it. [kay.one]
- Banners folder moved to root. [kay.one]
- Banners folder moved to root. [kay.one]
- Fixed job provider issue where deleted job classes would break scheduler. [kay.one]
- Removed ping from service start to speed up service start time. [kay.one]
- Removed "nzbdrone" "iisexpress" spam from console. [kay.one]
- Fixed broken test. [kay.one]
- Fixed broken build. [kay.one]
- Moved Jobs to their own folder. [kay.one]
- Fixed some bugs, cleaned up some code. [kay.one]
- Fixed issue where update provider called db in a loop. [kay.one]
- Settings forms are fixed. [kay.one]
- Removed MainContent Section. [kay.one]
- Removed MainContent Section. [kay.one]
- Settings is now a single page with tabs. [kay.one]
- Fixed broken tests. [kay.one]
- InitializeJobs will use current DateTime to setup new jobs (Prevents jobs running immediately for new installs). [Mark McDowall]
- Using RealDb instead of Mocked DB. [Mark McDowall]
- Fixed broken unit test for parsing future daily shows. [Mark McDowall]
- Fixed a big where Season 0 wasn't being ignored for new seasons + a test to confirm it. [Mark McDowall]
- Moved from Tabs to Accordion for Notifiers. [Mark McDowall]
- QualityProfiles now use jQuery UI Buttons to enable/disable. [Mark McDowall]
- Renamed EpisodeSorting to Naming (to Match UI). [Mark McDowall]
- Removed single search method in indexer base. [kay.one]
- Indexers will actually support searching for daily episodes. [Mark McDowall]
- Episode grid is now aligned. [kay.one]
- Menu tweaks. [kay.one]
- Local search updates. [kay.one]
- New menu. Removed some old images. [kay.one]
- TVDb exceptions are now ignored. [kay.one]
- Removed commented CSS from EpisodeSorting. [Mark McDowall]
- Cleaned up EpisodeSorting Settings CSS. [Mark McDowall]
- Fixed Notification Settings. [Mark McDowall]
- Fixed EpisodeSorting. [Mark McDowall]
- Fixed Indexer Settings. [Mark McDowall]
- Fixed Quality Settings. [Mark McDowall]
- Processing of Daily Episode searching now supported. [Mark McDowall]
- EpisodeSearch properly uses PerformSearch. [Mark McDowall]
- AppUpdateJob will run every 7 days. [Mark McDowall]
- BacklogSearchJob will run every 30 days. [Mark McDowall]
- Minor code changes. [kay.one]
- Fixed local search position. [kay.one]
- UI Cleanup. [kay.one]
- Fixed a bug in SeriesSearchJob that would cause it to fail. [kay.one]
- Fixed broken tests. [kay.one]
- Post download issues are only logged as warn the first time. [kay.one]
- Indexers settings page now uses jQueryUI accordion. [kay.one]
- Miniprofile is now back on for remote requests. [kay.one]
- Some minor clean-up. [kay.one]
- Removed Blueprint. some of config pages have layout issus. [kay.one]
- Daily episodes that are added via RSS feed will have proper season and episode numbers. [Mark McDowall]
- GetEpisodesByParseResult will properly handle Daily episodes. [Mark McDowall]
- Fixed issue with seriesLookup boxes not autocompleting after adding or removing a rootDir. [Mark McDowall]
- Refreshing EpisodeInfo will now set new or existing episodes that have air times prior to 1900 to null. [Mark McDowall]
- EpisodeSearch will now notify if no download is found. [Mark McDowall]
- Removed Injection for SeasonSearchJob on RecentBacklogSearchJob. [Mark McDowall]
- Extended the actions column width on Series Grid - FF was creating two rows of buttons. [Mark McDowall]
- Parser now ignores daily episodes from the future. [kay.one]
- Parser refactoring. Now tries to parse full path if file name didn't work. [kay.one]
- Database logging is now set to Info. [kay.one]
- Folder cleanup. [kay.one]
- Fixed some issues around EF and log view. [kay.one]
- Playing around with db factories. [kay.one]
- Log page now uses EF for faster runtime queries. [kay.one]
- Fixed tests to ensure they have different numbers for expected count vs unexpected. [Mark McDowall]
- Missed in last commit. [Mark McDowall]
- Trim added to LogProvider. [Mark McDowall]
- GetUpdateClientExePath will now use the updater in nzbdrone_update. [Mark McDowall]
- Adding logging before deleting update package. [Mark McDowall]
- Removed Trace Logging from FileExists. [Mark McDowall]
- Adding trace logging to DiskProvider.FileExists. [Mark McDowall]
- Cleaned up Web.Config. [kay.one]
- Cleaned up progress notification. [kay.one]
- Fixed update log path issues. [kay.one]
- Fixed bug in ExceptionVerification. [kay.one]
- Ignoring WebExceptions in IndexerTests. [kay.one]
- Fixed application path detection. [kay.one]
- Upgrade log files are now date stamped (no longer overwritten) [kay.one]
- Cleaned up Environment.ApplicationPath. [kay.one]
- Moved duplicated NormalizePath method to PathExtentions. [kay.one]
- DiskProvider.MoveFile now overwrites existing file. [kay.one]
- Fixed 1101 and 101 naming incorrectly picking up 1080p and 720p. [Mark McDowall]
- DiskProvider.Move now overwrites existing folder, Update some Diskprovider to use .NET 4 calls. [kay.one]
- PerformSearchFixture refactoring. [kay.one]
- Better exception info for diskprovider. [kay.one]
- PerformSearchFixture refactoring. [kay.one]
- Cleaned up units tests. [Mark McDowall]
- Refactored SearchProvider and corresponding unit tests. [Mark McDowall]
- Searching will be more picky now to ensure the proper series and season (and episode if relevant) [Mark McDowall]
- Even more faster tests. [kay.one]
- Even more faster tests. [kay.one]
- Cleaned up JobProviderFixture, should save ~20 seconds in build time. [kay.one]
- Set Newznab searching limit to 100 items, RSS queries will use the default (set per site, I think). [Mark McDowall]
- Fixed American Dad test when specials are counted in the NEW numbering system (1,3,4,6,7,21) [Mark McDowall]
- Fixed Newznab Enabled not saving, now loading the correct enabled status for Newznab (Copy+Paste fail). [Mark McDowall]
- Fixed adding of Newznab provider. [Mark McDowall]
- Commented out IISProviderFixutre. Diagnosing slow tests. [kay.one]
- Fixed an upgrade/service bug where it would try to stop an already stopped service. [kay.one]
- Fixed NzbDrone.Web project file after merge. [Mark McDowall]
- UI for automatic update. [kay.one]
- Better PID environment variable handling. [kay.one]
- Fixed a bug in DiskProvider where it wouldn't copy subfolders properly. [kay.one]
- Fixed Environment Variable conflict in IISProvider. [kay.one]
- Fixed update client path issue. [kay.one]
- Missed in last commit for fixing AutoMoq. [Mark McDowall]
- Fixed AutoMoq for Newznab tests. [Mark McDowall]
- Log file is off by default. [kay.one]
- Lots of initialization, configuration clean up. [kay.one]
- Fixed app startup issue. [kay.one]
- Fixed some exception logging where exceptions weren't logged. [kay.one]
- More update code. almost there. [kay.one]
- More update tests. [kay.one]
- Removed assembly level fixtures. [kay.one]
- Alot of refactoring. [kay.one]
- Path calculations are now done using extension methods. [kay.one]
- Fixed build error. [kay.one]
- Removed unused references. [kay.one]
- More autoupdate code. [kay.one]
- Resharper EAP fixes. [kay.one]
- Newznab providers can be configured by the end user. [Mark McDowall]
- Moved FreeDiskSpace to DiskProvider. [Mark McDowall]
- Upgraded WebActivator (Requires Microsoft.Web.Infrastructure). [Mark McDowall]
- Ctrl+Short+f will now open Local Search. [Mark McDowall]
- Stop IIS from writing "iisexpress" to the console, over and over. [Mark McDowall]
- Microsoft.Web.Infrastructure set to CopyLocal. [Mark McDowall]
- Replaced root specific absolute paths with relative paths. [Mark McDowall]
- Moved NzbDrone scripts to Scripts/NzbDrone. [Mark McDowall]
- Removed testing reload button from History. Whoops! [Mark McDowall]
- Better fix for Prowl logging issues. [kay.one]
- Fixed Prowl ExternalNotifcation. [Mark McDowall]
- CentralDispatch is no longer static. [kay.one]
- AssemblyInfo version cleanup. [kay.one]
- AssemblyInfo.cs cleanup. [kay.one]
- Fixed broken tests. [kay.one]
- Fixed startup issue. [kay.one]
- JobProvider can reset itself. [kay.one]
- Some test cleanup. [kay.one]
- PathProvider. visit us for all of your pathing needs. [kay.one]
- Finishing up Prowl integration. [Mark McDowall]
- Fixed application path issue. [kay.one]
- Fixed Growl ExternalNotification binding. [Mark McDowall]
- Starting path clean up. (All paths should go through EnvironmentProvider) [kay.one]
- Twitter notifications working from end-to-end. [Mark McDowall]
- Twatter has been added, Notifications cannot be saved (yet), nor will they send, but the framework for a user to setup Twitter (Authorize NzbDrone) is in place. [Mark McDowall]
- Unit test should now run in a machine with NzbDrone installed as a service with no side effects. [kay.one]
- Fixed sliderImage not changing when clicked. [Mark McDowall]
- Fixed installation of service, it was getting a blank filename for the executable. [Mark McDowall]
- Fixed bug where service where windows service couldn't be installed. [kay.one]
- Fixed REGEX for title parsing. [Mark McDowall]
- Post processor now deletes folders that are less than 40MB. [kay.one]
- This should fix the bug where a folder was tried to be retagged with the same error. [kay.one]
- Lots of different things ;) [kay.one]
- Fixed top slider, it will now work for multiple sliders. [Mark McDowall]
- More NzbDrone.Common updates. [kay.one]
- Removed all static state tracking from job provider. [kay.one]
- Cleaned up ConfigProvider. Added reflection based test for all properties in ConfigProvider. [kay.one]
- More work on NzbDrone.Update. [kay.one]
- Moved tests for NzbDrone.Common to its own test project. added some new tests. [kay.one]
- Replaced deprecated NBuilder calls. [kay.one]
- Fixed broken tests. [Mark McDowall]
- Reformated PostDownloadProvider.cs. [kay.one]
- Refactored the shit out of PostDownloadProvider. [kay.one]
- Fixed broken test, drop folder prefix uses regex instead of prefix now. [kay.one]
- DiskScanProvider.Scan() will log a warning if the path doesn't exist. [Mark McDowall]
- PostDownloadProvider was treating successful downloads as ones with an error and incorrectly trying to rename them before processing. [Mark McDowall]
- Moved TestBase to correct folder. [kay.one]
- Local series search will now search anywhere in the title, not just the beginning. [Mark McDowall]
- Fixed broken test. [kay.one]
- Fixed broken log provider tests. [Mark McDowall]
- TopSlider added for local series searching! [Mark McDowall]
- Awesome relative pathing for CSS and JS fail, reverting back. [Mark McDowall]
- Javascript and CSS references in _Layout use relative paths instead of absolute. [Mark McDowall]
- Cleanup generating paths for error scenarios. [Mark McDowall]
- Adding some structure to NzbDrone.Core.Test. [Keivan Beigi]
- Fixed an issue where GetEpisodesByParseResult would throw object reference when episode list was null. [Keivan Beigi]
- Moved NLog, Fluentassertion to Nuget. [kay.one]
- Removed broken test. [kay.one]
- Pushing broken test to test teamcity. [kay.one]
- Upgraded to NBuilder 3. [Keivan Beigi]
- Removed SharedLiveTemplates.xml. [Mark McDowall]
- Resharper... [Mark McDowall]
- Removed duplicate test. [Mark McDowall]
- More better exception handling. [Keivan Beigi]
- Fixed a couple tests, so they shouldn't fail due to other tests impacting them. [Mark McDowall]
- ExceptioneerTarget Tweaks. [kay.one]
- WebException now marks indexer tests as Inconclusive. [kay.one]
- WebException now marks indexer tests as Inconclusive. [kay.one]
- Testing ExceptionVerification Inconclusive logic. [kay.one]
- Teamcity should no longer send in Exceptioneer reports. [kay.one]
- Trying to stop team city from sending exeptioneer reports. [kay.one]
- Migration is no longer executed per test, its ran once and the db is cloned after that, (faster tests, cleaner logs ;) [kay.one]
- Better exception handling in NzbDrone.exe. [kay.one]
- Fixed Exceptioneer. [kay.one]
- Fixed some issues with PostDownloadProvider. [Mark McDowall]
- Better test for Fluent.FreeDiskSpace() [Mark McDowall]
- RootDirProvider.GetMostFreeRootDir() will calculate the find the RootDir with the most free space and return its path. [Mark McDowall]
- Found and fixed a bug in EpisodeProvider.GetEpisodesByParseResults, where it would incorrectly return all episodes for a season when a file was detected as a Full Season release. [Mark McDowall]
- Cleaned up some code, fixed broken build. [Keivan Beigi]
- Windows service seems to be fully working. [Keivan Beigi]
- More work on WindowsService, still broken. [Keivan Beigi]
- Windows service is half working, [Keivan Beigi]
- PostDownloadProvider broken down further. [Mark McDowall]
- Moved core of PostDownloadScanJob to PostDownloadProvider. [Mark McDowall]
- Orig file are added to .gitignore. [kay.one]
- Service (work in progress) [kay.one]
- More code to support service, isn't working yet. (Console still works fine) [kay.one]
- Fixed issue with invalid AirTimes for series causing Upcoming Views to fail. [Mark McDowall]
- More bugfixes, tests. [kay.one]
- Cleaned up ConfigProvider, added tests for paths. [kay.one]
- Configuring the AuthenticationType from the WebUI will now work, just restart and NzbDrone will change the AuthenticationType on start. [Mark McDowall]
- Resharper Code cleanup. [kay.one]
- Fixed log to console issue. [kay.one]
- More nzbdrone.exe refactoring. [kay.one]
- More NzbDrone.exe refactoring. [kay.one]
- Starting to add windows service support, making nzbdrone.exe unit testable. [Keivan Beigi]
- AuthenticationType is now configurable from /Settings/System. [Mark McDowall]
- ConfigFileProvider will now add missing config values automatically, with a default value. [Mark McDowall]
- WindowsAuthentication now works (disabled by default). [Mark McDowall]
- SortHelper.SkipArticles will no longer bomb when a null is passed. [Mark McDowall]
- Ignore Episode Zero when adding a new episode to the database, either via GetEpisodesByParseResult. [Mark McDowall]
- UpcomingEpisodes will not show ignored episodes. [Mark McDowall]
- Next airing will not show ignored episodes. [Mark McDowall]
- App_Data added to .gitignore. [Mark McDowall]
- ConfigFile for NzbDrone.exe is now stored under App_Data for NzbDrone.Web. - This will be to provide the users a way to edit Port and set whether they want their default browser to open on startup, all form the WebUI (and not be overwritten on upgrades). [Mark McDowall]
- DeleteInvalidEpisodes Deletes by TvDbId only, skipping any manually added episodes (TvDbEpisodeId is 0 or null) [Mark McDowall]
- Missing Grid uses ToBestDateString for formatting. [Mark McDowall]
- DeleteInvalidEpisodes with tests added to delete episodes that TheTvDb no longer has (previously bad data). [Mark McDowall]
- Replace '&' with its XML encoded equivalent, before parsing XML. [Mark McDowall]
- Moved Grid altering CSS to its own file, used for Series/Details, missing, upcoming and histtory grids. [Mark McDowall]
- Upcoming/Index now uses .ToBestDateString() for Dates, only showing on FutureForecast grid (instead of all grids). Status is shown on grid and option to search for episode. [Mark McDowall]
- Fixed XBMC JSON requests. [Mark McDowall]
- Treat SUBPACK's as extra releases, so they will not be downloaded. [Mark McDowall]
- Fixed CSS for Save Button hover, so that the text no longer moves. [Mark McDowall]
- Fixed broken Season parsing REGEX, added test to verify issue without parsing XML. [Mark McDowall]
- Releases with only extras will be skipped, with tests. [Mark McDowall]
- Mark invalid series downloads with NzbDrone prefix. [Mark McDowall]
- Support for csi525 naming added, previously csi.525 would work, but csi525 wouldn't. [Mark McDowall]
- Fixed broken test that was using app relative path. [Mark McDowall]
- Quality size sliders are implemented. Limits are calculated based on MB/Minute. [Mark McDowall]
- Report size is now verified to ensure it is under the MaxSize for that quality type, with tests. [Mark McDowall]
- Size is now parsed for each item in the feed. [Mark McDowall]
- Banner is now shown on Details view. [Mark McDowall]
- AddNewSeries now uses the created folder name wghen added the series (since windows trims some characters from the end [periods]). [Mark McDowall]
- SeriesId is now passed back to the controller when adding a new/existing series. [Mark McDowall]
- AutoComplete is now using jQuery UI AutoComplete. [Mark McDowall]
- Fixed AddSeries watermarks. [Mark McDowall]
- Moved away from CDNs for 3rd party scripts. [Mark McDowall]
- Upgraded to MiniProfiler 1.9. [Mark McDowall]
- Fixed logs auto column with, Time is statically set, others are dynamic (no more smallest possible width). [Mark McDowall]
- TopLogs will now return the count pass in, reduced to 5000 from 7500 to prevent JsonSerialization issues when being sent to the grid. [Mark McDowall]
- Fixed parser to properly parse a more common naming convention where the episode title starts with an episode or series/episode combination. [Mark McDowall]
- EpisodeSearch now gets the proper QualityProfile (broken after removing AttachSeries), tests updated. [Mark McDowall]
- Season searching fallback to individual episodes will done in order from 1 to n. [Mark McDowall]
- Fixed logs being written to nzbdrone.sdf instead of log.sdf. [Mark McDowall]
- Default Log view uses client operations, added all logs view that uses paging (No support for sorting or filtering). [Mark McDowall]
- Removed AttachSeries for IEnumerable and using join instead, speed difference is negligible or in some cases faster . [Mark McDowall]
- AttachSeries is no longer used for single episodes, PetaPoco will get the series in a single call for us. [Mark McDowall]
- Fixed notification messages for Season searches. [Mark McDowall]
- Fixed upcoming episodes grids that were broken due to changing SeriesName to SeriesTitle. [Mark McDowall]
- EpisodesWithFiles now returns the full series object, instead of just the SeriesTitle (So we don't need to add junk to the Episode class) [Mark McDowall]
- Potential fix for "Execution lock has fucked up" [kay.one]
- Log view now uses proper paging so it doesn't take a year to load up each page. [Mark McDowall]
- Stop throwing errors where it can't get the current message because there is no object. [Mark McDowall]
- Full season searching for Nzbs.org and NzbMatrix will also look for S01 in addition to Season. [Mark McDowall]
- Fixed broken EpisodeProvider tests. [Mark McDowall]
- Fixed EpisodeSorting examples layout. [Mark McDowall]
- Should fix the transaction issues in petapoco, we are getting to far petapoco master which I don't like. [kay.one]
- GetSabName will return cleaner Season naming when it is a FullSeason release. [Mark McDowall]
- Fixed broken parse REGEX, removed parsing test and added to hall of shame. [Mark McDowall]
- Fixed broken tests. [Mark McDowall]
- Fixed petapoco's craptastic connection management. [kay.one]
- Fixed port, added broken parser test. [kay.one]
- Backlog search added (disabled) - It will search for a full season if a full season is missing. [Mark McDowall]
- SeriesSearchJob uses SeasonSearchJob to try to download seasons first. [Mark McDowall]
- Full Season searching added (Single NZB). SearchProvider added to perform both Season and Episode searching, triggered via jobs. [Mark McDowall]
- Removed ParseSeasonInfo. [Mark McDowall]
- Additional removals for SimpleTitleRegex added to get rid of extraneous numbers. [Mark McDowall]
- SABnzbd settings will now dynamically get the categories available from SABnzbd when the category drop-box gets focus, it will use values on the page so there is no need to save your settings first. [Mark McDowall]
- Delete existing files on import if equal or better quality otherwise skip importing. If the folder is not deleted after processing it is renamed so it will not be processed repeatedly. [Mark McDowall]
- Fixed an issue where large 1080i MPEG HDTV rips were being considered SDTV, they now get caught as Unknown. [Mark McDowall]
- Series Editor will now save the path properly. [Mark McDowall]
- Improved job thread execution locking log. [kay.one]
- AddSeries javascript fixes. [Mark McDowall]
- Fixed SceneMappingProvider to resolve an issue with series with multiple clean names failing to return a Scene Name when being looked up via SeriesId. [Mark McDowall]
- Series/Details grids now use images for ignore/status/search/rename. [Mark McDowall]
- Fixed broken tests for episode status = ignored. [Mark McDowall]
- Series/Details specials grid will be generated like all others. [Mark McDowall]
- Season Grid toolbar uses sub-menu. [Mark McDowall]
- NormalizeTitle will return all number only titles as is. [Mark McDowall]
- Removed basic notification. client side notification should be used. [kay.one]
- Leftover notification code. [kay.one]
- Shitty merge, manually fixed it. [Mark McDowall]
- Minor changes. [kay.one]
- Fixed parsing issue when Episode Title starts with a number. Split out single and multi episode REGEX for standard naming conventions. [Mark McDowall]
- Fixed settings saving notifications, duplicate keys. [Mark McDowall]
- Removing items from job queue is now done while a lock is acquired. [kay.one]
- Menus are now custom built, using AJAX loading of links where acceptable. [Mark McDowall]
- Ignored image is loaded half and half instead of all grey. [Mark McDowall]
- Settings save buttons are disabled until jQuery loads and attribute is removed (prevents saving without ajax if saving too quickly). [Mark McDowall]
- If an unsorted episode that had a series that was not being watched it would prevent additional episodes from being processed. [Mark McDowall]
- Removed broken season editor from Series/Index editor. [Mark McDowall]
- EpisodesWithoutFiles now skips ignored episodes, Tests updated. [Mark McDowall]
- Fixed issue with missing episodes incorrectly using include specials. [Mark McDowall]
- Wired in the season and episode ignore saving. [Mark McDowall]
- New series ignore editor on Series/Details. [Mark McDowall]
- Fixed parsing of House - S06E13 - 5 to 9. [Mark McDowall]
- SeriesPathExists compares paths in lower-case now. [Mark McDowall]
- Fixed DownloadProviderTest (wasn't providing a mock for ExternalNotificationProvider) [Mark McDowall]
- Some css tweaks to AddSeries. [kay.one]
- ExternalNotifications enabled (Xbmc only right now). [Mark McDowall]
- IsIgnored will now be checked when adding new episodes to the DB, it will: [Mark McDowall]
- Increased delete folder limit size to 10MB. [kay.one]
- Fixed process priority correction. [kay.one]
- Notification tweaks for chrome. [kay.one]
- Priority is now set using a timer. [kay.one]
- Priority is now set using a timer. [kay.one]
- Fixed orphaned job issue in JobController. [kay.one]
- Priority/JobProvider tweaks. [kay.one]
- Priority/JobProvider tweaks. [kay.one]
- Fixed broken Series with Episode Count test. [Mark McDowall]
- Series with Episode count now ignores shows that haven't aired (includes ones that air today). [Mark McDowall]
- XbmcProvider updated to include new Json API methods. [Mark McDowall]
- Fixed save button after commit. [Mark McDowall]
- Series Grid alternating row colours. [Mark McDowall]
- Removed extra jQuery registration. [Mark McDowall]
- Fixed episode status of recently imported episodes. [kay.one]
- Newzbin now parses the language out properly. [kay.one]
- Some cleanup. [kay.one]
- Initial quality is only setup if no other quality profiles exists. [kay.one]
- Renamed sorting config keys. [kay.one]
- Some db/migration cleanup. [kay.one]
- Increased some columns sizes to avoid cutoffs. [kay.one]
- Minor tweaks. [kay.one]
- Logging notification tweaks. [kay.one]
- PostDownloadScanJob will not fail completely if a single folder fails. [kay.one]
- Fixed doctype. [kay.one]
- Fixed broken tests. [kay.one]
- Logs view improvements. [kay.one]
- Fixed Exceptioneer, Launcher should run as priority normal. [kay.one]
- Fixed static content issue. [kay.one]
- Removed unnecessary IIS modules. [kay.one]
- IISExpress now runs in above normal priority. [kay.one]
- Minor cleanup. [kay.one]
- Removed ISAPI, CGI from IISExpress. [kay.one]
- Episode is now marked as grabbed on download. [kay.one]
- Fixed issue with nzbs.org search where title contained brackets. [kay.one]
- Fixed some petapoco issue with insert. [kay.one]
- More notification tweaks. [kay.one]
- Content folder cleanup. [kay.one]
- Notification style fix. [kay.one]
- Limited newzbin search to English only. [kay.one]
- Fixed some notification issues. [kay.one]
- Instant progress notifications. Now use comet instead of pooling. [kay.one]
- Cleaned up script/content folder. [kay.one]
- Fixed script registrations in head. [kay.one]
- Fixed delete root dir issue in firefox. [kay.one]
- Fixed add profile link. [Mark McDowall]
- Settings views all cleaned up. [Mark McDowall]
- Root dir is done. [kay.one]
- Removed 3rd parties from script registrar. [kay.one]
- Overhauled Settings/Quality. [Mark McDowall]
- More better. [kay.one]
- More root dir UI cleanup. [kay.one]
- Removed iis logging. [kay.one]
- New layout for Settings/Sabnzbd. [Mark McDowall]
- Removed grid loading overlays. [Mark McDowall]
- Root Dir cleanup. [kay.one]
- ParseEpisodeInfo is now separated into ParseTitle and ParsePath. [kay.one]
- More javascript fixes, [kay.one]
- Fixed doctype, [kay.one]
- Remove empty folders after importing new downloads. [Mark McDowall]
- More CSS cleanup, config pages are pretty messed up. [kay.one]
- Some css cleanup. [kay.one]
- Fixed adding first RootDir after the change to use Telerik's CDN. [Mark McDowall]
- Removed old packages. [kay.one]
- Downgraded to MiniProfiler 1.2. [kay.one]
- Renamed SubsonicTarget to DataBaseTarget. [kay.one]
- CSS reordering on the layout page. [kay.one]
- Toned down logging. [kay.one]
- Fixed seriesGrid query and tests. [Mark McDowall]
- Fixed broken test. [Mark McDowall]
- Series Name will now show in the examples if it is checked. [Mark McDowall]
- Fixed an issue where RootPaths with a slash at the end would have double slash when adding a new Series. [Mark McDowall]
- MediaFileProvider delete fixed to delete EpisodeFile with key of Int32 instead of object Int32. Added test to ensure File is deleted, but others remain. [Mark McDowall]
- Fixed series grid after save so it has proper counts. [Mark McDowall]
- CDN Updates. packaging updates. [kay.one]
- Forces Test project to use x86 version of the SQL CE dlls. [kay.one]
- Moved SQL CE to Nuget. [kay.one]
- Removed old migrator projects. [kay.one]
- Switched to SQLCE 4.0. [kay.one]
- Removed Episodes list from EpisodeFile object. [kay.one]
- Fixed issue where series controller was still going to db for every file. [kay.one]
- Fixed sab title issue. [kay.one]
- CalculateFilePath will use configured season folder, with tests. [Mark McDowall]
- Fixed broken build. [kay.one]
- Cleanup and tests around ImportFile. [kay.one]
- History Items are now added with series. Test makes sure seriesId is sent in. [Mark McDowall]
- Removed extra injects that weren't needed. [Mark McDowall]
- Fixed broken tests. [kay.one]
- Fixed broken tests. [kay.one]
- Drop folder is now wired. needs more tests. [kay.one]
- Wired-up drop folder move. [kay.one]
- Fixed failure when trying to add the first root dir (Missing Telerik scripts for combobox). [Mark McDowall]
- CleanFileName when getting new filename from MediaFileProvider. [Mark McDowall]
- Fixed UnitTests (set EpisodeFileId to zero where no episo.de file is expected back) [Mark McDowall]
- Removed leftover code from old ages ;) [kay.one]
- Removed leftover code from old ages ;) [kay.one]
- PetaPoco now defaults to SQLite, requires WHERE on exists calls. [kay.one]
- Fixed attach series issue and null episodes. [kay.one]
- Reformated some files. [kay.one]
- Refactored MediaFileProvider. [kay.one]
- Cleaned up import file a bit. [kay.one]
- Cleanedup get GetNewFilename. [kay.one]
- SeriesProvider gets QualityProfile in single call to DB. [Mark McDowall]
- UpcomingProvider now gets Series in call for episodes. [Mark McDowall]
- EpisodeProvider GetEpisode(s) returns episodes with EpisodeFiles. [Mark McDowall]
- Removed all warnings. [kay.one]
- Fixed season ignore. [kay.one]
- Fixed dbBenchmark tests. [kay.one]
- Fixed americandad's broken test. [kay.one]
- Fixed compile error. [kay.one]
- Removing "Histories" on migration. [kay.one]
- Fix issue on in ImportFile. [kay.one]
- Fixed duplicated episodes coming in from Tvdb. [kay.one]
- EpisodeProvider now fills Series property for all episodes returned. [kay.one]
- SeriesProvider.GetSeries(int seriesId) will now fail if series is not found. [kay.one]
- Episode EpisodeFile changed to ResultColumn instead of Ignore. [Mark McDowall]
- Test for HistoryProvider.AllItemsWithRelationships. [Mark McDowall]
- HistoryProvider will return History Items with Episode and SeriesTitle. [Mark McDowall]
- Reverted back to Single<T> instead of SingleOrDefault<T> except when searching for an episode in DB. [Mark McDowall]
- PetaPoco won't convert DateTime to UTC by default. [Mark McDowall]
- Fixed MVC profiler issue with Jobs, SQL profiling is on again. [kay.one]
- Fixed notifications, episodestatus test. [kay.one]
- Fixed enum mapping issue. [kay.one]
- Fixed bug where status was shown instead of title on SeriesDetail page. [kay.one]
- Removed unnecessary IsDailyFlag from episode.cs. [kay.one]
- Fixed EpisodeProvider queries with multiple terms. [Mark McDowall]
- Removed left over assemblies, CastleCore (Subsonic) and some old nuget packages. [kay.one]
- Fixed Series.QualityProfile relationship. [kay.one]
- Removed Series.Episodes and Series.EpisodeFiles list. [kay.one]
- Fixed exception when GetSeries(int seriesId) where seriesId didnt' exist. [kay.one]
- Fixed Episode Daily Parse test. [Mark McDowall]
- Fixed some small issues, here and there. [kay.one]
- Fixed issue where migrration would run on every page load. [kay.one]
- Removed subsonic completely. [kay.one]
- Removed subsonic completely. [kay.one]
- Parser will remove quotes before trying to get filename from the path. [Mark McDowall]
- IndexerProvider now uses PetaPoco. [Mark McDowall]
- SceneMappings added to Migrations... again. [Mark McDowall]
- LogProvider now usues petapoco. [kay.one]
- UpcomingEpisodesProvider moved to PetaPoco. [Mark McDowall]
- QualityProvider moved to PetaPoco. [Mark McDowall]
- JobProvider moved to PetaPoco. [Mark McDowall]
- ExternalNotificationProvider moved to Peta. [Mark McDowall]
- RootDirs moved to PetaPoco. Removed SubSonic references from EpisodeFile & SceneMapping. [Mark McDowall]
- Renamed SceneMappingTest now saved in project file. [Mark McDowall]
- Renamed SceneNameMapping to SceneMapping. [Mark McDowall]
- Fixed broken tests. [Mark McDowall]
- HistoryProvider now uses PetaPoco. [kay.one]
- Replaced MigSharp with MigrationsDotNet. [kay.one]
- Using new PetaPoco Exists method in MediaFileProvider. [Mark McDowall]
- ConfigProvider now uses PetaPoco. [kay.one]
- MediaFileProvider moved to PetaPoco. [Mark McDowall]
- Fixed IsIgnored issues. [kay.one]
- Fixed some issues after the merge. [Mark McDowall]
- SeriesProvider is now Subsonic free. [kay.one]
- Adding a root dir will not add it to the DB until after it is saved, also will not save if the path is blank. [Mark McDowall]
- Using .ToList() to get around IEnumerable multi-DB calls and possible SubSonic bug with IQueryable. [Mark McDowall]
- Upcoming view will no longer hit the DB with the same request so many times. [Mark McDowall]
- History view will no longer hit the DB with the same request so many times. [Mark McDowall]
- Fixed broken tests after new SceneName method. [Mark McDowall]
- Ninject is now forced to use proper constructor. [kay.one]
- SceneNaming is now stored on NzbDrone webserver. [Mark McDowall]
- Fixed american dad's broken fix ;) [kay.one]
- Fixed multi testcase tests. [kay.one]
- IISExpress is now attached to NZBDrone.exe earlier, which means it should almost have a garanteed termination as soon as the host is killed. [kay.one]
- More episode parsing tests. [Mark McDowall]
- Directory controller will now swallow errors that would otherwise return invalid data to the client (forcing an annoying alert to the client), no results are returned when this happens. [Mark McDowall]
- Ignore copy error for SQLite.Interop.dll (so I don't need to quick IISExpress manually everytime I debug). [Mark McDowall]
- Auto complete for paths added. Config text boxes are now wider. [Mark McDowall]
- More tests for ImportNewDownload to deal with samples or certains sizes. [Mark McDowall]
- ImportingNewDownload wasn't importing small files that weren't samples like it should. [Mark McDowall]
- Fixed a bug when trying to clean up an episode that was still attached to an episode file that no longer existed. [Mark McDowall]
- Post Download Import Job created and in effect. Scans every minute to import files from the users configured "SabDropDirectory". [Mark McDowall]
- SabDropDirectory is now editable on Settings/Sabnzbd. [Mark McDowall]
- Removed General from Settings Submenu. [Mark McDowall]
- Fixed Renaming of episodes to include extension. [Mark McDowall]
- AddSeries/Index will show the RotoDirs Panel if no root dirs are in the DB. [Mark McDowall]
- Episode renaming implemented on the Series/Details page. [Mark McDowall]
- RenameProvider will return string for Multi-Episode files. [Mark McDowall]
- Rename Provider returns proper name for single episode series. [Mark McDowall]
- Fixed image name for Nzbs.org image on Indexer Settings. [Mark McDowall]
- Increased sqlite cache size to 30mb. [kay.one]
- Fixed history again. [kay.one]
- Fixed history order bug. [kay.one]
- Fixed bug in history check. [kay.one]
- Renamed image is in effect. [Mark McDowall]
- Picture Renamed so it is usable in History View. [Mark McDowall]
- Fixed History Grid overlay. [Mark McDowall]
- GetEpisodeFilesCount should be around 5 times faster. [kay.one]
- Fixed migration issue. [kay.one]
- Fixed IsSeasonIgnore logic, added tests. [kay.one]
- More updates to Datastore. [kay.one]
- Season Editor loading is now obvious. [Mark McDowall]
- SeasonEditor moved to Gird Editor. [Mark McDowall]
- Needed to reverse the tuple order for Episode count. [Mark McDowall]
- Refactored Migrations. [kay.one]
- Minor updates to test project. [kay.one]
- Removed Season/SeasonProvider, updated dbBenchmark tests. [kay.one]
- Hacked sabprovider to support addbyurl from newzbin. [kay.one]
- Had the episodes going into the episode count tuple in the wrong order than, they were being retrieved. Oh noes. [Mark McDowall]
- Moved episodeCount logic to mediaFileProvider. [Mark McDowall]
- DeleteRootDir and AddSeries shared the same method, which caused addSeries to fail. [Mark McDowall]
- Fixed broken tests. [kay.one]
- Newzbin now supports episode search. [kay.one]
- Integrated scene name helper into episode search, series lookup. [kay.one]
- Commiting tests before teamcity demo. [kay.one]
- Work on episode count. [Mark McDowall]
- Fixed random dbbenchmark test breaking. [kay.one]
- AJax load episode count to keep initial loading time of Series Grid. [Mark McDowall]
- Episode progress on Grid is now rounded. [Mark McDowall]
- Fixed broken episode status tests. [kay.one]
- Recompiled Sqlite to fix a known issue, http://system.data.sqlite.org/index.html/tktview?name=54e52d4c6f. [kay.one]
- Renamed style.css to Site.css. [Mark McDowall]
- Moved episodeSearch to it's own javascript file. [Mark McDowall]
- Search for Episode won't add #Search to URL now. [Mark McDowall]
- Release now target x86. [kay.one]
- MVC 3.0 dlls should now be included in the package. [kay.one]
- EpisodesWithoutFiles will ignore episodes with an air date before 1900. [Mark McDowall]
- CI changes. [kay.one]
- Trying to get build number into the file name. [kay.one]
- Removed MVC3 GAC dependency. [kay.one]
- Reverted jquery registration. [kay.one]
- Fixed some build issues. [kay.one]
- Moved all libraries out of NzbDrone.Core\Libraries to the root of the solution. [kay.one]
- Using nuget for Moq. [kay.one]
- Moved NLog, Subsonic to root library folder. [kay.one]
- Using nuget for Ninject MVC3. [kay.one]
- Add Existing with Refresh button after modifying root dirs. [Mark McDowall]
- Cleaned up AddSeries UI a bit. [Mark McDowall]
- Moved root dir config to add series. [Mark McDowall]
- QualityProfile name, max 15 characters (to keep the UI intact). [Mark McDowall]
- Use cursor:default instead of cursor:text for quality selectable. [Mark McDowall]
- Re-sized images for add and delete. Fixed remove profile (changing the div name without updating the removal piece... DOH!) [Mark McDowall]
- More icons. [kay.one]
- GetMediaFile should be alot easier on disk. [kay.one]
- Profiles wrap horizontally now, instead of making the page super long. On load the Unknown quality is removed from the dropdownlist if it exists. [Mark McDowall]
- Fixed add new profile. [Mark McDowall]
- Some performance tweaks to speed up episode list view. [kay.one]
- More episode update fixes, tests. [kay.one]
- Cleaned up RefreshEpisodeInfo added tests. [kay.one]
- Fixed American Dad's scene naming gong show. [kay.one]
- Removed jQuery UI selectable, using custom select boxes now. Cutoff dropbox is dynamic (based on selected qualities). [Mark McDowall]
- Quality Profile now uses jQuery UI Selectable instead of Sortable. [Mark McDowall]
- All profiles (including the default ones) are now editable. [Mark McDowall]
- The 'Master' Quality DropDownList now controls all quality controls on the page + on the AddNew Series Page. [Mark McDowall]
- Combined AddNew and AddExisting Series pages. [Mark McDowall]
- EpisodesWithoutFiles will now only return episodes where the series and season are monitored. [Mark McDowall]
- MigratorNet is compiled in release mode. [kay.one]
- Rewrite of InventoryProvider. [kay.one]
- Make Release build compile succesfully. [sschlesier]
- Oh hai search! [kay.one]
- More EpisodeSearchJob fixes/tests. [kay.one]
- EpisodeSearchJob bug fixes/tests. [kay.one]
- ExceptionVerification improvements. [kay.one]
- Fixed import new series being stuck in a loop if an update failed. [kay.one]
- Initial support for episode search in indexerbase and Nzbs.org. [kay.one]
- Better quality parse. [kay.one]
- Fixed quality parse bug. [kay.one]
- Fixed a bug where reports weren't being added to history. [kay.one]
- Failed disk scan doesn't kill the whole job anymore. [kay.one]
- Migrator.net fails. [kay.one]
- Optimized ParseEpisodeInfo. [kay.one]
- Simplified some quality types. [kay.one]
- Fixed nzbs.org RSS URL. [Mark McDowall]
- Fixed broken tests. [kay.one]
- Test project cleanup. [kay.one]
- Fixed broken test. [kay.one]
- Diskscan/Info update job refactoring and test. [kay.one]
- Minor logs view update. [kay.one]
- Removed supports backlog, updated some logs in job provider. [kay.one]
- Fixed SabProvider test for AddByUrlSuccess. [Mark McDowall]
- Fixed a concurrency issue with job provider. [kay.one]
- More test/fixes. [kay.one]
- More inventoryprovider tests. [kay.one]
- Renamed IndexerProviderBase to IndexerBase since its no longer a provider. [kay.one]
- Basic indexer tests are working. [kay.one]
- Initial stage of indexer refactoring. things compile. [kay.one]
- Loading overlays added to Series/Details, Upcoming and History views. [Mark McDowall]
- Series Details updated with overlay when loading. [Mark McDowall]
- Optimized logging to improve performance. [kay.one]
- Fixed bug when a file that wasn't parsable would try to be imported. [kay.one]
- Minor tweaks. [kay.one]
- Loading overlay added to series grid. [Mark McDowall]
- EpisodeSorting UI has descriptions, removed extra options. [Mark McDowall]
- Disabled glimpse by default to avoid memory leaks. [kay.one]
- Some cleanup. [kay.one]
- Removed indexertype property. [kay.one]
- Super smart season ignore logic. ;) [kay.one]
- Mediascan job doesn't scan series that aren't fully added to the db yet. [kay.one]
- Removed leftover merge files. [kay.one]
- Diskscan now updates the last scan time of the series object. [kay.one]
- Removed post processor from solution. [kay.one]
- Log is now configured earlier in the life cycle. [kay.one]
- Renamed Download settings to Sabnzbd settings. [Mark McDowall]
- Removed blackhole downloading from IndexerProviderBase. [Mark McDowall]
- LastExecutionTime will only be updated if no targetId was found. [Mark McDowall]
- Minor cleanup in JobProvider. [unknown]
- JobProvider now fully works based on a queuing logic, which allows more than one job to be queued. (EasyButton included!) [unknown]
- Fixed some settings value convert issues. would cause crash on clean installs. [unknown]
- Removed retundant logging for Series deletion. [Mark McDowall]
- Returned series deletion back to SeriesProvider. [Mark McDowall]
- Replaced save notifications for settings on page with AJAX Notifications. [Mark McDowall]
- DeleteSeriesJob now uses the providers properly. [Mark McDowall]
- Removed Edit page and Delete (w/o AJAX) from Series Controller. [Mark McDowall]
- Deleting a series will also delete all items in history for that series. [Mark McDowall]
- QualityProfile dropbox positioned better. [Mark McDowall]
- AutoConfigure for SAB is setup, it works for systems with NzbDrone and SABnzbd on the same server only. [Mark McDowall]
- Series Grid AJAX'd. [Mark McDowall]
- System/config is now editable. [kay.one]
- Fixed blackhole config to be boolean. [kay.one]
- Minor cleanup in sabprovider, sabprovider tests. [kay.one]
- Removed some warnings, logging tweaks. [kay.one]
- Fixed SAB getting the string value for Priority (instead of the integer value). [Mark McDowall]
- Fixed text box for Category, was displayed as priority. [Mark McDowall]
- Moved filename only piece to Parser. [Mark McDowall]
- MediaFileProvider, ImportFile will return null if episode cannot be properly parsed. Will only try to parse the filename, not the full episode path. [Mark McDowall]
- Moved indexer images to a subfolder. [Mark McDowall]
- IndexerType added, this will store the source indexer in history, so users can see (if they care) and we can add an icon if we want. [Mark McDowall]
- Set Meridiem to Uppercase. [Mark McDowall]
- Handle failed downloading on NZB so it will not get added to the History if it fails. [Mark McDowall]
- RootDir Adds/Deletes update the database when the action occurs, no more awkward saving tactic. [Mark McDowall]
- Fixed NzbDownloadUrl for NzbsRUsProvider. [Mark McDowall]
- Removed AccountModel. [Mark McDowall]
- Upcoming view column width fixed for Air Date (added time). [Mark McDowall]
- New Helper (Html Extension) for displaying the DescriptionAttribute. [Mark McDowall]
- SabTitle will return Quality in square brackets '[' or ']' [Mark McDowall]
- Episode Title added to parseResult. [Mark McDowall]
- Fixed broken tests. [kay.one]
- Removed some unneeded injection dependencies. renamed dependency fields to be standard across the app. [kay.one]
- Removed duplicate test. [Mark McDowall]
- Fix bug where info update from tvdb would overwrite our own data, fileid, date flags ... [kay.one]
- Fixed parser for Daily shows that didn't have the series name included. [Mark McDowall]
- Resharper config file... [Mark McDowall]
- Start support for daily show file import. [kay.one]
- Fixed display bug for Settings/Downloads, it will now show the correct Div for Blackhole/SABnzbd. [Mark McDowall]
- Fixed column layout in history, upcomming. [kay.one]
- Fixed network auth issue, custom parser issue. [kay.one]
- Fixed episode parsing so it is not too aggressive. Added tests for episode parsing and Assertions for number of episodes parsed (to ensure the count is correct). [Mark McDowall]
- Start of AutoConfigureSab. [Mark McDowall]
- Removed .org file. [kay.one]
- Exceptioneer is only enabled during release. [kay.one]
- Fixed rss datetime bug. [kay.one]
- Fixed IsNeeded() with tests. [kay.one]
- Newzbin feed will be grabbed using HTTP Authentication. [Mark McDowall]
- Downgraded more logs. [kay.one]
- Add series with an ' apostrophe will now work correctly. [Mark McDowall]
- IISController now wraps config path (in argument) with quotes to allow for paths with spaces. [Mark McDowall]
- Remove Div when deleting instead of just hiding it (so it's not submitted when calling save). [Mark McDowall]
- Missed some changes for send to Sab functionality in IndexerProviderBased. [Mark McDowall]
- NZB will be sent to SABnzbd when needed. [Mark McDowall]
- Downgraded some logs. [kay.one]
- Downgraded some logs. [kay.one]
- More notification updates. [kay.one]
- Upgraded IISExpress from WebMatrix Beta 2 to 7.5 Final. [kay.one]
- Moved GetSabTitle from episodeprovider to sabprovider, removed seriesprovider dependency. [kay.one]
- Add TvDbEpisodeId to Episode. now we can index episodes before they showup in thetvdb. [kay.one]
- Fixed broken tests. [kay.one]
- Removed Year from EpisodeParseResult (we never used it anyways). [Mark McDowall]
- Normalize REGEX will remove more words and will leave digits for now. [Mark McDowall]
- Commit after Merge. [Mark McDowall]
- Fixed Episode.ToString() bug. [kay.one]
- Fixed history grid layout. [kay.one]
- More tests and bug fixes. [kay.one]
- Fixed AutoMoqer VerifyAll() bug. [kay.one]
- More tests. [kay.one]
- Attach to debugger is a lot more reliable. [kay.one]
- Cleaned-up NzbDrone.exe. [kay.one]
- More work on indexers/jobs. [kay.one]
- Fixed log colors. [kay.one]
- JobProvider now stores last execution and success. [kay.one]
- Adding/Deleting QualityProfiles will now save/delete the profile from the database to make the process less hacky. [Mark McDowall]
- Removed Site.Master... all ASPX pages have been destroyed! [Mark McDowall]
- RAZOR'd Series and the Error page. [Mark McDowall]
- RAZOR'd Log & Upcoming. [Mark McDowall]
- AddSeries views updated to RAZOR. [Mark McDowall]
- Master page for RAZOR views created and will be auto inherited by pages. [Mark McDowall]
- Footer has been RAZOR'd. [Mark McDowall]
- Settings partial pages are all in RAZOR now! [Mark McDowall]
- CustomParser will run now. [Mark McDowall]
- Newzbin override for getting proper and quality. [Mark McDowall]
- Removed folder name from update notification. [kay.one]
- Timers are now initialized on startup. [kay.one]
- Fixed quality link to series. [kay.one]
- Fixed save button on Indexer Settings, changed margins for a cleaner look. [Mark McDowall]
- Fixed save button on Indexer Settings, changed margins for a cleaner look. [Mark McDowall]
- New UI for Indexer Settings, RAZOR! [Mark McDowall]
- Fixed broken test. [kay.one]
- More quality parsing tests. [Mark McDowall]
- Project updates. [kay.one]
- Revered back to subsonic. [Keivan]
- Don't remember what I did here ;) [kay.one]
- Cleaned up history/log grid UI. [kay.one]
- ReSharper code cleanup. [kay.one]
- Application will automatically restart on db error. [kay.one]
- Removed IConfigProvider, ISeasonProvider, ISyncProvider. [kay.one]
- Removed IEpisodeProvider, ILogProvider. [kay.one]
- Removed IDiskProvider. [Mark McDowall]
- Removed IRenameProvider. [Mark McDowall]
- Removed IRssSyncProvider & IBacklogProvider. [Mark McDowall]
- Removed IHistoryProvider. [Mark McDowall]
- Removed ISeriesProvider. [Mark McDowall]
- Removed INotificationProvider. [Mark McDowall]
- Fixed some build issues/notification issues. [kay.one]
- Removed IExternalNotificationProvider. [Mark McDowall]
- Removed IDownloadProvider. [Mark McDowall]
- Removed IPostProcessingProvider. [Mark McDowall]
- Removed ITimerProvider. [Mark McDowall]
- Removed IUpcomingEpisodesProvider. [Mark McDowall]
- Removed IXbmcProvider. [Mark McDowall]
- Removed IRootDirProvider. [Mark McDowall]
- Finished removing ITvDbProvider. [Mark McDowall]
- Removed PDB files. [Mark McDowall]
- Adding "master" dropbox for changing quality for add series. [Mark McDowall]
- Wrote automoqer unit test. [kay.one]
- Removed IQuality provider. [kay.one]
- Removed IQuality provider. [kay.one]
- Removed ITvDbProvider. [kay.one]
- More relative path fix. [kay.one]
- Some subsonic cleanup. [kay.one]
- Fixed relative path for some images to work in apps with path (localhost/nzbdrone) [kay.one]
- Fixed application path to support Application path (full IIS Server) [kay.one]
- Cleaned up Test project's references. [kay.one]
- Removed orig files. [Mark McDowall]
- Add GetBestMatch to TvDbProvider (Provides a way to get the best result from a list of results) [Mark McDowall]
- ParseEpisodeInfo will now handle repeating Episode Naming Format (S01E01E02 or S01E01-02), It will not handle ranges (S01E01-06) [Mark McDowall]
- Fixed some DI issues. [kay.one]
- Removed most of existing rss code. [kay.one]
- More rss refactoring. [kay.one]
- Fixed episode parse issue. [kay.one]
- Started rss cleanup. [kay.one]
- Fixed some css issues. added quality to each add existing item. [kay.one]
- Fixed project to support Razor. [Keivan]
- Add existing now does is reall time TvDb lookup. [Keivan]
- Fixed add existing. needs more polish around quality and manual mapping. [kay.one]
- Fixed ajax call for add existing. [kay.one]
- Removed github fork button. [kay.one]
- Deleted some old files. updated some ui. [kay.one]
- Upgraded to MVC3, Hello Razor. [kay.one]
- Removed upnp code. [kay.one]
- Removed default root property. [Keivan]
- Refactored BacklogProvider. [Keivan]
- Separate QualityTypes.Bluray to Bluray720 and Bluray1080. [Mark McDowall]
- Cleaned up RssItemProcessingProvider, will actually process Season NZBs now. [Mark McDowall]
- RssItemProcessingProvider will now handle full series NZBs. [Mark McDowall]
- Fixed parsing for 1013/103/113 naming. [Mark McDowall]
- Fixed REGEX for 103 (was looking for non-alphanumberic), still fails on 113 numbering, but will work for 103. [Mark McDowall]
- Parser REGEX updated to support 103 naming and breaking out of the REGEX foreach loop when a match is found. Most strict to less strict ordering of REGEX is required. [Mark McDowall]
- Ability to delete from Edit Series (link wasn't available before). [Mark McDowall]
- Fixed Parser (broke 103 naming convention, but it fixed more than it broke). [Mark McDowall]
- SeasonProvider.IsIgnored will properly handle a season that does not exist in the DB (TV DB doesn't have the latest season is root of the problem, or the season just started and NB DB is out of date). [Mark McDowall]
- Upcoming shows view added. [Mark McDowall]
- History VIew Added. [Mark McDowall]
- HttpProvider - Added Download File. [Mark McDowall]
- Removed un-needed WebClient from XbmcProvider. [Mark McDowall]
- Fixed XBMC CleanLibrary. [Mark McDowall]
- Ability to manually add a show has been added. [Mark McDowall]
- AddNew is functional, using jquery for adding and display changes. [Mark McDowall]
- AddExisting clears check/hides rows once submitted. Bi-winning. [Mark McDowall]
- Modified TvDbProvider to aloow returning of multiple results when requesting a list of results. [Mark McDowall]
- Add Existing Series works, UI shows TVDB Name and Path so you can check before adding to DB. [markus101]
- Normalize path will now just clean it up, no longer returns the string in all lower-case. [Mark McDowall]
- Manage multiple Tv Root Folders in Settings/General. [Mark McDowall]
- Add Series, will need to design new and existing flows. [markus101]
- Series SubMenu moved to partial view. [markus101]
- Notifications UI Implemented, Added ExternalNotifications and Xbmc Providers to CentralDispatch. [markus101]
- XbmcProvider will use HttpProvider. [markus101]
- Add quality to titleFix so it will be added to queue (and looked for in queue) that way. [Quality] [markus101]
- Removed Drone Specific parser, on 2nd look it is not needed... just need to include the quality when adding it to the SAB Queue. [markus101]
- Post Processor Done. [markus101]
- ExternalNotificationProvider complete, XBMC only for now. [markus101]
- XBMC Provider finished. [markus101]
- ExternalNotifications, XBMC notification, building the framework for these, UI not implemented. [markus101]
- Post Processing has been implemented, still need to finish app for SAB to NzbDrone. [markus101]
- Display Error when RSS Feed doesn't return any items. [markus101]
- DisplayName added for EpisodeSortingModel (Used on UI). [markus101]
- EpisodeSorting setup, setting page created and usable, needs labels still. [markus101]
- Use Season Folder is set in config (also set per Series), default is true. [markus101]
- Renaming fixes, extension will be used now. [markus101]
- Show Path to episode on disk in Details. [markus101]
- Do not try to rename files if the source and destination path are the same. [markus101]
- Fixed the badly broken Renaming, it will now only attempt to rename episodes with files and works with multi-episode files. [markus101]
- Fixed Episode to EpisodeFile relationship (So getting the EpisodeFIle gets associated Episode(s) as well. [markus101]
- UI Cleanup for Series Index and Details. [markus101]
- RenameAll implemented in view and Controller + Rename Series, Season & Episode in Controller. [markus101]
- Fixes for Episode to EpisodeFile mapping. [markus101]
- EpisodeFile parsing was incorrect due to change of relationship with Episode. [markus101]
- Fixed issues that came up after making changes to Episode and EpisodeFile. [markus101]
- Episode RenamingProvider created, allows renaming by Every Episode for Every Series, by Series, by Season, or individual Episodes. [markus101]
- EpisodeFile now has a list of Episodes (support for multi-episode files), was reversed before. [markus101]
- Add to History when SAB receives the NZB and set episode.status to grabbed. [markus101]
- Delete is setup, just need to add a link to follow through on the delete. [markus101]
- Fixed QualityProfile mapping to Series, resulted in a large number of changed files referencing ProfileId instead of QualityProfileId. [markus101]
- Removed an extra file, VS changed things on me. [markus101]
- RssSync improvements and fixes. [markus101]
- Fixed unit tests. [markus101]
- Fixed SabProvider and Unit Tests for it. [markus101]
- More comprehensive check to see if we want this episode, will now compare episodeFile with the episode from the feed to see if it is wanted (Quality and Proper) [markus101]
- Fixed issue with storing and retrieving quality profile, checking the profile. [markus101]
- Issue with overwriting user settings for Indexers resolved. [markus101]
- Removed conflicting JavaScript additions, that broke Series Details. [markus101]
- Fixed a bug with converting default quality profile from config when adding a new series. [markus101]
- New series will be added monitored and quality will be set to default quality. [markus101]
- Save button will be disabled until page is loaded, prevents issues with user presses save before the page is fully loaded (and AJAX is used to save). [markus101]
- Clean up SettingsController to not check for Null's as empty strings will not be null when returned. [markus101]
- Validation changes, moved JS for Client-Side validation to Settings/Index.aspx. [markus101]
- Cleaned up Quality partial page. [markus101]
- More layout changes for Download Settings to get validation looking better. [markus101]
- Working on validation for forms, issues with server side, not sure how to post back model with AJAX submit, yet. [markus101]
- Fixed an issue where the RssSyncTimer was not updating the NextInterval variable after expiring the first time. [markus101]
- TimerProvider will test every 1 minute to see if it matches a schedule for updating season or entire series. [markus101]
- EpisodeProvider - RefreshSeasonInfo by Season added, updates only the supplied season. [markus101]
- SeasonProvider GetLatestSeason added. [markus101]
- RSS Sync Timer Implemented using System.Timers.Timer. [markus101]
- Fixed bug with moving Quality to an empty list, which made new profiles useless (Quality Settings) [markus101]
- Quality Settings UI updated some more. [markus101]
- Deleting of Qualities now works. [markus101]
- Quality config complete (needs to look better, but it is functional, minus deleting). [markus101]
- Quality now has sortable lists for configuring Profiles, saving not implemented yet. [markus101]
- Quality Config, Dynamically add new User Profiles, just need to get them to save. [markus101]
- Fixed updating of Default Qualities in CentralDispatch. [markus101]
- Fixed logging for Settings Controller and QualityProvider. [markus101]
- Some changes to unmapped view. [Keivan]
- Fixed episode parse, profile storage. [Keivan]
- Simplified quality fixed some broken tests. [Keivan]
- JquerySimpleDropdown menu added, not sure of full usage yet. [markus101]
- Returned missing Graphics, CSS and JavaScript files. [markus101]
- Fixed the details view for episodes so it shows the Overview when clicked. [markus101]
- Fixed REGEX for episode parsing so it would correctly parse shows with a year in the title. [markus101]
- Fixed unit tests. [markus101]
- More config pages have been added. AJAX to save. Order with jquery sortable. [markus101]
- Parse UNC paths. [Scott Schlesier]
- Cleaned up css. [Keivan]
- Cleaned up css. [Keivan]
- Look right in IE, all episodes are ajax loaded. [Keivan]
- Fixed a bunch of things. added basic support for file scanning. logs are now avilable in the UI. [Keivan]
- Fixed notification issues. [Keivan]
- Cleaned up logging code. [Keivan]
- Oh Hai IIS. [Keivan]
- Fixed notitfication.js. [Keivan]
- Fixed ninjet's race condition. [Keivan]
- Fixed ninjet's race condition. [Keivan]
- Play Pause and Stop all working. [nothingmn]
- Cleaned up some tests. [Keivan]
- Refactored SeriesController. Updated Post title parse. [Keivan]
- Pretty... [Keivan]
- AFixed QualityProfile storage test. [Keivan]
- Fixed sql lite x64/x86 issue. [Keivan]
- Rearanged episodes object, added method stubs. [Keivan]
- Fixed some resharper line breaks. [Keivan]
- Resharper code cleanup. [Keivan]
- Removed redundent classes. [Keivan]
- Removed feed. to be replaced with System.ServiceModel.Syndication.SyndicationItem. [Keivan]
- Refactored Episode, Added Quality Enum. [Keivan]
- Renamed all Core.Controllers to Core.Providers to avoid confusion between Core Controllers and MVC controllers. [Keivan]
- Still trying this merge. [Keivan]
- IHttpController/HttpController Added (So we can Mock SABnzbd requests) [markus101]
- Fixed Unit Test for SabController.AddByUrl. [markus101]
- SabController - Removed AddByPath, Completed AddByUrl and IsInQueue. [markus101]
- Failed attempt to write a test for Series Controller. [Keivan]
- Removed log4net from global.asax to fix compile issue. [kay.one]
- Cleaned DbConfigControllerTest. [kay.one]
- Removed old nlog refrence. [kay.one]
- New Web theme. [markus101]
- Upgraded NzbDrone to 4.0 to remove warnnings. [kay.one]
- Removed bin from NzbDrone.Web. [kay.one]
- Fixed tvdblib xml cache path. [kay.one]
- Fixed show grid, added details page. [kay.one]
- Fixed config post issue. [kay.one]
- Removed dummy project. [kay.one]
- Application now starts up. [kay.one]
- Gave up on ignoring bin files. [kay.one]
- Removed bin files from NzbDrone.Web\bin. [kay.one]
- Initial Commit. [kay.one]


